<?php
/*
Plugin Name: Editor Custom Color Palette
Description: A simple plugin to customize the color palette & text sizes & blocks from editor Gutenberg
Author: BLADOU Alain
Version: 2.8.9
Author URI: https://rouerguecreation.fr/
License:GPL v3
License URI: https://www.gnu.org/licenses/gpl-3.0.txt
Text Domain: editor-custom-color-palette
Domain Path: /languages
*/

/*
Editor Custom Color Palette is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
Editor Custom Color Palette is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with Editor Custom Color Palette. If not, see https://www.gnu.org/licenses/gpl-3.0.txt.
*/


/***********************************************************************************************************
*
*  Editor Custom Color Palette [REV:2.8.9] 

*  1.  On charge le fichier de traduction
*  2.  On inclut les fichiers relatif a la page de réglages du plugin
*  3.  Actions a réaliser si l'utilisateur choisi d'initialiser les paramètres du plugin
*  4.  Actions a réaliser à l'activation du Plugin
*  4.1 Actions a réaliser aprés la mise à jour du plugin
*  5.  Uninstall Plugin
*  6.  RÉCUPÉRATION DES PARAMÉTRES DU PLUGIN DÉFINIT PAR L'UTILISATEUR
*  7.  chargement feuilles de style du plugin
*  8.  chargement scripts du plugin
*  9.  Lien Paramètres pour le plugin sur le panneau de la page des extensions 

*
*  9.  CONVERSION DES COULEURS DE LA PALETTE HEXADECIMAL EN RGBA
*  10. MODIFIER PALETTE DE COULEUR EDITEUR GUTENBERG 
*  11. DÉSACTIVER LES COULEURS & DÉGRADÉS PERSONNALISÉES 
*  12. TRANSPOSER LA PALETTE DE COULEURS EN VARIABLE CSS, APLIQUER LE STYLE EN ADMIN & FRONT END
*  12. MODIFIER PALETTE DE COULEUR ELEMENTOR
*  13. MODIFIER PALETTE DE COULEUR DIVI
*  14. SYNCHRONISER LA PALETTE DE COULEUR DE L'ÉDITEUR GUTENBERG ET D'ACF 
*  15. MODIFIER TAILLES POLICE EDITEUR GUTENBERG  
*  16. DÉSACTIVER LA TAILLE DE POLICE PERSONNALISÉE 
*  17. CUSTOM GUTENBERG EDITOR 
*	17.1 DESACTIVER LE MODE PLEIN ECRAN DE GUTENBERG
*	17.2 ACTIVER LA FEUILLE DE STYLE PAR DÉFAUT
*	17.3 ALIGNEMENT LARGE & PLEINE LARGEUR POUR L 'EDITEUR DE BLOCS
*   17.4 EMBEDS RESPONSIVE (EX: Intégration Vidéos YouTUbe)
*   17.5 Activer la prise en charge des nouveaux paramètres de blocs Introduit avec WordPress 6.0
*  18. ADDONS REUSABLE BLOCKS BACK OFFICE
*   18.1 Menu Bloc réutilisable en back office
*  19. Créer une catégorie de bloc personnalisée dans WordPress Block Inserter
*  19. AJOUT AUX PARAMÉTRES DU BLOC PARAGRAPHE DE STYLES PERSONNALISÉS
*   19.1 Add Style Box Shadow(bloc paragraphe & bloc grouper & bloc colonne)
*	19.2 Add Style Card
*	19.3 Add Style Notice: Question
*	19.4 Add Style Notice: Info
*	19.5 Add Style Notice: Advice
*	19.6 Add Style Notice: Warning
*	19.7 Add Style Notice: Alert
*   19.8 Add Style Click to Tweet
*
*	20. AJOUT AUX PARAMÉTRES DU BLOC LISTE DE STYLES PERSONNALISÉS
*   20.1 Add Style Square
*   20.2 Add Style Check
*   20.3 Add Style Check circle fill
*   20.4 Add Style Add 
*   20.5 Add Style Add circle fill
*   20.6 Add Style Push Spin 
*   20.7 Add Style Circle Duotone
*   20.8 Add Style Clear
*   20.9 Add Style Site
*   20.10 Add Style E-Mail
*   20.11 Add Style Phone
*   20.12 Add Style Facebook
*   20.13 Add Style YouTube
*   20.14 Add Style Twiter
*   20.15 Add Style Calendar
*   20.16 Add Style Clock
*   20.17 Add Style Location
*	20.18 Add Style Diagram
*
*
*	21. AJOUT AUX PARAMÉTRES DU BLOC IMAGE DE STYLES PERSONNALISÉS
*   21.1 Add Style Circle 
*   21.2 Add Style Filter Grayscale
*	21.3 Add Style Image Card
*
*	22. AJOUT AUX PARAMÉTRES DU BLOC BOUTON DE STYLES PERSONNALISÉS
*   22.1 Add style Outline hover arrow
* 
*	23. AJOUT AUX PARAMÉTRES DU BLOC PARENT COLONNES DE STYLES PERSONNALISÉS
*   23.1 Add Style Column reverse 
*   23.2 Add Style Responsive three columns
*
*	24. AJOUT AUX PARAMÉTRES DU BLOC MÉDIA & TEXTE DE STYLES PERSONNALISÉS
*   24.1 Add Style Half Background
*
*   25. AJOUT AUX PARAMÉTRES DU BLOC READ MORE DE STYLES PERSONNALISÉS
*
*	26. AJOUT AUX PARAMÉTRES DU BLOC TABLE DE STYLES PERSONNALISÉS
*
*   27. AJOUT EN FRONT END DU BOUTON CLICK TO TWEET POUR LE STYLE TWEET DU BLOC PARAGRAPHE
*
*   28. MODIFIER L'AVATAR PAR DEFAUT
*
*  26. CSS DYNAMIQUE 
*	26.1 CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Front End)(OLD)
*	26.2 CSS DYNAMIQUE TAILLES POLICE EDITEUR GUTENBERG (Front End)
*	26.3 CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Back office)(OLD)
*
*  27. STYLE BACK OFFICE PALETTE DE COULEURS
*
*  28. STYLE BACK OFFICE BLOCS EDITEUR GUTENBERG
*	28.1  CORRECTION BUG DU AU PLUGIN
*	28.2  RÈGLES GÉNÉRALES EDITEUR GUTENBERG
*	28.3  ALIGNEMENT LARGE & PLEINE LARGEUR POUR L 'EDITEUR DE BLOCS RÉGLES BACK OFFICE
*   28.4  EMBEDS RESPONSIVES LARGEUR MAX VIDÉOS INTÉGRÉES EN BACK OFFICE
*	28.5  FAIRE CORRESPONDRE LA LARGEUR DE L'EDITEUR & BLOC PARAGRAPHE & BLOC GROUP & BLOC TABLE & BLOC YOAST A CELLE DU SITE RÉGLES BACK OFFICE
*   28.6  TITRE PAGE & ARTICLE & CPT BACK OFFICE
*	28.7  BLOC RÉUTILISABLE BLOCKQUOTE BACK OFFICE
*	28.8  BLOC RÉUTILISABLE METTRE EN ÉVIDENCE BACK OFFICE
*	28.9  STYLE BOX SHADOW BACK OFFICE
*   28.9.1 Style box shadow(page d'options du plugin) back office
*   28.9.2 Style box shadow(React JS) back office
*	28.10 BLOC PARAGRAPHE BACK OFFICE
*	  28.10.2 Style Card back office
*	  28.10.3 Style Notice: Question back office
*	  28.10.4 Style Notice: Info back office
*	  28.10.5 Style Notice: Advice back office
*	  28.10.6 Style Notice: Warning back office
*	  28.10.7 Style Notice: Alert back office
*	  28.10.8 Style Click to Tweet Back Office
*   28.11 BLOC GROUP BACK OFFICE
*	 28.11.1 Border Radius
*    28.11.2 Style Variation InfoBox back office
*   28.12 BLOC LISTE BACK OFFICE
*	 28.12.1 style Disc back office(style par défaut)
*	 28.12.2 Style Square back office
*    28.12.3 Style Check back office
*    28.12.4 Style Check circle fill back office
*    28.12.5 Style Add back office
*    28.12.6 Style Add circle fill back office
*    28.12.7 Style Push Spin back office
*    28.12.8 Style Circle Duotone back office 
*    28.12.9 Style Clear back office
*    28.12.10 Style Site back office
*    28.12.11 Style E-Mail back office
*    28.12.12 Style Phone back office
*    28.12.13 Style Facebook back office
*    28.12.14 Style YouTube back office
*    28.12.15 Style Twiter back office
*    28.12.16 Style Calendar back office
*    28.12.17 Style Clock back office
*    28.12.18 Style Location back office
*	 29.12.19 Style Diagram back office
*   28.13 BLOC IMAGE BACK OFFICE
*	  28.13.1 Style Circle back office
*	  28.13.2 Style Filter Grayscale back office
*     28.13.3 Style Card Image back office
*   28.14 BLOC Bouton BACK OFFICE
*	  28.14.1 Style Plein back office
*	  28.14.2 Style Contour back office
*     28.14.3 Style Contour avec icône flêche droite au survol back office
*	28.15 BLOC PARENT COLONNES BACK OFFICE
*	  28.15.1 Régles générales Bloc Parent & bloc colonne back office 
*	  28.15.2 Style responsive three columns back office
*	  28.15.3 Style Column reverse back office 
*	  28.15.4 Suite Régles générales Bloc Parent & bloc colonne back office
*     28.15.5 Style Variation Pricing Table back office
*	28.16 BLOC MEDIA/TEXTE BACK OFFICE
*	  28.16.1 style Half Background back office
*	28.17 BLOC SEPARATOR BACK OFFICE
*	  28.17.1 Largeur Bloc Separator back office
*   28.18 BLOC TABLEAU BACK OFFICE
*     28.18.1 style ECCP Stripes back office
*   28.19 BLOC TITRE BACK OFFICE
*     28.19.1 Style Admin Menu back office
*     28.19.2 Style Post Formats back office
*     28.19.3 Style Block Editor back office
*	  28.19.4 Style TinyMCE back office
*     28.19.5 Style Posts Screen back office
*     28.19.6 Style Sorting back office
*	  28.19.7 Style Social back office
*	  28.19.8 Style WordPress back office
*	  28.19.9 Style Buddicons back office
*	  28.19.10 Style Products back office
*     28.19.11 Style Widgets back office
*	  28.19.12 Style Notifications back office
*	  28.19.13 Style Miscellaneous back office
*   28.20 BLOC DERNIERS ARTICLES BACK OFFICE
*	  28.20.1 Style Card Derniers Articles en mode grille back office
*   28.21 BLOC BOUCLE DE REQUÊTE BACK OFFICE
*	  28.21.1 Style Card Boucle De Requête en mode grille back office
*	  28.21.2 Style d'un avatar personnalisé en back office
*   28.22 BLOC ESPACEMENT BACK OFFICE
*   28.23 ICÔNE TOOLBAR 
*	  28.23.1 ICÔNE TOOLBAR PARAGRAPHE
*	  28.23.2 ICÔNE TOOLBAR LISTE
*   28.24 SURLIGNEMENT TEXTE BACK OFFICE
*   28.25 RESPONSIVE BLOC GUTENBERG BACK OFFICE
*     28.25.1 Hauteur du bloc couverture sur mobile en Back Office
*
*  29. STYLE FRONT END BLOCS EDITEUR GUTENBERG
*	29.1 ALIGNEMENT LARGE & PLEINE LARGEUR POUR L 'EDITEUR DE BLOCS RÉGLES FRONT END
*   29.2 EMBEDS RESPONSIVES LARGEUR MAX VIDÉOS INTÉGRÉES FRONT END
*	29.3 BLOC RÉUTILISABLE BLOCKQUOTE FRONT END
*	29.4 BLOC RÉUTILISABLE METTRE EN ÉVIDENCE FRONT END
*	29.5  STYLE BOX SHADOW FRONT END
*   29.5.1 Style box shadow(page d'options du plugin) front end
*   29.5.2 Style box shadow(React JS) front end
*   29.6 BLOC PARAGRAPHE FRONT END
*	 29.6.1 Style Card front end
*	 29.6.2 Style Notice: Question front end
*	 29.6.3 Style Notice: Info front end
*	 29.6.4 Style Notice: Advice front end
*	 29.6.5 Style Notice: Warning front end
*	 29.6.7 Style Notice: Alert front end
*	 29.6.8 Style Click to Tweet Front End
*	 29.6.9 Largeur Paragraphe Front End
*   29.7 BLOC GROUP FRONT END
* 	 29.7.1 Largeur Bloc Group Front End
*    29.7.2 Border Radius
*    29.7.3 Style Variation InfoBox
*   29.8 BLOC LISTE FRONT END
*	 29.8.1 style Disc front end(style par défaut)
*	 29.8.2 Style Square front end
*    29.8.3 Style Check front end
*    29.8.4 Style Check circle fill front end
*    29.8.5 Style Add front end
*    29.8.6 Style Add circle fill front end
*    29.8.7 Style Push Spin front end 
*    29.8.8 Style Circle Duotone front end 
*	 29.8.9 Style Clear front end
*	 29.8.10 Style Site front end
*	 29.8.11 Style E-Mail front end
*	 29.8.12 Style Phone front end
*	 29.8.13 Style Facebook front end
*	 29.8.14 Style YouTube front end
*	 29.8.15 Style Twiter front end
*	 29.8.16 Style Calendar front end
*	 29.8.17 Style Clock front end
*	 29.8.18 Style Location front end
*	 29.8.19 Style Diagram front end
*    29.9 BLOC IMAGE FRONT END
*	  29.9.1 Style Circle front end
*	  29.9.2 Style Filter Grayscale front end
*	  29.9.3 Style Card Image front end 
*   29.10 BLOC Bouton FRONT END
*	  29.10.1 Style Plein front end
*	  29.10.2 Style Contour front end
*	  29.10.3 Style Contour avec icône flêche droite au survol front end
*     29.10.4 Style par défaut(modif pour CPT The Events Calendar)
*	29.11 BLOC PARENT COLONNES FRONT END
*	  29.11.1 Régles générales Bloc Parent & bloc colonne front end
*	  29.11.2 Style responsive three columns front end 
*	  29.11.3 Style Column reverse front end
*	  29.11.4 Suite Régles générales Bloc Parent & bloc colonne front end
*     29.11.5 Style Variation Pricing Table front end
*	29.12 BLOC MEDIA/TEXTE FRONT END
*	  29.12.1 style Half Background front end
*	29.13 BLOC SEPARATOR FRONT END
*	  29.13.1 Largeur Bloc Separator Front End
*   29.14 BLOC TABLEAU FRONT END
*     29.14.1 style ECCP Stripes front end
*     29.14.2 Largeur Tableau Front End
*   29.15 BLOC TITRE FRONT END
*     29.15.1 Style Admin Menu front end
*     29.15.2 Style Post Formats front end
*     29.15.3 Style Block Editor front end
*	  29.15.4 Style TinyMCE front end
*     29.15.5 Style Posts Screen front end
*     29.15.6 Style Sorting front end
*	  29.15.7 Style Social front end
*	  29.15.8 Style WordPress front end
*	  29.15.9 Style Buddicons front end
*	  29.15.10 Style Products front end
*     29.15.11 Style Widgets front end
*	  29.15.12 Style Notifications front end
*	  29.15.13 Style Miscellaneous front end
*   29.16 BLOC DERNIERS ARTICLES FRONT END
*	  29.16.1 Style Card Derniers Articles en mode grille front end
*   29.17 BLOC BOUCLE DE REQUÊTE FRONT END
*	  29.17.1 Style Card Boucle De Requête en mode grille front end
*	  29.17.2 Style d'un avatar personnalisé en front end
*   29.18 BLOC ESPACEMENT FRONT END
*   29.18 BLOC READ MORE(balise lire la suite)
*   29.19 BLOC FAQ YOAST SEO TRANSFORMÉ EN ACCORDEON
*	29.20 SURLIGNEMENT TEXTE FRONT END
*   29.21 RESPONSIVE BLOC GUTENBERG FRONT END
*     29.21.1 Afficher/Masquer un bloc sur Mobile,Tablette ou PC
*     29.21.2 Alignement du texte sur mobile
*     29.21.3 Hauteur du bloc couverture sur mobile en Front End
*
*  30. FONCTION CONVERSION HEXDEC COLOR TO RGBA
*  31. FONCTION CONVERSION RGBA TO HEXDEC COLOR 
*  32. RÉCUPÉRATION SLUG DES TYPES DE PUBLICATIONS PERSONNALISÉES 
*  33. FONCTION IS_BLOG()
* 
*************************************************************************************************************/

//on définit la dernière version du plugin
define('ECCP_PLUGIN_VERSION', '2.8.9');

/* Empêche l'utilisateur public d'accéder directement aux fichiers .php via l'URL
et garantit que les fichiers du plugin seront exécutés uniquement dans l'environnement WordPress.*/
defined( 'ABSPATH' ) || die();


define( 'EDITOR_CUSTOM_COLOR_PALETTE_URL', plugin_dir_url( __FILE__ ) );

// plugin_basename( __FILE__ ) donne le chemin relatif du fichier principal du plugin 
// par rapport au répertoire plugins de WordPress et sans le  slash de début et de fin soit:
// editor-custom-color-palette/editor-custom-color-palette.php
define( 'ECCP_PLUGIN_PATH_NAME', plugin_basename( __FILE__ ) );


/*----------------------------------------------------------------------------*
 *           1. On charge le fichier de traduction
 *----------------------------------------------------------------------------*/

add_action( 'init', 'eccp_settings_load_textdomain' );

/* On charge le fichier de traduction .mo,  ECCP_PLUGIN_PATH_NAME ==> editor-custom-color-palette/editor-custom-color-palette.php
   dirname( ECCP_PLUGIN_PATH_NAME ) ==> editor-custom-color-palette soit le dossier du plugin
   Paramètres:  le domaine , Obsolète par défaut false,a partir du réperoire plugins de WordPress Chemin relatif vers le répertoire de langue où réside le fichier .mo : editor-custom-color-palette/languages */
function eccp_settings_load_textdomain() {
    load_plugin_textdomain( 'editor-custom-color-palette', FALSE, dirname( ECCP_PLUGIN_PATH_NAME ) . '/languages' );
}


// Forcer la traduction française en local à la place de celui du fichier de WordPress.org
// mis dans le dossier wpcontent/languages/plugins
// $mofile: chemin relatif du fichier de traduction a partir du dossier wpcontent
// soit: wpcontent/plugins/editor-custom-color-palette/editor-custom-color-palette-fr_FR.mo
// WP_PLUGIN_DIR chemin relatif du dossier plugins a partir du dossier wpcontent soit: wpcontent/plugins
// dirname( ECCP_PLUGIN_PATH_NAME ) ==> editor-custom-color-palette soit le dossier du plugin
// get_locale() permet de récupérer les paramètres régionaux en l'occurence: fr_FR
if(get_locale() == 'fr_FR') {
	add_filter( 'load_textdomain_mofile', 'eccp_load_custom_plugin_translation_file', 10, 2 );
}

function eccp_load_custom_plugin_translation_file( $mofile, $domain ) {
	
  if ( 'editor-custom-color-palette' === $domain ) {
    $mofile = WP_PLUGIN_DIR.'/' . dirname( ECCP_PLUGIN_PATH_NAME ) . '/languages/'.$domain.'-'. get_locale().'.mo';
  }
  
  return $mofile;
  
}

/*----------------------------------------------------------------------------*
 *     2. On inclut les fichiers relatif a la page de réglages du plugin
 *----------------------------------------------------------------------------*/

include 'inc/eccp-admin-menu.php';
include 'inc/eccp-multiple-settings.php';

/*---------------------------------------------------------------------------------------------------*
 *           3. Actions a réaliser si l'utilisateur choisi d'initialiser les paramètres du plugin
 *--------------------------------------------------------------------------------------------------*/

/* dans la table wp_options pour le champ:
   option_name = ecpp_multiple_setting  sont définit les réglages par défaut du plugin sous forme d'un tableau 
*/

add_action("admin_init", function () {
	
	// On récupère les paramètres général pour tous les onglets de réglages du plugin
	$default_settings = get_option( 'eccp_settings_default_settings' );
	$settings  = get_option( 'eccp_multiple_setting' );
	$editor_text_size_settings = get_option( 'eccp_setting_editor_text_size' );
	$custom_gutenberg_editor_settings = get_option( 'eccp_settings_custom_gutenberg_editor' );
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	$reusable_blocks_settings = get_option( 'eccp_settings_reusable_blocks' );
	$elementor_settings = get_option( 'eccp_settings_elementor' );
	$divi_settings = get_option( 'eccp_settings_divi_theme' );
	
	
	/* 
	 On récupère les réglages généraux du plugin sous forme de tableaux avec pour index:
	 
	 //----------------------------------  PARAMÈTRES PAR DÉFAUT  ----------------------------------------------------------
	 eccp_default_setting_radio_field: choix d'initialiser le plugin aux paramètres généraux par défaut
	 eccp_delete_data_uninstallation_radio_field: choix de supprimer les données lors de la désinstallation
	
	 //----------------------------------  EDITOR COLOR PALETTE ----------------------------------------------------------
	 eccp_settings_activate_customizing_color_palette_checkbox_field: activer la personnalisation de la palette de couleurs
	 eccp_settings_number_colors_select_field: choix du nombre de couleurs de la palette
	 // ------- COLOR 1 --------- 
	 eccp_settings_color_one_text_field: couleur N°1
	 eccp_settings_opacity_color_one_text_field: opacité de la couleur N°1
	 eccp_settings_name_color_one_text_field: nom de la couleur N°1
	 eccp_settings_slug_color_one_text_field: slug de la couleur N°1
	 eccp_settings_color_one: valeur de la couleur après application de l'opacité sélectionné par l'utilisateur
	 // ------- COLOR 2 --------- 
	 eccp_settings_color_two_text_field: couleur N°2
	 eccp_settings_opacity_color_two_text_field: opacité de la couleur N°2
	 eccp_settings_name_color_two_text_field: nom de la couleur N°2
	 eccp_settings_slug_color_two_text_field: slug de la couleur N°2
	 eccp_settings_color_two: valeur de la couleur après application de l'opacité sélectionné par l'utilisateur
	 //...........COLOR 3.........................
	 //.......... COLOR 4........................
	 //...........COLOR 5.........................
	 //...........COLOR 6.........................
	 //...........COLOR 7.........................
	 //...........COLOR 8.........................
	 //...........COLOR 9.........................
	 //...........COLOR 10.........................
	 //...........COLOR 11.........................
	 // ------- COLOR 12 --------- 
	 eccp_settings_color_twelve_text_field: couleur N°12
	 eccp_settings_opacity_color_twelve_text_field: opacité de la couleur N°12
	 eccp_settings_name_color_twelve_text_field: nom de la couleur N°12
	 eccp_settings_slug_color_twelve_text_field: slug de la couleur N°12
	 eccp_settings_color_twelve: valeur de la couleur après application de l'opacité sélectionné par l'utilisateur
	 
	 eccp_settings_disabling_custom_colors_checkbox_field: désactiver les couleurs personnalisées
	 eccp_settings_disabling_custom_gradients_checkbox_field: désactiver les dégradés personnalisés
	 
	 //----------------------------------  EDITOR TEXT SIZE PALETTE ----------------------------------------------------------
     eccp_settings_activate_editor_text_size_checkbox_field: Activer le réglage des tailles de texte
	 eccp_settings_small_font_size_text_field: renseigner en pixel la taille de police small
	 eccp_settings_regular_font_size_text_field: renseigner en pixel la taille de police regular
	 eccp_settings_large_font_size_text_field: renseigner en pixel la taille de police large
	 eccp_settings_huge_font_size_text_field: renseigner en pixel la taille de police larger
	 eccp_settings_disable_custom_font_size_checkbox_field: désactiver la taille de police personnalisée
	 
	 //----------------------------------  CUSTOM GUTENBERG EDITOR ----------------------------------------------------------
	 eccp_settings_disable_fullscreen_gutenberg_editor_checkbox_field : désactiver le mode plein écran de Gutenberg
	 eccp_settings_activate_default_style_sheet_on_front_end_checkbox_field: activer la feuille de style par défaut des 
	 blocs Gutenberg en Front End
	 eccp_settings_activate_align_wide_block_editor_checkbox_field: active l'alignement large 
	 ou pleine largeur pour l'editeur de blocs
	 eccp_settings_activate_responsive_embeds_checkbox_field: activer les embeds responsive(ex: intégration vidéos YouTube)
	 eccp_settings_post_embed_max_width_text_field: largeur max des vidéos intégrées pour les articles ex: YouTube
	 eccp_settings_page_embed_max_width_text_field: largeur max des vidéos intégrées pour les pages ex: YouTube
	 eccp_settings_cpt_embed_max_width_text_field: largeur max des vidéos intégrées pour les CPT ex: YouTube
	 eccp_corrective_according_to_theme_radio_field: corriger selon les thèmes le problème de marge interne haute et alignement centré des vidéos en Front End
	 eccp_settings_activate_editor_width_checkbox_field: activer le réglage de la largeur de l'editeur
	 eccp_settings_small_template_editor_text_field: largeur de l'editeur: petit modèle
	 eccp_settings_large_template_editor_text_field: largeur de l'editeur: grand modèle
	 eccp_settings_post_template_editor_select_field: choix du modèle de largeur de l'editeur pour les articles
	 eccp_settings_page_template_editor_select_field: choix du modèle de largeur de l'editeur pour les pages
	 eccp_settings_cpt_template_editor_select_field: choix du modèle de largeur de l'editeur pour les Custom Post Type
	 eccp_settings_page_title_alignment_select_field: alignement des titres des pages & articles sous l'editeur Gutenberg

     eccp_settings_activate_support_margin_padding_checkbox_field: Activer la prise en charge des nouveaux paramètres de bloc: Marge externe & Marge interne
     eccp_settings_activate_support_border_checkbox_field: Activer la prise en charge du nouveau paramètre de bloc: Bordure
	

	 //----------------------------------  CUSTOM GUTENBERG BLOCKS ----------------------------------------------------------
	 
	 //Configuré dans l'editeur Gutenberg a partir de la version 2.8
	 eccp_settings_activate_box_shadow_paragraph_block_radio_field: activer l'ombre de boite pour le bloc paragraphe
     eccp_settings_box_shadow_color_text_field: couleur pour l'ombre de boite     
     eccp_settings_box_shadow_opacity_text_field: opacité pour l'ombre de boite    
     eccp_settings_box_shadow_x_text_field:paramètre X pour l'ombre de boite
     eccp_settings_box_shadow_y_text_field:paramètre y pour l'ombre de boite 

     eccp_settings_box_shadow_blur_text_field:paramètre blur(flou) pour l'ombre de boite  
     eccp_settings_box_shadow_spread_text_field:paramètre spread(diffuser) pour l'ombre de boite 
	 eccp_settings_activate_style_card_paragraph_radio_field: activer le style card pour le bloc paragraphe
	 eccp_settings_activate_style_notice_question_radio_field: activer le style Notice: Question pour le bloc paragraphe
	 eccp_settings_icon_color_style_notice_question_text_field: couleur de l'icône pour le style notice question
	 eccp_settings_activate_style_notice_info_radio_field: activer le style Notice: Info pour le bloc paragraphe
	 eccp_settings_icon_color_style_notice_info_text_field: couleur de l'icône pour le style notice info
	 eccp_settings_activate_style_notice_advice_radio_field: activer le style Notice: Advice pour le bloc paragraphe
	 eccp_settings_icon_color_style_notice_advice_text_field: couleur de l'icône pour le style notice advice
	 eccp_settings_activate_style_notice_warning_radio_field: activer le style Notice: Warning pour le bloc paragraphe
	 eccp_settings_icon_color_style_notice_warning_text_field: couleur de l'icône pour le style notice warning
	 eccp_settings_activate_style_notice_alert_radio_field: activer le style Notice: Alert pour le bloc paragraphe
	 eccp_settings_icon_color_style_notice_alert_text_field: couleur de l'icône pour le style notice alert
	 eccp_settings_activate_style_click_to_tweet_radio_field: activer le style Click to Tweet pour le bloc paragraphe 
	 
	 eccp_settings_bulleted_list_color_text_field: couleur de la liste à puces
	 eccp_settings_bulleted_list_size_text_field: taille des puces pour le bloc liste
	 eccp_settings_activate_styles_bullet_list_radio_field: activer les styles de liste à puces
	 
	 eccp_settings_caption_font_size_text_field: taille de la police pour la légende du bloc image
	 eccp_settings_caption_padding_text_field: marge interne pour la légende du bloc image
	 eccp_settings_caption_color_text_field: couleur du texte de la légende
	 eccp_settings_caption_background_color_text_field: couleur d'arrière plan de la légende
	 eccp_settings_activate_style_image_circle_radio_field: activer le style Image Circle
	 eccp_settings_activate_style_image_filter_grayscale_radio_field: activer le style Image Filter Grayscale
	 eccp_settings_activate_style_image_card_radio_field:activer le style Image Carte
	 
	 eccp_settings_activate_button_styles_hover_radio_field: activer les styles des boutons au survol
	
	 //Configuré dans l'editeur Gutenberg a partir de la version 2.6
	 eccp_settings_hover_fill_style_background_color_text_field: couleur d'arrière plan au survol pour le style "Plein" du bouton 
	 eccp_settings_hover_fill_style_backgound_color_opacity_text_field: opacité de la couleur d'arrière plan au survol pour le style "Plein" du bouton 
	 eccp_settings_hover_fill_style_border_color_text_field: couleur de bordure du bouton au survol pour le style "Plein"
	 eccp_settings_hover_fill_style_text_color_text_field: couleur du texte pour le bouton au survol pour le style "Plein"
	 
	 //Configuré dans l'editeur Gutenberg a partir de la version 2.6
	 eccp_settings_hover_outline_style_background_color_text_field: couleur d'arrière plan au survol pour le style "Contour" du bouton 
	 eccp_settings_hover_outline_style_backgound_color_opacity_text_field: opacité de la couleur d'arrière plan au survol pour le style "Contour" du bouton 
	 eccp_settings_hover_outline_style_border_color_text_field: couleur de bordure du bouton au survol pour le style "Contour"
	 eccp_settings_hover_outline_style_text_color_text_field: couleur du texte pour le bouton au survol pour le style "Contour"
	 
	 eccp_settings_activate_columns_block_styles_radio_field: Activer les styles pour le bloc parent colonnes
	 
	 eccp_settings_activate_media_text_block_styles_radio_field: Activer les styles pour le bloc Média & Texte
	 
	 
	 eccp_settings_activate_block_styles_read_more_radio_field: Activer les styles pour le bloc Lire La Suite
	 eccp_settings_link_text_read_more_text_field: texte du lien pour la balise Lire La Suite
	 
	 eccp_settings_block_read_more_background_color_text_field: couleur d'arrière plan au survol pour le style du bloc Lire La Suite 
	 eccp_settings_block_read_more_backgound_color_opacity_text_field: opacité de la couleur d'arrière plan pour le style du bloc Lire La Suite
	 eccp_settings_block_read_more_border_color_text_field: couleur de bordure pour le style du bloc Lire La Suite
	 eccp_settings_block_read_more_text_color_text_field: couleur du texte pour le style du bloc Lire La Suite
	 
	 eccp_settings_block_read_more_hover_background_color_text_field: couleur d'arrière plan pour le style du bloc Lire La Suite au survol  
	 eccp_settings_block_read_more_hover_backgound_color_opacity_text_field: opacité de la couleur d'arrière plan pour le style du bloc Lire La Suite au survol 
	 eccp_settings_block_read_more_hover_border_color_text_field: couleur de bordure pour le style du bloc Lire La Suite au survol
	 eccp_settings_block_read_more_hover_text_color_text_field: couleur du texte pour le style du bloc Lire La Suite au survol
	 
	 eccp_settings_activate_block_styles_table_radio_field: activer les styles pour le bloc table
	 
	 eccp_settings_activate_card_style_latest_posts_block_radio_field: activer le style Carte pour le bloc Derniers Articles
	 
	 eccp_settings_activate_card_style_query_loop_block_radio_field: activer le style Carte pour le bloc Boucle De Requête
	 eccp_settings_activate_custom_avatar_radio_field: activer un gravatar personnalisé
	 eccp_settings_custom_avatar_url_text_field: URL pour le gravatar personnalisé du bloc Boucle De Requête
	 eccp_settings_custom_avatar_size_text_field: taille de l'avatar personnalisé en pixel
	 
	 eccp_settings_turn_yoast_faq_block_an_accordion_radio_field: Transformer le bloc FAQ YOAST SEO en accordéon
	 eccp_settings_width_block_faq_yoast_text_field: Largeur du block FAQ YOAST
	 
	 eccp_settings_activate_script_reactjs_radio_field: Activer le script basé sur ReactJS pour plus de personnalisation des blocs
	 
	 //----------------------------------  ADDONS REUSABLE BLOCKS ----------------------------------------------------------
	 eccp_activate_reusable_blocks_menu_checkbox_field: activer le menu blocs réutilisables en back office
	 eccp_settings_quotation_marks_color_text_field:  couleur des guillemets   
	 eccp_settings_quotation_marks_opacity_text_field: opacité des guillemets
	 eccp_settings_font_weight_blockquote_select_field: graisse de la police pour le blockquote ( plus utilisé a partir de la version 2.3)
	 eccp_settings_font_size_blockquote_text_field: taille de la police pour le blockquote ( plus utilisé a partir de la version 2.3)
	 eccp_settings_width_blockquote_post_back_office_text_field: largeur du blockquote en back office pour les articles
	 eccp_settings_width_blockquote_post_front_end_text_field: largeur du blockquote en front end pour les articles
	 eccp_settings_width_blockquote_page_back_office_text_field: largeur du blockquote en back office pour les pages
	 eccp_settings_width_blockquote_page_front_end_text_field: largeur du blockquote en front end pour les pages
	 eccp_settings_width_blockquote_cpt_back_office_text_field: largeur du blockquote en back office pour les Custom Post Type
	 eccp_settings_width_blockquote_cpt_front_end_text_field: largeur du blockquote en front end pour les Custom Post Type
	 eccp_settings_custom_paragraph_border_color_text_field: couleur de la bordure pour le bloc Mettre en évidence
	 eccp_settings_opacity_custom_paragraph_border_color_text_field: opacité couleur de la bordure pour le bloc Mettre en évidence
	 eccp_settings_custom_paragraph_border_color: valeur de la couleur de bordure après application de l'opacité sélectionné par l'utilisateur
	 eccp_settings_custom_paragraph_width_post_back_office_text_field: largeur du bloc Mettre En Évidence en back office pour les articles
	 eccp_settings_custom_paragraph_width_post_front_end_text_field: largeur du bloc Mettre En Évidence en front end pour les articles
	 eccp_settings_custom_paragraph_width_page_back_office_text_field: largeur du bloc Mettre En Évidence en back office pour les pages
	 eccp_settings_custom_paragraph_width_page_front_end_text_field: largeur du bloc Mettre En Évidence en front end pour les pages
	 eccp_settings_custom_paragraph_width_cpt_back_office_text_field: largeur du bloc Mettre En Évidence en back office pour les Custom Post Type
	 eccp_settings_custom_paragraph_width_cpt_front_end_text_field: largeur du bloc Mettre En Évidence en front end pour les les Custom Post Type
	 
	 //----------------------------------  ELEMENTOR COLOR PALETTE ----------------------------------------------------------
	 eccp_activate_synchronization_color_palette_radio_field: activer la synchronisation de la palette de couleurs Elementor avec celle de Gutenberg
	 
	 //----------------------------------  DIVI COLOR PALETTE ----------------------------------------------------------
	 eccp_activate_synchronization_divi_color_palette_radio_field: activer la synchronisation de la palette de couleurs DIVI 
	 eccp_choose_synchronization_radio_field: choix du mode de synchronization,Gutenberg vers Divi ou Divi Vers Gutenberg
	 
	 */
	
	// L'utilisateur a choisi sur la page de réglages général d'initialiser les valeurs 
	// de réglages par défaut du plugin
	if ($default_settings['eccp_default_setting_radio_field'] == 'yes') {
	
		//----------------------------------  PARAMÈTRES PAR DÉFAUT  ----------------------------------------------------------
		// Attention! le champ radio ne prend pas de valeur avec majuscule ni d'espace
		$default_settings['eccp_default_setting_radio_field'] = 'no';
		$default_settings['eccp_delete_data_uninstallation_radio_field'] = 'no';
		
		//----------------------------------  EDITOR COLOR PALETTE ----------------------------------------------------------
		$settings['eccp_settings_activate_customizing_color_palette_checkbox_field'] = true;
		$settings['eccp_settings_number_colors_select_field'] = '12';
		
		// Couleur N° 1
		$settings['eccp_settings_color_one_text_field'] = '#F37020';
		$settings['eccp_settings_opacity_color_one_text_field'] = '100';
		$settings['eccp_settings_name_color_one_text_field'] = 'Primary';
		$settings['eccp_settings_slug_color_one_text_field'] = 'primary';
		$settings['eccp_settings_color_one'] = '#F37020';
		// Couleur N° 2
		$settings['eccp_settings_color_two_text_field'] = '#B84331';
		$settings['eccp_settings_opacity_color_two_text_field'] = '100';
		$settings['eccp_settings_name_color_two_text_field'] = 'Secondary';
		$settings['eccp_settings_slug_color_two_text_field'] = 'secondary';
		$settings['eccp_settings_color_two'] = '#B84331';
		// Couleur N° 3
		$settings['eccp_settings_color_three_text_field'] = '#666666';
		$settings['eccp_settings_opacity_color_three_text_field'] = '100';
		$settings['eccp_settings_name_color_three_text_field'] = 'Text';
		$settings['eccp_settings_slug_color_three_text_field'] = 'text';
		$settings['eccp_settings_color_three'] = '#666666';
		// Couleur N° 4
		$settings['eccp_settings_color_four_text_field'] = '#0E6487';
		$settings['eccp_settings_opacity_color_four_text_field'] = '100';
		$settings['eccp_settings_name_color_four_text_field'] = 'Accent';
		$settings['eccp_settings_slug_color_four_text_field'] = 'accent';
		$settings['eccp_settings_color_four'] = '#0E6487';
		// Couleur N° 5
		$settings['eccp_settings_color_five_text_field'] = '#333333';
		$settings['eccp_settings_opacity_color_five_text_field'] = '100';
		$settings['eccp_settings_name_color_five_text_field'] = 'title color';
		$settings['eccp_settings_slug_color_five_text_field'] = 'title-color';
		$settings['eccp_settings_color_five'] = '#333333';
		// Couleur N° 6
		$settings['eccp_settings_color_six_text_field'] = '#F0F2F6';
		$settings['eccp_settings_opacity_color_six_text_field'] = '100';
		$settings['eccp_settings_name_color_six_text_field'] = 'light off-white';
		$settings['eccp_settings_slug_color_six_text_field'] = 'light-off-white';
		$settings['eccp_settings_color_six'] = '#F0F2F6';
		// Couleur N° 7
		$settings['eccp_settings_color_seven_text_field'] = '#E6E8ED';
		$settings['eccp_settings_opacity_color_seven_text_field'] = '100';
		$settings['eccp_settings_name_color_seven_text_field'] = 'dark off-white';
		$settings['eccp_settings_slug_color_seven_text_field'] = 'dark-off-white';
		$settings['eccp_settings_color_seven'] = '#E6E8ED';
		// Couleur N° 8
		$settings['eccp_settings_color_eight_text_field'] = '#FFFFFF';
		$settings['eccp_settings_opacity_color_eight_text_field'] = '100';
		$settings['eccp_settings_name_color_eight_text_field'] = 'white';
		$settings['eccp_settings_slug_color_eight_text_field'] = 'white';
		$settings['eccp_settings_color_eight'] = '#FFFFFF';
		// Couleur N° 9
		$settings['eccp_settings_color_nine_text_field'] = '#8FB63F';
		$settings['eccp_settings_opacity_color_nine_text_field'] = '100';
		$settings['eccp_settings_name_color_nine_text_field'] = 'green';
		$settings['eccp_settings_slug_color_nine_text_field'] = 'green';
		$settings['eccp_settings_color_nine'] = '#8FB63F';
		// Couleur N° 10
		$settings['eccp_settings_color_ten_text_field'] = '#8FB63F';
		$settings['eccp_settings_opacity_color_ten_text_field'] = '51';
		$settings['eccp_settings_name_color_ten_text_field'] = 'light green';
		$settings['eccp_settings_slug_color_ten_text_field'] = 'light-green';
		$settings['eccp_settings_color_ten'] = 'rgba(143,182,63,0.51)';
		// Couleur N° 11
		$settings['eccp_settings_color_eleven_text_field'] = '#FF0000';
		$settings['eccp_settings_opacity_color_eleven_text_field'] = '100';
		$settings['eccp_settings_name_color_eleven_text_field'] = 'red';
		$settings['eccp_settings_slug_color_eleven_text_field'] = 'red';
		$settings['eccp_settings_color_eleven'] = '#FF0000';
		// Couleur N° 12
		$settings['eccp_settings_color_twelve_text_field'] = '#F3E672';
		$settings['eccp_settings_opacity_color_twelve_text_field'] = '70';
		$settings['eccp_settings_name_color_twelve_text_field'] = 'light yellow';
		$settings['eccp_settings_slug_color_twelve_text_field'] = 'light-yellow';
		$settings['eccp_settings_color_twelve'] = 'rgba(243,230,114,0.70)';
		
		$settings['eccp_settings_disabling_custom_colors_checkbox_field'] = false;
		$settings['eccp_settings_disabling_custom_gradients_checkbox_field'] = false;
		
		//----------------------------------  EDITOR TEXT SIZE PALETTE  ----------------------------------------------------------
	    $editor_text_size_settings['eccp_settings_activate_editor_text_size_checkbox_field'] = true;
		$editor_text_size_settings['eccp_settings_small_font_size_text_field'] = '18';
		$editor_text_size_settings['eccp_settings_regular_font_size_text_field'] = '20';
		$editor_text_size_settings['eccp_settings_large_font_size_text_field'] = '24';
		$editor_text_size_settings['eccp_settings_huge_font_size_text_field'] = '30';
		$editor_text_size_settings['eccp_settings_disable_custom_font_size_checkbox_field'] = false;
		
		//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
	    $custom_gutenberg_editor_settings['eccp_settings_disable_fullscreen_gutenberg_editor_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_default_style_sheet_on_front_end_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_align_wide_block_editor_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_responsive_embeds_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field'] = 640;
		$custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field'] = 960;
		$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'] = 640;
		$custom_gutenberg_editor_settings['eccp_corrective_according_to_theme_radio_field'] = 'no';
		$custom_gutenberg_editor_settings['eccp_settings_activate_editor_width_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] = 696;
		$custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] = 1100;
		$custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field'] = 'small';
		$custom_gutenberg_editor_settings['eccp_settings_page_template_editor_select_field'] = 'large';
		$custom_gutenberg_editor_settings['eccp_settings_cpt_template_editor_select_field'] = 'large';
		$custom_gutenberg_editor_settings['eccp_settings_page_title_alignment_select_field'] = 'center';
		
		$custom_gutenberg_editor_settings['eccp_settings_activate_support_margin_padding_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_support_border_checkbox_field'] = false;
		
		//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
		
		// Paramètres renseignés dans l'editeur Gutenberg a partir de la version 2.8
		//$custom_gutenberg_blocks_settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] = 'no';
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_color_text_field'] ='#000000';
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_opacity_text_field'] = '70';
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field']= 0;
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'] = 4;
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'] = 12; 
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'] = -8;
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_card_paragraph_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_question_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_question_text_field'] ='#666666';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_info_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_info_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_advice_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_advice_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_warning_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_warning_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_alert_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_alert_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_click_to_tweet_radio_field'] = 'no';
		
		
		// Paramètres renseignés dans l'editeur Gutenberg a partir de la version 2.5
		//$custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_color_text_field'] = '#F37020';
		//$custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field'] = '20';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_styles_bullet_list_radio_field'] = 'no';
		
		
		$custom_gutenberg_blocks_settings['eccp_settings_caption_font_size_text_field'] = '15';
		$custom_gutenberg_blocks_settings['eccp_settings_caption_padding_text_field'] = '5';
		$custom_gutenberg_blocks_settings['eccp_settings_caption_color_text_field'] = '#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_caption_background_color_text_field'] = '#D5590B';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_card_radio_field'] = 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_button_styles_hover_radio_field'] = 'no';
		
		//Configuré dans l'editeur Gutenberg a partir de la version 2.6
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_background_color_text_field'] ='#000000';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_backgound_color_opacity_text_field'] = '0';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_border_color_text_field'] ='#D5590B';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_text_color_text_field'] ='#D5590B';
		
		//Configuré dans l'editeur Gutenberg a partir de la version 2.6
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_background_color_text_field'] ='#D5590B';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_backgound_color_opacity_text_field'] = '100';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_border_color_text_field'] ='#D5590B';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_text_color_text_field'] ='#FFFFFF';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_columns_block_styles_radio_field'] = 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_media_text_block_styles_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_link_text_read_more_text_field'] = 'Read more';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'] ='#F37020';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'] = '100';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field'] ='#F37020';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field'] ='#FFFFFF';
		
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'] ='#000000';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'] = '0';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field'] ='#D5590B';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field'] ='#D5590B';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_table_radio_field']= 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_latest_posts_block_radio_field']= 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_query_loop_block_radio_field']= 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_custom_avatar_radio_field']= 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field'] ='';
		$custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field'] =48;

		$custom_gutenberg_blocks_settings['eccp_settings_turn_yoast_faq_block_an_accordion_radio_field']= 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field'] =100;

		$custom_gutenberg_blocks_settings['eccp_settings_activate_script_reactjs_radio_field']= 'no';
		//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
		$reusable_blocks_settings['eccp_activate_reusable_blocks_menu_checkbox_field'] = false;
		$reusable_blocks_settings['eccp_settings_quotation_marks_color_text_field'] ='#F37020';   
		$reusable_blocks_settings['eccp_settings_quotation_marks_opacity_text_field'] = '60';
		//$reusable_blocks_settings['eccp_settings_font_weight_blockquote_select_field'] = '700';
		//$reusable_blocks_settings['eccp_settings_font_size_blockquote_text_field'] = '20';
		$reusable_blocks_settings['eccp_settings_width_blockquote_post_back_office_text_field'] = '74';
		$reusable_blocks_settings['eccp_settings_width_blockquote_post_front_end_text_field'] = '70';
		$reusable_blocks_settings['eccp_settings_width_blockquote_page_back_office_text_field'] = '60';
		$reusable_blocks_settings['eccp_settings_width_blockquote_page_front_end_text_field'] = '62';
		$reusable_blocks_settings['eccp_settings_width_blockquote_cpt_back_office_text_field'] = '60';
		$reusable_blocks_settings['eccp_settings_width_blockquote_cpt_front_end_text_field'] = '61';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color_text_field'] = '#F37020';
		$reusable_blocks_settings['eccp_settings_opacity_custom_paragraph_border_color_text_field'] = '70';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color'] = 'rgba(243,112,32,0.7)';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'] = '95';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_front_end_text_field'] = '100';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'] = '60';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_front_end_text_field'] = '62';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'] = '55';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_front_end_text_field'] = '62';
		
		//----------------------------------  ELEMENTOR COLOR PALETTE  ----------------------------------------------------------
		$elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] = 'no';
		
		//----------------------------------  DIVI COLOR PALETTE ----------------------------------------------------------
		$divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] = 'no';
		$divi_settings['eccp_choose_synchronization_radio_field'] = 'synchro-gutenberg-to-divi';
		
		//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
		update_option( 'eccp_settings_default_settings', $default_settings, '', 'yes' );
		update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
		update_option( 'eccp_setting_editor_text_size', $editor_text_size_settings, '', 'yes' );
		update_option( 'eccp_settings_custom_gutenberg_editor', $custom_gutenberg_editor_settings, '', 'yes' );
		update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
		update_option( 'eccp_settings_reusable_blocks', $reusable_blocks_settings, '', 'yes' );
		update_option( 'eccp_settings_elementor', $elementor_settings, '', 'yes' );
		update_option( 'eccp_settings_divi_theme', $divi_settings, '', 'yes' );
	 
	}
	

});

 
/*----------------------------------------------------------------------------*
 *           4. Actions a réaliser à l'activation du Plugin
 *----------------------------------------------------------------------------*/
 

/* A l'activation du plugin on ajoute dans la table wp_options pour les champs:
   option_name = ecpp_multiple_setting  les réglages par défaut du plugin sous forme d'un tableau 
*/
function eccp_editor_custom_color_palette_activate() {
	
   // On récupère les paramètres général de réglages du plugin
   $settings  = get_option( 'ecpp_multiple_setting' );
  
   // on n'initialise pas le plugin aux valeurs de réglages par défaut 
   // si l'utilisateur a déjà paramétré le plugin
   // cas ou l'utilisateur a désactivé puis réactivé le plugin
   if ( empty( $settings ) ) {
	   
		//----------------------------------  PARAMÈTRES PAR DÉFAUT  ----------------------------------------------------------
		// Attention! le champ radio ne prend pas de valeur avec majuscule ni d'espace
		$default_settings['eccp_default_setting_radio_field'] = 'no';
		$default_settings['eccp_delete_data_uninstallation_radio_field'] = 'no';
	    
		//----------------------------------  EDITOR COLOR PALETTE ----------------------------------------------------------
	    $settings['eccp_settings_activate_customizing_color_palette_checkbox_field'] = true;
		$settings['eccp_settings_number_colors_select_field'] = '12';
		
		// Couleur N° 1
		$settings['eccp_settings_color_one_text_field'] = '#F37020';
		$settings['eccp_settings_opacity_color_one_text_field'] = '100';
		$settings['eccp_settings_name_color_one_text_field'] = 'Primary';
		$settings['eccp_settings_slug_color_one_text_field'] = 'primary';
		$settings['eccp_settings_color_one'] = '#F37020';
	    // Couleur N° 2
		$settings['eccp_settings_color_two_text_field'] = '#B84331';
		$settings['eccp_settings_opacity_color_two_text_field'] = '100';
		$settings['eccp_settings_name_color_two_text_field'] = 'Secondary';
		$settings['eccp_settings_slug_color_two_text_field'] = 'secondary';
		$settings['eccp_settings_color_two'] = '#B84331';
				// Couleur N° 3
		$settings['eccp_settings_color_three_text_field'] = '#666666';
		$settings['eccp_settings_opacity_color_three_text_field'] = '100';
		$settings['eccp_settings_name_color_three_text_field'] = 'Text';
		$settings['eccp_settings_slug_color_three_text_field'] = 'text';
		$settings['eccp_settings_color_three'] = '#666666';
		// Couleur N° 4
		$settings['eccp_settings_color_four_text_field'] = '#0E6487';
		$settings['eccp_settings_opacity_color_four_text_field'] = '100';
		$settings['eccp_settings_name_color_four_text_field'] = 'Accent';
		$settings['eccp_settings_slug_color_four_text_field'] = 'accent';
		$settings['eccp_settings_color_four'] = '#0E6487';
		// Couleur N° 5
		$settings['eccp_settings_color_five_text_field'] = '#333333';
		$settings['eccp_settings_opacity_color_five_text_field'] = '100';
		$settings['eccp_settings_name_color_five_text_field'] = 'title color';
		$settings['eccp_settings_slug_color_five_text_field'] = 'title-color';
		$settings['eccp_settings_color_five'] = '#333333';
		// Couleur N° 6
		$settings['eccp_settings_color_six_text_field'] = '#F0F2F6';
		$settings['eccp_settings_opacity_color_six_text_field'] = '100';
		$settings['eccp_settings_name_color_six_text_field'] = 'light off-white';
		$settings['eccp_settings_slug_color_six_text_field'] = 'light-off-white';
		$settings['eccp_settings_color_six'] = '#F0F2F6';
		// Couleur N° 7
		$settings['eccp_settings_color_seven_text_field'] = '#E6E8ED';
		$settings['eccp_settings_opacity_color_seven_text_field'] = '100';
		$settings['eccp_settings_name_color_seven_text_field'] = 'dark off-white';
		$settings['eccp_settings_slug_color_seven_text_field'] = 'dark-off-white';
		$settings['eccp_settings_color_seven'] = '#E6E8ED';
		// Couleur N° 8
		$settings['eccp_settings_color_eight_text_field'] = '#FFFFFF';
		$settings['eccp_settings_opacity_color_eight_text_field'] = '100';
		$settings['eccp_settings_name_color_eight_text_field'] = 'white';
		$settings['eccp_settings_slug_color_eight_text_field'] = 'white';
		$settings['eccp_settings_color_eight'] = '#FFFFFF';
		// Couleur N° 9
		$settings['eccp_settings_color_nine_text_field'] = '#8FB63F';
		$settings['eccp_settings_opacity_color_nine_text_field'] = '100';
		$settings['eccp_settings_name_color_nine_text_field'] = 'green';
		$settings['eccp_settings_slug_color_nine_text_field'] = 'green';
		$settings['eccp_settings_color_nine'] = '#8FB63F';
		// Couleur N° 10
		$settings['eccp_settings_color_ten_text_field'] = '#8FB63F';
		$settings['eccp_settings_opacity_color_ten_text_field'] = '51';
		$settings['eccp_settings_name_color_ten_text_field'] = 'light green';
		$settings['eccp_settings_slug_color_ten_text_field'] = 'light-green';
		$settings['eccp_settings_color_ten'] = 'rgba(143,182,63,0.51)';
		// Couleur N° 11
		$settings['eccp_settings_color_eleven_text_field'] = '#FF0000';
		$settings['eccp_settings_opacity_color_eleven_text_field'] = '100';
		$settings['eccp_settings_name_color_eleven_text_field'] = 'red';
		$settings['eccp_settings_slug_color_eleven_text_field'] = 'red';
		$settings['eccp_settings_color_eleven'] = '#FF0000';
		// Couleur N° 12
		$settings['eccp_settings_color_twelve_text_field'] = '#F3E672';
		$settings['eccp_settings_opacity_color_twelve_text_field'] = '70';
		$settings['eccp_settings_name_color_twelve_text_field'] = 'light yellow';
		$settings['eccp_settings_slug_color_twelve_text_field'] = 'light-yellow';
		$settings['eccp_settings_color_twelve'] = 'rgba(243,230,114,0.70)';
		
		$settings['eccp_settings_disabling_custom_colors_checkbox_field'] = false;
		$settings['eccp_settings_disabling_custom_gradients_checkbox_field'] = false;
		
		//----------------------------------  EDITOR TEXT SIZE PALETTE ----------------------------------------------------------
		$editor_text_size_settings['eccp_settings_activate_editor_text_size_checkbox_field'] = true;
		$editor_text_size_settings['eccp_settings_small_font_size_text_field'] = '18';
		$editor_text_size_settings['eccp_settings_regular_font_size_text_field'] = '20';
		$editor_text_size_settings['eccp_settings_large_font_size_text_field'] = '24';
		$editor_text_size_settings['eccp_settings_huge_font_size_text_field'] = '30';
		$editor_text_size_settings['eccp_settings_disable_custom_font_size_checkbox_field'] = false;
	   
	    //----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
	    $custom_gutenberg_editor_settings['eccp_settings_disable_fullscreen_gutenberg_editor_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_default_style_sheet_on_front_end_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_align_wide_block_editor_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_responsive_embeds_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field'] = 640;
		$custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field'] = 960;
		$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'] = 640;
		$custom_gutenberg_editor_settings['eccp_corrective_according_to_theme_radio_field'] = 'no';
		$custom_gutenberg_editor_settings['eccp_settings_activate_editor_width_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] = 696;
		$custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] = 1100;
		$custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field'] = 'small';
		$custom_gutenberg_editor_settings['eccp_settings_page_template_editor_select_field'] = 'large';
		$custom_gutenberg_editor_settings['eccp_settings_cpt_template_editor_select_field'] = 'large';
		$custom_gutenberg_editor_settings['eccp_settings_page_title_alignment_select_field'] = 'center';
		
		$custom_gutenberg_editor_settings['eccp_settings_activate_support_margin_padding_checkbox_field'] = false;
		$custom_gutenberg_editor_settings['eccp_settings_activate_support_border_checkbox_field'] = false;
		
		//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
		
		// Paramètres renseignés dans l'editeur Gutenberg a partir de la version 2.8
		//$custom_gutenberg_blocks_settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] = 'no';
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_color_text_field'] ='#000000';
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_opacity_text_field'] = '70';
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field']= 0;
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'] = 4;
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'] = 12; 
		//$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'] = -8;
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_card_paragraph_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_question_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_question_text_field'] ='#666666';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_info_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_info_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_advice_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_advice_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_warning_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_warning_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_alert_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_alert_text_field'] ='#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_click_to_tweet_radio_field'] = 'no';
		
		// Paramètres renseignés dans l'editeur Gutenberg a partir de la version 2.5
		//$custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_color_text_field'] = '#F37020';
		//$custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field'] = '20';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_styles_bullet_list_radio_field'] = 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_caption_font_size_text_field'] = '15';
		$custom_gutenberg_blocks_settings['eccp_settings_caption_padding_text_field'] = '5';
		$custom_gutenberg_blocks_settings['eccp_settings_caption_color_text_field'] = '#FFFFFF';
		$custom_gutenberg_blocks_settings['eccp_settings_caption_background_color_text_field'] = '#D5590B';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_card_radio_field'] = 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_button_styles_hover_radio_field'] = 'no';
		
		//Configuré dans l'editeur Gutenberg a partir de la version 2.6
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_background_color_text_field'] ='#000000';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_backgound_color_opacity_text_field'] = '0';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_border_color_text_field'] ='#D5590B';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_text_color_text_field'] ='#D5590B';
		
		//Configuré dans l'editeur Gutenberg a partir de la version 2.6
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_background_color_text_field'] ='#D5590B';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_backgound_color_opacity_text_field'] = '100';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_border_color_text_field'] ='#D5590B';
		//$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_text_color_text_field'] ='#FFFFFF';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_columns_block_styles_radio_field'] = 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_media_text_block_styles_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_link_text_read_more_text_field'] = 'Read more';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] = 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'] ='#F37020';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'] = '100';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field'] ='#F37020';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field'] ='#FFFFFF';
		
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'] ='#000000';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'] = '0';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field'] ='#D5590B';
		$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field'] ='#D5590B';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_table_radio_field']= 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_latest_posts_block_radio_field']= 'no';
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_query_loop_block_radio_field']= 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_activate_custom_avatar_radio_field']= 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field'] ='';
		$custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field'] =48;
		
		$custom_gutenberg_blocks_settings['eccp_settings_turn_yoast_faq_block_an_accordion_radio_field']= 'no';
		$custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field'] =100;
		
		$custom_gutenberg_blocks_settings['eccp_settings_activate_script_reactjs_radio_field']= 'no';
		//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
		$reusable_blocks_settings['eccp_activate_reusable_blocks_menu_checkbox_field'] = false;
		$reusable_blocks_settings['eccp_settings_quotation_marks_color_text_field'] ='#F37020';   
		$reusable_blocks_settings['eccp_settings_quotation_marks_opacity_text_field'] = '60';
		//$reusable_blocks_settings['eccp_settings_font_weight_blockquote_select_field'] = '700';
		//$reusable_blocks_settings['eccp_settings_font_size_blockquote_text_field'] = '20';
		$reusable_blocks_settings['eccp_settings_width_blockquote_post_back_office_text_field'] = '74';
		$reusable_blocks_settings['eccp_settings_width_blockquote_post_front_end_text_field'] = '70';
		$reusable_blocks_settings['eccp_settings_width_blockquote_page_back_office_text_field'] = '60';
		$reusable_blocks_settings['eccp_settings_width_blockquote_page_front_end_text_field'] = '62';
		$reusable_blocks_settings['eccp_settings_width_blockquote_cpt_back_office_text_field'] = '60';
		$reusable_blocks_settings['eccp_settings_width_blockquote_cpt_front_end_text_field'] = '61';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color_text_field'] = '#F37020';
		$reusable_blocks_settings['eccp_settings_opacity_custom_paragraph_border_color_text_field'] = '70';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color'] = 'rgba(243,112,32,0.7)';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'] = '95';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_front_end_text_field'] = '100';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'] = '60';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_front_end_text_field'] = '62';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'] = '55';
		$reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_front_end_text_field'] = '62';
		
		//----------------------------------  ELEMENTOR COLOR PALETTE  ----------------------------------------------------------
		$elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] = 'no';
		
		//----------------------------------  DIVI COLOR PALETTE ----------------------------------------------------------
		$divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] = 'no';
		$divi_settings['eccp_choose_synchronization_radio_field'] = 'synchro-gutenberg-to-divi';
		
	   //Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
	   add_option( 'eccp_settings_default_settings', $default_settings, '', 'yes' );
	   add_option( 'eccp_multiple_setting', $settings, '', 'yes' );
	   add_option( 'eccp_setting_editor_text_size', $editor_text_size_settings, '', 'yes' );
	   add_option( 'eccp_settings_custom_gutenberg_editor', $custom_gutenberg_editor_settings, '', 'yes' );
	   add_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
	   add_option( 'eccp_settings_reusable_blocks', $reusable_blocks_settings, '', 'yes' );
	   add_option( 'eccp_settings_elementor', $elementor_settings, '', 'yes' );
	   add_option( 'eccp_settings_divi_theme', $divi_settings, '', 'yes' );
   
   }
    
}

register_activation_hook( __FILE__, 'eccp_editor_custom_color_palette_activate' ); 


/*----------------------------------------------------------------------------*
 *          4.1  Actions a réaliser aprés la mise à jour du plugin
 *----------------------------------------------------------------------------*/
 
 
// On effectue la mise à niveau de la base de données
// si la version active du plugin est différente
// de la dernière version du plugin: ECCP_PLUGIN_VERSION
// on utilise le hook plugin_loaded
// une fois que le plugin a été activé et chargé le hook plugin_loaded
// se déclenche à la fois sur les écrans d'administration et publics.
add_action('plugin_loaded', 'eccp_updated_plugin');

function eccp_updated_plugin()	{
	
	// On récupère les paramètres pour tous les onglets de réglages du plugin
	$default_settings = get_option( 'eccp_settings_default_settings' );
	$settings = get_option( 'eccp_multiple_setting' );
	$editor_text_size_settings = get_option( 'eccp_setting_editor_text_size' );
	$custom_gutenberg_editor_settings = get_option( 'eccp_settings_custom_gutenberg_editor' );
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	$reusable_blocks_settings = get_option( 'eccp_settings_reusable_blocks' );
	$elementor_settings = get_option( 'eccp_settings_elementor' );
	$divi_settings = get_option( 'eccp_settings_divi_theme' );
	
	// on récupère la version logicielle active du plugin
	$settings_version  = get_option('active_plugin_version');
	
	// il n'y a qu'a partir de la version 1.9 du plugin que l'on va gérer correctement
	// la version logicielle & l'update du plugin.
	// donc get_option('active_plugin_version') ne retourne rien
	if ( !empty( $settings_version) ) {
		$active_version = $settings_version;
	}else{
		
		// code pour la 1ère installation du plugin ou aucune version active
		// du plugin n'est renseigné en base de données
		add_option( 'active_plugin_version',ECCP_PLUGIN_VERSION , '', 'yes' );
		
		return;
		
	}
	
	if ($active_version == ECCP_PLUGIN_VERSION) {
			return;
	}
		
		
	while ($active_version != ECCP_PLUGIN_VERSION) {
		 
		// Mise à jour selon la version logicielle du plugin
		switch ($active_version) {
			
			case '1.0':
		
			//------------------------ MISE A JOUR POUR LA VERSION 1.1 -----------------------------------*/
			
			// seulement mise a jour version logicielle pour la base de données	
			$active_version ='1.1';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
		
		
			case '1.1':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.2 -----------------------------------*/
			
			// seulement mise a jour version logicielle pour la base de données	
			$active_version ='1.2';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '1.2':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.3 -----------------------------------*/
			
			//----------------------------------  EDITOR COLOR PALETTE ----------------------------------------------------------
			$settings['eccp_settings_color_ten'] = 'rgba(143,182,63,0.51)';
			$settings['eccp_settings_color_twelve_text_field'] = '#F3E672';
			$settings['eccp_settings_opacity_color_twelve_text_field'] = '70';
			$settings['eccp_settings_color_twelve'] = 'rgba(243,230,114,0.70)';
			
			//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
			$settings['eccp_settings_activate_editor_width_checkbox_field'] = false;
			$settings['eccp_settings_small_template_editor_text_field'] = 696;
			$settings['eccp_settings_large_template_editor_text_field'] = 1100;
			$settings['eccp_settings_post_template_editor_select_field'] = 'small';
			$settings['eccp_settings_page_template_editor_select_field'] = 'large';
			$settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] = 'no';
			$settings['eccp_settings_bulleted_list_color_text_field'] = '#F37020';
			$settings['eccp_settings_bulleted_list_size_text_field'] = '20';
			$settings['eccp_settings_caption_font_size_text_field'] = '15';
			$settings['eccp_settings_caption_padding_text_field'] = '5';
			$settings['eccp_settings_caption_color_text_field'] = '#FFFFFF';
			$settings['eccp_settings_caption_background_color_text_field'] = '#D5590B';
			$settings['eccp_settings_page_title_alignment_select_field'] = 'center';
			
			//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
			//$settings['eccp_settings_font_weight_blockquote_select_field'] = '700';
			//$settings['eccp_settings_font_size_blockquote_text_field'] = '20';
			$settings['eccp_settings_width_blockquote_post_back_office_text_field'] = '60';
			$settings['eccp_settings_width_blockquote_post_front_end_text_field'] = '70';
			$settings['eccp_settings_width_blockquote_page_back_office_text_field'] = '60';
			$settings['eccp_settings_width_blockquote_page_front_end_text_field'] = '80';
			$settings['eccp_settings_custom_paragraph_border_color_text_field'] = '#F37020';
			$settings['eccp_settings_opacity_custom_paragraph_border_color_text_field'] = '70';
			$settings['eccp_settings_custom_paragraph_border_color'] = 'rgba(243,112,32,0.7)';
			$settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'] = '76';
			$settings['eccp_settings_custom_paragraph_width_post_front_end_text_field'] = '100';
			$settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'] = '100';
			$settings['eccp_settings_custom_paragraph_width_page_front_end_text_field'] = '100';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='1.3';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '1.3':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.4 -----------------------------------*/
			
			// seulement mise a jour version logicielle pour la base de données	
			$active_version ='1.4';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '1.4':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.5 -----------------------------------*/
			
			//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
			$settings['eccp_settings_post_embed_max_width_text_field'] = 640;
			$settings['eccp_settings_page_embed_max_width_text_field'] = 960;
			$settings['eccp_corrective_according_to_theme_radio_field'] = 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
			
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='1.5';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			case '1.5':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.6 -----------------------------------*/
			// seulement une mise à jour pour corriger bugs sans nouvelle entrées en base de données
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='1.6';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '1.6':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.7 -----------------------------------*/
			
			//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
			$settings['eccp_settings_quotation_marks_color_text_field'] ='#F37020';   
			$settings['eccp_settings_quotation_marks_opacity_text_field'] = '60';
			
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
		
			// mise a jour version logicielle pour la base de données	
			$active_version ='1.7';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
		
		
			case '1.7':
			
			//------------------------ MISE A JOUR POUR LA VERSION 1.8 -----------------------------------*/
			
			//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
			$settings['eccp_settings_box_shadow_color_text_field'] ='#000000';
			$settings['eccp_settings_box_shadow_opacity_text_field'] = '50';
			$settings['eccp_settings_box_shadow_x_text_field']= '8';
			$settings['eccp_settings_box_shadow_y_text_field'] = '8';
			$settings['eccp_settings_box_shadow_blur_text_field'] = '12'; 
			$settings['eccp_settings_box_shadow_spread_text_field'] = '-8';
			
			//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
			$settings['eccp_activate_reusable_blocks_menu_checkbox_field'] = false;
			
			//----------------------------------  ELEMENTOR COLOR PALETTE  ----------------------------------------------------------
			$settings['eccp_activate_synchronization_color_palette_radio_field'] = 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='1.8';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			case '1.8':
			//------------------------ MISE A JOUR POUR LA VERSION 1.9 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
			$settings['eccp_settings_cpt_template_editor_select_field'] = 'large';
			$settings['eccp_settings_cpt_embed_max_width_text_field'] = 640;
			
			//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
			$settings['eccp_settings_width_blockquote_cpt_back_office_text_field'] = '60';
			$settings['eccp_settings_width_blockquote_cpt_front_end_text_field'] = '61';
			//$settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'] = '50';
			//$settings['eccp_settings_custom_paragraph_width_cpt_front_end_text_field'] = '62';
			
			//----------------------------------  DIVI COLOR PALETTE ----------------------------------------------------------
			$settings['eccp_activate_synchronization_divi_color_palette_radio_field'] = 'no';
			$settings['eccp_choose_synchronization_radio_field'] = 'synchro-gutenberg-to-divi';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='1.9';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '1.9':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.0 -----------------------------------*/
				
			//----------------------------------  PARAMÈTRES PAR DÉFAUT  ----------------------------------------------------------
			
			$default_settings['eccp_default_setting_radio_field'] = 'no';
			$default_settings['eccp_delete_data_uninstallation_radio_field'] = 'no';
			
			//----------------------------------  EDITOR TEXT SIZE PALETTE ----------------------------------------------------------
			$editor_text_size_settings['eccp_settings_activate_editor_text_size_checkbox_field'] = true;
			$editor_text_size_settings['eccp_settings_small_font_size_text_field'] = '18';
			$editor_text_size_settings['eccp_settings_regular_font_size_text_field'] = '20';
			$editor_text_size_settings['eccp_settings_large_font_size_text_field'] = '24';
			$editor_text_size_settings['eccp_settings_huge_font_size_text_field'] = '30';
			$editor_text_size_settings['eccp_settings_disable_custom_font_size_checkbox_field'] = false;
		   
			//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
			$custom_gutenberg_editor_settings['eccp_settings_disable_fullscreen_gutenberg_editor_checkbox_field'] = false;
			$custom_gutenberg_editor_settings['eccp_settings_activate_default_style_sheet_on_front_end_checkbox_field'] = false;
			$custom_gutenberg_editor_settings['eccp_settings_activate_align_wide_block_editor_checkbox_field'] = false;
			$custom_gutenberg_editor_settings['eccp_settings_activate_responsive_embeds_checkbox_field'] = false;
			$custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field'] = 640;
			$custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field'] = 960;
			$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'] = 640;
			$custom_gutenberg_editor_settings['eccp_corrective_according_to_theme_radio_field'] = 'no';
			$custom_gutenberg_editor_settings['eccp_settings_activate_editor_width_checkbox_field'] = false;
			$custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] = 696;
			$custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] = 1100;
			$custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field'] = 'small';
			$custom_gutenberg_editor_settings['eccp_settings_page_template_editor_select_field'] = 'large';
			$custom_gutenberg_editor_settings['eccp_settings_cpt_template_editor_select_field'] = 'large';
			$custom_gutenberg_editor_settings['eccp_settings_page_title_alignment_select_field'] = 'center';
			
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_color_text_field'] ='#000000';
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_opacity_text_field'] = '50';
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field']= 8;
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'] = 8;
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'] = 12; 
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'] = -8;
			
			$custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_color_text_field'] = '#F37020';
			$custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field'] = '20';
			
			$custom_gutenberg_blocks_settings['eccp_settings_caption_font_size_text_field'] = '15';
			$custom_gutenberg_blocks_settings['eccp_settings_caption_padding_text_field'] = '5';
			$custom_gutenberg_blocks_settings['eccp_settings_caption_color_text_field'] = '#FFFFFF';
			$custom_gutenberg_blocks_settings['eccp_settings_caption_background_color_text_field'] = '#D5590B';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] = 'no';
			
			
			$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_background_color_text_field'] ='#000000';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_backgound_color_opacity_text_field'] = '0';
			
			//----------------------------------  ADDONS REUSABLE BLOCKS  ----------------------------------------------------------
			$reusable_blocks_settings['eccp_activate_reusable_blocks_menu_checkbox_field'] = false;
			$reusable_blocks_settings['eccp_settings_quotation_marks_color_text_field'] ='#F37020';   
			$reusable_blocks_settings['eccp_settings_quotation_marks_opacity_text_field'] = '60';
			//$reusable_blocks_settings['eccp_settings_font_weight_blockquote_select_field'] = '700';
			//$reusable_blocks_settings['eccp_settings_font_size_blockquote_text_field'] = '20';
			$reusable_blocks_settings['eccp_settings_width_blockquote_post_back_office_text_field'] = '74';
			$reusable_blocks_settings['eccp_settings_width_blockquote_post_front_end_text_field'] = '70';
			$reusable_blocks_settings['eccp_settings_width_blockquote_page_back_office_text_field'] = '60';
			$reusable_blocks_settings['eccp_settings_width_blockquote_page_front_end_text_field'] = '62';
			$reusable_blocks_settings['eccp_settings_width_blockquote_cpt_back_office_text_field'] = '60';
			$reusable_blocks_settings['eccp_settings_width_blockquote_cpt_front_end_text_field'] = '61';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color_text_field'] = '#F37020';
			$reusable_blocks_settings['eccp_settings_opacity_custom_paragraph_border_color_text_field'] = '70';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color'] = 'rgba(243,112,32,0.7)';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'] = '95';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_front_end_text_field'] = '100';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'] = '60';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_front_end_text_field'] = '62';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'] = '55';
			$reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_front_end_text_field'] = '62';
			
			//----------------------------------  ELEMENTOR COLOR PALETTE  ----------------------------------------------------------
			$elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] = 'no';
			
			//----------------------------------  DIVI COLOR PALETTE ----------------------------------------------------------
			$divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] = 'no';
			$divi_settings['eccp_choose_synchronization_radio_field'] = 'synchro-gutenberg-to-divi';
			
			// suite a l'introduction d'onglets dans la page de réglages du plugin
			// On ajoute les nouveaux groupes de réglages dans la table option 
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			add_option( 'eccp_settings_default_settings', $default_settings, '', 'yes' );
		    add_option( 'eccp_setting_editor_text_size', $editor_text_size_settings, '', 'yes' );
		    add_option( 'eccp_settings_custom_gutenberg_editor', $custom_gutenberg_editor_settings, '', 'yes' );
		    add_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
		    add_option( 'eccp_settings_reusable_blocks', $reusable_blocks_settings, '', 'yes' );
		    add_option( 'eccp_settings_elementor', $elementor_settings, '', 'yes' );
		    add_option( 'eccp_settings_divi_theme', $divi_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.0';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.0':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.1 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_card_paragraph_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_question_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_question_text_field'] ='#666666';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_info_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_info_text_field'] ='#FFFFFF';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_advice_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_advice_text_field'] ='#FFFFFF';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_warning_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_warning_text_field'] ='#FFFFFF';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_alert_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_alert_text_field'] ='#FFFFFF';
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_styles_bullet_list_radio_field'] = 'no';
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] = 'no';
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_button_styles_hover_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_background_color_text_field'] ='#000000';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_backgound_color_opacity_text_field'] = '0';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_border_color_text_field'] ='#D5590B';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_text_color_text_field'] ='#D5590B';
			
			$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_background_color_text_field'] ='#D5590B';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_backgound_color_opacity_text_field'] = '100';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_border_color_text_field'] ='#D5590B';
			$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_text_color_text_field'] ='#FFFFFF';
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_columns_block_styles_radio_field'] = 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.1';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			case '2.1':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.2 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_activate_media_text_block_styles_radio_field'] = 'no';
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] = 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_link_text_read_more_text_field'] = 'Read more';
			
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'] ='#F37020';
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'] = '100';
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field'] ='#F37020';
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field'] ='#FFFFFF';
			
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'] ='#000000';
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'] = '0';
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field'] ='#D5590B';
			$custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field'] ='#D5590B';
					
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.2';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.2':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.3 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_script_reactjs_radio_field']= 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.3';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.3':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.3.1 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			
			// Aucun nouveau paramètre de réglage,simplement ajout d'un point de rupture à 768px
			// pour le réglage de la largeur du bloc Paragraphe
						
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.3.1';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.3.1':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.4 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			
			// Aucun nouveau paramètre de réglage pour cette version 2.4
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js		
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.4';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			case '2.4':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.5 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			
			// Aucun nouveau paramètre de réglage pour cette version 2.5
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js		
			
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.5';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			case '2.5':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.6 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCKS  ----------------------------------------------------------
			
			
			$custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_table_radio_field']= 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.6';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.6':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.7 -----------------------------------*/
				
			// Aucun nouveau paramètre de réglage pour cette version 2.7
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.7';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.7':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8 -----------------------------------*/
				
			// Aucun nouveau paramètre de réglage pour cette version 2.8
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			case '2.8':
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.1 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG EDITOR  ----------------------------------------------------------
			$custom_gutenberg_editor_settings['eccp_settings_activate_support_margin_padding_checkbox_field'] = false;
			$custom_gutenberg_editor_settings['eccp_settings_activate_support_border_checkbox_field'] = false;
		
			
			// suite a l'introduction d'onglets dans la page de réglages du plugin
			// On ajoute les nouveaux groupes de réglages dans la table option 
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
		    add_option( 'eccp_settings_custom_gutenberg_editor', $custom_gutenberg_editor_settings, '', 'yes' );
		    
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.1';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.2 -----------------------------------*/
				
			// Aucun nouveau paramètre de réglage pour cette version 2.8.2
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.2';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.3 -----------------------------------*/
				
			// Aucun nouveau paramètre de réglage pour cette version 2.8.3
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.3';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.4 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCK  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_click_to_tweet_radio_field'] = 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.4';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.5 -----------------------------------*/
				
			// Aucun nouveau paramètre de réglage pour cette version 2.8.5
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.5';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.6 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCK  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_card_radio_field'] = 'no';
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.6';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.7 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCK  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_latest_posts_block_radio_field']= 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_query_loop_block_radio_field']= 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_activate_custom_avatar_radio_field']= 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field'] ='';
			$custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field'] =48;
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.7';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.8 -----------------------------------*/
				
			// Aucun nouveau paramètre de réglage pour cette version 2.8.8
			// essentiellement mise à jour du script react JS: eccp-custom-blocks.js
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.8';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			//------------------------ MISE A JOUR POUR LA VERSION 2.8.9 -----------------------------------*/
				
			//----------------------------------  CUSTOM GUTENBERG BLOCK  ----------------------------------------------------------
			$custom_gutenberg_blocks_settings['eccp_settings_turn_yoast_faq_block_an_accordion_radio_field']= 'no';
			$custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field'] =100;
			
			// On met a jour la table option avec notamment ces nouveaux réglages
			//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
			update_option( 'eccp_settings_custom_gutenberg_block', $custom_gutenberg_blocks_settings, '', 'yes' );
			
			// mise a jour version logicielle pour la base de données	
			$active_version ='2.8.9';
			// Sanitize text 
            $active_version = sanitize_text_field($active_version);
			update_option( 'active_plugin_version', $active_version, '', 'yes' );
			break;
			
			
			
			default:
			// pour sortir de la boucle While
            $active_version = ECCP_PLUGIN_VERSION;
		
		
			
		} // end switch ($active_version)
		
	}// end while ($active_version != ECCP_PLUGIN_VERSION)

}


/*----------------------------------------------------------------------------*
 *                      5. Uninstall Plugin
 *----------------------------------------------------------------------------*/
 
 
 
// a la désinstallation du plugin on supprime les réglages du plugin dans la table wp_options
function eccp_editor_custom_color_palette_uninstall() {
	
   delete_option( 'eccp_settings_default_settings' );
   delete_option( 'eccp_multiple_setting' );
   delete_option( 'eccp_setting_editor_text_size' );
   delete_option( 'eccp_settings_custom_gutenberg_editor' );
   delete_option( 'eccp_settings_custom_gutenberg_block' );
   delete_option( 'eccp_settings_reusable_blocks' );
   delete_option( 'eccp_settings_elementor' );
   delete_option( 'eccp_settings_divi_theme' );
   delete_option( 'active_plugin_version' );
   
}

// on récupère les paramètres de réglages renseignés par l'utilisateur
$default_settings  = get_option( 'eccp_settings_default_settings' );

// si on a paramétré la suppression des données de la base
if ($default_settings['eccp_delete_data_uninstallation_radio_field'] == 'yes') {
	register_uninstall_hook( __FILE__, 'eccp_editor_custom_color_palette_uninstall' );
}


/*----------------------------------------------------------------------------------------
		        RÉCUPÉRATION DES PARAMÉTRES DU PLUGIN DÉFINIT PAR L'UTILISATEUR
/*---------------------------------------------------------------------------------------*/

// On récupère les paramètres pour tous les onglets de réglages du plugin
$default_settings = get_option( 'eccp_settings_default_settings' );
$settings = get_option( 'eccp_multiple_setting' );
$editor_text_size_settings = get_option( 'eccp_setting_editor_text_size' );
$custom_gutenberg_editor_settings = get_option( 'eccp_settings_custom_gutenberg_editor' );
$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
$reusable_blocks_settings = get_option( 'eccp_settings_reusable_blocks' );
$elementor_settings = get_option( 'eccp_settings_elementor' );
$divi_settings = get_option( 'eccp_settings_divi_theme' );
	
if ( empty( $default_settings ) || empty( $settings ) || empty( $editor_text_size_settings ) || empty( $custom_gutenberg_editor_settings )
     || empty( $custom_gutenberg_blocks_settings ) || empty( $reusable_blocks_settings ) || empty( $elementor_settings ) || empty( $divi_settings )	) {
	return;
}


/*---------------------------------------------------------------------------------------*
 *                  6. chargement feuilles de style du plugin
 *--------------------------------------------------------------------------------------*/

// On charge les feuille de style pour la partie back office du plugin concernant
// l'éditeur Gutenberg
// pour bien déclarer le style uniquemment pour l'éditeur en back office on utilise 
// le hook: enqueue_block_editor_assets
// le tableau array() indique les dépendances autrement dit indiquer à 
// WordPress que notre style devrait absolument être chargé après les styles indiqués en dépendances 
// soit wp-edit-blocks pour les styles dans l'éditeur
// le numéro de version est important car il va permettre d’invalider le cache du navigateur 
// lorsqu'on fera évoluer le style.
// par défaut le dernier paramètre est à false et le style est chargé dans le head

if ( !function_exists('eccp_chargement_style_back_office') ) {
	
	function eccp_chargement_style_back_office() {
		
		// Style back office de l'éditeur Gutenberg
		wp_enqueue_style( 
			'eccp_chargement_style_back_office', 
			EDITOR_CUSTOM_COLOR_PALETTE_URL . 'css/eccp-editor-gutenberg-back-office.php',
			array('wp-edit-blocks'), 
			ECCP_PLUGIN_VERSION
		);
		
		
	}
	
}
//add_action( 'enqueue_block_editor_assets', 'eccp_chargement_style_back_office','15' );



// chargement feuille de style pour les pages de réglages du plugin en back office
function eccp_custom_admin_styling() {
		
		wp_enqueue_style( 
			'eccp-admin-style', 
			esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL) . 'css/eccp-admin-style.css',
			array(), 
			ECCP_PLUGIN_VERSION
		);
		
}

add_action( 'admin_enqueue_scripts', 'eccp_custom_admin_styling','11' );


/*---------------------------------------------------------------------------------------*
 *                  chargement scripts du plugin
 *--------------------------------------------------------------------------------------*/


// Mettre en file d'attente le script et le style wp-color-picker 
// le fichier javascript dans lequel on écrit ces lignes se trouve dans le sous-dossier js du plugin
// On utilise donc pour l'URL du script: EDITOR_CUSTOM_COLOR_PALETTE_URL . 'js/eccp-script.js' => plugin_dir_url( __FILE__ ) . 'js/eccp-script.js'  
// car cette fonction de chargement de script est dans le fichier principal du plugin
// si cette fonction était dans un sous dossier du plugin l'URL du script aurait été:
// plugins_url('js/eccp-script.js', dirname(__FILE__) )
// Mon plugin a maintenant un eccp-script.js fichier qui a été déclaré en tant que dépendance de wp-color-picker
add_action( 'admin_enqueue_scripts', 'eccp_enqueue_color_picker' );

function eccp_enqueue_color_picker( $hook_suffix ) {
    
	/*---- Chargement style & script pour le color picker -----*/
    wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'wp-color-picker' );// modif version 1.8
	// paramètre: handle,URL script, dépendance, Version , True: script inséré dans le footer
    wp_enqueue_script( 'my-script-handle', esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL) . 'js/eccp-script.js', array( 'wp-color-picker' ), false, true );

}

/*------------------- Chargement script pour la personnalisation des blocs Gutenberg ----------------*/

// si on a activé le chargement du script basé sur ReactJS
if( $custom_gutenberg_blocks_settings['eccp_settings_activate_script_reactjs_radio_field'] == 'yes' ) {

// le hook 'enqueue_block_editor_assets' Se déclenche après la mise en file d'attente 
// des actifs de bloc pour l'interface d'édition.
add_action( 'enqueue_block_editor_assets', 'eccp_enqueue_custom_block',10);

}

function eccp_enqueue_custom_block(  ) {
	
	// paramètre: handle,URL script, dépendance, Version , True: script inséré dans le footer
	// dépendance: wp-blocks pour le bloc lui-même, le reste conforme a la doc WordPress pour les blocs etc...
	wp_enqueue_script( 'eccp-custom-blocks', esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL . 'js/eccp-custom-blocks.js'), array( 'wp-blocks', 'wp-dom', 'wp-dom-ready', 'wp-edit-post','wp-element','wp-i18n'), ECCP_PLUGIN_VERSION, true );

}


// Activation des traductions avec wp_set_script_translations
// Définit les chaînes traduites pour un script.
// paramètre: handle du script,text domain ,Le chemin d'accès complet au répertoire contenant les fichiers de traduction.

//add_action( 'wp_enqueue_scripts', 'eccp_load_text_domain', 100 );
 
function eccp_load_text_domain() {
	
	wp_set_script_translations ( 
		'eccp-custom-blocks', 
		'editor-custom-color-palette',
		esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL).'languages' 
	);
}


/*---- Chargement script pour le bouton Upload Media -----*/

add_action('admin_enqueue_scripts', 'eccp_enqueue_upload_media');

function eccp_enqueue_upload_media() {
	
	// chargement script seulement sur la page de réglages du plugin
    if (isset($_GET['page']) && $_GET['page'] == 'eccp_settings_page') {
		
		//Met en file d'attente tous les scripts, styles, paramètres et modèles nécessaires 
		// pour utiliser toutes les API JS multimédias.
        wp_enqueue_media();
		
		// wp_enqueue_script : met en file d'attente notre script
		// paramètre: handle,URL script, dépendance, Version , True: script inséré dans le footer
		wp_enqueue_script( 'eccp-upload-media-js', esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL) . 'js/eccp-upload-media.js', array( 'jquery' ), false, true );
    }
	
}


/*---- Chargement script pour Transformer le Bloc FAQ de Yoast en accordéon basculable -----*/

// si on activé la personnalisation du bloc FAQ Yoast SEO
if( $custom_gutenberg_blocks_settings['eccp_settings_turn_yoast_faq_block_an_accordion_radio_field'] == 'yes' ) {
	add_action('wp_enqueue_scripts', 'eccp_enqueue_faq_yoast');
}

function eccp_enqueue_faq_yoast() {
		
	// wp_enqueue_script : met en file d'attente notre script
	// paramètre: handle,URL script, dépendance, Version , True: script inséré dans le footer
	wp_enqueue_script( 'eccp-yoast-faq', esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL) . 'js/eccp-yoast-faq-block.js', array( 'jquery' ), false, true );

}

/*---------------------------------------------------------------------------------------*
 *        Lien Paramètres pour le plugin sur le panneau de la page des extensions 
 *--------------------------------------------------------------------------------------*/
 
function eccp_plugin_settings_link( $links ) : array {
	
    $label_settings = esc_html__( 'Settings', 'editor-custom-color-palette' );
	$label_demo = esc_html__('Demo');
    $slug  = esc_html__('eccp_settings_page');

	// on utilise la fonction array_unshift() pour mettre les liens Settings & Demo
	// avant celui de Désactiver
    array_unshift( $links, 
	               "<a href='options-general.php?page=$slug'>$label_settings</a> |
				    <a href='https://rouerguecreation.fr/demo-editor-custom-color-palette/' target='_blank'>$label_demo</a>" 
				 );

    return $links;
	
}

// le hook de base est plugin_action_links actif pour tous les plugins installés
// pour éviter une vérification conditionnelle du plugin
// on ajoute simplement le chemin relatif du plugin au hook.
// soit: plugin_action_links_editor-custom-color-palette/editor-custom-color-palette.php
add_action( 'plugin_action_links_' . ECCP_PLUGIN_PATH_NAME, 'eccp_plugin_settings_link', 10 );



/*----------------------------------------------------------------------------------------
		        CONVERSION DES COULEURS DE LA PALETTE HEXADECIMAL EN RGBA
/*---------------------------------------------------------------------------------------*/

// Couleur N°1
// si l'opacité est différente de 100 on fait la conversion en RGBA
if ( $settings['eccp_settings_opacity_color_one_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_one'] = eccp_hex2rgba( $settings['eccp_settings_color_one_text_field'], 
intval($settings['eccp_settings_opacity_color_one_text_field'])/100 );

// sinon on retourne la valeur Hexadécimale
}else{
	$settings['eccp_settings_color_one'] = $settings['eccp_settings_color_one_text_field'];
}

// Couleur N°2
if ( $settings['eccp_settings_opacity_color_two_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_two'] = eccp_hex2rgba( $settings['eccp_settings_color_two_text_field'], 
intval($settings['eccp_settings_opacity_color_two_text_field'])/100 );

}else{
	$settings['eccp_settings_color_two'] = $settings['eccp_settings_color_two_text_field'];
}

// Couleur N°3
if ( $settings['eccp_settings_opacity_color_three_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_three'] = eccp_hex2rgba( $settings['eccp_settings_color_three_text_field'], 
intval($settings['eccp_settings_opacity_color_three_text_field'])/100 );

}else{
	$settings['eccp_settings_color_three'] = $settings['eccp_settings_color_three_text_field'];
}

// Couleur N°4
if ( $settings['eccp_settings_opacity_color_four_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_four'] = eccp_hex2rgba( $settings['eccp_settings_color_four_text_field'], 
intval($settings['eccp_settings_opacity_color_four_text_field'])/100 );

}else{
	$settings['eccp_settings_color_four'] = $settings['eccp_settings_color_four_text_field'];
}

// Couleur N°5
if ( $settings['eccp_settings_opacity_color_five_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_five'] = eccp_hex2rgba( $settings['eccp_settings_color_five_text_field'], 
intval($settings['eccp_settings_opacity_color_five_text_field'])/100 );

}else{
	$settings['eccp_settings_color_five'] = $settings['eccp_settings_color_five_text_field'];
}

// Couleur N°6
if ( $settings['eccp_settings_opacity_color_six_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_six'] = eccp_hex2rgba( $settings['eccp_settings_color_six_text_field'], 
intval($settings['eccp_settings_opacity_color_six_text_field'])/100 );

}else{
	$settings['eccp_settings_color_six'] = $settings['eccp_settings_color_six_text_field'];
}

// Couleur N°7
if ( $settings['eccp_settings_opacity_color_seven_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_seven'] = eccp_hex2rgba( $settings['eccp_settings_color_seven_text_field'], 
intval($settings['eccp_settings_opacity_color_seven_text_field'])/100 );

}else{
	$settings['eccp_settings_color_seven'] = $settings['eccp_settings_color_seven_text_field'];
}

// Couleur N°8
if ( $settings['eccp_settings_opacity_color_eight_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_eight'] = eccp_hex2rgba( $settings['eccp_settings_color_eight_text_field'], 
intval($settings['eccp_settings_opacity_color_eight_text_field'])/100 );

}else{
	$settings['eccp_settings_color_eight'] = $settings['eccp_settings_color_eight_text_field'];
}

// Couleur N°9
if ( $settings['eccp_settings_opacity_color_nine_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_nine'] = eccp_hex2rgba( $settings['eccp_settings_color_nine_text_field'], 
intval($settings['eccp_settings_opacity_color_nine_text_field'])/100 );

}else{
	$settings['eccp_settings_color_nine'] = $settings['eccp_settings_color_nine_text_field'];
}

// Couleur N°10
if ( $settings['eccp_settings_opacity_color_ten_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_ten'] = eccp_hex2rgba( $settings['eccp_settings_color_ten_text_field'], 
intval($settings['eccp_settings_opacity_color_ten_text_field'])/100 );

}else{
	$settings['eccp_settings_color_ten'] = $settings['eccp_settings_color_ten_text_field'];
}

// Couleur N°11
if ( $settings['eccp_settings_opacity_color_eleven_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_eleven'] = eccp_hex2rgba( $settings['eccp_settings_color_eleven_text_field'], 
intval($settings['eccp_settings_opacity_color_eleven_text_field'])/100 );

}else{
	$settings['eccp_settings_color_eleven'] = $settings['eccp_settings_color_eleven_text_field'];
}

// Couleur N°12
if ( $settings['eccp_settings_opacity_color_twelve_text_field'] <> '100' ) {
	
$settings['eccp_settings_color_twelve'] = eccp_hex2rgba( $settings['eccp_settings_color_twelve_text_field'], 
intval($settings['eccp_settings_opacity_color_twelve_text_field'])/100 );

}else{
	$settings['eccp_settings_color_twelve'] = $settings['eccp_settings_color_twelve_text_field'];
}


// Couleur de bordure pour le bloc réutilisable Mettre En Évidence
if ( $reusable_blocks_settings['eccp_settings_opacity_custom_paragraph_border_color_text_field'] <> '100' ) {
	
$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color'] = eccp_hex2rgba( $reusable_blocks_settings['eccp_settings_custom_paragraph_border_color_text_field'], 
intval($reusable_blocks_settings['eccp_settings_opacity_custom_paragraph_border_color_text_field'])/100 );

}else{
	$reusable_blocks_settings['eccp_settings_custom_paragraph_border_color'] = $settings['eccp_settings_custom_paragraph_border_color_text_field'];
}


// On met a jour la table option avec notamment ces nouveaux réglages pour la palette de couleurs & les blocs réutilisables
//Paramètres :  option_name , option_value , Description (plus utilisé) , Autoload(charger l'option au démarrage de WordPress)
update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
update_option( 'eccp_settings_reusable_blocks', $reusable_blocks_settings, '', 'yes' );


/***********************************************************************************************
                              MODIFIER PALETTE DE COULEUR EDITEUR GUTENBERG            
***********************************************************************************************/

/*  
	Pour définir une palette de couleurs personnalisée dans l'éditeur Gutenberg, 
	nous allons utiliser le hook 'editor-color-palette' avec la fonction add_theme_support().
	Cette fonction accepte un tableau de couleurs. 
	Pour chaque couleurs, nous allons définir :

	Le nom : affiché dans l'info-bulle qui apparaît au survol
	Le slug : Un identifiant unique pour la couleur. Utilisé pour générer les classes CSS  et styliser le frontend.
	La couleur :  en notation hexadécimale ou RGBA pour spécifier la couleur

	La traduction des noms pour les couleurs de police n'est pas prise en compte avec le crochet d'action 
	'after_setup_theme' alors on utilise le le hook init: initialisation de WordPress.

	Cela marche dans l'éditeur Gutenberg mais,
	les couleurs ne sont pas générées sur l'interface publique, 
	c’est simplement une classe correspondant au slug de la couleur qui sera ajoutée au bloc.
	exemple pour une couleur noire
	.has-noir-background-color{background-color:#333333;} pour la couleur de fond
	.has-noir-color{color:#333333;} pour la couleur de texte
	.has-strong-noir-color{color:#333333;} pour la couleur de texte en gras
	
	On va donc en front-end générer les couleurs par du CSS Dynamique:
	CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Front End)
	
	Par Ailleurs dans l'editeur Gutenberg, si on fait une sélection du texte 
	et que l'on veut modifier la couleur via la barre d'outils du bloc,
	avec la palette de couleur qui apparait en fenêtre modale,
	cela n'est pas pris en compte en back office, 
	mais ok en Front end. Pour régler le problème, 
	on va donc aussi en BACK OFFICE générer les couleurs par du CSS Dynamique:
	CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Back office)
	
*/

function eccp_color_palette_gutenberg($slug) {

	// On récupère les paramètres général de réglages du plugin
	$settings = get_option( 'eccp_multiple_setting' );

	add_theme_support( 'editor-color-palette', 
		array(
			array(
				'name' => __( $settings['eccp_settings_name_color_one_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_one_text_field'],
				'color' => $settings['eccp_settings_color_one'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_two_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_two_text_field'],
				'color' => $settings['eccp_settings_color_two'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_three_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_three_text_field'],
				'color' => $settings['eccp_settings_color_three'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_four_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_four_text_field'],
				'color' => $settings['eccp_settings_color_four'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_five_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_five_text_field'],
				'color' => $settings['eccp_settings_color_five'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_six_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_six_text_field'],
				'color' => $settings['eccp_settings_color_six'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_seven_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_seven_text_field'],
				'color' => $settings['eccp_settings_color_seven'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_eight_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_eight_text_field'],
				'color' => $settings['eccp_settings_color_eight'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_nine_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_nine_text_field'],
				'color' => $settings['eccp_settings_color_nine'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_ten_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_ten_text_field'],
				'color' => $settings['eccp_settings_color_ten'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_eleven_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_eleven_text_field'],
				'color' => $settings['eccp_settings_color_eleven'] ,
			),
			array(
				'name' => __( $settings['eccp_settings_name_color_twelve_text_field'],'editor-custom-color-palette' ),
				'slug' => $settings['eccp_settings_slug_color_twelve_text_field'],
				'color' => $settings['eccp_settings_color_twelve'] ,
			),
			
		) 
	);


}

// si on a activé la personnalisation de la palette de couleurs Gutenberg
if( $settings['eccp_settings_activate_customizing_color_palette_checkbox_field'] == true ) {
	add_action( 'init', 'eccp_color_palette_gutenberg',10,1 );
}

/***********************************************************************************************
                           DÉSACTIVER LES COULEURS & DÉGRADÉS PERSONNALISÉES            
***********************************************************************************************/

// Si on a choisi de désactivé les couleurs personnalisés
if( $settings['eccp_settings_disabling_custom_colors_checkbox_field'] == true ) {
	add_theme_support( 'disable-custom-colors' );
}

// Si on a choisi de désactivé les dégradés personnalisés
if( $settings['eccp_settings_disabling_custom_gradients_checkbox_field'] == true ) {
	add_theme_support( 'editor-gradient-presets', [] );
	add_theme_support( 'disable-custom-gradients' );
}


/***********************************************************************************************
   TRANSPOSER LA PALETTE DE COULEURS EN VARIABLE CSS, APLIQUER LE STYLE EN ADMIN & FRONT END           
***********************************************************************************************/

/* on transpose la palette de couleurs en variable CSS
  on aplique le style de la palette en admin & front end. 
  Cela permettra d'appliquer des styles avancés
  pour les blocs de l'editeur en utilisant les variables CSS par ex 
  dans une bordure ou dans un pseudo:before */
add_action( 'wp_head', 'eccp_var_css_gutenberg_palette',1 );
add_action( 'admin_head', 'eccp_var_css_gutenberg_palette',8 );

function eccp_var_css_gutenberg_palette() {

	// On récupère les paramètres pour la palette de couleurs
	$settings = get_option( 'eccp_multiple_setting' );
  
	// si on a activé la personnalisation de la palette de couleurs
	if( $settings['eccp_settings_activate_customizing_color_palette_checkbox_field'] == true ) {
	
		add_action( 'wp_head', 'eccp_my_output_gutenberg_palette' );
		add_action( 'admin_head', 'eccp_my_output_gutenberg_palette' );

		function eccp_my_output_gutenberg_palette() {
			
		  // si on est en Admin mais pas dans l'éditeur Gutenberg, alors on sort
		  if( is_admin() ) {
			global $current_screen;
			$in_editor = method_exists($current_screen, 'is_block_editor') && $current_screen->is_block_editor();
			if( !$in_editor ) { return; }
		  }

		  // la fonction get_theme_support() permet d'obtenir la palette de couleurs 
		  // enregistrée dans le support de thème, elle retourne un tableau
		  /* Array ( [0] => Array ( 
							  [0] => Array ( 
											[name] => couleur primaire 
											[slug] => couleur-primaire 
											[color] => #F37020 
											) 
							  [1] => Array ( [name] => couleur secondaire 
											 [slug] => couleur-secondaire 
											 [color] => #B84331 
										    )
			                   etc......
											
							)
	
		  */
		  $palette = get_theme_support( 'editor-color-palette' );
		  if( !$palette ) { return; } // s'il n'y a pas de palette de couleurs on sort
		   
		  // format des styles
		  $styles = ":root .has-background { background-color: var(--eccp-bgColor); }
		  :root .has-text-color { color: var(--eccp-textColor); }
		  :root .has-border-color { color: var(--eccp-borderColor); }";

		  // pour chaque couleur de la palette
		  foreach( $palette[0] as $key => $value ) {
			  
			$slug = $value['slug'];
			$color = $value['color'];

			// couleur du fond avec variable CSS
			$styles .= ".has-{$slug}-background-color { --eccp-bgColor: {$color}; } ";
			
			// couleur du texte
			/*si on fait une sélection du texte 
			et que l'on veut modifier la couleur via la barre d'outils du bloc,
			avec la palette de couleur qui apparait en fenêtre modale,
			cela n'est pas pris en compte en back office & Front end 
			Pour palier au problème on surchage la régle pour la couleur de texte avec variable CSS
			avec cette régle sans variable CSS
			*/
			$styles .= ".has-{$slug}-color { color: {$color}; } ";
			
			// couleur du texte avec variable CSS
			$styles .= ".has-{$slug}-color { --eccp-textColor: {$color}; } ";
			
			// couleur de la bordure avec variable CSS
			// un bug persiste si on applique une couleur a la bordure
			// le texte ayant la couleur du thème par défaut prend alors la même couleur 
			// que la bordure,si bien qu'il faut aussi appliquer une couleur au texte
			$styles .= ".has-{$slug}-border-color { --eccp-borderColor: {$color}; } ";
			
			
		  }

		  // on applique les régles CSS
		  echo '<style id="editor_custom_color_palette_css">'.$styles.'</style>';
		  
		}
	  
	}// si on a activé la personnalisation de la palette de couleurs
  
}

/* Voila le résultat appliqué en Admin & Front End
:root .has-background { background-color: var(--eccp-bgColor); }
:root .has-text-color { color: var(--eccp-textColor); } 
.has-couleur-primaire-background-color { --bgColor: #F37020; } 
.has-couleur-primaire-color { color: #F37020; } 
.has-couleur-primaire-color { --eccp-textColor: #F37020; } 
.has-couleur-secondaire-background-color { --bgColor: #B84331; } 
.has-couleur-secondaire-color { color: #B84331; } 
.has-couleur-secondaire-color { --eccp-textColor: #B84331; } 
etc...
*/

/***********************************************************************************************
                           MODIFIER PALETTE DE COULEUR ELEMENTOR            
***********************************************************************************************/

/*
Remarque importante!
La syntaxe du slug d'une couleur elementor pour l'application du style en Front-End est:
--e-global-color-blanc_casse_clair:#F0F2F6
c'est donc --e-global-color-  suivit du nom de la couleur, si bien que le slug du nom de la
couleur ne doit impérativement ne pas contenir de tiret.
on doit ecrire: blanc_casse_clair et non blanc-casse-clair
*/

/*------------------------ ELEMENTOR: SYSTEM COLOR  -----------------------------------*/

function eccp_elementor_system_color_palette( $system_colors = array() ) {
	
	// On récupère les paramètres de la palette de couleurs
	$settings  = get_option( 'eccp_multiple_setting' );
	
	/* compatibilité avec version antérieure du plugin, on remplace dans le slug Gutenberg
	le tiret par un trait de soulignement car incompatible avec le slug Elementor */
	$settings['eccp_settings_slug_color_one_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_one_text_field']);
	$settings['eccp_settings_slug_color_two_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_two_text_field']);
	$settings['eccp_settings_slug_color_three_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_three_text_field']);
	$settings['eccp_settings_slug_color_four_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_four_text_field']);
	
	$system_colors = [
		[
			'_id' => __( $settings['eccp_settings_slug_color_one_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_one_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_one'],
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_two_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_two_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_two'],
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_three_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_three_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_three'],
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_four_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_four_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_four'],
		]
	];
	
	return $system_colors;
}


function eccp_update_elementor_system_color_palette() {
	
	//option_value: l'identifiant du kit(couleurs globales) est dans la table wp_option avec option_name = elementor_active_kit
	$id_elementor_active_kit = get_option( 'elementor_active_kit', $default = false );
	
	// s'il y a un identifiant de Kit alors elementor est installé
	if ( $id_elementor_active_kit ) {
		
		// on récupère le tableau de couleurs dans la table wp_postmeta, 
		// pour post_id = l'identifiant du kit &  méta_key = _elementor_page_settings
		// $single = true ==> renvoi la valeur du champ meta au lieu d'un tableau de valeurs
		$active_kit_settings = get_post_meta( $id_elementor_active_kit, '_elementor_page_settings', $single = true );
	
		if ( ! $active_kit_settings ) {
			$active_kit_settings = [];
		}

		//on affecte notre palette de couleurs systeme
		$system_colors = eccp_elementor_system_color_palette();
		
		
		// si notre palette est définie
		if ( $system_colors ) {
			
			// supprimer les couleurs existantes et les remplacer
			// par les 4 premières couleurs de la palette  Gutenberg
			// system_color: ce sont les 4 couleurs définit par défaut
			// par elementor : Principal Secondaire Texte Accentué
			unset( $active_kit_settings[ 'system_colors' ] );
			
			
			// On affecte notre palette de couleurs personnalisés systeme
			$active_kit_settings[ 'system_colors' ] = $system_colors;
			
			// on met à jour la table wp_postmeta avec notre palette de couleurs systeme
			update_post_meta( $id_elementor_active_kit, '_elementor_page_settings', $active_kit_settings );
			
		}
		
	}// fin si elementor est installé
}

/* si on a activé la synchronisation de la palette de couleurs Elementor avec celle de Gutenberg
if( $elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] == 'yes' ) {
	add_action( 'init', 'eccp_update_elementor_system_color_palette' );
}*/

$value_synchro  = isset( $elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] ) ?  $elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] : 'no';
// si on a activé la synchronisation de la palette de couleurs Elementor avec celle de Gutenberg
if( $value_synchro == 'yes' ) {
	add_action( 'init', 'eccp_update_elementor_system_color_palette' );
}

/*------------------------ ELEMENTOR: CUSTOM COLOR -----------------------------------*/

function eccp_elementor_custom_color_palette( $custom_colors = array() ) {
	
	// On récupère les paramètres de la palette de couleurs
	$settings  = get_option( 'eccp_multiple_setting' );
	
	/* compatibilité avec version antérieure du plugin, on remplace dans le slug gutenberg
	le tiret par un trait de soulignement car incompatible avec le slug Elementor */
	$settings['eccp_settings_slug_color_five_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_five_text_field']);
	$settings['eccp_settings_slug_color_six_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_six_text_field']);
	$settings['eccp_settings_slug_color_seven_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_seven_text_field']);
	$settings['eccp_settings_slug_color_eight_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_eight_text_field']);
	$settings['eccp_settings_slug_color_nine_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_nine_text_field']);
	$settings['eccp_settings_slug_color_ten_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_ten_text_field']);
	$settings['eccp_settings_slug_color_eleven_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_eleven_text_field']);
	$settings['eccp_settings_slug_color_twelve_text_field'] = str_replace("-", "_", $settings['eccp_settings_slug_color_twelve_text_field']);
	
	// on calcule le nombre de couleurs personnalisée
	// nbr couleurs personnalisées = nbr couleur sélectionné pour la palette gutenberg - nbr couleur systeme elementor
	$nbr_custom_color = strval($settings['eccp_settings_number_colors_select_field']) - 4 ;
	
	// on établi la configuration complete des couleurs personnalisé d'elementor(8 couleurs)
	// qui correspondent aux couleurs 5 à 12 de la palette Gutenberg
	// le 4 premières étant réservées aux couleurs système
	$colors = [
		[
			'_id' => __( $settings['eccp_settings_slug_color_five_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_five_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_five']
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_six_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_six_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_six']
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_seven_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_seven_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_seven']
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_eight_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_eight_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_eight']
		],
		
		[
			'_id' => __( $settings['eccp_settings_slug_color_nine_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_nine_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_nine']
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_ten_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_ten_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_ten']
		],
		[
			'_id' => __( $settings['eccp_settings_slug_color_eleven_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_eleven_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_eleven']
		],
		
		[
			'_id' => __( $settings['eccp_settings_slug_color_twelve_text_field'],'editor-custom-color-palette' ),
			'title' => __( $settings['eccp_settings_name_color_twelve_text_field'],'editor-custom-color-palette' ),
			'color' => $settings['eccp_settings_color_twelve']
		]
	];
	
	$i = 0; 
	
	// On établi la configuration réelle des couleurs personnalisé d'elementor
	// en fonction du nbr de couleurs sélectionné pour la palette Gutenberg
	foreach ( $colors as $key => $array ) {
		
		$custom_colors[$key] = $array;
		
		$i++; 
	 
		if( $i == $nbr_custom_color ){
		  break;
		}
	
	}
	
		
	return $custom_colors;
	
}

function eccp_update_elementor_custom_color_palette() {
	
	//option_value: l'identifiant du kit(couleurs globales) est dans la table wp_option avec option_name = elementor_active_kit
	$id_elementor_active_kit = get_option( 'elementor_active_kit', $default = false );
	
	// s'il y a un identifiant de Kit alors elementor est installé
	if ( $id_elementor_active_kit ) {
		
		// on récupère le tableau de couleurs dans la table wp_postmeta, 
		// pour post_id = l'identifiant du kit &  méta_key = _elementor_page_settings
		// le kit est ecrit dans un fichier de style dossier upload/elementor/css de WordPress,
		// avec pour nom post-post_id.css
		$active_kit_settings = get_post_meta( $id_elementor_active_kit, '_elementor_page_settings', $single = true );
		
		if ( ! $active_kit_settings ) {
			$active_kit_settings = [];
		}

		//on affecte notre palette de couleurs personnalisées 
		$custom_colors = eccp_elementor_custom_color_palette();
		
		//var_dump($custom_colors);

		// si notre palette de couleurs personnalisées est définie
		if ( $custom_colors ) {
			
			// On supprime les couleurs personnalisés et on les 
			// remplace par les couleurs 5 à 12
			// de la palette de couleurs Gutenberg
			unset( $active_kit_settings[ 'custom_colors' ] );
			
			// On affecte notre palette de couleurs personnalisées 
			$active_kit_settings[ 'custom_colors' ] = $custom_colors;
			
			// on met à jour la table wp_postmeta avec notre palette de couleurs personnalisée 
			update_post_meta( $id_elementor_active_kit, '_elementor_page_settings', $active_kit_settings );
			
		}
		
	}// fin si elementor est installé
}

/* si on a activé la synchronisation de la palette de couleurs Elementor avec celle de Gutenberg
if( $elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] == 'yes' ) {
	add_action( 'init', 'eccp_update_elementor_custom_color_palette' );
}*/

$value_synchro  = isset( $elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] ) ?  $elementor_settings['eccp_activate_synchronization_color_palette_radio_field'] : 'no';
// si on a activé la synchronisation de la palette de couleurs Elementor avec celle de Gutenberg
if( $value_synchro == 'yes' ) {
	add_action( 'init', 'eccp_update_elementor_custom_color_palette' );
}

/***********************************************************************************************
                           MODIFIER PALETTE DE COULEUR DIVI            
***********************************************************************************************/

/*------------------------ SYNCHRO PALETTE DIVI A PARTIR DE LA PALETTE GUTENBERG -----------------------------------*/

function eccp_gutenberg_color_palette( ) {
	
	// On récupère les paramètres de la palette de couleurs
	$settings  = get_option( 'eccp_multiple_setting' );
	
	$colors_gutenberg = $settings['eccp_settings_color_one'].'|'.$settings['eccp_settings_color_two'].'|'.
						$settings['eccp_settings_color_three'].'|'.$settings['eccp_settings_color_four'].'|'.
						$settings['eccp_settings_color_five'].'|'.$settings['eccp_settings_color_six'].'|'.
						$settings['eccp_settings_color_seven'].'|'.$settings['eccp_settings_color_eight'];
		
	return $colors_gutenberg;
	
}


function eccp_update_divi_color_palette() {
	
	// Dans la table wp_option avec option_name = et_divi,le champ option_value  
	// renvoi un tableau a une dimmension.
	// la palette de couleur DIVI composée de 8 couleurs est donnée pour 
	// l'index divi_color_palette du tableau qui renvoi une chaine de 63 caractères.
	//ex  ["divi_color_palette"]=> string(63) "#000000|#ffffff|#e02b20|#e09900|#6D908E|#7cda24|#e02b20|#e02b20"
	$theme_divi_option = get_option( 'et_divi', $default = false );
	
	// s'il y a des options pour le theme DIVI,alors DIVI est installé
	if ( $theme_divi_option ) {
		
		//var_dump($theme_divi_option);
		
		//on récupère les 8 premières couleurs de notre palette de couleurs Gutenberg
		$colors_gutenberg = eccp_gutenberg_color_palette();
		
		// si notre palette est définie
		if ( $colors_gutenberg ) {
			
			//var_dump($colors_gutenberg);
			
			// on met a jour la palette de couleurs DIVI avec celle de Gutenberg
			$theme_divi_option['divi_color_palette'] = $colors_gutenberg;
			
			// on met à jour les options du theme divi dans la table table wp_option 
			// avec la palette de couleurs Gutenberg 
			update_option( 'et_divi', $theme_divi_option, '', 'yes' );
			
		}
		
	}// fin si DIVI est installé
}

// si on a activé la synchronisation de la palette de couleurs & mode synchro Gutenberg vers Divi 
/*
if( $divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] == 'yes'  &&  
    $divi_settings['eccp_choose_synchronization_radio_field'] == 'synchro-gutenberg-to-divi') {
	add_action( 'init', 'eccp_update_divi_color_palette' );
}
*/

$value_synchro_divi = isset( $divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] ) ?  $divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] : 'no';
$value_synchro_mode = isset( $divi_settings['eccp_choose_synchronization_radio_field'] ) ?  $divi_settings['eccp_choose_synchronization_radio_field'] : 'synchro-gutenberg-to-divi';
// si on a activé la synchronisation de la palette de couleurs & mode synchro Gutenberg vers Divi 
if( $value_synchro_divi == 'yes'  &&  $value_synchro_mode == 'synchro-gutenberg-to-divi') {
	add_action( 'init', 'eccp_update_divi_color_palette' );
}


/*------------------------ SYNCHRO PALETTE GUTENBERG A PARTIR DE LA PALETTE DIVI -----------------------------------*/


function eccp_update_gutenberg_color_palette() {
	
	// Dans la table wp_option avec option_name = et_divi,le champ option_value  
	// renvoi un tableau a une dimmension.
	// la palette de couleur DIVI composée de 8 couleurs est donnée pour 
	// l'index divi_color_palette du tableau qui renvoi une chaine de 63 caractères.
	//ex  ["divi_color_palette"]=> string(63) "#000000|#ffffff|#e02b20|#e09900|#6D908E|#7cda24|#e02b20|#e02b20"
	$theme_divi_option = get_option( 'et_divi', $default = false );
	
	// s'il y a des options pour le theme DIVI,alors DIVI est installé
	if ( $theme_divi_option ) {
		
		$colors_divi = explode("|", $theme_divi_option['divi_color_palette']);
		
		// si notre palette est définie
		if ( $colors_divi ) {
			
			//var_dump($colors_divi);
			
			// On récupère les paramètres de la palette ce couleurs
			$settings  = get_option( 'eccp_multiple_setting' );
			
			//var_dump($settings);
		
			/*---- on affecte les options de réglages de la palette de couleurs Gutenberg
			 eccp_rgba_to_hex($rgba) 
			 si la couleur passé en paramètre est une valeur hexadécimale
			 on n'effectue pas la conversion RGBA --> Hexadécimal
			 on retourne un tableau
			 $color_hex['hex'] ==> la valeur hexadécimale passé en paramètre
			 $color_hex['opacity'] = '100'
			 sinon on effectue la conversion d'une couleur RGBA en hexadécimal 
			 et on retourne un tableau:
			 $color_hex['hex'] ==> la valeur RGBA de la couleur converti en hexadécimal 
			 $color_hex['opacity'] ==> la valeur de l'opacité * 100
			  -----*/
			
			// Couleur N°1
			$colors_hex = eccp_rgba_to_hex($colors_divi[0]);	
			$settings['eccp_settings_color_one_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_one_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°2
			$colors_hex = eccp_rgba_to_hex($colors_divi[1]);	
			$settings['eccp_settings_color_two_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_two_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°3
			$colors_hex = eccp_rgba_to_hex($colors_divi[2]);	
			$settings['eccp_settings_color_three_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_three_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°4
			$colors_hex = eccp_rgba_to_hex($colors_divi[3]);	
			$settings['eccp_settings_color_four_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_four_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°5
			$colors_hex = eccp_rgba_to_hex($colors_divi[4]);	
			$settings['eccp_settings_color_five_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_five_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°6
			$colors_hex = eccp_rgba_to_hex($colors_divi[5]);	
			$settings['eccp_settings_color_six_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_six_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°7
			$colors_hex = eccp_rgba_to_hex($colors_divi[6]);	
			$settings['eccp_settings_color_seven_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_seven_text_field'] = $colors_hex['opacity'];
			
			// Couleur N°8
			$colors_hex = eccp_rgba_to_hex($colors_divi[7]);	
			$settings['eccp_settings_color_eight_text_field'] = $colors_hex['hex'];
			$settings['eccp_settings_opacity_color_eight_text_field'] = $colors_hex['opacity'];
			
			// on met à jour la palette Gutenberg avec les couleurs de la palette DIVI
		    update_option( 'eccp_multiple_setting', $settings, '', 'yes' );
			
		}
		
	}// fin si DIVI est installé
}


// si on a activé la synchronisation de la palette de couleurs & mode synchro Gutenberg vers Divi 
/*
if( $divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] == 'yes'  &&  
    $divi_settings['eccp_choose_synchronization_radio_field'] == 'synchro-divi-to-gutenberg') {
	add_action( 'init', 'eccp_update_divi_color_palette' );
}
*/


$value_synchro_divi = isset( $divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] ) ?  $divi_settings['eccp_activate_synchronization_divi_color_palette_radio_field'] : 'no';
$value_synchro_mode = isset( $divi_settings['eccp_choose_synchronization_radio_field'] ) ?  $divi_settings['eccp_choose_synchronization_radio_field'] : 'synchro-gutenberg-to-divi';
// si on a activé la synchronisation de la palette de couleurs & mode synchro Divi vers Gutenberg 
if( $value_synchro_divi  == 'yes'  &&  $value_synchro_mode == 'synchro-divi-to-gutenberg') {
	add_action( 'init', 'eccp_update_gutenberg_color_palette' );
}


/***********************************************************************************************
            SYNCHRONISER LA PALETTE DE COULEUR DE L'ÉDITEUR GUTENBERG ET D'ACF             
***********************************************************************************************/


//add_action('acf/input/admin_footer', 'eccp_synchro_acf_color_picker_from_theme_palette');

function eccp_synchro_acf_color_picker_from_theme_palette() {

    $colors = '';
	
    // Obtenir la palette de couleurs enregistrée dans le support de thème
	$color_palette = get_theme_support( 'editor-color-palette' );
	
	//
    if ( !empty( $color_palette ) ) {
		
		// Obtenir chaque valeur de la palette de couleur (code hexadécimal)
		// il faut mettre ces couleurs dans un format utilisable
		// l'intégration javascript d'ACF ressemble à quelque chose comme ça :
		// ['#F37020', '#B84331', '#666666']
        // on utilise la fonction array_column pour créer le balisage ci-dessus.
		$colors = array_column( $color_palette[ 0 ], 'color' );
		
		
		foreach ($colors as $key => $value) {
		
			// la palette de couleurs ACF par défaut ne comporte que 11 couleurs
			if ($key <= 10) {
			$colors_acf[$key] = $value;
			
			}
		
		}
		
    }

	
    if ( !empty( $colors_acf ) ) {
		
		// color_picker_args: Ce filtre ACF permet de personnaliser les paramètres du sélecteur 
		// de couleurs (wpColorPicker) pour chaque champ de sélecteur de couleurs.  
		// Ce filtre est appelé avant la création de l'instance wpColorPicker
		?>
		
		<script type="text/javascript">
		
			acf.add_filter('color_picker_args', function( args, field ){
				
				// do something to args
				args.palettes = <?php echo json_encode( $colors_acf ); ?>
			   
				// return
				return args;
			});
			
		</script>
		
		<?php
		
	}

}





/***********************************************************************************************
                           MODIFIER TAILLES POLICE EDITEUR GUTENBERG             
***********************************************************************************************/
	
	/*	
	
	Pour définir une taille de police personnalisée dans les paramètres de typographie Gutenberg, 
	nous allons utiliser le hook 'editor-font-sizes' avec la fonction add_theme_support().
	Cette fonction accepte un tableau de tailles de police. 
	Pour chaque taille de police, nous allons définir :
	
	Le nom : affiché dans l'interface.
	La taille en pixels : Utilisée pour styliser l'éditeur.
	Le slug : Un identifiant unique pour la taille. Utilisé pour styliser le frontend.
	
	Pour éviter un conflit avec les styles par défaut de WordPress on va précéder le slug
	avec les initiales du plugin: eccp 
	
	La traduction des noms pour les tailles de police n'est pas prise en compte avec le crochet d'action 
	'after_setup_theme' alors on utilise le le hook init: initialisation de WordPress.
	
	les classes pour appliquer la taille de la police en front-end seront:
	.has-eccp-small-font-size
	.has-eccp-large-font-size
	.has-eccp-large-font-size
	.has-eccp-huge-font-size 
	
	On va donc en front-end générer les tailles de police par du CSS Dynamique:
	CSS DYNAMIQUE TAILLES POLICE EDITEUR GUTENBERG (Front End)
	
	*/


function eccp_custom_font_size_editor() {
	
	// On récupère les paramètres de taille de texte pour l'éditeur
	$editor_text_size_settings = get_option( 'eccp_setting_editor_text_size' );
	
	add_theme_support( 'editor-font-sizes', array(

			// font-size: small
			array(
				'name' => __( 'Small', 'editor-custom-color-palette' ),
				'size' => intval($editor_text_size_settings['eccp_settings_small_font_size_text_field']),
				'slug' => 'eccp-small'
			),
			
			// font-size: regular
			array(
				'name' => __( 'Regular', 'editor-custom-color-palette' ),
				'size' => intval($editor_text_size_settings['eccp_settings_regular_font_size_text_field']),
				'slug' => 'eccp-regular'
			),
			
			// font-size: large
			array(
				'name' => __( 'Large', 'editor-custom-color-palette' ),
				'size' => intval($editor_text_size_settings['eccp_settings_large_font_size_text_field']),
				'slug' => 'eccp-large'
			),
			
			// font-size: huge (extra-large)
			array(
				'name' => __( 'Huge', 'editor-custom-color-palette' ),
				'size' => intval($editor_text_size_settings['eccp_settings_huge_font_size_text_field']),
				'slug' => 'eccp-huge'
			)
		) 
	);

} 

// si on à activé la personnalisation de la taille de la police
if ( $editor_text_size_settings['eccp_settings_activate_editor_text_size_checkbox_field'] ==  true ) {
	add_action( 'init', 'eccp_custom_font_size_editor',10,1 );
}


// autre façon de modifier les tailles de texte en filtrant les paramètres
// de l'editeur avec le hook: block_editor_settings_all
function wp_docs_block_editor_settings( $editor_settings, $editor_context ) {
   
	$editor_settings["__experimentalFeatures"]["typography"]["fontSizes"]["default"] = 
										array (
											array("name"=>"Small","slug"=>"small","size"=>"18px"),
											array("name"=>"Medium","slug"=>"medium","size"=>"20px"),
											array("name"=>"Large","slug"=>"large","size"=>"24px"),
											array("name"=>"Extra Large","x-large"=>"medium","size"=>"30px")
										);			 
									
    return $editor_settings;
	
}
 
//add_filter( 'block_editor_settings_all', 'wp_docs_block_editor_settings', 10, 2 );



/***********************************************************************************************
                          DÉSACTIVER LA TAILLE DE POLICE PERSONNALISÉE             
***********************************************************************************************/

// si on a coché l'option pour désactiver la taille de police personnalisée
if ( $editor_text_size_settings['eccp_settings_disable_custom_font_size_checkbox_field'] == true ) {
	
	add_theme_support('disable-custom-font-sizes');
	
}

/***********************************************************************************************
                                       CUSTOM GUTENBERG EDITOR            
***********************************************************************************************/

/*-------------------------- DESACTIVER LE MODE PLEIN ECRAN DE GUTENBERG -------------------------*/
 //Ce code vérifie d’abord si un utilisateur affiche une page de zone d’administration de WordPress 
// et si on à choisi de désactiver le mode plein écran
//Si oui, il vérifie le statut de l’éditeur plein écran.
//Si l’éditeur plein écran est activé, il le désactive simplement. 
                
if (is_admin() && $custom_gutenberg_editor_settings['eccp_settings_disable_fullscreen_gutenberg_editor_checkbox_field'] == true ) {
	
    function eccp_disable_editor_fullscreen_by_default() {
		$script = "jQuery( window ).load(function() { 
		const isFullscreenMode = wp.data.select( 'core/edit-post' ).isFeatureActive( 'fullscreenMode' ); 
		if ( isFullscreenMode ) { wp.data.dispatch( 'core/edit-post' ).toggleFeature( 'fullscreenMode' ); } });";
		wp_add_inline_script( 'wp-blocks', $script );
    }
	
add_action( 'enqueue_block_editor_assets', 'eccp_disable_editor_fullscreen_by_default' );

}


/*------------ ACTIVER LA FEUILLE DE STYLE PAR DÉFAUT -------------------------*/

// si on à choisi d'activer la feuille de style par défauts de blocs Guteneberg en Front End
if( $custom_gutenberg_editor_settings['eccp_settings_activate_default_style_sheet_on_front_end_checkbox_field'] == true ) {
	add_theme_support( 'wp-block-styles' );
}

/*---------------- ALIGNEMENT LARGE & PLEINE LARGEUR POUR L 'EDITEUR DE BLOCS -------------------------*/
// Certains blocs tels que le bloc image ont la possibilité de définir 
// un alignement «pleine largeur» ou «grande largeur»
// Ajout dans l’éditeur de nouvelles options d’alignement : pleine largeur et grande largeur 
// n'est pas pris en charge par tous les thèmes.
function eccp_option_align_wide() {
	
	add_theme_support( 'align-wide' );
}

// si on à activé l'alignement large pour l'éditeur de blocs
if( $custom_gutenberg_editor_settings['eccp_settings_activate_align_wide_block_editor_checkbox_field'] == true ) {
	add_action( 'after_setup_theme', 'eccp_option_align_wide' );
}


/*------------ EMBEDS RESPONSIVE (EX: Intégration Vidéos YouTUbe) -------------------------*/

// Si on à activé les embeds responsive
if( $custom_gutenberg_editor_settings['eccp_settings_activate_responsive_embeds_checkbox_field'] == true ) {
	add_theme_support( 'responsive-embeds' );
}

// pour cetrains thème l'activation Embeds Responsive est mal supporté
// et induit une marge interne haute, alors on désactive cette fonctionnalité
if( $custom_gutenberg_editor_settings['eccp_corrective_according_to_theme_radio_field'] == 'yes' ) {
	remove_theme_support( 'responsive-embeds' );
}


/*------------ Activer la prise en charge des nouveaux paramètres de blocs Introduit depuis WordPress 6.0 ---------*/

function eccp_enable_support_new_block_settings( $editor_settings ) {

	// récupération des paramètres du plugin pour personnaliser l'editeur
	$custom_gutenberg_editor_settings = get_option( 'eccp_settings_custom_gutenberg_editor' );

	/*------------ Activer la prise en charge de Padding et Margin --------------*/
	// Marge Interne: Groupe, Colonne, Cover, Bouton
	// Marge Externe: Titre
	if ($custom_gutenberg_editor_settings['eccp_settings_activate_support_margin_padding_checkbox_field']){
		
		$editor_settings["enableCustomSpacing"] = true;
		$editor_settings["__experimentalFeatures"]["spacing"]["margin"] = true;
		
	}
	
	/*------------ Activer la prise en charge de la Bordure(Rayon Epaisseur,Couleur,Style) --*/
	// Bloc Colonnes,Groupe,Image
	if($custom_gutenberg_editor_settings['eccp_settings_activate_support_border_checkbox_field']){
	
		$editor_settings["__experimentalFeatures"]["border"]["color"] = true;
		$editor_settings["__experimentalFeatures"]["border"]["radius"] = true;
		$editor_settings["__experimentalFeatures"]["border"]["style"] = true;
		$editor_settings["__experimentalFeatures"]["border"]["width"] = true;
    
	}
	
	return $editor_settings;
	
}
 
add_filter( 'block_editor_settings_all', 'eccp_enable_support_new_block_settings', 10, 1 );



/*----------------------------------------------------------------------------------------
		                         ADDONS REUSABLE BLOCKS BACK OFFICE
/*---------------------------------------------------------------------------------------*/


/* --------------------------- Menu Bloc réutilisable en back office ----------------------------------------------*/

function reusable_blocks_menu() {
	
    add_menu_page(
		__( 'Reusable Blocks', 'editor-custom-color-palette' ),// Page title , Text Domain(pour la traduction)
		__( 'Reusable Blocks', 'editor-custom-color-palette' ), // Menu title, Text Domain(pour la traduction)
		'edit_posts', // Capabilities (Capacités)
		'edit.php?post_type=wp_block',// URL relative
		'', // Display callback (fonction permettant l'affichage du contenu de la page de réglages)
		'dashicons-table-col-after', // Icon
		22 // Priority/position. Just after 'Page'
	);
}

/* Si on à activé le menu Blocs Réutilisables
if( $reusable_blocks_settings['eccp_activate_reusable_blocks_menu_checkbox_field'] == true ) {
	add_action('admin_menu', 'reusable_blocks_menu');
}*/

$value_menu = isset( $reusable_blocks_settings['eccp_activate_reusable_blocks_menu_checkbox_field'] ) ?  $reusable_blocks_settings['eccp_activate_reusable_blocks_menu_checkbox_field'] : false;
// Si on à activé le menu Blocs Réutilisables
if( $value_menu == true ) {
	add_action('admin_menu', 'reusable_blocks_menu');
}


/*----------------------------------------------------------------------------------------
		  Créer une catégorie de bloc personnalisée dans WordPress Block Inserter
/*---------------------------------------------------------------------------------------*/

function eccp_plugin_block_categories( $block_categories,$block_editor_context ) {
	
	// Vérifie le contexte de ce filtre, renvoie la valeur par défaut 
	// s'il n'est pas dans l'éditeur de bloc.
	if ( ! ( $block_editor_context instanceof WP_Block_Editor_Context ) ) {
        return $block_categories;
    }
		
    return array_merge(
        $block_categories,
        [
            [
                'slug'  => 'eccp-blocks',
                'title' => __( 'ECCP Custom Blocks', 'editor-custom-color-palette' ),
            ],
        ]
    );
	
}
// ce hook nécessite wordpress > 5.8 
// il filtre le tableau de catégories par défaut pour les types de bloc
// $block_editor_context permet aussi de filtrer en fonction du contenu de l'editeur Page, Article etc..
add_action( 'block_categories_all', 'eccp_plugin_block_categories', 10, 2 );


/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC PARAGRAPHE DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/


add_action( 'after_setup_theme', 'eccp_register_block_paragraph_styles' );

function eccp_register_block_paragraph_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	/* ----------------------------- Add Style Box Shadow(bloc paragraphe & bloc grouper & bloc colonne) ---------------------------------------*/
	
	// modif version 2.8 , le style box shadows est directement appliqué 
	// dans les paramètres du bloc
	
	/*
	Ajout d'un style Box Shadow(Ombre de boite)au bloc paragraphe & bloc grouper & bloc colonne
	La register_block_style fonction reçoit le nom du bloc comme premier argument 
	et un tableau décrivant les propriétés du style comme deuxième argument.
	name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
	label: etiquette pour identifier le nouveau style dans les paramètres du bloc
	Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
	is-style-name avec name: identifiant ou slug du style déclaré
	le nom de la classe pour appliquer le nouveau style au bloc paragraphe est donc is-style-eccp-box-shadow 
	Il est également possible de définir la propriété 'is_default' => true, pour définir 
	ce style comme  le style par défaut pour le bloc
	*/
	
	/* si on a activé l'effet Box Shadow pour le bloc paragraphe
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] == 'yes' ) {
	
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-box-shadow',
				'label' => __( 'Box Shadow', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/group',
			array(
				'name'  => 'eccp-box-shadow',
				'label' => __( 'Box Shadow', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/column',
			array(
				'name'  => 'eccp-box-shadow',
				'label' => __( 'Box Shadow', 'editor-custom-color-palette' ),
			)
		);
	
	}
   
	*/
   
	/* ----------------------------- Add Style Card ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_card_paragraph_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-card',
				'label' => __( 'Card', 'editor-custom-color-palette' ),
			)
		);
		
	}
   
   /* ----------------------------- Add Style Notice: Question ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_question_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-notice-question',
				'label' => __( 'Notice: Question', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/group',
			array(
				'name'  => 'eccp-notice-question',
				'label' => __( 'Notice: Question', 'editor-custom-color-palette' ),
			)
		);
		
		
	}
	
	/* ----------------------------- Add Style Notice: Info ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_info_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-notice-info',
				'label' => __( 'Notice: Info', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/group',
			array(
				'name'  => 'eccp-notice-info',
				'label' => __( 'Notice: Info', 'editor-custom-color-palette' ),
			)
		);
		
	}
	
	/* ----------------------------- Add Style Notice: Advice ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_advice_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-notice-advice',
				'label' => __( 'Notice: Advice', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/group',
			array(
				'name'  => 'eccp-notice-advice',
				'label' => __( 'Notice: Advice', 'editor-custom-color-palette' ),
			)
		);
		
	}
	
	/* ----------------------------- Add Style Notice: Warning ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_warning_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-notice-warning',
				'label' => __( 'Notice: Warning', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/group',
			array(
				'name'  => 'eccp-notice-warning',
				'label' => __( 'Notice: Warning', 'editor-custom-color-palette' ),
			)
		);
		
	}
	
	/* ----------------------------- Add Style Notice: Alert ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_alert_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-notice-alert',
				'label' => __( 'Notice: Alert', 'editor-custom-color-palette' ),
			)
		);
		
		register_block_style(
			'core/group',
			array(
				'name'  => 'eccp-notice-alert',
				'label' => __( 'Notice: Alert', 'editor-custom-color-palette' ),
			)
		);
		
	}
   
   
	/* ----------------------------- Add Style Click to Tweet ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_click_to_tweet_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/paragraph',
			array(
				'name'  => 'eccp-tweet',
				'label' => __( 'Click to Tweet', 'editor-custom-color-palette' ),
			)
		);
		
	}
	
   
   
}

/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC LISTE DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/


if( $custom_gutenberg_blocks_settings['eccp_settings_activate_styles_bullet_list_radio_field'] == 'yes' ) {
	add_action( 'after_setup_theme', 'eccp_register_block_liste_styles' );
}

function eccp_register_block_liste_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	/* ----------------------------- Add Style Square  ---------------------------------------*/
	
	/*
	Ajout d'un style Square au bloc Liste 
	La register_block_style fonction reçoit le nom du bloc comme premier argument 
	et un tableau décrivant les propriétés du style comme deuxième argument.
	name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
	label: etiquette pour identifier le nouveau style dans les paramètres du bloc
	Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
	is-style-name avec name: identifiant ou slug du style déclaré
	le nom de la classe pour appliquer le nouveau style au bloc Liste est donc is-style-eccp-square-bullet-list 
	Il est également possible de définir la propriété 'is_default' => true, pour définir 
	ce style comme  le style par défaut pour le bloc
	*/
		
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-square-bullet-list',
			'label' => __( 'Square', 'editor-custom-color-palette' ),
		)
	);
		
	/* ----------------------------- Add Style Check  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-check-bullet-list',
			'label' => __( 'Check', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style Check circle fill  ---------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-check-circle-fill-bullet-list',
			'label' => __( 'Check circle fill', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Add  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-add-bullet-list',
			'label' => __( 'Add', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Add circle fill  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-add-circle-fill-bullet-list',
			'label' => __( 'Add circle fill', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Push spin  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-push-spin-bullet-list',
			'label' => __( 'Push spin', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Circle Duotone  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-circle-duotone-bullet-list',
			'label' => __( 'Circle duotone', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Clear  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-clear-bullet-list',
			'label' => __( 'No', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style Clear  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-clear-bullet-list',
			'label' => __( 'No', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Site  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-site-bullet-list',
			'label' => __( 'Site', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style E-Mail  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-mail-bullet-list',
			'label' => __( 'E-Mail', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Phone  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-phone-bullet-list',
			'label' => __( 'Phone', 'editor-custom-color-palette' ),
		)
	);
	
	
	/* ----------------------------- Add Style Facebook  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-facebook-bullet-list',
			'label' => __( 'Facebook', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style YouTube  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-youtube-bullet-list',
			'label' => __( 'YouTube', 'editor-custom-color-palette' ),
		)
	);
		
	/* ----------------------------- Add Style Twiter  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-twiter-bullet-list',
			'label' => __( 'Twiter', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style Calendar  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-calendar-bullet-list',
			'label' => __( 'Calendar', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style Clock  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-clock-bullet-list',
			'label' => __( 'Clock', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style Location  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-location-bullet-list',
			'label' => __( 'Location', 'editor-custom-color-palette' ),
		)
	);
	
	/* ----------------------------- Add Style Diagram  ---------------------------------------*/
	
	register_block_style(
		'core/list',
		array(
			'name'  => 'eccp-tree-bullet-list',
			'label' => __( 'Diagram', 'editor-custom-color-palette' ),
		)
	);
	
	
}


/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC IMAGE DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/


add_action( 'after_setup_theme', 'eccp_register_block_image_styles' );

function eccp_register_block_image_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	/* ----------------------------- Add Style Circle  ---------------------------------------*/
	
	/*
	Ajout d'un style Circle au bloc paragraphe 
	La register_block_style fonction reçoit le nom du bloc comme premier argument 
	et un tableau décrivant les propriétés du style comme deuxième argument.
	name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
	label: etiquette pour identifier le nouveau style dans les paramètres du bloc
	Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
	is-style-name avec name: identifiant ou slug du style déclaré
	le nom de la classe pour appliquer le nouveau style au bloc image est donc is-style-eccp-image-circle-4-3 
	Il est également possible de définir la propriété 'is_default' => true, pour définir 
	ce style comme  le style par défaut pour le bloc
	Remarque: WordPress a déja une classe prédéfini pour appliquer un masque circulaire: is-style-circle-mask
	*/
	
	// si on a activé le style Circle pour le bloc Image
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] == 'yes' ) {
	
		register_block_style(
			'core/image',
			array(
				'name'  => 'eccp-image-circle-4-3',
				'label' => __( 'Circle img 4/3', 'editor-custom-color-palette' ),
			)
		);
		
		
		register_block_style(
			'core/image',
			array(
				'name'  => 'eccp-image-circle-16-9',
				'label' => __( 'Circle img 16/9', 'editor-custom-color-palette' ),
			)
		);
		
	}
	
	
	/* ----------------------------- Add Style Filter Grayscale ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/image',
			array(
				'name'  => 'eccp-filter-grayscale',
				'label' => __( 'Filter: Grayscale', 'editor-custom-color-palette' ),
			)
		);
		
	}
	
	/* ----------------------------- Add Style Image Card ---------------------------------------*/
	
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_card_radio_field'] == 'yes' ) {
		
		register_block_style(
			'core/image',
			array(
				'name'  => 'eccp-card-image',
				'label' => __( 'Card', 'editor-custom-color-palette' ),
			)
		);
		
	}
   
	

}


/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC BOUTON DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/

add_action( 'after_setup_theme', 'eccp_register_block_buttons_styles' );

function eccp_register_block_buttons_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	// si on a activé les styles pour le bloc boutons
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_button_styles_hover_radio_field'] == 'yes' ) {
	
		/* ----------------------------- Add style Outline hover arrow  ---------------------------------------*/
		
		/*
		Ajout d'un style Outline hover arrow au bloc bouton 
		La register_block_style fonction reçoit le nom du bloc comme premier argument 
		et un tableau décrivant les propriétés du style comme deuxième argument.
		name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
		label: etiquette pour identifier le nouveau style dans les paramètres du bloc
		Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
		is-style-name avec name: identifiant ou slug du style déclaré
		le nom de la classe pour appliquer le nouveau style au bloc bouton est donc is-style-eccp-outlinehover-arrow 
		Il est également possible de définir la propriété 'is_default' => true, pour définir 
		ce style comme  le style par défaut pour le bloc
		*/
	
		register_block_style(
			'core/button',
			array(
				'name'  => 'eccp-outline-hover-arrow',
				'label' => __( 'Outline hover arrow', 'editor-custom-color-palette' ),
			)
		);
	
		
	}
	
}




/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC PARENT COLONNES DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/


add_action( 'after_setup_theme', 'eccp_register_block_columns_styles' );

function eccp_register_block_columns_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	// si on a activé les styles pour le bloc parent colonnes
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_columns_block_styles_radio_field'] == 'yes' ) {
	
		/* ----------------------------- Add Style Column reverse  ---------------------------------------*/
		
		/*
		Ajout d'un style Column reverse au bloc parent colonnes 
		La register_block_style fonction reçoit le nom du bloc comme premier argument 
		et un tableau décrivant les propriétés du style comme deuxième argument.
		name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
		label: etiquette pour identifier le nouveau style dans les paramètres du bloc
		Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
		is-style-name avec name: identifiant ou slug du style déclaré
		le nom de la classe pour appliquer le nouveau style au bloc image est donc is-style-eccp-column-reverse 
		Il est également possible de définir la propriété 'is_default' => true, pour définir 
		ce style comme  le style par défaut pour le bloc
		*/
	
		register_block_style(
			'core/columns',
			array(
				'name'  => 'eccp-column-reverse',
				'label' => __( 'Columns reverse mobile', 'editor-custom-color-palette' ),
			)
		);
		
		/* ----------------------------- Add Style Responsive three columns  ---------------------------------------*/
		
		register_block_style(
			'core/columns',
			array(
				'name'  => 'eccp-responsive-three-columns',
				'label' => __( 'Responsive three columns', 'editor-custom-color-palette' ),
			)
		);
		
		
	}
	
}

/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC MÉDIA & TEXTE DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/

add_action( 'after_setup_theme', 'eccp_register_block_media_texte_styles' );

function eccp_register_block_media_texte_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	// si on a activé les styles pour le bloc Média & Texte
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_media_text_block_styles_radio_field'] == 'yes' ) {
	
		/* ----------------------------- Add Style Half Background  ---------------------------------------*/
		
		/*
		Ajout d'un style Half Background au bloc pmédia & texte 
		La register_block_style fonction reçoit le nom du bloc comme premier argument 
		et un tableau décrivant les propriétés du style comme deuxième argument.
		name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
		label: etiquette pour identifier le nouveau style dans les paramètres du bloc
		Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
		is-style-name avec name: identifiant ou slug du style déclaré
		le nom de la classe pour appliquer le nouveau style au bloc image est donc is-style-eccp-half-background 
		Il est également possible de définir la propriété 'is_default' => true, pour définir 
		ce style comme  le style par défaut pour le bloc
		*/
	
		register_block_style(
			'core/media-text',
			array(
				'name'  => 'eccp-half-background',
				'label' => __( 'Half background', 'editor-custom-color-palette' ),
			)
		);
		
		
	}
	
}

/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC READ MORE DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/


/**************************************************************************************************
    remplacer l'intitulé de la balise Read More: continuer la lecture de par: Lire la suite.
   customiser la balise read more avec une classe CSS.
   On supprime la référence à l’ancre #more-000 par l’URL de l’article et
   on insére un attribut title reprenant le titre de l’article.
   On customise le lien sous forme de bouton avec la classe eccp-read-more 
   on encadre le bouton dans un div avec la classe display:block pour imposer 
   un retour a la ligne du bouton.
   On utilise la classe dashicons dashicons-arrow-right-alt2  pour un icône en forme de fléche vers la droite
   le hook: the_content_more_link permet de filtrer le lien de la balise Read More pour empêcher lorsqu'on clique
   sur cette balise de faire défiler vers la section juste en dessous la balise Read More contenant l'ancre nommée: #more-000
   href="' . get_permalink() . '" donne le lien de l'article en cours donc un clic sur la balise read more amène en début d'article
/*************************************************************************************************/

// si on a activé les styles pour le bloc READ MORE
if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] == 'yes' ) {
	add_filter( 'the_content_more_link', 'eccp_custom_read_more_block',999 );
}

function eccp_custom_read_more_block() {
	
 // on récupère les paramètres de réglage de la section Personnaliser blocs Gutenberg
 $custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
 
 $link_text = __($custom_gutenberg_blocks_settings['eccp_settings_link_text_read_more_text_field'], 'editor-custom-color-palette' );
	
 return '<div style="display:block;">
			<a class="eccp-read-more" href="' . get_permalink() . '" title="Lire la suite - ' 
			. get_the_title() . '">'.esc_html($link_text).'<span class="dashicons dashicons-arrow-right-alt2"></span> </a>
			
		 </div>';
		 
}


/*----------------------------------------------------------------------------------------
		  AJOUT AUX PARAMÉTRES DU BLOC TABLE DE STYLES PERSONNALISÉS
/*---------------------------------------------------------------------------------------*/

add_action( 'after_setup_theme', 'eccp_register_block_table_styles' );

function eccp_register_block_table_styles(){
	
	// on récupère les paramètres pour la personnalisation des blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	
	// si on a activé les styles pour le bloc Table
	if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_table_radio_field'] == 'yes' ) {
	
		/* ----------------------------- Add Style Stripes  ---------------------------------------*/
		
		/*
		Ajout d'un style Stripes(rayures)au bloc média & texte 
		La register_block_style fonction reçoit le nom du bloc comme premier argument 
		et un tableau décrivant les propriétés du style comme deuxième argument.
		name: L'identifiant ou slug du style utilisé pour la classe CSS du bloc
		label: etiquette pour identifier le nouveau style dans les paramètres du bloc
		Le nom de classe de style  pour le bloc est automatiquement créé en utilisant le format suivant :
		is-style-name avec name: identifiant ou slug du style déclaré
		le nom de la classe pour appliquer le nouveau style au bloc image est donc is-style-eccp-stripes 
		Il est également possible de définir la propriété 'is_default' => true, pour définir 
		ce style comme  le style par défaut pour le bloc
		*/
	
		register_block_style(
			'core/table',
			array(
				'name'  => 'eccp-stripes',
				'label' => __( 'ECCP Stripes', 'editor-custom-color-palette' ),
			)
		);
		
		
	}
	
}


/* AJOUT EN FRONT END DU BOUTON CLICK TO TWEET POUR LE STYLE TWEET DU BLOC PARAGRAPHE */

function eccp_tweet_button( $block_content, $block ) {
	
	// si c'est le bloc citation avec une classe is-style-eccp-tweet
	if( 'core/paragraph' === $block['blockName'] && !empty( $block['attrs']['className'] ) && 'is-style-eccp-tweet' === $block['attrs']['className'] ) {

		// on récupère le contenu du bloc citation
		// explode scinde le contenu délimité par le séparateur:<p>
		// en sous chaine retrourné dans un tableau
		$content = explode( '<p>', $block_content );
		
		// on récupère le texte du bloc paragraphe de style ECCP Tweet
		// wp_strip_all_tags permet de supprimer toutes les balise HTML du contenu
		$text = rawurlencode( wp_strip_all_tags( $content[0]) );
		
		//rawurlencode: fonction qui évite que les caractères spéciaux soient interprétés 
		//comme des délimiteurs, en les remplaçant par %xy avec x & y deux chiffres héxadécimaux		
		//et permet aussi de protéger les URL lors du transfert 
		$url_post = rawurlencode(get_permalink());
		
		$url_twiter = 'https://twitter.com/intent/tweet?url='. $url_post .'&text=' . $text;
		
		// on récupère le lien Twiter renseigné dans les paramètres de l'extension Yoast SEO
		$seo_data = get_option( 'wpseo_social' );
		
		if( !empty( $seo_data['twitter_site'] ) ){
			$url_twiter .= '&via=' . esc_attr( $seo_data['twitter_site'] );
		}
		
		// balise HTML de fermeture du bloc citation
		$original_closing_tag = '</p>';
		
		// nouvelle balise de fermeture du bloc citation 
		// on incorpore le bouton Click to Tweet avec une icône Dashicon
		// il a pour style la classe d'un bouton par défaut de Gutenberg: is-style-default
		// et on ajoute notre classe:eccp-tweet-button
		$new_closing_tag = '<span style="display:block; margin-top:0.5em; margin-bottom:2.2em;">';
		$new_closing_tag .= '<a class="is-style-default eccp-tweet-button" href="' . esc_url_raw( $url_twiter ) . '" target="_blank" rel="noopener noreferer">';
		$new_closing_tag.= 'Click to Tweet <span class="dashicons dashicons-twitter"></span></a>'; 
		$new_closing_tag .= '</span>';
		$new_closing_tag.= $original_closing_tag;
		
		
		// on remplace dans le contenu du bloc la balise de fermeture originale 
		// par la nouvelle qui contient le bouton Click to Tweet
		$block_content = str_replace( $original_closing_tag, $new_closing_tag, $block_content );
		
	}
	
	return $block_content;
}

add_filter( 'render_block', 'eccp_tweet_button', 10, 2 );



/****************************************************************************************************
                              MODIFIER L'AVATAR PAR DEFAUT
****************************************************************************************************/

//adresse ipv4 local host = 127.0.01 , adresse ipv6 local host = ::1
$is_localhost = ($_SERVER['REMOTE_ADDR'] == "127.0.0.1" or $_SERVER['REMOTE_ADDR'] == "::1");

// si on a activé un avatar personnalisé
if( $custom_gutenberg_blocks_settings['eccp_settings_activate_custom_avatar_radio_field'] == 'yes' ) {


	// si on est en local
	if ($is_localhost){
		
		
		// changement de tous les avatars en utilisant le hook de Wordpress: get_avatar
		// $id_or_email( mixte ) (Obligatoire) Le Gravatar à récupérer. 
		// Accepte un user_id,un e-mail d'utilisateur etc..
		// $size: Hauteur et largeur du fichier image de l'avatar en pixels.Valeur par défaut : 96
		// $default: (facultatif) URL de l'image par défaut
		// $alt: texte alternatif de l'image
		// $args: (facultatif) Arguments supplémentaires pour récupérer l'avatar

		// Remarque: lorsqu'on active la section des commentaires,il est possible d'avoir une erreur
		// car $id_or_email contient en fait un objet et non une chaîne
		// on peut contourner le problème en remplaçant $id_or_email par $id_or_email->comment_author_email
		// ce qui permet de récupérer une chaîne de courrier électronique à partir de l'objet $id_or_email

		add_filter( 'get_avatar', 'eccp_get_default_avatar', 10, 5);

		function eccp_get_default_avatar( $avatar = '', $id_or_email, $size = 60, $alt = '' ) {
			
		   // on récupère les paramètres pour la personnalisation des blocs Gutenberg
		   $custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
		   $url_avatar   = !empty( $custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field'] ) ? esc_url($custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field']) : esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL).'img/custom-gutenberg-block/eccp-mystery-gravatar.jpg';
			
		   // On remplace $avatar par notre propre image carrée de 150 * 150px 
		   // dont on spécifie l'URL en local
		   $avatar = "<img alt='$alt' src='$url_avatar' class='avatar avatar-{$size} photo' height='$size' width='$size' />";
		   
		return $avatar;

		}

	// sinon c'est le serveur en ligne	
	}else{
		
		// ne fonctionne qu'en ligne
		// on télécharge une image carrée de 150 * 150px pour
		// notre gravatar personnalisé
		// on spécifie l'URL en ligne pour la variable $myavatar
		// menu Réglages/commentaire sélectionner Custom Gravatar
		
		add_filter( 'avatar_defaults', 'eccp_new_default_avatar' );
		
		function eccp_new_default_avatar($avatar_defaults) {
			
			// on récupère les paramètres pour la personnalisation des blocs Gutenberg
		    $custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
		    $url_avatar  = !empty( $custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field'] ) ? esc_url($custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_url_text_field']) : esc_url(EDITOR_CUSTOM_COLOR_PALETTE_URL).'img/custom-gutenberg-block/eccp-mystery-gravatar.jpg';
			
			$avatar_defaults[$url_avatar] = __( 'Custom Avatar', 'editor-custom-color-palette' );
			return $avatar_defaults;
			
		}
		
	}

} // Fin si on activé un avatar personnalisé

/*----------------------------------------------------------------------------------------
		                         CSS DYNAMIQUE 
/*---------------------------------------------------------------------------------------*/


	
add_action( 'wp_head','eccp_css_dynamique',2 );
	

function eccp_css_dynamique() {			

	// On récupère les paramètres pour la palette de couleurs
	$settings = get_option( 'eccp_multiple_setting' );
	// On récupère les paramètres pour les tailles de texte de l'éditeur
	$editor_text_size_settings = get_option( 'eccp_setting_editor_text_size' );
	
						
	echo'<style type="text/css">';
	
		/*----------------------------------------------------------------------------------------
		                            CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Front End)(OLD)
		/*---------------------------------------------------------------------------------------*/
		
		// si on a activé la personnalisation de la palette de couleurs
		//if( $settings['eccp_settings_activate_customizing_color_palette_checkbox_field'] == true ) {
		
			/* ---------- Couleur N°1 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_one']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'has-strong-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_one']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_one']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_one']).'!important;';
			echo'}';
			*/
			
			
			/* ---------- Couleur N°2 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_two']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_two']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_two']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_two']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°3 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_three']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_three']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_three']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_three']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°4 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_four']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_four']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_four']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_four']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°5 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_five']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_five']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_five']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_five']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°6 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_six']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_six']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_six']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_six']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°7 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_seven']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_seven']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_seven']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_seven']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°8 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eight']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eight']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eight']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eight']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°9 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_nine']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_nine']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_nine']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_nine']).'!important;';
			echo'}';
			*/
			
			
			/* ---------- Couleur N°10 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_ten']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_ten']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_ten']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_ten']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°11 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eleven']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eleven']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eleven']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eleven']).'!important;';
			echo'}';
			*/
			
			/* ---------- Couleur N°12 ---------
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_twelve']).'!important;';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_twelve']).'!important;';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_twelve']).'!important;';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_twelve']).'!important;';
			echo'}';
			*/
			
		//}
		
		/*----------------------------------------------------------------------------------------
		                            CSS DYNAMIQUE TAILLES POLICE EDITEUR GUTENBERG (Front End)
		/*---------------------------------------------------------------------------------------*/

		
		// font size: small
		echo'.has-eccp-small-font-size {';

			echo'font-size:'.esc_html($editor_text_size_settings['eccp_settings_small_font_size_text_field']).'px!important;';
			echo'line-height:1.3em;';
			
		echo'}';
		
		// font size: regular
		echo'.has-eccp-regular-font-size {';

			echo'font-size:'.esc_html($editor_text_size_settings['eccp_settings_regular_font_size_text_field']).'px!important;';
			echo'line-height:1.3em;';
			
		echo'}';
		
		//font size: large
		echo'.has-eccp-large-font-size {';

			echo'font-size:'.esc_html($editor_text_size_settings['eccp_settings_large_font_size_text_field']).'px!important;';
			echo'line-height:1.3em;';
			
		echo'}';
		
		//font size: huge (extra large)
		echo'.has-eccp-huge-font-size {';

			echo'font-size:'.esc_html($editor_text_size_settings['eccp_settings_huge_font_size_text_field']).'px!important;';
			echo'line-height: 1.3em;';
			
		echo'}';
	
	   
	
	echo'</style>';
	

}


/*----------------------------------------------------------------------------------------
		        CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Back office)(OLD)
/*---------------------------------------------------------------------------------------*/

//add_action('admin_head',  'eccp_css_dynamique_back_office',8);
//add_action('admin_print_styles',  'eccp_css_dynamique_back_office', 21);

function eccp_css_dynamique_back_office() {

	// Si on est en back office & si l'objet d'écran est l'éditeur Gutenberg,
	// alors on peut charger notre style sinon on sort
	if (!is_admin() and !get_current_screen()->is_block_editor() ) {
		return;
	}

	// On récupère les paramètres général de réglages du plugin
	$settings = get_option( 'eccp_multiple_setting' );
						
	echo'<style id="editor_custom_color_palette_css" type="text/css">';
	
		/*----------------------------------------------------------------------------------------
		                            CSS DYNAMIQUE PALETTE DE COULEURS GUTENBERG (Back office)
		/*---------------------------------------------------------------------------------------*/
		
		// si on a activé la personnalisation de la palette de couleurs
		if( $settings['eccp_settings_activate_customizing_color_palette_checkbox_field'] == true ) {
		
			/* ---------- Couleur N°1 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_one']).';';
			echo'}';
			// couleur de fond en gras
			echo'has-strong-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_one']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_one']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_one_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_one']).';';
			echo'}';
			
			/* ---------- Couleur N°2 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_two']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_two']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_two']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_two_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_two']).';';
			echo'}';
			
			/* ---------- Couleur N°3 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_three']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_three']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_three']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_three_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_three']).';';
			echo'}';
			
			/* ---------- Couleur N°4 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_four']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_four']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_four']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_four_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_four']).';';
			echo'}';
			
			/* ---------- Couleur N°5 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_five']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_five']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_five']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_five_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_five']).';';
			echo'}';
			
			/* ---------- Couleur N°6 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_six']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_six']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_six']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_six_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_six']).';';
			echo'}';
			
			/* ---------- Couleur N°7 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_seven']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_seven']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_seven']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_seven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_seven']).';';
			echo'}';
			
			/* ---------- Couleur N°8 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eight']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eight']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eight']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eight_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eight']).';';
			echo'}';
			
			/* ---------- Couleur N°9 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_nine']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_nine']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_nine']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_nine_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_nine']).';';
			echo'}';
			
			/* ---------- Couleur N°10 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_ten']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_ten']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_ten']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_ten_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_ten']).';';
			echo'}';
			
			/* ---------- Couleur N°11 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eleven']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_eleven']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eleven']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_eleven_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_eleven']).';';
			echo'}';
			
			/* ---------- Couleur N°12 ---------*/
			// couleur de fond
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_twelve']).';';
			echo'}';
			// couleur de fond en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-background-color{';
			echo'background-color:'.esc_html($settings['eccp_settings_color_twelve']).';';
			echo'}';
			// couleur de texte
			echo'.has-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_twelve']).';';
			echo'}';
			// couleur texte en gras
			echo'.has-strong-'.esc_html($settings['eccp_settings_slug_color_twelve_text_field']).'-color{';
			echo'color:'.esc_html($settings['eccp_settings_color_twelve']).';';
			echo'}';
	
		}
		
	echo'</style>';
	

}



/*----------------------------------------------------------------------------------------
		                STYLE BACK OFFICE PALETTE DE COULEURS
/*---------------------------------------------------------------------------------------*/


function ecpp_custom_styling_color_palette() {
	
	// Si on est en back office & si l'objet d'écran est l'éditeur Gutenberg,
	// alors on peut charger notre style sinon on sort
	if (!is_admin() and !get_current_screen()->is_block_editor() ) {
		return;
	}
	
	// On récupère les paramètres pour la palette de couleurs
	$settings = get_option( 'eccp_multiple_setting' );
	
	
	// Style Palette de couleurs en back office
	echo '<style type="text/css">';
	
	
	
		switch ($settings['eccp_settings_number_colors_select_field']) {
			
			case '7':
			
			/* Pour la palette de couleurs dans le panneau latéral droit onglet Bloc */
			echo'.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+8),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+9),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+10),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			/* Pour la palette de couleurs qui apparait en fenêtre modale pour un
			   changement de couleurs du texte directement a partir de la barre d'outils du bloc */
			echo'.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+8),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+9),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+10),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			break;
			
			
			case '8':
			
			/* Pour la palette de couleurs dans le panneau latéral droit onglet Bloc */
			echo'.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+9),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+10),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			/* Pour la palette de couleurs qui apparait en fenêtre modale pour un
			   changement de couleurs du texte directement a partir de la barre d'outils du bloc */
			echo'.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+9),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+10),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			break;
			
			
			case '9':
			
			/* Pour la palette de couleurs dans le panneau latéral droit onglet Bloc */
			echo'.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+10),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			/* Pour la palette de couleurs qui apparait en fenêtre modale pour un
			   changement de couleurs du texte directement a partir de la barre d'outils du bloc */
			echo'.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+10),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			break;
			
			case '10':
			
			/* Pour la palette de couleurs dans le panneau latéral droit onglet Bloc */
			echo'.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			/* Pour la palette de couleurs qui apparait en fenêtre modale pour un
			   changement de couleurs du texte directement a partir de la barre d'outils du bloc */
			echo'.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+11),
				.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			break;
			
			case '11':
			
			/* Pour la palette de couleurs dans le panneau latéral droit onglet Bloc */
			echo'.block-editor-panel-color-gradient-settings .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			/* Pour la palette de couleurs qui apparait en fenêtre modale pour un
			   changement de couleurs du texte directement a partir de la barre d'outils du bloc */
			echo'.components-popover__content .components-circular-option-picker__option-wrapper:nth-child(0n+12){
		
				display:none!important;
			
			}';
			
			break;
			
		}
	

	echo '</style>';

}

add_action('admin_head', 'ecpp_custom_styling_color_palette');

/*----------------------------------------------------------------------------------------
		                STYLE BACK OFFICE BLOCS EDITEUR GUTENBERG
/*---------------------------------------------------------------------------------------*/

// pour bien déclarer le style uniquemment pour l'éditeur en back office on utilise 
// le hook: enqueue_block_editor_assets
add_action('enqueue_block_editor_assets', 'ecpp_block_style_back_office');

function ecpp_block_style_back_office() {
	
	
	add_action( 'admin_head', function() {
		
		// On récupère les paramètres pour personnaliser l'éditeur
		$custom_gutenberg_editor_settings = get_option( 'eccp_settings_custom_gutenberg_editor' );
		// On récupère les paramètres pour les blocs réutilisables
		$reusable_blocks_settings = get_option( 'eccp_settings_reusable_blocks' );
		// On récupère les paramètres pour personnaliser les blocs Gutenberg
		$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
		
		// post type ayant un slug, publicly_queryable, mais qui ne sont pas des CPT utilisateurs
		$slug_no_cpt = array('e-landing-page','seedprod' ,'product','produit',
							'/boutique','elementor-hf','nf_sub','/produit');
		
		/*-------------- CORRECTION BUG DU AU PLUGIN ---------------*/
		// Si on est en back office & si l'objet d'écran est l'éditeur Gutenberg,
		// alors on peut charger notre style
		// sinon problème avec les métabox du panneau latéral de WordPress
		if (is_admin() and get_current_screen()->is_block_editor() ) {
		   
			// Style des blocs en back office
			echo '<style type="text/css">';
			
				/*------------------- RÈGLES GÉNÉRALES EDITEUR GUTENBERG --------------------------*/
				
				// On impose le centrage des blocks, cette régle étant invalidé uniquement 
				//	   pour les liste à puces par: 
				//	   .editor-styles-wrapper .block-editor-block-list__layout ul {
				//			margin: 15px 0 15px 0;
				//		}  	
				
				echo'.block-editor-block-list__layout .wp-block {
					margin-left: auto!important;
					margin-right: auto!important;
				}'; 
				
				// régles pour le block FAQ YOAST SEO
				echo'.wp-block-yoast-faq-block {
					margin-left: auto!important;
					margin-right: auto!important;
				}'; 
				
				/*------------------- ALIGNEMENT LARGE & PLEINE LARGEUR POUR L 'EDITEUR DE BLOCS RÉGLES BACK OFFICE ----------------------*/
				
				// si on à activé l'alignement large pour l'éditeur de blocs
				if( $custom_gutenberg_editor_settings['eccp_settings_activate_align_wide_block_editor_checkbox_field'] == true ) {
					
					//.block-editor-block-list__layout
					// régles pour un alignement large pour les pages
					// on fait correspondre le bloc a la largeur de l'editeur
					echo'body.post-type-page .wp-block[data-align="wide"] {
						
						width: 100%!important;
						
					}';
					
					
					// régles pour un alignement pleine largeur uniquement pour les pages
					// je ne gère pas les articles car généralement il y a une sidebar
					// et il est difficile de tester si présence ou non d'une sidebar
					echo'body.post-type-page .wp-block[data-align="full"] {
						
						max-width: none!important;
						margin-left:unset!important;
						margin-right:unset!important;
					
					}';
					
					
					// Règles alignement pour les articles si on activé le réglage de largeur de l'editeur.
					// On aurait pu faire comme pour les pages mais le thème Astra a une règle max-width: 1260px
					// pour tous les alignements qu'il faut pouvoir surchargé.
					if( $custom_gutenberg_editor_settings['eccp_settings_activate_editor_width_checkbox_field'] == true ){
					
					
						// Selon Largeur editeur pour les articles
						switch ($custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field']) {
						
							// petit modèle pour les articles
							case 'small':
							
							echo' body.post-type-post .wp-block[data-align="left"], 
								  body.post-type-post .wp-block[data-align="right"], 
								  body.post-type-post .wp-block[data-align="center"], 
								  body.post-type-post .wp-block[data-align="full"], 
								  body.post-type-post .wp-block[data-align="wide"]{';
							 
								echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px;';
							
							echo'}';
							
							break;
							
							// large modèle pour les articles
							case 'large':
							
							echo' body.post-type-post .wp-block[data-align="left"], 
								  body.post-type-post .wp-block[data-align="right"], 
								  body.post-type-post .wp-block[data-align="center"], 
								  body.post-type-post .wp-block[data-align="full"], 
								  body.post-type-post .wp-block[data-align="wide"]{';
							 
								echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px;';
							
							echo'}';
							
							break;
							
							// pleine largeur pour les articles
							case 'fullwidth':
							
							echo' body.post-type-post .wp-block[data-align="left"], 
								  body.post-type-post .wp-block[data-align="right"], 
								  body.post-type-post .wp-block[data-align="center"], 
								  body.post-type-post .wp-block[data-align="full"], 
								  body.post-type-post .wp-block[data-align="wide"]{';
							 
								echo'max-width: none;';
							
							echo'}';
							
							break;
						
						}
						
					
					}
					
					// s'il ya des Customm Post Type
					if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
						
						foreach ($slug_cpt as $key => $value) {
							
							// on récupère pour les CPT un tableau associatif : $slug_cpt
							// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
							// récupère aussi a quelques exception prés des slug de post type 
							// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
							// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
							if  ( !in_array($value, $slug_no_cpt) )  {
						
								// régles pour un alignement large pour les Custom Post Type
								// on fait correspondre le bloc a la largeur de l'editeur
								echo'body.post-type-'.$value.' .wp-block[data-align="wide"] {
								
								width: 100%!important;
								
								}';
							
							
								// régles pour un alignement pleine largeur 
								echo'body.post-type-'.$value.' .wp-block[data-align="full"] {
									
									max-width: none!important;
									margin-left:unset!important;
									margin-right:unset!important;
								
								}';
								
								
								// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
								// ce n'est pas le slug mais le nom du post type qui est pris comme référence
								// par The Events Calendar pour appliquer des régles CSS.
								if ($key == 'tribe_events') {
									
									// régles pour un alignement large pour les événements
									// on fait correspondre le bloc a la largeur de l'editeur
									echo'body.post-type-'.$key.' .wp-block[data-align="wide"] {
									
									width: 100%!important;
									
									}';
								
								
									// régles pour un alignement pleine largeur 
									echo'body.post-type-'.$key.' .wp-block[data-align="full"] {
										
										max-width: none!important;
										margin-left:unset!important;
										margin-right:unset!important;
									
									}';
									
									
								}
							
							}
						
						}
					
						
					} // s'il ya des Customm Post Type
					
					
				} // fin si on a activé l'alignement pleine largeur
				
				
				/*------------------- EMBEDS RESPONSIVES LARGEUR MAX VIDÉOS INTÉGRÉES EN BACK OFFICE --------------------------*/
				
				// Si on à activé les embeds responsive			
				if( $custom_gutenberg_editor_settings['eccp_settings_activate_responsive_embeds_checkbox_field'] == true ) {
					
					// régles pour les articles
					echo'body.post-type-post .wp-block[data-align=left]>.wp-block-embed,
						 body.post-type-post .wp-block[data-align=center]>.wp-block-embed,
						 body.post-type-post .wp-block[data-align=right]>.wp-block-embed {'; 
					
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px!important;';
					
					echo'}';
					
					
					// régles pour les pages
					echo'body.post-type-page .wp-block[data-align=left]>.wp-block-embed,
						 body.post-type-page .wp-block[data-align=center]>.wp-block-embed,
						 body.post-type-page .wp-block[data-align=right]>.wp-block-embed {'; 
					
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']) ).'px!important;';
					
					echo'}';
					
					
					// on récupère le thème actif
					$my_theme = wp_get_theme();
			
					// Modif pour le thème DIVI 
					if(stristr($my_theme, 'divi')) {
					
						// modif afin que la taille de la vidéo configurée dans la  
						// page d'option du plugin soit prise en compte
						echo'.editor-styles-wrapper .block-editor-block-list__layout.is-root-container > [data-align="left"],
							 .editor-styles-wrapper .block-editor-block-list__layout.is-root-container > [data-align="right"]{';
							
							echo'float:unset!important';
						
						echo'}';
					
					}
					
					
					// s'il ya des Custom Post Type
					if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
						
						foreach ($slug_cpt as $key => $value) {
							
							// on récupère pour les CPT un tableau associatif : $slug_cpt
							// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
							// récupère aussi a quelques exception prés des slug de post type 
							// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
							// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
							if  ( !in_array($value, $slug_no_cpt) )  {
								
								// régles pour les CPT
								echo'body.post-type-'.$value.' .wp-block[data-align=left]>.wp-block-embed,'.
									'body.post-type-'.$value.' .wp-block[data-align=center]>.wp-block-embed,'.
									'body.post-type-'.$value.' .wp-block[data-align=right]>.wp-block-embed {'; 
								
										echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px!important;';
								
								echo'}';
								
								// Régle pour les CPT
								// Mise à jour version 2.0: correction pour un alignement gauche & droite du bloc embed
								// pour un embed max-width de 960px 
								//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
						
								echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'].'px) {';
						
									echo 'body.post-type-'.$value.' .wp-block[data-align=left]>.wp-block-embed {';
							
										echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
					
									echo'}';
							
									echo 'body.post-type-'.$value.' .wp-block[data-align=right]>.wp-block-embed {';
							
										echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
					
									echo'}';

								echo'}'; 
								
								
								// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
								// ce n'est pas le slug mais le nom du post type qui est pris comme référence
								// par The Events Calendar pour appliquer des régles CSS.(Mise à jour version 2.0)
								if ($key == 'tribe_events') {
									
									// régles pour les CPT évènements
									echo'body.post-type-'.$key.' .wp-block[data-align=left]>.wp-block-embed,'.
										'body.post-type-'.$key.' .wp-block[data-align=center]>.wp-block-embed,'.
										'body.post-type-'.$key.' .wp-block[data-align=right]>.wp-block-embed {'; 
									
											echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px!important;';
									
									echo'}';
									
									// Régle pour les CPT évènements
									// Mise à jour version 2.0: correction pour un alignement gauche & droite du bloc embed
									// pour un embed max-width de 960px 
									//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
							
									echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'].'px) {';
							
										echo 'body.post-type-'.$key.' .wp-block[data-align=left]>.wp-block-embed {';
								
											echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
						
										echo'}';
								
										echo 'body.post-type-'.$key.' .wp-block[data-align=right]>.wp-block-embed {';
								
											echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
						
										echo'}';

									echo'}'; 
					
									
								}
								
						
							}
						
						}
					
						
					}
					
					
					// Régle pour les Articles
					// Mise à jour version 1.7: correction pour un alignement gauche & droite du bloc embed
					// pour un embed max-width de 960px 
					//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
			
					echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field'].'px) {';
			
						echo 'body.post-type-post .wp-block[data-align=left]>.wp-block-embed {';
				
							echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px)!important;';
		
						echo'}';
				
						echo 'body.post-type-post .wp-block[data-align=right]>.wp-block-embed {';
				
							echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px)!important;';
		
						echo'}'; 
					
					echo'}';

			
					// Régle pour les Pages
					// Mise à jour version 1.7 & 1.8: correction pour un alignement gauche & droite du bloc embed
					// pour un embed max-width de 960px 
					//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
			
					echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field'].'px) {';
			
						echo 'body.post-type-page .wp-block[data-align=left]>.wp-block-embed {';
				
							echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']-100) ).'px)!important;';
		
						echo'}';

						echo 'body.post-type-page .wp-block[data-align=right]>.wp-block-embed {';
				
							echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']-100) ).'px)!important;';
		
						echo'}';
					
					echo'}';
					
					
					// régle pour centrer la vidéo pour un alignement centré
					echo'.wp-block[data-align=center]>.wp-block-embed {'; 
					
							echo'margin:0 auto!important;';
					
					echo'}';
					
					
					$my_theme = wp_get_theme();
			
					// pour un alignement centré correction pour le thème Astra 
					if(stristr($my_theme, 'astra')) {
					
						echo'.ast-plain-container .wp-block[data-align="center"] {';
						
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px!important;';
							
						echo'}';
					
					}
					
				}
				 
				
				
				/*------------------- FAIRE CORRESPONDRE LA LARGEUR DE L'EDITEUR & BLOC PARAGRAPHE & BLOC GROUP & BLOC TABLEAU & BLOC YOAST A CELLE DU SITE RÉGLES BACK OFFICE --------------------------*/
				
				if( $custom_gutenberg_editor_settings['eccp_settings_activate_editor_width_checkbox_field'] == true ){
				
					
					// Largeur editeur pour les articles
					switch ($custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field']) {
					
						//----------- petit modèle pour les articles -----------
						case 'small':
						
						echo'body.post-type-post .wp-block {'; 
					
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px!important;';
					
						echo'}';
						
						
						// largeur block paragraphe	& block group & bloc tableau 					
						echo'body.post-type-post p.is-style-eccp-size-small,
							 body.post-type-post [data-type="core/group"].is-style-eccp-size-small,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-small{';
								
							echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-regular,
						     body.post-type-post [data-type="core/group"].is-style-eccp-size-regular,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-regular{';
										
							echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-large,
						     body.post-type-post [data-type="core/group"].is-style-eccp-size-large,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-large{';
										
							echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-larger,
							 body.post-type-post [data-type="core/group"].is-style-eccp-size-larger,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-larger{';
										
							echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						// largeur block FAQ YOAST SEO
						echo'body.post-type-post div.wp-block-yoast-faq-block{';
										
							echo'width: calc('.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']))/100 * esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						
						break;
						
						
						//----------- large modèle pour les articles -----------
						case 'large':
						
						echo'body.post-type-post .wp-block {'; 
					
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px!important;';
					
						echo'}';
						
						
						// largeur block paragraphe	& block group & block tableau					
						echo'body.post-type-post p.is-style-eccp-size-small,
							 body.post-type-post [data-type="core/group"].is-style-eccp-size-small,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-small{';
								
							echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-regular,
						     body.post-type-post [data-type="core/group"].is-style-eccp-size-regular,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-regular{';
							 
							echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-large,
						     body.post-type-post [data-type="core/group"].is-style-eccp-size-large,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-large{';
										
							echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-larger,
							 body.post-type-post [data-type="core/group"].is-style-eccp-size-larger,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-larger{';
										
							echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						// largeur block FAQ YOAST SEO
						echo'body.post-type-post div.wp-block-yoast-faq-block{';
										
							echo'width: calc('.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']))/100 * esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						
						break;
						
						
						//----------- pleine largeur pour les articles -----------
						//----------- ne fonctionne pas avec le thème Astra, -----------
						//-----------  même avec l'extension kadence Block -----------
						case 'fullwidth':
						
						echo'body.post-type-post .wp-block{
							max-width: none!important;
						}';
						
						
						// largeur block paragraphe	& block group & block tableau					
						echo'body.post-type-post p.is-style-eccp-size-small,
							 body.post-type-post [data-type="core/group"].is-style-eccp-size-small,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-small{';
								
							echo'width: 60%!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-regular,
						     body.post-type-post [data-type="core/group"].is-style-eccp-size-regular,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-regular{';
										
							echo'width: 70%!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-large,
						     body.post-type-post [data-type="core/group"].is-style-eccp-size-large,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-large{';
										
							echo'width: 80%!important;';
					
						echo'}';
						
						echo'body.post-type-post p.is-style-eccp-size-larger,
							 body.post-type-post [data-type="core/group"].is-style-eccp-size-larger,
							 body.post-type-post [data-type="core/table"].is-style-eccp-size-larger{';
										
							echo'width: 90%!important;';
					
						echo'}';
						
						// largeur block FAQ YOAST SEO
						echo'body.post-type-post div.wp-block-yoast-faq-block{';
										
							echo'width:' .esc_html($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']).'%!important;';
					
						echo'}';
						
						
						break;
					
					}
					
					// Largeur editeur pour les pages
					switch ($custom_gutenberg_editor_settings['eccp_settings_page_template_editor_select_field']) {
					
						//----------- petit modèle pour les pages -----------
						case 'small':
						
						echo'body.post-type-page .wp-block {';
						
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px!important;';
					
						echo'}';
						
						
						// largeur block paragraphe & block group & block tableau						
						echo'body.post-type-page p.is-style-eccp-size-small,
							 body.post-type-page [data-type="core/group"].is-style-eccp-size-small,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-small{';
								
							echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-regular,
						     body.post-type-page [data-type="core/group"].is-style-eccp-size-regular,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-regular{';
										
							echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-large,
						     body.post-type-page [data-type="core/group"].is-style-eccp-size-large,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-large{';
										
							echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-larger,
							 body.post-type-page [data-type="core/group"].is-style-eccp-size-larger,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-larger{';
										
							echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						
						// largeur block FAQ YOAST SEO
						echo'body.post-type-page div.wp-block-yoast-faq-block{';
										
							echo'width: calc('.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']))/100 * esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						
						
						break;
						
						
						//----------- large modèle pour les pages -----------
						case 'large':
						
						echo'body.post-type-page .wp-block {';
						
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px!important;';
					
						echo'}';
						
						
						// largeur block paragraphe	& block group					
						echo'body.post-type-page p.is-style-eccp-size-small,
							 body.post-type-page [data-type="core/group"].is-style-eccp-size-small,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-small{';
								
							echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-regular,
						     body.post-type-page [data-type="core/group"].is-style-eccp-size-regular,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-regular{';
										
							echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-large,
						     body.post-type-page [data-type="core/group"].is-style-eccp-size-large,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-large{';
										
							echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-larger,
							 body.post-type-page [data-type="core/group"].is-style-eccp-size-larger,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-larger{';
										
							echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						
						// largeur block FAQ YOAST SEO
						echo'body.post-type-page div.wp-block-yoast-faq-block{';
										
							echo'width: calc('.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']))/100 * esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
					
						echo'}';
						
						
						
						break;
						
						
						//----------- pleine largeur pour les pages -----------
						//----------- ne fonctionne pas avec le thème Astra, -----------
						//----------- même avec l'extension kadence Block -----------
						case 'fullwidth':
						
						echo'body.post-type-page .wp-block{
							max-width: none!important;
						}';
						
						// largeur block paragraphe & block group & block table						
						echo'body.post-type-page p.is-style-eccp-size-small,
							 body.post-type-page [data-type="core/group"].is-style-eccp-size-small,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-small{';
								
							echo'width: 60%!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-regular,
						     body.post-type-page [data-type="core/group"].is-style-eccp-size-regular,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-regular{';
							echo'width: 70%!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-large,
						     body.post-type-page [data-type="core/group"].is-style-eccp-size-large,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-large{';
										
							echo'width: 80%!important;';
					
						echo'}';
						
						echo'body.post-type-page p.is-style-eccp-size-larger,
							 body.post-type-page [data-type="core/group"].is-style-eccp-size-larger,
							 body.post-type-page [data-type="core/table"].is-style-eccp-size-larger{';
										
							echo'width: 90%!important;';
					
						echo'}';
						
						
						// largeur block FAQ YOAST SEO
						echo'body.post-type-page div.wp-block-yoast-faq-block{';
										
							echo'width:' .esc_html($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']).'%!important;';
					
						echo'}';
						
						
						
						break;
					
					}
					
					
					// Largeur editeur pour les Custom Post Type
					
					// s'il ya des Custom Post Type
					if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
						
						switch ($custom_gutenberg_editor_settings['eccp_settings_cpt_template_editor_select_field']) {
						
							//----------- petit modèle pour les CPT -----------
							case 'small':
							
							foreach ($slug_cpt as $key => $value) {
								
								// on récupère pour les CPT un tableau associatif : $slug_cpt
								// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
								// récupère aussi a quelques exception prés des slug de post type 
								// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
								// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
								if  ( !in_array($value, $slug_no_cpt) )  {
								
									echo'body.post-type-'.$value.' .wp-block {'; 
							
									echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px!important;';
							
									echo'}';
									
									
									// largeur block paragraphe	& block group & block tableau
									echo'body.post-type-'.$value.' p.is-style-eccp-size-small,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-small,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-small{';
																				
										echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-regular,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-regular,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-regular{';
																						
										echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-large,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-large,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-large{';
																						
										echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-larger,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-larger,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-larger{';
																						
										echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									
									// largeur block FAQ YOAST SEO
									echo'body.post-type-'.$value.' div.wp-block-yoast-faq-block{';
													
										echo'width: calc('.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']))/100 * esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
								
								}
								
								
								// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
								// ce n'est pas le slug mais le nom du post type qui est pris comme référence
								// par The Events Calendar pour appliquer des régles CSS.
								if ($key == 'tribe_events') {
									
									echo'body.post-type-'.$key.' .wp-block {'; 
							
									echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px!important;';
							
									echo'}';
									
									
									// largeur block paragraphe	& block group & block tableau
									echo'body.post-type-'.$key.' p.is-style-eccp-size-small,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-small,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-small{';
																				
										echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-regular,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-regular,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-regular{';
																						
										echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-large,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-large,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-large{';
													
										echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-larger,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-larger,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-larger{';
													
										echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
								}
								
			
							}
							
							
							break;
							
							//----------- large modèle pour les CPT -----------
							case 'large':
							
							foreach ($slug_cpt as $key => $value) {
								
								// si le slug est bien un slug de CPT
								if  ( !in_array($value, $slug_no_cpt) )  {
								
									echo'body.post-type-'.$value.' .wp-block {'; 
							
									echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px!important;';
							
									echo'}';
									
									
									// largeur block paragraphe & block group						
									echo'body.post-type-'.$value.' p.is-style-eccp-size-small,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-small,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-small{';
											
										echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-regular,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-regular,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-regular{';
													
										echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-large,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-large,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-large{';
													
										echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-larger,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-larger,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-larger{';
													
										echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									// largeur block FAQ YOAST SEO
									echo'body.post-type-'.$value.' div.wp-block-yoast-faq-block{';
													
										echo'width: calc('.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']))/100 * esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
								
								}
								
								// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
								// ce n'est pas le slug mais le nom du post type qui est pris comme référence
								// par The Events Calendar pour appliquer des régles CSS.
								if ($key == 'tribe_events') {
									
									echo'body.post-type-'.$key.' .wp-block {'; 
							
									echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px!important;';
							
									echo'}';
									
									
									// largeur block paragraphe	& block group & block tableau					
									echo'body.post-type-'.$key.' p.is-style-eccp-size-small,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-small,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-small{';
											
										echo'width: calc(0.6 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-regular,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-regular,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-regular{';
													
										echo'width: calc(0.7 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-large,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-large,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-large{';
													
										echo'width: calc(0.8 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-larger,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-larger,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-larger{';
													
										echo'width: calc(0.9 * '.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field']) ).'px)!important;';
								
									echo'}';
									
								}
			
							}
							
							break;
							
							//----------- pleine largeur pour les CPT -----------
							case 'fullwidth':
							
							foreach ($slug_cpt as $key => $value) {
								
								// si le slug est bien un slug de CPT
								if  ( !in_array($value, $slug_no_cpt) )  {
							
									echo'body.post-type-'.$value.' .wp-block{
										max-width: none!important;
									}';
									
									// largeur block paragraphe	& block group & block tableau					
									echo'body.post-type-'.$value.' p.is-style-eccp-size-small,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-small,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-small{';
											
										echo'width: 60%!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-regular,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-regular,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-regular{';
													
										echo'width: 70%!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-large,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-large,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-large{';
													
										echo'width: 80%!important;';
								
									echo'}';
									
									echo'body.post-type-'.$value.' p.is-style-eccp-size-larger,
										 body.post-type-'.$value.' [data-type="core/group"].is-style-eccp-size-larger,
										 body.post-type-'.$value.' [data-type="core/table"].is-style-eccp-size-larger{';
													
										echo'width: 90%!important;';
								
									echo'}';
									
									// largeur block FAQ YOAST SEO
									echo'body.post-type-'.$value.' div.wp-block-yoast-faq-block{';
													
										echo'width:' .esc_html($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']).'%!important;';
								
									echo'}';
									
								}
								
								// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
								// ce n'est pas le slug mais le nom du post type qui est pris comme référence
								// par The Events Calendar pour appliquer des régles CSS.
								if ($key == 'tribe_events') {
									
									echo'body.post-type-'.$key.' .wp-block {'; 
							
										echo'max-width: none!important;';
							
									echo'}';
									
									
									// largeur block paragraphe	& block group & block tableau					
									echo'body.post-type-'.$key.' p.is-style-eccp-size-small,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-small,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-small{';
											
										echo'width: 60%!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-regular,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-regular,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-regular{';
													
										echo'width: 70%!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-large,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-large,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-large{';
													
										echo'width: 80%!important;';
								
									echo'}';
									
									echo'body.post-type-'.$key.' p.is-style-eccp-size-larger,
										 body.post-type-'.$key.' [data-type="core/group"].is-style-eccp-size-larger,
										 body.post-type-'.$key.' [data-type="core/table"].is-style-eccp-size-larger{';
													
										echo'width: 90%!important;';
								
									echo'}';
									
								}
							
							}
							
							break;
						
						}
					
					} // Fin  s'il ya des Custom Post Type
					

				}
				
				
				/*------------------- TITRE PAGE & ARTICLE & CPT BACK OFFICE --------------------------*/
				
				// Alignement du titre de l'article ou page 
				echo'textarea.editor-post-title__input{';
					
					echo'text-align:'.$custom_gutenberg_editor_settings['eccp_settings_page_title_alignment_select_field'].';';
					
				echo'}';
				
			
				/*-------------------BLOC RÉUTILISABLE BLOCKQUOTE BACK OFFICE --------------------------
			
				/* On régle la largeur automatique du bloc en fonction de son contenu
				avec les régles position: absolute ou float:left mais cela pose un problème.
				j'ai donc pris une position relative et limiter la largeur à width:50% 
				par rapport à l'interface publique mofification de la régle: border:none!important 
				et ajout de la règle: padding-left:0px!important	 
				par rapport a l'interface publique on laisse les marges left et right à auto 
				width valeur différente de l'interface publique pour un même rendu */
				
				echo'.block-quote{
					position: relative;
					font-style: italic;
					border:none!important;
					margin-top:40px!important;
					margin-bottom:40px!important;
					padding-left:0px!important;';
				echo'}';
				  
				/* Modif version 2.3: la graisse & taille de texte sont désormais des réglages
				   du bloc natif Bloc Quote de WordPress
				echo'.block-quote p {';
				  
				echo'font-size:'.esc_html($reusable_blocks_settings['eccp_settings_font_size_blockquote_text_field']).'px!important;';
				echo'font-weight:'.esc_html($reusable_blocks_settings['eccp_settings_font_weight_blockquote_select_field']).'!important;';
				
				echo'}';
				 */ 
				
				/* 
				   Modif Version 1.7
				   Blockquote de gauche,j'ai reformaté l'image SVG 
				   en URL data(https://websemantics.uk/tools/svg-to-background-image-conversion/) 
				   pour l'utiliser comme images d'arrière-plan, au lieu de l'URL relative 
				   par rapport au répertoire du plugin: 
				   echo'background: url('.EDITOR_CUSTOM_COLOR_PALETTE_URL.'/img/editeur-gutenberg/rc-blockquote.svg'.');';	
				   Ceci afin de modifier la couleur de fond($blocquote_color) 
				   et l'opacité($blocquote_opacity)directement dans l'URL data 
				*/ 
				
				// on met en forme la couleur des guillemets et l'opacité pour l'URL data 
				// qui charge l'image SVG des guillemets
				// substr retourne une sous chaine de la position:1 jusqu'a la fin				
				$blocquote_color = substr($reusable_blocks_settings['eccp_settings_quotation_marks_color_text_field'],1);
				// strval renvoi une variable au format chaine
				$blocquote_opacity = strval( intval($reusable_blocks_settings['eccp_settings_quotation_marks_opacity_text_field'])/100 );
				
				echo'.block-quote:before {
					position: absolute;
					content: "";
					top: -19px;
					left: -67px;
					height: 55px;
					width: 53px;';
				echo'background-image: url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'no\'?%3E%3Csvg xmlns:dc=\'http://purl.org/dc/elements/1.1/\' xmlns:cc=\'http://creativecommons.org/ns%23\' xmlns:rdf=\'http://www.w3.org/1999/02/22-rdf-syntax-ns%23\' xmlns:svg=\'http://www.w3.org/2000/svg\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:sodipodi=\'http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\' xmlns:inkscape=\'http://www.inkscape.org/namespaces/inkscape\' width=\'53\' height=\'55\' version=\'1.1\' id=\'svg8\' sodipodi:docname=\'rc-blockquote.svg\' inkscape:version=\'1.0 (4035a4fb49, 2020-05-01)\'%3E%3Cmetadata id=\'metadata14\'%3E%3Crdf:RDF%3E%3Ccc:Work rdf:about=\'\'%3E%3Cdc:format%3Eimage/svg+xml%3C/dc:format%3E%3Cdc:type rdf:resource=\'http://purl.org/dc/dcmitype/StillImage\' /%3E%3Cdc:title /%3E%3C/cc:Work%3E%3C/rdf:RDF%3E%3C/metadata%3E%3Cdefs id=\'defs12\'%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter842\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur844\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter846\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur848\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3C/defs%3E%3Csodipodi:namedview inkscape:document-rotation=\'0\' pagecolor=\'%23ffffff\' bordercolor=\'%23666666\' borderopacity=\'1\' objecttolerance=\'10\' gridtolerance=\'10\' guidetolerance=\'10\' inkscape:pageopacity=\'0\' inkscape:pageshadow=\'2\' inkscape:window-width=\'1366\' inkscape:window-height=\'705\' id=\'namedview10\' showgrid=\'false\' inkscape:zoom=\'8.6\' inkscape:cx=\'29.175176\' inkscape:cy=\'27.5\' inkscape:window-x=\'-8\' inkscape:window-y=\'-8\' inkscape:window-maximized=\'1\' inkscape:current-layer=\'svg8\' /%3E%3Cg id=\'g840\'%3E%3Cpath id=\'‘\' d=\'m 24,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 24 V 55 H 0 V 34.242 C 0,23.7 1.992,15.569 5.976,9.846 9.96,4.123 15.968,0.84 24,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter842)\' /%3E%3Cpath id=\'‘-copy\' d=\'m 53,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 53 V 55 H 29 V 34.242 C 29,23.701 30.992,15.569 34.976,9.846 38.96,4.123 44.968,0.84 53,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter846)\' inkscape:highlight-color=\'4294967295\' /%3E%3C/g%3E%3C/svg%3E");';	
				
				echo'}';
				
				
				// Blockquote de droite par rapport a l'interface publique on ajoute les régles 
				 // margin-left: auto & margin-top:auto  
				  
				echo'.block-quote:after {
					position: absolute;
					content: "";
					right: -67px!important;
					height: 55px;
					width: 53px;
					margin-top:auto;
					margin-left:auto;
					-webkit-transform: rotate(180deg);
					transform: rotate(180deg);';
				echo'background-image: url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'no\'?%3E%3Csvg xmlns:dc=\'http://purl.org/dc/elements/1.1/\' xmlns:cc=\'http://creativecommons.org/ns%23\' xmlns:rdf=\'http://www.w3.org/1999/02/22-rdf-syntax-ns%23\' xmlns:svg=\'http://www.w3.org/2000/svg\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:sodipodi=\'http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\' xmlns:inkscape=\'http://www.inkscape.org/namespaces/inkscape\' width=\'53\' height=\'55\' version=\'1.1\' id=\'svg8\' sodipodi:docname=\'rc-blockquote.svg\' inkscape:version=\'1.0 (4035a4fb49, 2020-05-01)\'%3E%3Cmetadata id=\'metadata14\'%3E%3Crdf:RDF%3E%3Ccc:Work rdf:about=\'\'%3E%3Cdc:format%3Eimage/svg+xml%3C/dc:format%3E%3Cdc:type rdf:resource=\'http://purl.org/dc/dcmitype/StillImage\' /%3E%3Cdc:title /%3E%3C/cc:Work%3E%3C/rdf:RDF%3E%3C/metadata%3E%3Cdefs id=\'defs12\'%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter842\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur844\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter846\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur848\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3C/defs%3E%3Csodipodi:namedview inkscape:document-rotation=\'0\' pagecolor=\'%23ffffff\' bordercolor=\'%23666666\' borderopacity=\'1\' objecttolerance=\'10\' gridtolerance=\'10\' guidetolerance=\'10\' inkscape:pageopacity=\'0\' inkscape:pageshadow=\'2\' inkscape:window-width=\'1366\' inkscape:window-height=\'705\' id=\'namedview10\' showgrid=\'false\' inkscape:zoom=\'8.6\' inkscape:cx=\'29.175176\' inkscape:cy=\'27.5\' inkscape:window-x=\'-8\' inkscape:window-y=\'-8\' inkscape:window-maximized=\'1\' inkscape:current-layer=\'svg8\' /%3E%3Cg id=\'g840\'%3E%3Cpath id=\'‘\' d=\'m 24,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 24 V 55 H 0 V 34.242 C 0,23.7 1.992,15.569 5.976,9.846 9.96,4.123 15.968,0.84 24,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter842)\' /%3E%3Cpath id=\'‘-copy\' d=\'m 53,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 53 V 55 H 29 V 34.242 C 29,23.701 30.992,15.569 34.976,9.846 38.96,4.123 44.968,0.84 53,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter846)\' inkscape:highlight-color=\'4294967295\' /%3E%3C/g%3E%3C/svg%3E");';
				
				echo'}';
				
				// Pour les Articles on définit pour le blockquote une largeur fixe en pixel pour petit & large ecran
				// afin d'avoir la même largeur du blockquote mode plein écran activé ou pas
				switch ($custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field']) {
						
					// petit modèle pour les Articles
					case 'small':
					
					 $width_blockquote_post = intval( ( $custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_width_blockquote_post_back_office_text_field'])/100 ) ) ;
					 $width_blockquote_post = strval($width_blockquote_post).'px';
					
					break;
					
					// large modèle pour les Articles
					case 'large':
					
					 $width_blockquote_post = intval( ( $custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_width_blockquote_post_back_office_text_field'])/100 ) ) ;
					 $width_blockquote_post = strval($width_blockquote_post).'px';
					
					break;
					
					// pleine largeur pour les Articles
					case 'fullwidth':
					
					$width_blockquote_post = $reusable_blocks_settings['eccp_settings_width_blockquote_post_back_office_text_field'].'%';
					
					break;

				}
				
				
				
				// largeur blockquote pour les articles en back office
				echo'body.post-type-post .block-quote{';
				
					echo'width:'.esc_html($width_blockquote_post).';';
				
				echo'}';
				
				
				// Pour les Pages on définit pour le blockquote une largeur fixe en pixel pour petit & large ecran
				// afin d'avoir la même largeur du blockquote mode plein écran activé ou pas
				switch ($custom_gutenberg_editor_settings['eccp_settings_page_template_editor_select_field']) {
						
					// petit modèle pour les Pages
					case 'small':
					
					 $width_blockquote_page = intval( ( $custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_width_blockquote_page_back_office_text_field'])/100 ) ) ;
					 $width_blockquote_page = strval($width_blockquote_page).'px';
					
					break;
					
					// large modèle pour les Pages
					case 'large':
					
					 $width_blockquote_page = intval( ( $custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_width_blockquote_page_back_office_text_field'])/100 ) ) ;
					 $width_blockquote_page = strval($width_blockquote_page).'px';
					
					break;
					
					// pleine largeur pour les Pages
					case 'fullwidth':
					
					$width_blockquote_page = $reusable_blocks_settings['eccp_settings_width_blockquote_page_back_office_text_field'].'%';
					
					break;

				}
				
				// largeur blockquote pour les pages en back office
				echo'body.post-type-page .block-quote{';
				
					echo'width:'.esc_html($width_blockquote_page).';';
				
				echo'}'; 
				
				
				// largeur blockquote pour les CPT en back office
				
				// s'il ya des Custom Post Type
				if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
					
					// Pour les CPT on définit pour le Blockquote une largeur fixe en pixel pour petit & large ecran
					// afin d'avoir la même largeur du blockquote mode plein écran activé ou pas
					switch ($custom_gutenberg_editor_settings['eccp_settings_cpt_template_editor_select_field']) {
							
						// petit modèle pour les CPT
						case 'small':
						
						 $width_blockquote_cpt = intval( ( $custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_width_blockquote_cpt_back_office_text_field'])/100 ) ) ;
						 $width_blockquote_cpt = strval($width_blockquote_cpt).'px';
						
						break;
						
						// large modèle pour les CPT
						case 'large':
						
						 $width_blockquote_cpt = intval( ( $custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_width_blockquote_cpt_back_office_text_field'])/100 ) ) ;
						 $width_blockquote_cpt = strval($width_blockquote_cpt).'px';
						
						break;
						
						// pleine largeur pour les CPT
						case 'fullwidth':
						
						$width_blockquote_cpt = $reusable_blocks_settings['eccp_settings_width_blockquote_cpt_back_office_text_field'].'%';
						
						break;

					}
					
					foreach ($slug_cpt as $key => $value) {
						
						
						// on récupère pour les CPT un tableau associatif : $slug_cpt
						// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
						// récupère aussi a quelques exception prés des slug de post type 
						// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
						// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
						if  ( !in_array($value, $slug_no_cpt) )  {
					
							// largeur blockquote pour les CPT en back office
							echo'body.post-type-'.$value.' .block-quote{';
							
								echo'width:'.esc_html($width_blockquote_cpt).';';
							
							echo'}'; 
					
						}
						
						// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
						// ce n'est pas le slug mais le nom du post type qui est pris comme référence
						// par The Events Calendar pour appliquer des régles CSS.
						if ($key == 'tribe_events') {

							 
							// largeur blockquote pour les CPT évènements en back office
							echo'body.post-type-'.$key.' .block-quote{';
							
								echo'width:'.esc_html($width_blockquote_cpt).';';
							
							echo'}';
							
						}
						
					
					}
				
					
				} // Fin s'il ya des Customm Post Type
				
				/*-------------------BLOC RÉUTILISABLE METTRE EN ÉVIDENCE BACK OFFICE --------------------------*/
				
				// bordure colorée orange #F37020 avec une transparence 
				echo'.mise-en-evidence {';
				
				echo'border-left: 5px solid '.esc_html($reusable_blocks_settings['eccp_settings_custom_paragraph_border_color']).';';
				
				echo' border-radius:4px;
					  padding:1.1em!important;
					  margin:1.1em!important;
					  font-size: 20px;';
					  
				echo'}';
				
				// Pour les Articles on définit pour le bloc mettre en évidence une largeur fixe en pixel 
				// pour petit & large ecran, afin d'avoir la même largeur 
				// mode plein écran activé ou pas 
				switch ($custom_gutenberg_editor_settings['eccp_settings_post_template_editor_select_field']) {
						
					// petit modèle pour les Articles
					case 'small':
					
					 $width = intval( ( $custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'])/100 ) ) ;
					 $width = strval($width).'px';
					
					break;
					
					// large modèle pour les Articles
					case 'large':
					
					 $width = intval( ( $custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'])/100 ) ) ;
					 $width = strval($width).'px';
					
					break;
					
					// pleine largeur pour les Articles
					case 'fullwidth':
					
					$width = $reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_back_office_text_field'].'%';
					
					break;

				}
				
				// largeur bloc Mettre en Évidence pour les articles en back office
				echo'body.post-type-post .mise-en-evidence{';
				
					echo'width:'.esc_html($width).';';
				
				echo'}';
				
				
				//  Pour les Pages on définit pour le bloc mettre en évidence une largeur fixe en pixel 
				// pour petit & large ecran, afin d'avoir la même largeur 
				// mode plein écran activé ou pas 
				switch ($custom_gutenberg_editor_settings['eccp_settings_page_template_editor_select_field']) {
						
					// petit modèle pour les Pages
					case 'small':
					
					 $width = intval( ( $custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'])/100 ) ) ;
					 $width = strval($width).'px';
					
					break;
					
					// large modèle pour les Pages
					case 'large':
					
					 $width = intval( ( $custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'])/100 ) ) ;
					 $width = strval($width).'px';
					
					break;
					
					// pleine largeur pour les Pages
					case 'fullwidth':
					
					$width = $reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_back_office_text_field'].'%';
					
					break;

				}
				
				
				// largeur  bloc Mettre en Évidence pour les pages en back office
				echo'body.post-type-page .mise-en-evidence{';
				
					echo'width:'.esc_html($width).';';
				
				echo'}'; 
				 
				 
				// largeur  bloc Mettre en Évidence pour les Custom Post Type 
				
				// s'il ya des Customm Post Type
				if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
					
					// Pour les CPT on définit pour le bloc mettre en évidence une largeur fixe en pixel 
					// pour petit & large ecran, afin d'avoir la même largeur 
					// mode plein écran activé ou pas 
					switch ($custom_gutenberg_editor_settings['eccp_settings_cpt_template_editor_select_field']) {
							
						// petit modèle pour les CPT
						case 'small':
						
						 $width = intval( ( $custom_gutenberg_editor_settings['eccp_settings_small_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'])/100 ) ) ;
						 $width = strval($width).'px';
						
						break;
						
						// large modèle pour les CPT
						case 'large':
						
						 $width = intval( ( $custom_gutenberg_editor_settings['eccp_settings_large_template_editor_text_field'] * intval($reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'])/100 ) ) ;
						 $width = strval($width).'px';
						
						break;
						
						// pleine largeur pour les CPT
						case 'fullwidth':
						
						$width = $reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_back_office_text_field'].'%';
						
						break;

					}
					
					foreach ($slug_cpt as $key => $value) {
						
						// on récupère pour les CPT un tableau associatif : $slug_cpt
						// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
						// récupère aussi a quelques exception prés des slug de post type 
						// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
						// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
						if  ( !in_array($value, $slug_no_cpt) )  {
							
							// largeur bloc Mettre en évidence pour les CPT
							echo'body.post-type-'.$value.' .mise-en-evidence{';
				
								echo'width:'.esc_html($width).';';
				
							echo'}'; 
					
						}
						
						// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
						// ce n'est pas le slug mais le nom du post type qui est pris comme référence
						// par The Events Calendar pour appliquer des régles CSS.
						if ($key == 'tribe_events') {
							
							// largeur bloc Mettre en évidence pour les CPT évènements
							echo'body.post-type-'.$key.' .mise-en-evidence{';
							
								echo'width:'.esc_html($width).';';
							
							echo'}';
							
						}
					
					}
				
					
				}
				
				
				/*----------------------------STYLE BOX SHADOW BACK OFFICE------------------------------*/
				
				/*------------- Style box shadow(page d'options du plugin) back office ---------------------*/
				// a partir de la version 2.8 le réglage Box Shadow est dans les paramètres du bloc 
				
				
				/*if( $custom_gutenberg_blocks_settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] == 'yes' ) {
					
					// on fait la conversion en RGBA, la fonction retourne une chaine
					// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
					$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_box_shadow_color_text_field'], 
                            intval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_opacity_text_field'])/100 );
					
					
					
					// on corrige le bug avant d'appliquer l'effet Box Shadow : 
					// une valeur de 0 enregistré en base de données donne une chaine vide
					if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field']) ){
						$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'] = '0';
					}
					
					if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field']) ){
						$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'] = '0';
					}
					
					if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field']) ){
						$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'] = '0';
					}
					
					if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field']) ){
						$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'] = '0';
					}
					
					
					// Pour un bloc groupé avec un fond effet ombre de boite par défaut: 
					// box-shadow: 8px 8px 12px -8px rgba(0,0,0,0.5);
					// padding editeur gutenberg: 20px 30px pour un bloc groupé correspond 
					// a celles de l'interface publique
					// régle: padding: 1.25em 2.375em; ajouté pour thème Astra
				
					echo'body.wp-admin .wp-block-group.is-style-eccp-box-shadow{';
					   
						echo'box-shadow: '.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'])).'px '
										 .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'])).'px '
										 .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'])).'px '
										 .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'])).'px '
										 .esc_html($rgba).';';
						
						echo'padding: 1.25em 2.375em;';
						
					echo'}';
			
					// correction thème Generate press pour un bloc de paragraphes groupés
					echo'body.wp-admin .wp-block-group__inner-container{';
					
						echo'padding:0px!important;';
					
					echo'}';
			
					//Pour un  BLOC UN SEUL PARAGRAPHE AVEC UN FOND
					// ombre de boite par défaut: box-shadow: 8px 8px 12px -8px rgba(0,0,0,0.5); 
					// afin de correspondre à l'interface publique
					// régle: padding: 1.25em 2.375em; ajouté pour thème Astra
					echo'body.wp-admin p.is-style-eccp-box-shadow{';
						
						echo'box-shadow: '.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'])).'px '
										  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'])).'px '
										  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'])).'px '
										  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'])).'px '
										  .esc_html($rgba).';';
						
						echo'background: #F0F2F6;';
						echo'padding: 1.25em 2.375em;';

					echo'}';
					
					
					//Pour un Boc Colonne
					echo'body.wp-admin .wp-block-column.is-style-eccp-box-shadow{';
						
						echo'box-shadow: '.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'])).'px '
										  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'])).'px '
										  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'])).'px '
										  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'])).'px '
										  .esc_html($rgba).';';
					
					echo'}';
					
				 
				}*/
				
				/*---------------------- Style box shadow(React JS) back office-------------------------*/
				
				// Pour un BLOC GROUPE avec un effet ombre de boite 
				// les régles pour un effet box shadow sont appliqués 
				// directement en React Js
				// régle: padding: 1.25em 2.375em; ajouté pour thème Astra
			
				// la même régle est appliqué directement au bloc Group
				/*echo'body.wp-admin .wp-block-group.is-style-eccp-box-shadow{';
				   
					echo'padding: 1.25em 2.375em;';
					
				echo'}';*/
		
		
				// correction thème Generate press pour un bloc de paragraphes groupés
				echo'body.wp-admin .wp-block-group__inner-container{';
				
					echo'padding:0px!important;';
				
				echo'}';
		
				// Pour un BLOC PARAGRAPHE 
				// régle: padding: 1.25em 2.375em; ajouté pour thème Astra
				// les régles pour un effet box shadow sont appliqués 
				// directement en React Js
				echo'body.wp-admin p.eccp-box-shadow{';
					
					echo'padding: 1.25em 2.375em;';

				echo'}';
				
				
				// Pour Le Bloc image
				// on cible l'image du bloc,qu'on ne peut faire en React JS 
				// pour apliquer le style box shadow avec les variables
				// css déclarées et affectées par le script en React JS
				echo'body.wp-admin .wp-block-image.eccp-box-shadow img {';
			
				echo'box-shadow: calc(var(--eccp-horizontalBoxShadow, 0) * 1px) '.
								 'calc(var(--eccp-verticalBoxShadow, 0) * 1px) '.
								 'calc(var(--eccp-blurBoxShadow, 4) * 1px) '.
								 'calc(var(--eccp-spreadBoxShadow, 1) * 1px) '.
								 'var(--eccp-colorBoxShadow, rgba(0,0,0,0.2));';
				 
				echo'}';
				
				
				// Pour Le Bloc Média Texte
				// on cible l'image du bloc,qu'on ne peut faire en React JS 
				// pour apliquer le style box shadow avec les variables
				// css déclarées et affectées par le script en React JS
				echo'body.wp-admin .wp-block-media-text.eccp-box-shadow .wp-block-media-text__media img {';
			
				echo'box-shadow: calc(var(--eccp-horizontalBoxShadow, 20) * 1px) '.
								 'calc(var(--eccp-verticalBoxShadow, 20) * 1px) '.
								 'calc(var(--eccp-blurBoxShadow, 0) * 1px) '.
								 'calc(var(--eccp-spreadBoxShadow, 0) * 1px) '.
								 'var(--eccp-colorBoxShadow,#0E6487);';
				 
				echo'}';
				
				
				
				
				
				
				/*------------------- BLOC PARAGRAPHE BACK OFFICE --------------------------*/
				
				/*----------------------------Style Card back office------------------------------*/
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_card_paragraph_radio_field'] == 'yes' ) {
				
					echo'body.wp-admin p.is-style-eccp-card{';
							
							echo'box-shadow: 0 2px 1px -1px rgba(0,0,0,.2), 0 1px 1px 0 rgba(0,0,0,.14), 0 1px 3px 0 rgba(0,0,0,.12);';
							echo'border-radius: 4px;';
							echo'background: #F0F2F6;';
							echo'padding: 16px 16px 16px 16px;';

					echo'}';
					
					echo'body.wp-admin p.is-style-eccp-card.has-background{';
					
					
						echo'padding: 16px 16px 16px 16px!important;';

					
					echo'}';
					
				}

				/*----------------------------Style Notice: Question back office------------------------------*/
				
				// substr retourne une sous chaine de la position:1 jusqu'a la fin				
				$icone_color_notice_question = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_question_text_field'],1);
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_question_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin p.is-style-eccp-notice-question,
					     body.wp-admin [data-type="core/group"].is-style-eccp-notice-question{';
					
							echo'background: #e6e0f7 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_question).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M11 18h2v-2h-2v2zm1-16C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm0-14c-2.21 0-4 1.79-4 4h2c0-1.1.9-2 2-2s2 .9 2 2c0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4z\'/%3E%3C/svg%3E") no-repeat;';
							echo'background-size: 50px;';
							echo'min-height: 60px;';
							echo'background-position: 10px center;';
							echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
							echo'border-radius: 5px;';
							echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin [data-type="core/group"].is-style-eccp-notice-question p,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-question h3,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-question h4{';
					
						echo'margin:0;';
					
					echo'}';
					
					
					echo'body.wp-admin p.is-style-eccp-notice-question.has-background{';
					
					
						echo'padding: 16px 16px 16px 75px!important;';

					
					echo'}';
					
				}
				
				/*----------------------------Style Notice: Info back office------------------------------*/
				
				// substr retourne une sous chaine de la position:1 jusqu'a la fin				
				$icone_color_notice_info = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_info_text_field'],1);
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_info_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin p.is-style-eccp-notice-info,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-info{';
							
						echo'background: #48ADD8 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_info).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M11 7h2v2h-2zm0 4h2v6h-2zm1-9C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z\'/%3E%3C/svg%3E") no-repeat;';
						echo'color: #FFFFFF;';
						echo'background-size: 50px;';
						echo'min-height: 60px;';
						echo'background-position: 10px center;';
						echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
						echo'border-radius: 5px;';
						echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin [data-type="core/group"].is-style-eccp-notice-info p,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-info h3,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-info h4{';
						 
						echo'margin:0;';
					
					echo'}';
					
						
					echo'body.wp-admin p.is-style-eccp-notice-info.has-background{';
						
						
						echo'padding: 16px 16px 16px 75px!important;';

						
					echo'}';
					

				}
				
				/*----------------------------Style Notice: Advice back office------------------------------*/
				
				// substr retourne une sous chaine de la position:1 jusqu'a la fin				
				$icone_color_notice_advice = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_advice_text_field'],1);
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_advice_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin p.is-style-eccp-notice-advice,
					     body.wp-admin [data-type="core/group"].is-style-eccp-notice-advice{';
							
						echo'background: #83BD71 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_advice).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\' opacity=\'.87\'/%3E%3Cpath d=\'M21 8h-6.31l.95-4.57.03-.32c0-.41-.17-.79-.44-1.06L14.17 1 7.59 7.59C7.22 7.95 7 8.45 7 9v10c0 1.1.9 2 2 2h9c.83 0 1.54-.5 1.84-1.22l3.02-7.05c.09-.23.14-.47.14-.73v-2c0-1.1-.9-2-2-2zm0 4l-3 7H9V9l4.34-4.34L12.23 10H21v2zM1 9h4v12H1z\'/%3E%3C/svg%3E") no-repeat;';
						echo'color: #FFFFFF;';
						echo'background-size: 50px;';
						echo'min-height: 60px;';
						echo'background-position: 10px center;';
						echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
						echo'border-radius: 5px;';
						echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin [data-type="core/group"].is-style-eccp-notice-advice p,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-advice h3,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-advice h4{';
						 
						echo'margin:0;';
					
					echo'}';
					
						
					echo'body.wp-admin p.is-style-eccp-notice-advice.has-background{';
						
						
						echo'padding: 16px 16px 16px 75px!important;';

						
					echo'}';
					
				}
				
				/*----------------------------Style Notice: Warning back office------------------------------*/
				
				// substr retourne une sous chaine de la position:1 jusqu'a la fin				
				$icone_color_notice_warning = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_warning_text_field'],1);
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_warning_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin p.is-style-eccp-notice-warning,
					     body.wp-admin [data-type="core/group"].is-style-eccp-notice-warning{';
				
						echo'background: #FFC334 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_warning).'\'%3E%3Cpath d=\'M12 5.99L19.53 19H4.47L12 5.99M12 2L1 21h22L12 2zm1 14h-2v2h2v-2zm0-6h-2v4h2v-4z\'/%3E%3C/svg%3E") no-repeat;';
						echo'color: #FFFFFF;';
						echo'background-size: 50px;';
						echo'min-height: 60px;';
						echo'background-position: 10px center;';
						echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
						echo'border-radius: 5px;';
						echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin [data-type="core/group"].is-style-eccp-notice-warning p,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-warning h3,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-warning h4{';
					
						echo'margin:0;';
					
					echo'}';
					
						
					echo'body.wp-admin p.is-style-eccp-notice-warning.has-background{';
						
						
						echo'padding: 16px 16px 16px 75px!important;';

						
					echo'}';
					
				}
				
				/*----------------------------Style Notice: Alert back office------------------------------*/
				
				// substr retourne une sous chaine de la position:1 jusqu'a la fin				
				$icone_color_notice_alert = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_alert_text_field'],1);
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_alert_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin p.is-style-eccp-notice-alert,
					     body.wp-admin [data-type="core/group"].is-style-eccp-notice-alert{';
				
						echo'background: #B54D4D url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_alert).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M15.73 3H8.27L3 8.27v7.46L8.27 21h7.46L21 15.73V8.27L15.73 3zM19 14.9L14.9 19H9.1L5 14.9V9.1L9.1 5h5.8L19 9.1v5.8z\'/%3E%3Ccircle cx=\'12\' cy=\'16\' r=\'1\'/%3E%3Cpath d=\'M11 7h2v7h-2z\'/%3E%3C/svg%3E") no-repeat;';
						echo'color: #FFFFFF;';
						echo'background-size: 50px;';
						echo'min-height: 60px;';
						echo'background-position: 10px center;';
						echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
						echo'border-radius: 5px;';
						echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
						
						
					// Version 2.7 modif pour le block Group
					echo'body.wp-admin [data-type="core/group"].is-style-eccp-notice-alert p,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-alert h3,
						 body.wp-admin [data-type="core/group"].is-style-eccp-notice-alert h4{';
					
						echo'margin:0;';
					
					echo'}';
					
						
					echo'body.wp-admin p.is-style-eccp-notice-alert.has-background{';
						
						
						echo'padding: 16px 16px 16px 75px!important;';

						
					echo'}';
					
				}
				
				
				/*--------------------- Style Click to Tweet Back Office ---------------------------*/


				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_click_to_tweet_radio_field'] == 'yes' ) {

					// Bloc paragraphe de style ECCP Tweet
					echo'body.wp-admin p.is-style-eccp-tweet {';
					
						echo'font-size: 25px;';
						echo'line-height:1.5em;';
						echo'border: 1px solid #dde2e9;';
						echo'box-shadow: 0 2px 4px 2px rgb(0 0 0 / 10%);';
						echo'padding: 2rem 2rem;';
						echo'margin-bottom: 1.5em;';
						echo'margin-top: 1.5em;';
						echo'border-radius: 4px;';
						
					echo'}';

				
				}
				
				
				/*-------------------BLOC GROUP BACK OFFICE --------------------------*/
		
				/* version 2.4 correction pour thème astra
				   padding réglage natif a partir de WordPress 6.0
				echo'.wp-block-group {';
					echo'padding: 1.25em 2.375em!important;';
				echo'}';
				*/
		
				/*---------------------------- Border Radius ------------------------------*/
			
			    /* appliqué directement par une régle style
				   enregistré dans le HTML du bloc a partir de la version 2.5 
				echo'.is-style-eccp-border-radius{';
					echo'border-radius: 8px;';
				echo'}';
				*/
		
		
				/*---------------------------- Style Variation InfoBox back office ------------------------------*/
				
				
				echo'.is-style-eccp-infobox.wp-block-group {';
					echo'padding: 1.25em!important;';
					echo'background: #F0F2F6;';
					echo'margin-bottom: 1.1em;';
				echo'}';


				echo'.is-style-eccp-infobox .wp-block-columns {';
					echo'margin-bottom: 0em!important;';
				echo'}';


				echo'.is-style-eccp-infobox .wp-block-buttons {';
				   echo'margin-bottom: 0em!important;';
				echo'}';
				
				
				echo'.is-style-eccp-infobox h2,.is-style-eccp-infobox h3,
					 .is-style-eccp-infobox h4,.is-style-eccp-infobox h5 {';
						echo'margin-top: 0em!important;';
				echo'}';


				echo'@media screen and (max-width: 599px) {';
				
					echo'.is-style-eccp-infobox p {';
						echo'text-align: center!important;';
					echo'}';
					
				echo'}';
				
				
				echo'@media screen and (max-width: 781px) {';
					
					echo'.is-style-eccp-infobox .wp-block-column {';
						echo'margin-bottom: 0em!important;';
					echo'}';
					
					echo'.is-style-eccp-infobox h2,.is-style-eccp-infobox h3,
						 .is-style-eccp-infobox h4,.is-style-eccp-infobox h5 {';
						echo'margin: 0em!important;';
					echo'}';
					
				echo'}';
				
				/*------------------- BLOC LISTE BACK OFFICE --------------------------*/
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_styles_bullet_list_radio_field'] == 'yes' ) {
					
					// on récupère la version du thème actif
					$my_theme = wp_get_theme();
					
					// substr retourne une sous chaine de la position:1 jusqu'a la fin				
					//$icone_color = substr($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_color_text_field'],1);
					
					/*-------------------style Disc back office(style par défaut)----------------*/
					
					
					echo'body.wp-admin .is-style-default li::marker{';
					
						echo'color: var(--eccp-bulletColor,#333333);';
						// comme la variable CSS --eccp-bulletSize est de type integer
						// il faut passer par la fonction calc pour affecter une taille en px
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						
					echo'}'; 	
						
					/*------------------- Style Square back office --------------------------*/
					
					echo'body.wp-admin .is-style-eccp-square-bullet-list {';
					
						echo'list-style:square;';
					
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-square-bullet-list li::marker{';
					
						echo'color: var(--eccp-bulletColor,#333333);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						
					echo'}';
					
					
					/*------------------- Style Check back office --------------------------*/
					
					/* icone Google
					echo'body.wp-admin .is-style-eccp-check-bullet-list {';
						
						echo'list-style-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' viewBox=\'0 0 24 24\' width=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41L9 16.17z\'/%3E%3C/svg%3E")';
					
					echo'}';*/
					
					
					echo'body.wp-admin .is-style-eccp-check-bullet-list li{';
				
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'padding-left: 8px;';
						echo'position: relative;';
					
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-check-bullet-list li::before{';
						
						// la taille initiale du SVG est donné par width & height
						// pour le background-size
						// la variation de la taille se fera par la régle transform
						echo' background-size: cover!important;
							  display: inline-block; 
							  height:25px;
							  width:25px;
							  left: -25px;
							  position: absolute;
							  top: 1em;                  
							  margin-top: -1em;                  	                  
							  mask-repeat: no-repeat;	                 
							  -webkit-mask-repeat: no-repeat;';
						
						// on applique une taille au svg en fonction de la variable
						// css --eccp-bulletSize donné par le script reactjs et 
						// enregistré dans le html du bloc par la régle style				
						echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
					
					echo'}';
					
					 
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-check-bullet-list li::before{';
								echo'top: 1em;';
							echo'}';
					
						break;
						
					}
					
					
					echo'body.wp-admin ul.is-style-eccp-check-bullet-list li::before{';
						
						// lorsqu'on affiche un icone avec la régle pseudo :before
						// il faut appliquer la régle content: "" pour que cela fonctionne
						// on applique une couleur de fond au svg avec la variable CSS
						// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
						// html du bloc par la régle style
						echo' content: "";
							  background-color: var(--eccp-bulletColor,#333333)!important;';
							  
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-check-bullet-list li::before{';
						
						// icone Google
						// la régle mask-image permettra d'appliquer une couleur au SVG
						echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\'  viewBox=\'0 0 24 24\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41L9 16.17z\'/%3E%3C/svg%3E");';
						echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\'  viewBox=\'0 0 24 24\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41L9 16.17z\'/%3E%3C/svg%3E");';
						
					echo'}';
					
					
					/*------------------- Style Check circle fill back office --------------------------*/
					
					/* icone Iconify
					echo'body.wp-admin .is-style-eccp-check-circle-fill-bullet-list {';
						
						echo'list-style-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' aria-hidden=\'true\' role=\'img\' width=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' height=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' preserveAspectRatio=\'xMidYMid meet\' viewBox=\'0 0 24 24\'%3E%3Cg fill=\'none\'%3E%3Cpath d=\'M12 22c-5.52-.006-9.994-4.48-10-10v-.2C2.11 6.305 6.635 1.928 12.13 2c5.497.074 9.904 4.569 9.868 10.065C21.962 17.562 17.497 22 12 22zM7.41 11.59L6 13l4 4l8-8l-1.41-1.42L10 14.17l-2.59-2.58z\' fill=\'%23'.esc_html($icone_color).'\'/%3E%3C/g%3E%3C/svg%3E")';
					
					echo'}';*/

					
					echo'body.wp-admin .is-style-eccp-check-circle-fill-bullet-list li{';
				
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'padding-left: 8px;';
						echo'position: relative;';
					
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-check-circle-fill-bullet-list li::before{';
								
						echo' background-size: cover!important;
							  display: inline-block; 
							  height:25px;
							  width:25px;
							  left: -25px;
							  position: absolute;
							  top: 1em;                  
							  margin-top: -1em;                  	                  
							  mask-repeat: no-repeat;	                 
							  -webkit-mask-repeat: no-repeat;';
						
						// on applique une taille au svg	  
						echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
			
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-check-circle-fill-bullet-list li::before{';
								echo'top: 1em;';
							echo'}';
					
						break;
						
					}
					
					
					
					echo'body.wp-admin ul.is-style-eccp-check-circle-fill-bullet-list li::before{';
						
						// lorsqu'on affiche un icone avec la régle pseudo :before
						// il faut appliquer la régle content: "" pour que cela fonctionne
						// on applique une couleur de fond au svg avec la variable CSS
						// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
						// html du bloc par la régle style
						echo' content: "";
							  background-color: var(--eccp-bulletColor,#333333)!important;';
							  
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-check-circle-fill-bullet-list li::before{';
						
						// icone Google
						// la régle mask-image permettra d'appliquer une couleur au SVG
						echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z\'/%3E%3C/svg%3E");';
						echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z\'/%3E%3C/svg%3E");';
						
					echo'}';
					
					
					/*------------------- Style Add back office --------------------------*/
					
					/* icone Google
					echo'body.wp-admin .is-style-eccp-add-bullet-list li{';
						
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'background:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z\'/%3E%3C/svg%3E")no-repeat;';
						echo'background-size: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px;';
						echo'background-position: 7px 6px;';
						echo'padding: 0px 0px 0px 35px;';
						echo'margin-left:-35px;';
					
					echo'}';
					
					
					$my_theme = wp_get_theme();
			
					// correction theme divi pour la position des puces +
					if(stristr($my_theme, 'divi')) {
						
						echo'body.wp-admin .is-style-eccp-add-bullet-list li {';
							echo'background-position: 7px 3px!important;';
						echo'}';
					
					}*/
					
					echo'body.wp-admin .is-style-eccp-add-bullet-list li{';
				
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'padding-left: 8px;';
						echo'position: relative;';
					
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-add-bullet-list li::before{';
								
						echo' background-size: cover!important;
							  display: inline-block; 
							  height:25px;
							  width:25px;
							  left: -25px;
							  position: absolute;
							  top: 1.2em;                  
							  margin-top: -1em;                  	                  
							  mask-repeat: no-repeat;	                 
							  -webkit-mask-repeat: no-repeat;';
						
						// on applique une taille au svg	  
						echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-add-bullet-list li::before{';
								echo'top: 1.1em;';
							echo'}';
					
						break;
						
					}
					
					
					echo'body.wp-admin ul.is-style-eccp-add-bullet-list li::before{';
						
						// lorsqu'on affiche un icone avec la régle pseudo :before
						// il faut appliquer la régle content: "" pour que cela fonctionne
						// on applique une couleur de fond au svg avec la variable CSS
						// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
						// html du bloc par la régle style
						echo' content: "";
							  background-color: var(--eccp-bulletColor,#333333)!important;';
							  
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-add-bullet-list li::before{';
						
						// icône Google
						// la régle mask-image permettra d'appliquer une couleur au SVG
						echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z\'/%3E%3C/svg%3E");';
						echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z\'/%3E%3C/svg%3E");';
						
					echo'}';
					
					
					
					/*------------------- Style Add circle fill back office --------------------------*/
					
					/* icone Google
					echo'body.wp-admin .is-style-eccp-add-circle-fill-bullet-list li {';
					
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'background:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z\'/%3E%3C/svg%3E")no-repeat;';
						echo'background-size: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px;';
						echo'background-position: 7px 6px;';
						echo'padding: 0px 0px 0px 35px;';
						echo'margin-left:-35px;';
					
					echo'}';
					
					
					// correction theme divi pour la position des puces +
					if(stristr($my_theme, 'divi')) {
						
						echo'body.wp-admin .is-style-eccp-add-circle-fill-bullet-list li {';
							echo'background-position: 7px 3px!important;';
						echo'}';
					
					}*/
					
					
					echo'body.wp-admin .is-style-eccp-add-circle-fill-bullet-list li{';
				
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'padding-left: 8px;';
						echo'position: relative;';
					
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-add-circle-fill-bullet-list li::before{';
								
						echo' background-size: cover!important;
							  display: inline-block; 
							  height:25px;
							  width:25px;
							  left: -25px;
							  position: absolute;
							  top: 1.2em;                  
							  margin-top: -1em;                  	                  
							  mask-repeat: no-repeat;	                 
							  -webkit-mask-repeat: no-repeat;';
						
						// on applique une taille au svg	  
						echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-add-circle-fill-bullet-list li::before{';
								echo'top: 1.1em;';
							echo'}';
					
						break;
						
					}
					
					
					echo'body.wp-admin ul.is-style-eccp-add-circle-fill-bullet-list li::before{';
						
						// lorsqu'on affiche un icone avec la régle pseudo :before
						// il faut appliquer la régle content: "" pour que cela fonctionne
						// on applique une couleur de fond au svg avec la variable CSS
						// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
						// html du bloc par la régle style
						echo' content: "";
							  background-color: var(--eccp-bulletColor,#333333)!important;';
							  
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-add-circle-fill-bullet-list li::before{';
						
						// icône Google
						// la régle mask-image permettra d'appliquer une couleur au SVG
						echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z\'/%3E%3C/svg%3E");';
						echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z\'/%3E%3C/svg%3E");';
						
					echo'}';
					
					
					/*------------------- Style Push Spin back office --------------------------*/

					// icone Dashicons
					echo'.is-style-eccp-push-spin-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f109";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-push-spin-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme Astra
						case stristr($my_theme, 'astra'):
					
							echo'body.wp-admin .is-style-eccp-push-spin-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-push-spin-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-push-spin-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
					}
					
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Push Spin
					echo'body.wp-admin .is-style-eccp-push-spin-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
 
 
					/*------------------- Style Circle Duotone back office --------------------------*/
					
					// en back office on  prend  70% de la taille définit dans les paramètres de réglage
					// du plugin pour un même rendu que les autres puces
					// pour ce cercle bicolore une couleur est fixé: #108bc5, l'autre couleur est réglable
					echo'body.wp-admin .is-style-eccp-circle-duotone-bullet-list li::before {';
					 
						echo'content: "";';
						echo'display: inline-block;';
						echo'margin-left: -20px;';
						echo'margin-right: 10px;';
						echo'border: 3px solid var(--eccp-bulletColor,#333333);';
						echo'border-left: 3px solid #108bc5;';
						echo'border-radius: 50%;';
						echo'height: calc(var(--eccp-bulletSize,20) * 1px * 0.4);';
						echo'width: calc(var(--eccp-bulletSize,20) * 1px * 0.4);';
					
					echo'}';	

					
					$my_theme = wp_get_theme();
			
					// correction theme generatePress pour la taille des puces 
					if(stristr($my_theme, 'generatepress')) {
						
						echo'body.wp-admin .is-style-eccp-circle-duotone-bullet-list li::before {';
					 
							echo'height: calc(var(--eccp-bulletSize,20) * 1px * 0.7);';
							echo'width: calc(var(--eccp-bulletSize,20) * 1px * 0.7);';
					
						echo'}';	
					
					}
					
					echo'.is-style-eccp-circle-duotone-bullet-list li::marker{';
						
						// on supprime la puce disk par défaut
						echo'content:\'\';';
			
					echo'}';
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style circle duotone
					echo'body.wp-admin .is-style-eccp-circle-duotone-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
					
					/*------------------- Style Clear back office --------------------------*/

					/* icone Google
					echo'body.wp-admin .is-style-eccp-clear-bullet-list li{';
						
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'background:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z\'/%3E%3C/svg%3E")no-repeat;';
						echo'background-size: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px;';
						echo'background-position: 7px 6px;';
						echo'padding: 0px 0px 0px 35px;';
						echo'margin-left:-35px;';
					
					echo'}';
					
					
					$my_theme = wp_get_theme();
			
					// correction theme divi pour la position des puces +
					if(stristr($my_theme, 'divi')) {
						
						echo'body.wp-admin .is-style-eccp-clear-bullet-list li {';
							echo'background-position: 7px 3px!important;';
						echo'}';
					
					}*/
					
					
					
					echo'body.wp-admin .is-style-eccp-clear-bullet-list li{';
				
						// on supprime la puce disk par défaut
						echo'list-style-type: none;';
						
						echo'padding-left: 8px;';
						echo'position: relative;';
					
					echo'}';
					
					echo'.is-style-eccp-clear-bullet-list li::before{';
						
						echo' background-size: cover!important;
							  display: inline-block; 
							  height:25px;
							  width:25px;
							  left: -25px;
							  position: absolute;
							  top: 1.1em;                  
							  margin-top: -1em;                  	                  
							  mask-repeat: no-repeat;	                 
							  -webkit-mask-repeat: no-repeat;';
						
						// on applique une taille au svg	  
						echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-clear-bullet-list li::before{';
								echo'top: 1em;';
							echo'}';
					
						break;
						
					}
					
					
					echo'body.wp-admin ul.is-style-eccp-clear-bullet-list li::before{';
				
						// lorsqu'on affiche un icone avec la régle pseudo :before
						// il faut appliquer la régle content: "" pour que cela fonctionne
						// on applique une couleur de fond au svg avec la variable CSS
						// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
						// html du bloc avec la régle style
						echo' content: "";
							  background-color: var(--eccp-bulletColor,#333333)!important;';
							  
					echo'}';
					
					
					echo'body.wp-admin .is-style-eccp-clear-bullet-list li::before{';
						
						// icône Google
						// la régle mask-image permettra d'appliquer une couleur au SVG
						echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z\'/%3E%3C/svg%3E");';
						echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z\'/%3E%3C/svg%3E");';
						
					echo'}';
					
					/*------------------- Style Site back office  --------------------------*/			
					
					// icone Dashicons
					echo'.is-style-eccp-site-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f11f";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-site-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-site-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
					}
					
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Site
					echo'body.wp-admin .is-style-eccp-site-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
					
					/*------------------- Style E-Mail back office  --------------------------*/			
					
					// icone Dashicons
					echo'.is-style-eccp-mail-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f465";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-mail-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
			
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style E-Mail
					echo'body.wp-admin .is-style-eccp-mail-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
					/*------------------- Style Phone back office  --------------------------*/
			
					// icone Dashicons
					echo'.is-style-eccp-phone-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f525";';
						echo'font-weight: 600;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-phone-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-phone-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-phone-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
					}
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Phone
					echo'body.wp-admin .is-style-eccp-phone-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
			
					/*------------------- Style Facebook back office  --------------------------*/			
							
					// icone Dashicons
					echo'.is-style-eccp-facebook-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f305";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-facebook-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-facebook-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-facebook-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
					}
	
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Facebook
					echo'body.wp-admin .is-style-eccp-facebook-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
	
					
					/*------------------- Style YouTube back office  --------------------------*/			
					
					// icone Dashicons
					echo'.is-style-eccp-youtube-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f19b";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-youtube-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-youtube-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-youtube-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
					}
					
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style YouTube
					echo'body.wp-admin .is-style-eccp-youtube-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
					
					/*------------------- Style Twiter back office  --------------------------*/			
					
					// icone Dashicons
					echo'.is-style-eccp-twiter-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f301";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-twiter-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-twiter-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'gneeratepress'):
					
							echo'body.wp-admin .is-style-eccp-twiter-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
					
					}
			
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Twiter
					echo'body.wp-admin .is-style-eccp-twiter-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
					/*------------------- Style Calendar back office  --------------------------*/
			
					// icone Dashicons
					echo'.is-style-eccp-calendar-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f508";';
						echo'font-weight: 400;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-calendar-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme Astra
						case stristr($my_theme, 'astra'):
					
							echo'body.wp-admin .is-style-eccp-calendar-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-calendar-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-calendar-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
					
					}
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Calendar
					echo'body.wp-admin .is-style-eccp-calendar-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
			
					/*------------------- Style Clock back office  --------------------------*/			
							
					// icone Dashicons
					echo'.is-style-eccp-clock-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f469";';
						echo'font-weight: 600;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-clock-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme Astra
						case stristr($my_theme, 'astra'):
					
							echo'body.wp-admin .is-style-eccp-clock-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-clock-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-clock-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
						
					}
					
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Clock
					echo'body.wp-admin .is-style-eccp-clock-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
	
					
					/*------------------- Style Location back office  --------------------------*/			
					
					// icone Dashicons
					echo'.is-style-eccp-location-bullet-list li:before {';
			
						echo'font-family: dashicons;';
						echo'content: "\f230";';
						echo'font-weight: 600;';
						echo'vertical-align: top;';	
						echo'margin-left:-25px;';
						echo'margin-right:10px;';				
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
						echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
						echo'color:var(--eccp-bulletColor,#333333);';
						
					echo'}';
					
					// on supprime la liste à puces par défaut
					echo'.is-style-eccp-location-bullet-list{';
					
						echo'list-style-type: none;';
					
					echo'}';
					
					// modification position icône selon les thèmes
					switch ($my_theme) {
						
						// correction theme divi
						case stristr($my_theme, 'divi'):
					
							echo'body.wp-admin .is-style-eccp-location-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
						// correction theme Generate Press
						case stristr($my_theme, 'generatepress'):
					
							echo'body.wp-admin .is-style-eccp-location-bullet-list li::before{';
								echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
							echo'}';
					
						break;
						
					}
					
					// pour éviter que la liste ordonnée sélectionnée a partir de la barre d'outils du block
					// ne se supperpose au style Location
					echo'body.wp-admin .is-style-eccp-location-bullet-list li::marker{';
						
						echo'content:\'\';';
					
					echo'}';
					
					
					/*------------------- Style Diagram back office  --------------------------*/
			
					/*

					Ajoutez des éléments de liste pour représenter la structure de votre diagramme. 
					Indentez les éléments de la liste qui doivent être les éléments de la sous-arborescence 
					dans le diagramme.
					Vous devez impérativement mettre en gras tous les éléments de la liste.
					Sélectionnez dans le panneau style des paramètres du bloc le style Diagram,
					pour avoir le visuel du diagramme en back office & front End.
					On ajoute au bloc liste la classe: is-style-eccp-tree-bullet-list.
					Pour toute modifications ultérieures sélectionner le style défaut,
					Une fois terminé les modifications, sélectionner le style Diagram. 

					*/


					echo'.is-style-eccp-tree-bullet-list, 
						 .is-style-eccp-tree-bullet-list ul,
						 .is-style-eccp-tree-bullet-list li{';
							//echo'list-style: none!important;';
							echo'margin: 0!important;';
							echo'padding: 0;';
							echo'position: relative;';
					echo'}';

					echo'.is-style-eccp-tree-bullet-list {';
						echo'margin: 0 0 1em;';
						echo'text-align: center;';
					echo'}';

					echo'.is-style-eccp-tree-bullet-list, .is-style-eccp-tree-bullet-list ul {';
						echo'display: table;';
					echo'}';

					echo'.is-style-eccp-tree-bullet-list ul {';
					  echo'width: 100%;';
					echo'}';

						/* encadrement des niveaux d'arborescence*/
						echo'.is-style-eccp-tree-bullet-list li {';
							echo'display: table-cell;';
							echo'padding: .5em 0;';
							echo'vertical-align: top;';
						echo'}';
						
						echo'.is-style-eccp-tree-bullet-list li:before {';
							echo'outline: solid 1px #666;';
							echo'content: "";';
							echo'left: 0;';
							echo'position: absolute;';
							echo'right: 0;';
							echo'top: 0;';
						echo'}';
						
						echo'.is-style-eccp-tree-bullet-list li:first-child:before {';
							echo'left: 50%;';
						echo'}';
						
						echo'.is-style-eccp-tree-bullet-list li:last-child:before {';
							echo'right: 50%;';
						echo'}';

							
						echo'.is-style-eccp-tree-bullet-list strong {';
							echo'border: solid .1em #666;';
							echo'border-radius: .2em;';
							echo'display: inline-block;';
							echo'margin: 0 .2em .5em;';
							echo'padding: .2em .5em;';
							echo'position: relative;';
						echo'}';
						
						
						
					/* laison verticale du diagramme  | */
					echo'.is-style-eccp-tree-bullet-list ul:before,       
						 .is-style-eccp-tree-bullet-list strong:before {';
							echo'outline: solid 1px #666;';
							echo'content: "";';
							echo'height: .5em;';
							echo'left: 50%;';
							echo'top: -.55em;';
							echo'position: absolute;';
					echo'}';

					echo'.is-style-eccp-tree-bullet-list ul:before {';
						echo'top: -.5em;';
					echo'}';
					
					
					
				}//fin si on a activé les styles liste à puces
 
 
				/*-------------------BLOC IMAGE BACK OFFICE --------------------------*/
				
				echo'.wp-block-image {
					margin-top: 1.5em!important;
					margin-bottom: 1.5em!important;
				}';
				
				// surbrillance légende image en orange foncé 
				echo'body.wp-admin .wp-block-image mark{';
				
					echo'background:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_background_color_text_field']).';';
					echo'padding:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_padding_text_field']).'px;';
					echo'color:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_color_text_field']).';';
				
				echo'}';
				
				// Légende de l'image 
				echo'body.wp-admin .wp-block-image figcaption {';
				
					echo'font-size:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_font_size_text_field']).'px!important;';
					echo'margin-top:1.5em;';
					
				echo'}'; 
				
				/*---------------------------- Style Circle back office------------------------------*/
				// utilise la régle CSS clip-path pour apliquer un masque de détourage
				// Credits: https://github.com/bennettfeely/Clippy
				
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] == 'yes' ) {
					
					// image 4/3
					echo'body.wp-admin .is-style-eccp-image-circle-4-3 img {';
					
						echo'clip-path: circle(42.5% at 50% 50%)!important;';
					
					echo'}';
					
					// image 16/9
					echo'body.wp-admin .is-style-eccp-image-circle-16-9 img {';
					
						echo'clip-path: circle(33.4% at 50% 50%)!important;';
					
					echo'}';
					
				}
				
				/*---------------------------- Style Filter Grayscale back office ------------------------------*/
					
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] == 'yes' ) {
					
					echo'body.wp-admin .is-style-eccp-filter-grayscale img {';
					
						echo'filter: grayscale(100%);';
					
					echo'}';
					
				}
				
				
				/*----------------------------Style Card Image back office------------------------------*/

				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_card_radio_field'] == 'yes' ) {
					
					// régles pour l'image
					// --eccp-cardStyleImageWidth est une variable javasscript définit
					// en React JS et enregistré dans le HTML du bloc image
					echo'.wp-block[data-align="left"] .wp-block-image.is-style-eccp-card-image img,
						.wp-block[data-align="center"] .wp-block-image.is-style-eccp-card-image img,
						.wp-block[data-align="right"] .wp-block-image.is-style-eccp-card-image img,
						.wp-block-image.is-style-eccp-card-image img{';
						
						//echo'box-shadow: 0 0px 4px 2px rgba(0,0,0,.2);';
						echo'background: #ffffff;';
						echo'width: calc(var(--eccp-cardStyleImageWidth, 300)*1px)!important;';
						
					echo'}';

					// régles pour la légende
					echo'wp-block[data-align="left"] .wp-block-image.is-style-eccp-card-image figcaption,
						.wp-block[data-align="center"] .wp-block-image.is-style-eccp-card-image figcaption,
						.wp-block[data-align="right"] .wp-block-image.is-style-eccp-card-image figcaption{';
						
						echo'margin-top:0em!important;';
						echo'padding:0.5em 0;';
						echo'display:block!important;';
						echo'margin:auto;';
						echo'background: #ffffff;';
						echo'box-shadow: 0 2px 1px -1px rgba(0,0,0,.2), 0 1px 1px 0 rgba(0,0,0,.14), 0 1px 3px 0 rgba(0,0,0,.12);';
						echo'width: calc(var(--eccp-cardStyleImageWidth, 300)*1px)!important;';
					
					echo'}';
					
					// régles pour la légende pour aucun alignement
					echo'.wp-block-image.is-style-eccp-card-image figcaption{';
						
						echo'margin-top:0em!important;';
						echo'padding:0.5em 0;';
						echo'box-shadow: 0 2px 1px -1px rgba(0,0,0,.2), 0 1px 1px 0 rgba(0,0,0,.14), 0 1px 3px 0 rgba(0,0,0,.12);';
						echo'width: calc(var(--eccp-cardStyleImageWidth, 300)*1px)!important;';
					
					echo'}';
					
					// régles pour un alignement left 
					// afin d'éviter une remontée du bloc suivant
					echo'.wp-block[data-align="left"] .wp-block-image.is-style-eccp-card-image{';
			
						echo'margin-right: 1000px;';
						
					echo'}';
					
					// régles pour un alignement right
					// afin d'éviter une remontée du bloc suivant
					echo'.wp-block[data-align="right"] .wp-block-image.is-style-eccp-card-image{';
			
						echo'margin-left: 1000px;';
						
					echo'}';

				}
		
				
				/*-------------------BLOC BOUTON BACK OFFICE --------------------------*/
				
				
				echo'.wp-block-button__link{';
				
					echo'font-weight:600;';
					echo'text-decoration:none!important';
					
				echo'}';
				
				
				echo'.wp-block-button__link:hover{';
					echo'text-decoration:none!important';
				echo'}';
	
					
				/*----------------------------Style Plein back office ------------------------------*/
				
				// on fait la conversion en RGBA, la fonction retourne une chaine
				// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
				/*$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_background_color_text_field'], 
						intval($custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_backgound_color_opacity_text_field'])/100 ); */
				
				
				$my_theme = wp_get_theme();
			
				// si ce n'est pas le théme ASTRA 	
				if(!stristr($my_theme, 'astra')) {

				
					echo'.wp-block-button.is-style-fill .wp-block-button__link {';
					  
					  echo'background-color: var(--eccp-bgColor, #0E6487);
					  border-radius: 10px;
					  color: var(--eccp-textColor, #FFFFFF);';
					
					echo'}';
				  
				}
				
				/*	A partir de la version 2.6 le style au survol est configuré
					Dans l'editeur Gutenberg
				echo'.wp-block-button.is-style-fill .wp-block-button__link:hover{';
				   
					echo'background: '.esc_html($rgba).'!important;';
					echo'border: 2px solid'.$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_border_color_text_field'].';';
					echo'color: '.$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_text_color_text_field'].'!important;';
					
				echo'}';
				*/
				
				
				echo'.wp-block-button.is-style-fill .wp-block-button__link:hover{';
				   
					echo'background: var(--eccp-buttonFillBgColorHover, rgba(0,0,0,0))!important;';
					echo'border: 2px solid var(--eccp-buttonFillBorderColorHover, #0E6487)!important;';
					echo'color: var(--eccp-buttonFillColorHover, #0E6487)!important;';
					
				echo'}';
				
		
				/*----------------------------Style Contour back office ------------------------------*/	
				
				// on fait la conversion en RGBA, la fonction retourne une chaine
				// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
				/*$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_background_color_text_field'], 
						intval($custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_backgound_color_opacity_text_field'])/100 );*/
				
				/* A partir de la version 2.6 le style contour du bouton au survol
				   est configuré dans l'editeur Gutenberg
				echo'.wp-block-button.is-style-outline .wp-block-button__link:hover{';
				   
					echo'background: '.esc_html($rgba).'!important;';
					echo'border: 2px solid'.$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_border_color_text_field'].';';
					echo'color: '.$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_text_color_text_field'].'!important;';
					
				echo'}';
				*/
				
				// si ce n'est pas le théme ASTRA 	
				if(!stristr($my_theme, 'astra')) {
				
					echo'.wp-block-button.is-style-outline .wp-block-button__link {';
					  
					  echo'border-radius: 10px;
					  color: var(--eccp-textColor, #0E6487);';
					
					echo'}';
					
				}
				
				// pour le theme GneratePress
				if(stristr($my_theme, 'generatepress')) {
					
					echo'.wp-block-button.is-style-outline .wp-block-button__link {';
					  echo'border:2px solid var(--eccp-textColor, #0E6487)!important;';
					echo'}';
				
				}
				
				echo'.wp-block-button.is-style-outline .wp-block-button__link:hover{';
				   
					echo'background: var(--eccp-buttonOutlineBgColorHover, #0E6487)!important;';
					echo'border: 2px solid var(--eccp-buttonOutlineBorderColorHover, #0E6487)!important;';
					echo'color: var(--eccp-buttonOutlineColorHover, #FFFFFF)!important;';
				
				echo'}';
				
				
				// Si on a activé le style outline hover arrow	
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_button_styles_hover_radio_field'] == 'yes' ) {	
					
					/*-------------------Style Contour avec icône flêche droite au survol back office----------------*/
					
					echo'.wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link {';
					  
					  echo'background-color: #0E6487;
					  border-radius: 6px;
					  padding: 0.5em 1em!important;
					  letter-spacing: 1px;
					  border-color: var(--eccp-bgColor, #0E6487);
					  color: var(--eccp-textColor, #FFFFFF);';
					
					echo'}';
					
					echo'.wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link:hover {';
					
					  echo'background-color: transparent!important;
					  border: 2px solid var(--eccp-bgColor, #0E6487);
					  border-radius: 6px;
					  padding:  0.3em 1em 0.3em 1em!important;
					  letter-spacing: 1px;
					  color: var(--eccp-bgColor, #0E6487)!important;';
					  
					echo'}';

					// icône flêche orienté vers la droite au survol
					echo'.wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link:hover::after {';
					
					  echo'font-family:dashicons;
					  content: "\f345";
					  font-weight:400;
					  color: var(--eccp-bgColor, #0E6487);
					  display:inline-block;
					  vertical-align:middle;
					  font-size:22px;
					  margin-left:7px;
					  transition: all 0.2s;';
					  
					echo'}';

					
					
				}
		
				/*-------------------BLOC PARENT COLONNES BACK OFFICE --------------------------*/
				
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_columns_block_styles_radio_field'] == 'yes' ) {
				
					/* ------------------------------ Régles générales Bloc Parent & bloc colonne back office ---------------*/
			
					// Marge basse pour le bloc parent container des colonnes
					/* Margin réglage natif a partir de WordPress 6.0				
					echo'body.wp-admin .wp-block-columns {';
					  echo'margin-bottom: 1.75em;';
					echo'}';
					*/

					/* marge interne pour chaque colonne*/
					
					// si on n'a pas activé pour l'editeur Gutenberg le nouveau paramètre
					/* de marge interne, on affecte une marge interne par défaut
					if (!$custom_gutenberg_editor_settings['eccp_settings_activate_support_margin_padding_checkbox_field']){
						
						echo'body.wp-admin .wp-block-column{';
							echo'padding:0.6em!important;';
						echo'}';
						
					}
					*/

					/* marge gauche de 20px pour les colonnes
					echo'@media screen and (min-width: 782px) {';
						
						echo'body.wp-admin .wp-block-column:not(:first-child) {';
							echo'margin-left: 20px!important;';
						echo'}';
						
					echo'}';
					*/

					/* marge basse pour les colonnes sur mobile*/
					echo'@media screen and (max-width: 781px) {';
					  
					  echo'body.wp-admin .wp-block-column {';
						echo'margin-bottom: 0.5em!important;';
					  echo'}';
					  
					echo'}';
					

					/*----------------------------Style Responsive three columns back office ------------------------------*/

					 /* pour un block à trois colonnes */
					echo'@media screen and (max-width: 768px) {';
					  
					  /* la 1ére colonne est mise a une largeur de 100% de son container
						  le bloc colonnes*/
					  echo'body.wp-admin .wp-block-column:first-child {';
						echo'flex-basis: 100%!important;'; 
					  echo'}';
					  
					  /* la direction d'empilement est la ligne (row) et on autorise avec la régle wrap
					     un retour à la ligne si on dépasse le container qui est le bloc colonnes 
						 ce qui est le cas pusique la 1ère colonne est mise a une largeur de 100% du container */
					  echo'body.wp-admin .wp-block-columns {';
						echo'flex-flow: row wrap!important;'; 
					  echo'}';
					  
					  /* marge gauche de 15px seulement pour les colonnes impaires excepté la 1ère colonne */
					  echo'.is-style-eccp-responsive-three-columns .wp-block-column:not(:first-child),
						   .is-style-eccp-responsive-three-columns .wp-block-column:nth-child(odd){';
						   
						echo'margin-left: 10px!important;';
					 
					 echo'}';
					 
					  
					echo'}';

					/*----------------------------Style Column reverse back office ------------------------------*/
					
					echo'@media only screen and (max-width : 599px) {';

						echo'body.wp-admin .is-style-eccp-column-reverse{';
							
							echo'display: -webkit-flex!important;
								 display: -ms-flex!important;
								 display: flex!important;';
							
							echo'-webkit-flex-direction: column-reverse;
								 -ms-flex-direction: column-reverse;
								 flex-direction: column-reverse!important;';
							
						echo'}';

					echo'}';
					
					
					/* ------------------------------ Suite Régles générales Bloc Parent & bloc colonne back office ---------------*/
					
					/* régles pour les colonnes sur mobile en mode portrait 
					echo'@media (max-width: 480px) {';
					   
						echo'body.wp-admin .wp-block-column {';
							echo'display:block;';
							echo'margin-left:0px!important;';
						echo'}';
					  
					echo'}';*/
					
				}	
				
				/*----------------------------Style Variation Pricing Table back office ------------------------------*/
				
				echo'body.wp-admin .is-style-eccp-pricing-table .wp-block-column{';
					   echo'padding: 0em!important;';
				echo'}';


				echo'.is-style-eccp-pricing-table .wp-block-column h3{';
					echo'margin-top: 0em;';
					echo'border-bottom-right-radius: 0px!important;';
					echo'border-bottom-left-radius: 0px!important;';
				echo'}';

				echo'body.wp-admin .is-style-eccp-pricing-table .wp-block-column ul{';
					echo'padding:20px!important;';
					echo'margin:15px 0px 15px 20px!important;';
				echo'}';
				
			
				/*-------------------BLOC MEDIA/TEXTE BACK OFFICE --------------------------*/
		
				// Si on a activé les styles du bloc media/text
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_media_text_block_styles_radio_field']== 'yes' ) {
			
			
					/*----------------------------Style Half Background back office  ------------------------------*/
					
					/* pour le containeur du bloc media/text */
					echo'.wp-block-media-text.is-style-eccp-half-background {
	
					  background-color: transparent !important;
					  padding-top: 2rem;
					  padding-bottom: 1rem;
					  column-gap: 1rem;';/* espacement des colonnes */
					  
					echo'}';


					/* pas de marge interne pour le bloc texte, et on met l'image au 1er plan par rapport au fond */
					echo'.wp-block-media-text.is-style-eccp-half-background .wp-block-media-text__media,
					.wp-block-media-text.is-style-eccp-half-background .wp-block-media-text__content {
					  position: relative;
					  z-index: 2;
					  padding: 0;
					}';
					
					
					// pour les tablettes & PC
					echo'@media (min-width: 768px) {';
									  

						/* régles pour l'image à droite */
						echo'.wp-block-media-text.is-style-eccp-half-background.has-media-on-the-right {';
							/* On utilise une unité flexible a l'intérieur du containeur en grille
							L'unité fr représente une fraction de l'espace restant dans le conteneur en grille 
							3fr pour la colonne texte, 4fr pour la colonne image */
							echo'grid-template-columns: 3fr 4fr;';
						
						echo'}';
					  
					  
						/* régles pour le fond de l'image a droite */
						  // on applique le style box shadow avec les variables
						  // css déclarées et affectées par le script en React JS
						echo'body.wp-admin .wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow.has-media-on-the-right .wp-block-media-text__media img {';

							echo'box-shadow: calc(var(--eccp-horizontalBoxShadow, 20)* 1px) '.
											 'calc(var(--eccp-verticalBoxShadow, 20)* 1px) '.
											 'calc(var(--eccp-blurBoxShadow, 0)* 1px) '.
											 'calc(var(--eccp-spreadBoxShadow, 0)* 1px) '.
											 'var(--eccp-colorBoxShadow,#0E6487);';

						echo'}';
					  
					  
					  
						/* régles pour l'image a gauche */
						echo'.wp-block-media-text.is-style-eccp-half-background {
							grid-template-columns: 4fr 3fr;
						}';
					  
					  
						/* régles pour  le fond de l'image a gauche */
						// on décale le fond a gauche par une valeur négative de X
						// on applique le style box shadow avec les variables
						// css déclarées et affectées par le script en React JS
						echo'body.wp-admin .wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow .wp-block-media-text__media img {';

							echo'box-shadow: calc(var(--eccp-horizontalBoxShadow, 20) * -1px) '.
											 'calc(var(--eccp-verticalBoxShadow, 20)* 1px) '.
											 'calc(var(--eccp-blurBoxShadow, 0)* 1px) '.
											 'calc(var(--eccp-spreadBoxShadow, 0)* 1px) '.
											 'var(--eccp-colorBoxShadow,#0E6487);';

						echo'}';
						 
					  
					echo'}';
					
					/* régles pour mobile: 
					   pour une résolution <= 600 px on a  déja une disposition en colonne
					   mais on force quand même la disposition en colonne lorsque la
					   résolution sera supérieure à 600px*/
					echo'@media (max-width: 767px) {';
					
						/* on force la disposition en colonne */
						echo'.wp-block-media-text.is-style-eccp-half-background{ 
							 display:block!important;
							 margin:auto;
						}';
						
						/* régle pour le bloc colonne image qui est toujours au dessus 
						   de la colonne texte quelque soit la position de l'image sur PC */
						echo'.wp-block-media-text .wp-block-media-text__media{
							  margin-bottom:2rem!important;
						}';
					  
					echo'}';
					
					
					// Pour Le Bloc Média Texte avec le style Half Background
					// on limite X & Y à 15px sur mobile
					// on applique le reste du style box shadow avec les variables
					// css déclarées et affectées par le script en React JS
					echo'@media (max-width:480px) {';
												
						/* régles pour  le fond de l'image a droite*/ 
						   // on limite le décalage a 15px
						echo'body.wp-admin .wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow.has-media-on-the-right .wp-block-media-text__media img {';
					
							echo'box-shadow: 15px '.
											 '15px '.
											 'calc(var(--eccp-blurBoxShadow, 0)* 1px) '.
											 'calc(var(--eccp-spreadBoxShadow,0)* 1px) '.
											 'var(--eccp-colorBoxShadow, #0E6487);';
						 
						echo'}';
							
						// on met une marge interne a droite pour le container de l'image 
						// lorsque l'image est a droite
						echo'body.wp-admin .wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow.has-media-on-the-right .wp-block-media-text__media  {';
						
							echo'padding-right: 10px;';
							
						echo'}';
							
							
						/* régles pour  le fond de l'image a gauche */
						// on décale le fond a gauche par une valeur négative de X
						// on limite le décalage a 15px
						echo'body.wp-admin .wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow .wp-block-media-text__media img {';

							echo'box-shadow: -15px '.
											 '15px '.
											 'calc(var(--eccp-blurBoxShadow, 0)* 1px) '.
											 'calc(var(--eccp-spreadBoxShadow, 0)* 1px) '.
											 'var(--eccp-colorBoxShadow,#0E6487);';

						echo'}';
						
						
						// on met une marge interne à gauche pour le container de l'image 
						// lorsque l'image est a gauche
						echo'body.wp-admin .wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow .wp-block-media-text__media  {';
						
							echo'padding-left: 10px;';
							
						echo'}';
							
							
					echo'}';
					
				
				}// Fin si on a activé les styles du bloc media/text
				
				
				/*------------------- BLOC SEPARATOR BACK OFFICE --------------------------*/
		
				/*---------------------------- Largeur Bloc Separator back office ------------------------------*/
						
				echo'[data-type="core/separator"].is-style-eccp-size-small{';
													
					echo'width: 60%!important;';
			
				echo'}';
				
				echo'[data-type="core/separator"].is-style-eccp-size-regular{';
							
					echo'width: 70%!important;';
			
				echo'}';
				
				echo'[data-type="core/separator"].is-style-eccp-size-large{';
										
					echo'width: 80%!important;';
			
				echo'}';
				
				echo'[data-type="core/separator"].is-style-eccp-size-larger{';
								
					echo'width: 90%!important;';
			
				echo'}';
				
					
				/*------------------- BLOC TABLEAU BACK OFFICE --------------------------*/
		
				/*-------------------- style ECCP Stripes back office ----------------------*/
					
				//------------- EN-TÊTE---------------------------
				
				/* couleur arrière plan en-tête */
				echo'.wp-block-table.is-style-eccp-stripes thead {';
					echo'background:var(--eccp-tableHeaderBgColor,#2B5DF2);';
					echo'border-bottom:none;';
				echo'}';

				/* Style cellule en-tête */
				echo'.wp-block-table.is-style-eccp-stripes thead tr th {';
					echo'border: 1px solid  #FFFFFF;';
					echo'font-weight:bold;';
					echo'color:var(--eccp-tableHeaderColor,#FFFFFF);';
				echo'}';

				/* Style 1ère cellule en-tête */
				echo'.wp-block-table.is-style-eccp-stripes thead tr th:first-child {';
					echo'border-radius: 10px 0px 0px 0px;';
				echo'}';

				/* Style dernière cellule en-tête */
				echo'.wp-block-table.is-style-eccp-stripes thead tr th:last-child {';
					echo'border-radius: 0px 10px 0px 0px;';
				echo'}';
				
				//------------- CORPS DE LA TABLE ---------------------------
				
				/* style des cellules de la table */
				echo'.wp-block-table.is-style-eccp-stripes tbody tr td {';
					echo'vertical-align:middle;';
					echo'padding: 8px;';
					echo'border: 1px solid;';
					echo'border-color: #EAF1F8;';
					echo'line-height:1.4em;';
				echo'}';

				/* couleur  d'arrière plan et du texte des lignes paires parentes de tbody  
			       afin d'éviter de changer la couleur d'arrière plan & du texte 
				   de la ligne d'en-tête */
				echo'.wp-block-table.is-style-eccp-stripes tbody > tr:nth-child(2n){';
					echo'background-color:var(--eccp-tableRowOddBgColor,#EFF8FE);';
					echo'color:var(--eccp-tableRowOddColor);';
				echo'}';	
				
				
				/*------------------- BLOC TITRE BACK OFFICE --------------------------*/
		
				echo'h2::before,h3::before,h4::before,h5::before{';
					echo'font-family:dashicons;';
					echo'position: relative;';
					echo'top: 0.15em;';
					echo'margin-right:0.5em;';
					echo'font-size:inherit;';
				echo'}';
			
			
				/*--------------------- Style Admin Menu back office ---------------------------*/
				
				//------------- Home---------------------------
				echo'.is-style-eccp-icon-heading-home::before {';
					echo'content: "\f102";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Site---------------------------
				echo'.is-style-eccp-icon-heading-site::before {';
					echo'content: "\f11f";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Post ---------------------------
				echo'.is-style-eccp-icon-heading-post::before {';
					echo'content: "\f109";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Links---------------------------
				echo'.is-style-eccp-icon-heading-links::before {';
					echo'content: "\f103";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Users---------------------------
				echo'.is-style-eccp-icon-heading-users::before {';
					echo'content: "\f110";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Tools---------------------------
				echo'.is-style-eccp-icon-heading-tools::before {';
					echo'content: "\f107";';
					echo'font-weight:600;';
				echo'}';

					
				/*--------------------- Style Post Formats back office ---------------------------*/
			
				//------------- Audio ---------------------------
				echo'.is-style-eccp-icon-heading-audio::before {';
					echo'content: "\f127";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Camera ---------------------------
				echo'.is-style-eccp-icon-heading-camera::before {';
					echo'content: "\f129";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Video ---------------------------
				echo'.is-style-eccp-icon-heading-video::before {';
					echo'content: "\f235";';
					echo'font-weight:600;';
				echo'}';
				
				
				/*--------------------- Style Block Editor back office ---------------------------*/
			
				//------------- Info Outline ---------------------------
				echo'.is-style-eccp-icon-heading-info-outline::before {';
					echo'content: "\f14c";';
					echo'font-weight:600;';
				echo'}';
				
				
			
				/*--------------------- Style TinyMCE back office ---------------------------*/
			
				//------------- Site---------------------------
				echo'.is-style-eccp-icon-heading-list::before {';
					echo'content: "\f203";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Quote ---------------------------
				echo'.is-style-eccp-icon-heading-quote::before {';
					echo'content: "\f205";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Film ---------------------------
				echo'.is-style-eccp-icon-heading-film::before {';
					echo'content: "\f219";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Help ---------------------------
				echo'.is-style-eccp-icon-heading-help::before {';
					echo'content: "\f223";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Code ---------------------------
				echo'.is-style-eccp-icon-heading-code::before {';
					echo'content: "\f475";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Table ---------------------------
				echo'.is-style-eccp-icon-heading-table::before {';
					echo'content: "\f535";';
					echo'font-weight:400;';
				echo'}';
				
				
				//------------- Hashtag ---------------------------
			
				echo'body.wp-admin .is-style-eccp-icon-heading-hashtag::before{';
					
				// la taille initiale du SVG est donné par width & height
				// pour le background-size
				// lorsqu'on affiche une icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-textColor définit par la sélection de couleur pour le titre
				// dans les paramètres du bloc, sinon on applique une couleur par défaut #333333
				echo' background-size: cover!important;
					  display: inline-block; 
					  position: relative; 
					  top:0;
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;
					  content: "";
					  background-color: var(--eccp-textColor,#333333);';
			
				echo'}';
				
				
				// taille icone pour un titre h2
				echo'body.wp-admin h2.is-style-eccp-icon-heading-hashtag::before{';
					echo'height:30px;';
					echo'width:30px;';
				echo'}';
				
				// taille icone pour un titre h3
				echo'body.wp-admin h3.is-style-eccp-icon-heading-hashtag::before{';
					echo'height:20px;';
					echo'width:20px;';
				echo'}';
				
				// taille icone pour un titre h4
				echo'body.wp-admin h4.is-style-eccp-icon-heading-hashtag::before{';
					echo'height:17px;';
					echo'width:17px;';
				echo'}';
				
				// taille icone pour un titre h5
				echo'body.wp-admin h5.is-style-eccp-icon-heading-hashtag::before{';
					echo'height:14px;';
					echo'width:14px;';
				echo'}';
				
				echo'body.wp-admin .is-style-eccp-icon-heading-hashtag::before{';
					
					// la régle mask-image permettra d'appliquer une couleur au SVG
					echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'utf-8\'?%3E%3Csvg version=\'1.1\' id=\'Layer_1\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' x=\'0px\' y=\'0px\' viewBox=\'0 0 103.41 122.88\' style=\'enable-background:new 0 0 103.41 122.88\' xml:space=\'preserve\'%3E%3Cg%3E%3Cpath d=\'M23.12,51.51L18.3,74.86H0v18.31h14.87L8.7,122.88H27.5l6.08-29.71h23.48l-5.91,29.71h18.98l5.99-29.71h27.28V74.86H79.76 l5.3-26.34h18.35V30.23H88.79L94.7,0H75.79l-6.08,30.23H46.15L52.32,0H33.36l-5.99,30.23H0v18.29h23.74L23.12,51.51L23.12,51.51z M58.74,74.86H37.17l5.55-26.34h23.46l-5.4,26.34H58.74L58.74,74.86z\'/%3E%3C/g%3E%3C/svg%3E");';
					echo'mask-image:url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'utf-8\'?%3E%3Csvg version=\'1.1\' id=\'Layer_1\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' x=\'0px\' y=\'0px\' viewBox=\'0 0 103.41 122.88\' style=\'enable-background:new 0 0 103.41 122.88\' xml:space=\'preserve\'%3E%3Cg%3E%3Cpath d=\'M23.12,51.51L18.3,74.86H0v18.31h14.87L8.7,122.88H27.5l6.08-29.71h23.48l-5.91,29.71h18.98l5.99-29.71h27.28V74.86H79.76 l5.3-26.34h18.35V30.23H88.79L94.7,0H75.79l-6.08,30.23H46.15L52.32,0H33.36l-5.99,30.23H0v18.29h23.74L23.12,51.51L23.12,51.51z M58.74,74.86H37.17l5.55-26.34h23.46l-5.4,26.34H58.74L58.74,74.86z\'/%3E%3C/g%3E%3C/svg%3E");';
				
				echo'}';
				
			
				/*--------------------- Style Posts Screen back office ---------------------------*/
			
				//------------- Calendar---------------------------
				echo'.is-style-eccp-icon-heading-calendar::before {';
					echo'content: "\f508";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Edit---------------------------
				echo'.is-style-eccp-icon-heading-edit::before {';
					echo'content: "\f464";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Trash---------------------------
				echo'.is-style-eccp-icon-heading-trash::before {';
					echo'content: "\f182";';
					echo'font-weight:400;';
					echo'top:0.1em;';
				echo'}';
			
			
			    /*--------------------- Style Sorting back office ---------------------------*/
			
				//------------- List View ---------------------------
				echo'.is-style-eccp-icon-heading-list-view::before {';
					echo'content: "\f163";';
					echo'font-weight:600;';
				echo'}';
				
				
				//------------- List View Alt(Icone Font Awesome) ---------------------------
				
				echo'.is-style-eccp-icon-heading-list-view-alt::before{';
						
					// la taille initiale du SVG est donné par width & height
					// pour le background-size
					// lorsqu'on affiche une icone avec la régle pseudo :before
					// il faut appliquer la régle content: "" pour que cela fonctionne
					// on applique une couleur de fond au svg avec la variable CSS
					// --eccp-textColor définit par la sélection de couleur pour le titre
					// dans les paramètres du bloc, sinon on applique une couleur par défaut #333333
					echo' background-size: cover!important;
						  display: inline-block; 
						  position: relative; 
						  top:0.1em;					  
						  mask-repeat: no-repeat;	                 
						  -webkit-mask-repeat: no-repeat;
						  content: "";
						  background-color: var(--eccp-textColor,#333333);';
				
				echo'}';
				
				// taille icone pour un titre h2
				echo'h2.is-style-eccp-icon-heading-list-view-alt::before{';
					echo'height:30px;';
					echo'width:30px;';
				echo'}';
				
				// taille icone pour un titre h2 sur mobile
				echo '@media (max-width:767px){';
				
					echo'h2.is-style-eccp-icon-heading-list-view-alt::before{';
					echo'height:24px;';
					echo'width:24px;';
					echo'}';
					
				echo'}';
					
				// taille icone pour un titre h3
				echo'h3.is-style-eccp-icon-heading-list-view-alt::before{';
					echo'height:24px;';
					echo'width:24px;';
				echo'}';
				
				// taille icone pour un titre h4
				echo'h4.is-style-eccp-icon-heading-list-view-alt::before{';
					echo'height:20px;';
					echo'width:20px;';
				echo'}';
				
				// taille icone pour un titre h5
				echo'h5.is-style-eccp-icon-heading-list-view-alt::before{';
					echo'height:17px;';
					echo'width:17px;';
				echo'}';
				
				echo'.is-style-eccp-icon-heading-list-view-alt::before{';
					
					// Icone Font Awesome Regular List
					// https://commons.wikimedia.org/wiki/File:Font_Awesome_5_regular_list-alt.svg
					// la régle mask-image permettra d'appliquer une couleur au SVG
					echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V86a6 6 0 0 1 6-6h404a6 6 0 0 1 6 6v340a6 6 0 0 1-6 6zm-42-92v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm-252 12c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
					echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V86a6 6 0 0 1 6-6h404a6 6 0 0 1 6 6v340a6 6 0 0 1-6 6zm-42-92v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm-252 12c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
					
				echo'}';
				
			
				/*--------------------- Style Social back office ---------------------------*/
			
				//------------- Facebook ---------------------------
				echo'.is-style-eccp-icon-heading-facebook::before {';
					echo'content: "\f305";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Instagram ---------------------------
				echo'.is-style-eccp-icon-heading-instagram::before {';
					echo'content: "\f12d";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- LinkedIn ---------------------------
				echo'.is-style-eccp-icon-heading-linkedin::before {';
					echo'content: "\f18d";';
					echo'font-weight:600;';
					echo'top: 0.1em;';
				echo'}';
				
				//------------- Pinterest ---------------------------
				echo'.is-style-eccp-icon-heading-pinterest::before {';
					echo'content: "\f192";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Twiter ---------------------------
				echo'.is-style-eccp-icon-heading-twiter::before {';
					echo'content: "\f301";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- YouTube ---------------------------
				echo'.is-style-eccp-icon-heading-youtube::before {';
					echo'content: "\f19b";';
					echo'font-weight:600;';
				echo'}';
			
			
				/*--------------------- Style WordPress back office ---------------------------*/
			
				//------------- Heart ---------------------------
				echo'.is-style-eccp-icon-heading-heart::before {';
					echo'content: "\f487";';
					echo'font-weight:600;';
				echo'}';
				
				
				/*--------------------- Style Buddicons back office ---------------------------*/
			
				//------------- Community ---------------------------
				echo'.is-style-eccp-icon-heading-community::before {';
					echo'content: "\f453";';
					echo'font-weight:400;';
				echo'}';
			
			
				/*--------------------- Style Products back office ---------------------------*/
			
				//------------- Info  ---------------------------
				echo'.is-style-eccp-icon-heading-info::before {';
					echo'content: "\f348";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Info Circle( icone Font Awesome) ---------------------------
				
				echo'.is-style-eccp-icon-heading-info-circle::before{';
						
					// la taille initiale du SVG est donné par width & height
					// pour le background-size
					// lorsqu'on affiche une icone avec la régle pseudo :before
					// il faut appliquer la régle content: "" pour que cela fonctionne
					// on applique une couleur de fond au svg avec la variable CSS
					// --eccp-textColor définit par la sélection de couleur pour le titre
					// dans les paramètres du bloc, sinon on applique une couleur par défaut #333333
					echo' background-size: cover!important;
						  display: inline-block; 
						  position: relative; 
						  top:0.1em;					  
						  mask-repeat: no-repeat;	                 
						  -webkit-mask-repeat: no-repeat;
						  content: "";
						  background-color: var(--eccp-textColor,#333333);';
				
				echo'}';
				
				// taille icone pour un titre h2
				echo'h2.is-style-eccp-icon-heading-info-circle::before{';
					echo'height:30px;';
					echo'width:30px;';
				echo'}';
				
				// taille icone pour un titre h2 sur mobile
				echo '@media (max-width:767px){';
				
					echo'h2.is-style-eccp-icon-heading-info-circle::before{';
					echo'height:24px;';
					echo'width:24px;';
					echo'}';
					
				echo'}';
					
				// taille icone pour un titre h3
				echo'h3.is-style-eccp-icon-heading-info-circle::before{';
					echo'height:24px;';
					echo'width:24px;';
				echo'}';
				
				// taille icone pour un titre h4
				echo'h4.is-style-eccp-icon-heading-info-circle::before{';
					echo'height:20px;';
					echo'width:20px;';
				echo'}';
				
				// taille icone pour un titre h5
				echo'h5.is-style-eccp-icon-heading-info-circle::before{';
					echo'height:17px;';
					echo'width:17px;';
				echo'}';
				
				echo'.is-style-eccp-icon-heading-info-circle::before{';
					
					// Icone Font Awesome 5 Solid
					// https://commons.wikimedia.org/wiki/File:Font_Awesome_5_solid_info-circle.svg
					// la régle mask-image permettra d'appliquer une couleur au SVG
					echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
					echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
					
				echo'}';
			
				//------------- Cart ---------------------------
				echo'.is-style-eccp-icon-heading-cart::before {';
					echo'content: "\f174";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- WordPress ---------------------------
				echo'.is-style-eccp-icon-heading-wordpress::before {';
					echo'content: "\f120";';
					echo'font-weight:400;';
				echo'}';
			
			
				/*--------------------- Style Widgets back office ---------------------------*/
			
				//------------- Archive ---------------------------
				echo'.is-style-eccp-icon-heading-archive::before {';
					echo'content: "\f480";';
					echo'font-weight:400;';
				echo'}';
				
				
				/*--------------------- Style Notifications back office ---------------------------*/
			
				//------------- Bell ---------------------------
				echo'.is-style-eccp-icon-heading-bell::before {';
					echo'content: "\f16d";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Star Filled ---------------------------
				echo'.is-style-eccp-icon-heading-star-filled::before {';
					echo'content: "\f155";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- warning ---------------------------
				echo'.is-style-eccp-icon-heading-warning::before {';
					echo'content: "\f534";';
					echo'font-weight:400;';
				echo'}';
				
				
			
				/*--------------------- Style Miscellaneous back office ---------------------------*/
			
				//------------- Book ---------------------------
				echo'.is-style-eccp-icon-heading-book::before {';
					echo'content: "\f330";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Products ---------------------------
				echo'.is-style-eccp-icon-heading-products::before {';
					echo'content: "\f312";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Awards ---------------------------
				echo'.is-style-eccp-icon-heading-awards::before {';
					echo'content: "\f313";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Testimonial ---------------------------
				echo'.is-style-eccp-icon-heading-testimonial::before {';
					echo'content: "\f473";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Download ---------------------------
				echo'.is-style-eccp-icon-heading-download::before {';
					echo'content: "\f316";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Carrot ---------------------------
				echo'.is-style-eccp-icon-heading-carrot::before {';
					echo'content: "\f511";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Beer ---------------------------
				echo'.is-style-eccp-icon-heading-beer::before {';
					echo'content: "\f16c";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Chart Bar ---------------------------
				echo'.is-style-eccp-icon-heading-chartbar::before {';
					echo'content: "\f185";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Clock ---------------------------
				echo'.is-style-eccp-icon-heading-clock::before {';
					echo'content: "\f469";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- Coffee ---------------------------
				echo'.is-style-eccp-icon-heading-coffee::before {';
					echo'content: "\f16f";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Food ---------------------------
				echo'.is-style-eccp-icon-heading-food::before {';
					echo'content: "\f187";';
					echo'font-weight:400;';
				echo'}';
				//------------- Hourglass ---------------------------
				echo'.is-style-eccp-icon-heading-hourglass::before {';
					echo'content: "\f18c";';
					echo'font-weight:400;';
				echo'}';
				
				//------------- Location ---------------------------
				echo'.is-style-eccp-icon-heading-location::before {';
					echo'content: "\f230";';
					echo'font-weight:600;';
				echo'}';
				
				//------------- PDF ---------------------------
				echo'.is-style-eccp-icon-heading-pdf::before {';
					echo'content: "\f190";';
					echo'font-weight:400;';
				echo'}';


				/*---------------- BLOC DERNIERS ARTICLES BACK OFFICE -------------------*/
				
				// Si on a activé le style card pour le bloc Derniers Articles
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_latest_posts_block_radio_field'] == 'yes' ) {
					
					/*-------- Style Card Derniers Articles en mode grille back office -----------*/
				
					/* article en mode grille */
					echo'ul.wp-block-latest-posts__list.is-grid li{';
						echo'box-shadow: 0 2px 4px 2px rgb(0 0 0 / 10%);';
						echo'padding-bottom: 1.2em;';
					echo'}';

					/* Lien image */
					echo'ul.wp-block-latest-posts__list.is-grid li div.wp-block-latest-posts__featured-image a{';
						echo'padding:0;';
						echo'display: block;';
					echo'}';

					/* Image article */
					echo'ul.wp-block-latest-posts__list.is-grid li img{';
						echo'margin-bottom:1.2em;';
						echo'width:100%;';
					echo'}';

					/* Image article au survol */
					echo'ul.wp-block-latest-posts__list.is-grid li img:hover{';
						echo'background-color: #000000;';
						echo'opacity: 0.4;';
					echo'}';

					/* Auteur & Date */
					echo'ul.wp-block-latest-posts__list.is-grid li  div.wp-block-latest-posts__post-author,
						 ul.wp-block-latest-posts__list.is-grid li time.wp-block-latest-posts__post-date{';
						echo'display:block;';
						echo'padding:0 1.5em 0 1.5em;';
					echo'}';

					/* titre & extrait */
					echo'ul.wp-block-latest-posts__list.is-grid li a,
						 ul.wp-block-latest-posts__list.is-grid li div.wp-block-latest-posts__post-excerpt{';
						echo'display:block;';
						echo'padding:0 1.2em 0 1.2em;';
					echo'}';

					/* Titre de l'article */
					echo'ul.wp-block-latest-posts__list.is-grid li a{';
						echo'font-weight:bold;';
						echo'text-decoration:none!important;';
					echo'}';
					
					// si on a activé les styles du bloc lire la suite
					// on applique le même style a la balise read more du bloc Derniers Articles
					if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] == 'yes' ) {
					
						// on fait la conversion en RGBA pourla couleur de fond du bloc Lire La Suite, 
						// la fonction retourne une chaine
						// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
						$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'], 
								intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'])/100 );
							
					
						/*  pour la balise read more du bloc Derniers Articles */
						echo'ul.wp-block-latest-posts__list.is-grid div.wp-block-latest-posts__post-excerpt a{';					
						
							echo'background: '.esc_html($rgba).'!important;';							
							echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field']).';';
							echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field']).';';
							echo'padding: 0.5em 1em!important;';
							echo'font-size: 18px;';
							echo'font-weight:600;';
							echo'line-height: 1.3333333;';
							echo'border-radius: 6px;';
							
							echo'display:block;';
							echo'margin:auto;';
							echo'width:150px;';
							echo'margin-top:15px;';
							echo'text-align:center;';
							
						echo'}';
						
						// on supprime la marges introduites avec la personnalisation 
						// du bloc liste
						echo'ul.wp-block-latest-posts__list.is-grid {';					
							echo'margin-left:0;';
						echo'}';
						
						// sur mobile on supprime le gap qui sépare les listes
						// dans la grille
						echo'@media (max-width:480px) {';
							echo'ul.wp-block-latest-posts.is-grid li {';	
								echo'margin-right:0;';
							echo'}';
						echo'}';
						
						// on fait la conversion en RGBA pour la couleur de fond au survol du bloc Lire La Suite, 
						// la fonction retourne une chaine
						// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
						$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'], 
								intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'])/100 );
							
						// régles au survol pour la balise read more
						echo'ul.wp-block-latest-posts__list.is-grid div.wp-block-latest-posts__post-excerpt a:hover {';
							echo'background: '.esc_html($rgba).'!important;';
							echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field']).';';
							echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field']).';';
						echo'}';
					
					}// fin si on a activé les styles du bloc lire la suite
							
				}// fin si on a activé le style card pour le bloc Derniers Articles				
				
				
				/*---------------- BLOC BOUCLE DE REQUÊTE BACK OFFICE -------------------*/
				
				// Si on a activé le style Card pour le bloc Boucle de Requête
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_query_loop_block_radio_field'] == 'yes' ) {
					
					/*-------- Style Card Boucle De Requête en mode grille back office -----------*/
					// Remarque le bloc Derniers Articles est construit a base 
					// d'une liste non ordonnée positionnée dans une grille
				
					/* article en mode grille */
					echo'ul.wp-block-post-template li{';
						echo'box-shadow: 0 2px 4px 2px rgb(0 0 0 / 10%);';
						echo'padding-bottom: 1.2em;';
						// modif pour le thème Divi(on supprime la puce disque par défaut)
						echo'list-style-type: none;';
					echo'}';


					/* Image article au survol */
					echo'ul.wp-block-post-template li figure:hover{';
						echo'background-color: #000000;';
						echo'opacity: 0.4;';
					echo'}';

					/* Auteur & Date */
					echo'ul.wp-block-post-template li  div.wp-block-post-author,
						 ul.wp-block-post-template li div.wp-block-post-date{';
						echo'display:block;';
						echo'padding:0 1.2em 0 1.2em;';
					echo'}';
					
					/* Avatar */
					echo'ul.wp-block-post-template li  div.wp-block-post-author__avatar{';
						echo'float:left;';
					echo'}';
					
					/* Catégories Articles */
					echo'ul.wp-block-post-template li div.taxonomy-category a{';
						echo'display:block;';
						echo'padding:0 1.2em 0 1.2em;';
					echo'}';
					
					/* Extrait */
					echo'ul.wp-block-post-template li div.wp-block-post-excerpt p{';
						echo'display:block;';
						echo'padding:0 1.2em 0 1.2em;';
					echo'}';

					/* Titre de l'article */
					echo'ul.wp-block-post-template li .wp-block-post-title a,
						 ul.wp-block-post-template li div.wp-block-post-excerpt p{';
						echo'display:block;';
						echo'padding:0 1em 0 1em;';
						echo'text-decoration:none!important;';
					echo'}';

					// si on a activé les styles du bloc lire la suite
					// on applique le même style a la balise read more du bloc Derniers Articles
					if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] == 'yes' ) {
					
						// on fait la conversion en RGBA pourla couleur de fond du bloc Lire La Suite, 
						// la fonction retourne une chaine
						// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
						$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'], 
								intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'])/100 );
							
					
						//  pour la balise read more du bloc Derniers Articles 
						echo'ul.wp-block-post-template li a.wp-block-post-excerpt__more-link{';					
							
							echo'background: '.esc_html($rgba).'!important;';
							echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field']).';';
							echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field']).';';
							echo'padding: 0.5em 1em!important;';
							echo'font-size: 18px;';
							echo'font-weight:600;';
							echo'line-height: 1.3333333;';
							echo'border-radius: 6px;';
							
							echo'display:block;';
							echo'margin:auto;';
							echo'width:150px;';
							echo'margin-top:15px;';
							echo'text-align:center;';
							echo'text-decoration:none!important;';
							
						echo'}';
						
						//  pour la balise read more du Thème Generate Press & Astra 
						echo'ul.wp-block-post-template li div.wp-block-post-excerpt a.read-more,
							 ul.wp-block-post-template li div.wp-block-post-excerpt p.read-more a{';		
						
							echo'display:none;';
						
						echo'}';
						
						// on supprime les marges introduites avec la personnalisation 
						// du bloc liste
						echo'body.page ul.wp-block-post-template ,
							 body.single ul.wp-block-post-template {';					
							echo'margin-left:0!important;';
							// correction pour le thème Divi
							echo'padding-left:0!important;';
						echo'}';
						
						// sur mobile on supprime le gap qui sépare les listes
						// dans la grille
						echo'@media (max-width:480px) {';
							echo'ul.wp-block-post-template  li {';	
								echo'margin-right:0;';
							echo'}';
						echo'}';
						
						// on fait la conversion en RGBA pour la couleur de fond au survol du bloc Lire La Suite, 
						// la fonction retourne une chaine
						// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
						$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'], 
								intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'])/100 );
							
						// régles au survol pour la balise read more
						echo'ul.wp-block-post-template li a.wp-block-post-excerpt__more-link:hover{';
							echo'background: '.esc_html($rgba).'!important;';
							echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field']).';';
							echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field']).';';
							echo'text-decoration:none!important;';
						echo'}';
					

					}// fin si on a activé les styles du bloc lire la suite
					
				
				}// fin si on a activé le style Card pour le bloc Boucle de Requête
				
				
				
				/*-------- Style d'un avatar personnalisé en back office -----------*/
				
				// Si on a activé l'utilisation d'un avatar personnalisé
				if( $custom_gutenberg_blocks_settings['eccp_settings_activate_custom_avatar_radio_field'] == 'yes' ) {
				
					/* Image Avatar */
					echo'ul.wp-block-post-template li  div.wp-block-post-author__avatar img{';
						echo'width:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field']).'px;';
						echo'height:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field']).'px;';
					echo'}';
				
				}// fin si on a activé un avatar personnalisé
				
				
				/*---------------- BLOC ESPACEMENT BACK OFFICE -------------------*/
				
				// régles pour tablette
				echo'@media (max-width:1024px) { ';
				
					echo'.wp-block-spacer.eccp-is-style-spacer-block{';
					
						echo'height: calc(var(--eccp-blockHeightSpacingTablet, 50)*1px)!important;';

					echo'}';
					
				echo'}';	
				
				// régles pour mobile
				echo'@media (max-width:600px) { ';
				
					echo'.wp-block-spacer.eccp-is-style-spacer-block{';
					
						echo'height: calc(var(--eccp-blockHeightSpacingTablet, 30)*1px)!important;';

					echo'}';
					
				echo'}';
				
				
				
				/*-------------------------ICÔNE TOOLBAR -------------------------------*/
					
							
				/*------------- ICÔNE TOOLBAR PARAGRAPHE -------------------- */
				echo'.ECGB-toolbar-icon-question{';
				
					echo'color: #E6E0F7!important;';
				
				echo'}';
							
				echo'.ECGB-toolbar-icon-info{';
				
					echo'color: #48ADD8!important;';
				
				echo'}';
				
				echo'.ECGB-toolbar-icon-advice{';
				
					echo'color: #83BD71!important;';
				
				echo'}';
				
				echo'.ECGB-toolbar-icon-warning{';
				
					echo'color: #FFC334!important;';
				
				echo'}';
				
				echo'.ECGB-toolbar-icon-alert{';
				
					echo'color: #B54D4D!important;';
				
				echo'}';
				
				
				/*------------- ICÔNE TOOLBAR LISTE -------------------- */
				
				echo'.ECGB-toolbar-icon-square,.ECGB-toolbar-icon-check,.ECGB-toolbar-icon-add, 
					 .ECGB-toolbar-icon-push-spin,.ECGB-toolbar-icon-circle-duotone,
					 .ECGB-toolbar-icon-clear{';
				
					echo'color: #48ADD8!important;';
				
				echo'}';
				
				// ajustement taille & position icône clear (x)
				echo'.components-button.has-icon .dashicon {';
					echo'margin-left: -2px!important;';
					echo'margin-top: -4px;';
					echo'font-size: 24px;';
				echo'}';

				/*------------------------------ SURLIGNEMENT TEXTE BACK OFFICE ------------------------------------*/

				// style pour le surlignement du texte
				echo'span.is-style-eccp-highlight {';
					echo'padding: 0.12em 0.24em;';
					echo'border-radius: 2px;';
				echo'}';
				
				/*------------------------------ RESPONSIVE BLOC GUTENBERG BACK OFFICE------------------------------------*/
					
					/*----------------- Hauteur du bloc couverture sur mobile en Back Office -----------------------*/
					
					// régle pour mobile
					echo'@media (max-width: 480px){';
						
						echo'.is-style-eccp-cover{';
							echo'min-height: calc(var( --eccp-mobileCoverHeight, 300)* 1px)!important;';
						echo'}';
						 
					echo'}';
				
				
			echo '</style>';
		
		
		}// fin si l'objet d'écran est l'éditeur
		
	
	} );// fin fonction hook admin head

}


/*----------------------------------------------------------------------------------------
		                STYLE FRONT END BLOCS EDITEUR GUTENBERG
/*---------------------------------------------------------------------------------------*/


add_action( 'wp_head','ecpp_block_style_front_end',1 );


function ecpp_block_style_front_end() {
	
	// On récupère les paramètres pour personnaliser l'éditeur
	$custom_gutenberg_editor_settings = get_option( 'eccp_settings_custom_gutenberg_editor' );
	// On récupère les paramètres pour les blocs réutilisables
	$reusable_blocks_settings = get_option( 'eccp_settings_reusable_blocks' );
	// On récupère les paramètres pour personnaliser les blocs Gutenberg
	$custom_gutenberg_blocks_settings = get_option( 'eccp_settings_custom_gutenberg_block' );
	
	// post type ayant un slug, publicly_queryable, mais qui ne sont pas des CPT utilisateurs
	$slug_no_cpt = array('e-landing-page','seedprod' ,'product','produit',
							'/boutique','elementor-hf','nf_sub','/produit');
	
	// Style des blocs en front end
	echo '<style type="text/css">';


		/*------------------- ALIGNEMENT LARGE & PLEINE LARGEUR POUR L 'EDITEUR DE BLOCS RÉGLES FRONT END --------------------------*/
		
		// si on à activé l'alignement large pour l'éditeur de blocs
		if( $custom_gutenberg_editor_settings['eccp_settings_activate_align_wide_block_editor_checkbox_field'] == true ) {
			
			// Régles CSS pour les pages & articles pour un alignement large	
			// on fait correspondre la largeur du bloc a celle de la page ou article		
			echo'body.single-post .alignwide,body.page .alignwide{
				
				max-width: 100%!important;
				width: 100%!important;
				margin-left: unset!important;
				margin-right: unset!important;
				
			}';
			
			// Régles CSS pour les pages pour un alignement pleine largeur
			// je ne gère pas les articles car généralement il y a une sidebar
			// et il est difficile de tester si présence ou non d'une sidebar
			// ces régles correspondent a celle du thème Astra
			echo'body.page .alignfull{
				
					margin-left: calc(-50vw + 50%)!important;
					margin-right: calc(-50vw + 50%)!important;
					max-width: 100vw!important;
					width: 100vw!important;
					
			}';
			
			
			// Ajout régle pour thème OceanWP suite mise a jour 3.1.0
			echo'body.page .entry .alignfull {
				
					width: 100vw!important;
					
			}';
			
			
			// s'il ya des Customm Post Type
			if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
				
				foreach ($slug_cpt as $key => $value) {
					
					// on récupère pour les CPT un tableau associatif : $slug_cpt
					// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
					// récupère aussi a quelques exception prés des slug de post type 
					// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
					// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
					if  ( !in_array($value, $slug_no_cpt) )  {
					
						// Régles CSS pour un alignement large	
						// on fait correspondre la largeur du bloc a celle du CPT		
						echo'body.single-'.$value.' .alignwide,body.page .alignwide{
							
							max-width: 100%!important;
							width: 100%!important;
							margin-left: unset!important;
							margin-right: unset!important;
							
						}';
						
						// Régles CSS pour un alignement pleine largeur
						// ces régles correspondent a celle du thème Astra
						echo'body.single-'.$value.' .alignfull{
							
								margin-left: calc(-50vw + 50%)!important;
								margin-right: calc(-50vw + 50%)!important;
								max-width: 100vw!important;
								width: 100vw!important;
								
						}';
					
					
						// Ajout régle pour thème OceanWP suite mise a jour 3.1.0
						echo'body.single-'.$value.' .entry .alignfull {
							
								width: 100vw!important;
								
						}';
						
						
						// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
								// ce n'est pas le slug mais le nom du post type qui est pris comme référence
								// par The Events Calendar pour appliquer des régles CSS.
						if ($key == 'tribe_events') {
							
							// Régles CSS pour un alignement large	
							// on fait correspondre la largeur du bloc a celle du CPT évènement		
							echo'body.single-'.$key.' .alignwide,body.page .alignwide{
								
								max-width: 100%!important;
								width: 100%!important;
								margin-left: unset!important;
								margin-right: unset!important;
								
							}';
							
							// Régles CSS pour un alignement pleine largeur
							// ces régles correspondent a celle du thème Astra
							echo'body.single-'.$key.' .alignfull{
								
									margin-left: calc(-50vw + 50%)!important;
									margin-right: calc(-50vw + 50%)!important;
									max-width: 100vw!important;
									width: 100vw!important;
									
							}';
						
						
							// Ajout régle pour thème OceanWP suite mise a jour 3.1.0
							echo'body.single-'.$key.' .entry .alignfull {
								
									width: 100vw!important;
									
							}';
								
								
						}
						
						
					}
					
				}
			
				
			} // Fin s'il ya des Customm Post Type
			
			
		}// Fin si on à activé l'alignement large pour l'éditeur de blocs
		
		
		/*------------------- EMBEDS RESPONSIVES LARGEUR MAX VIDÉOS INTÉGRÉES FRONT END --------------------------*/
				
		// Si on à activé les embeds responsive
		if( $custom_gutenberg_editor_settings['eccp_settings_activate_responsive_embeds_checkbox_field'] == true ) {
			
			
			// Régle pour les Articles
			// on affecte au bloc d'intégration de la vidéo une largeur max
			// si c'est un article(permet d'eviter conflit avec Custom Post Type car la classe single est présente sur un CPT)
			if (is_single() && get_post_type() == 'post') {
			
				echo'body.single .wp-block-embed {'; 
				
					echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px!important;';
				
				echo'}';
			
			}
			
			// Régle pour les Pages
			// on affecte au bloc d'intégration de la vidéo une largeur max	

			if (is_page()) {
				
				echo'body.page .wp-block-embed {'; 
				
					echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']) ).'px!important;';
				
				echo'}';
				
			}
			
			
			// on récupère le thème actif
			$my_theme = wp_get_theme();
	
			// Modif pour le thème DIVI 
			if(stristr($my_theme, 'divi')) {
				
				
				echo'figure.wp-block-embed {';
				
					echo'margin:20px 0px!important;';					
				
				echo'}';
			
				// Pour les tablettes & PC on rectifie la hauteur de l'iframe 
				// (container de la vidéo)qui n'est pas mis au format 16/9 
				// lorsqu'on modifie la largeur du bloc embed
				echo'.wp-block-embed iframe {';
				
					echo'max-height: calc('.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']) ).' * 9 / 16 * 1px)!important;';				
				
				echo'}';
				
				
				// Pour les mobiles
				// on gére la hauteur de l'iframe au format 16/9
				// par un % de la largeur de la fenêtre avec vw
				echo'@media (max-width:767px) {';
				
					echo'.wp-block-embed iframe {';
					
						echo'max-height: 45vw!important;';
					
					echo'}';
					
				echo'}';
				
			}
			
			
			// Régle pour les Custom Post Type
			
			// s'il ya des Custom Post Type
			if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
				
				foreach ($slug_cpt as $key => $value) {
					
					// on récupère pour les CPT un tableau associatif : $slug_cpt
					// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
					// récupère aussi a quelques exception prés des slug de post type 
					// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
					// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
					if  ( !in_array($value, $slug_no_cpt) )  {
						
						
						// Régle pour les CPT
						// on affecte au bloc d'intégration de la vidéo une largeur max			
						echo'body.single-'.$value.' .wp-block-embed {'; 
						
							echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px!important;';
						
						echo'}';
						
						
						// Régle pour les CPT 
						// Mise à jour version 2.0: correction pour un alignement gauche & droite du bloc embed
						// pour un embed max-width de 960px 
						//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
						
						echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'].'px) {';
						
							echo 'body.single-'.$value.' .wp-block-embed.alignleft {';
				
								echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
					
							echo'}';
							
							echo 'body.single-'.$value.' .wp-block-embed.alignright {';
							
								echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
					
							echo'}';
						
						echo'}';
						
						// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
						// ce n'est pas le slug mais le nom du post type qui est pris comme référence
						// par The Events Calendar pour appliquer des régles CSS.
						if ($key == 'tribe_events') {
							
							// Régle pour les CPT évènements
							// on affecte au bloc d'intégration de la vidéo une largeur max			
							echo'body.single-'.$key.' .wp-block-embed {'; 
							
								echo'max-width:'.esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px!important;';
							
							echo'}';
							
							// Régle pour les CPT évènements
							// Mise à jour version 2.0: correction pour un alignement gauche & droite du bloc embed
							// pour un embed max-width de 960px 
							//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
							
							echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field'].'px) {';
							
								echo 'body.single-'.$key.' .wp-block-embed.alignleft {';
					
									echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
						
								echo'}';
								
								echo 'body.single-'.$key.' .wp-block-embed.alignright {';
								
									echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_cpt_embed_max_width_text_field']) ).'px)!important;';
						
								echo'}';
							
							echo'}';
							
						}
			
						
					}
				
				}
			
				
			} // Fin s'il ya des Custom Post Type
			
			
			// Régle pour les Articles
			// Mise à jour version 1.7: correction pour un alignement gauche & droite du bloc embed
			// pour un embed max-width de 960px 
			//@media (min-width:960px) {  margin-right:calc(109% - 960px);   }
			
			// si c'est un article(permet d'eviter conflit avec Custom Post Type car 
			// la classe single est présente sur un CPT)
			if (is_single() && get_post_type() == 'post') {
				
				echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field'].'px) {';
				
					echo 'body.single .wp-block-embed.alignleft {';
					
						echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px)!important;';
			
					echo'}';
					
					echo 'body.single .wp-block-embed.alignright {';
					
						echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_post_embed_max_width_text_field']) ).'px)!important;';
			
					echo'}';
				
				echo'}';
			
			}

			
			// Régle pour les Pages
			// Mise à jour version 1.7: correction pour un alignement gauche & droite du bloc embed
			// pour un embed max-width de 960px 
			//@media (min-width:960px) {  margin-right:calc(100% - 960px);   }
			 
			
			if (is_page()) {
				
				echo'@media (min-width: '.$custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field'].'px) {';
				
					echo 'body.page .wp-block-embed.alignleft {';
					
						echo'margin-right: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']) ).'px)!important;';
			
					echo'}';

					echo 'body.page .wp-block-embed.alignright {';
					
						echo'margin-left: calc(109% - '. esc_html( strval($custom_gutenberg_editor_settings['eccp_settings_page_embed_max_width_text_field']) ).'px)!important;';
			
					echo'}';
				
				echo'}';
			
			}
			
			
			//$my_theme = wp_get_theme();
			
			// correction pour le thème Astra ou divi
			//if(stristr($my_theme, 'astra') || stristr($my_theme, 'divi')) {
			
			// certains thèmes supporte mal l'activation Embeds Reponsive
			// on désactive alors cette fonctionnalité et cela neccesite
			// une règle pour l'alignement centré des vidéos(exemple Thème Divi, Astra)
			if( $custom_gutenberg_editor_settings['eccp_corrective_according_to_theme_radio_field'] == 'yes' ) {
			
				// on supprime une marge interne haute du container d'intégration de la vidéo
				/*
				echo'.wp-block-embed__wrapper:before {';
				
					echo'padding-top:0!important;';
					
				echo'}';
				*/
				
				// on centre la vidéo pour un alignement centré du bloc embed
				echo'.aligncenter {';
				
					echo'margin:0 auto!important;';
					
				echo'}';
			
			}
			
			
		}
		
	
		/*-------------------BLOC RÉUTILISABLE BLOCKQUOTE FRONT END --------------------------*/
		
		
		/* On régle la largeur automatique du bloc en fonction de son contenu
		   avec les régles position: absolute ou float:left mais cela pose un problème.
		   j'ai donc pris une position relative et limiter la largeur à width:60% */
		echo'.block-quote{
			
			position: relative;
			font-style: italic;
			border:none!important;
			margin: 40px 70px!important;';
			
		echo'}';
		
		/* Modif version 2.3: la graisse & taille de texte sont désormais des réglages
	       du bloc natif Bloc Quote de WordPress
		echo'.block-quote p {';
		  
		echo'font-size:'.esc_html($reusable_blocks_settings['eccp_settings_font_size_blockquote_text_field']).'px!important;';
		echo'font-weight:'.esc_html($reusable_blocks_settings['eccp_settings_font_weight_blockquote_select_field']).'!important;';
		
		echo'}';
		*/
		
		/* 
		   Modif Version 1.7
		   Blockquote de gauche,j'ai reformaté l'image SVG 
		   en URL data(https://websemantics.uk/tools/svg-to-background-image-conversion/) 
		   pour l'utiliser comme images d'arrière-plan, au lieu de l'URL relative 
		   par rapport au répertoire du plugin: 
		   echo'background: url('.EDITOR_CUSTOM_COLOR_PALETTE_URL.'/img/editeur-gutenberg/rc-blockquote.svg'.');';	
		   Ceci afin de modifier la couleur de fond($blocquote_color) 
		   et l'opacité($blocquote_opacity)directement dans l'URL data 
		*/ 
		
		// on met en forme la couleur des guillemets et l'opacité pour l'URL data 
		// qui charge l'image SVG des guillemets
		// substr retourne une sous chaine de la position:1 jusqu'a la fin				
		$blocquote_color = substr($reusable_blocks_settings['eccp_settings_quotation_marks_color_text_field'],1);
		// strval renvoi une variable au format chaine
		$blocquote_opacity = strval( intval($reusable_blocks_settings['eccp_settings_quotation_marks_opacity_text_field'])/100 );
		
		echo'.block-quote:before {
			position: absolute;
			content: "";
			top: -19px;
			left: -67px;
			height: 55px;
			width: 53px;';
		echo'background-image: url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'no\'?%3E%3Csvg xmlns:dc=\'http://purl.org/dc/elements/1.1/\' xmlns:cc=\'http://creativecommons.org/ns%23\' xmlns:rdf=\'http://www.w3.org/1999/02/22-rdf-syntax-ns%23\' xmlns:svg=\'http://www.w3.org/2000/svg\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:sodipodi=\'http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\' xmlns:inkscape=\'http://www.inkscape.org/namespaces/inkscape\' width=\'53\' height=\'55\' version=\'1.1\' id=\'svg8\' sodipodi:docname=\'rc-blockquote.svg\' inkscape:version=\'1.0 (4035a4fb49, 2020-05-01)\'%3E%3Cmetadata id=\'metadata14\'%3E%3Crdf:RDF%3E%3Ccc:Work rdf:about=\'\'%3E%3Cdc:format%3Eimage/svg+xml%3C/dc:format%3E%3Cdc:type rdf:resource=\'http://purl.org/dc/dcmitype/StillImage\' /%3E%3Cdc:title /%3E%3C/cc:Work%3E%3C/rdf:RDF%3E%3C/metadata%3E%3Cdefs id=\'defs12\'%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter842\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur844\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter846\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur848\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3C/defs%3E%3Csodipodi:namedview inkscape:document-rotation=\'0\' pagecolor=\'%23ffffff\' bordercolor=\'%23666666\' borderopacity=\'1\' objecttolerance=\'10\' gridtolerance=\'10\' guidetolerance=\'10\' inkscape:pageopacity=\'0\' inkscape:pageshadow=\'2\' inkscape:window-width=\'1366\' inkscape:window-height=\'705\' id=\'namedview10\' showgrid=\'false\' inkscape:zoom=\'8.6\' inkscape:cx=\'29.175176\' inkscape:cy=\'27.5\' inkscape:window-x=\'-8\' inkscape:window-y=\'-8\' inkscape:window-maximized=\'1\' inkscape:current-layer=\'svg8\' /%3E%3Cg id=\'g840\'%3E%3Cpath id=\'‘\' d=\'m 24,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 24 V 55 H 0 V 34.242 C 0,23.7 1.992,15.569 5.976,9.846 9.96,4.123 15.968,0.84 24,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter842)\' /%3E%3Cpath id=\'‘-copy\' d=\'m 53,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 53 V 55 H 29 V 34.242 C 29,23.701 30.992,15.569 34.976,9.846 38.96,4.123 44.968,0.84 53,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter846)\' inkscape:highlight-color=\'4294967295\' /%3E%3C/g%3E%3C/svg%3E");';	
			
		echo'}';

		/* Blockquote de droite */
		echo'.block-quote:after {
			position: absolute;
			content: "";
			bottom: -19px;
			right: -67px;
			height: 55px;
			width: 53px;
			-webkit-transform: rotate(180deg);
			transform: rotate(180deg);';
		echo'background-image: url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'UTF-8\' standalone=\'no\'?%3E%3Csvg xmlns:dc=\'http://purl.org/dc/elements/1.1/\' xmlns:cc=\'http://creativecommons.org/ns%23\' xmlns:rdf=\'http://www.w3.org/1999/02/22-rdf-syntax-ns%23\' xmlns:svg=\'http://www.w3.org/2000/svg\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:sodipodi=\'http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd\' xmlns:inkscape=\'http://www.inkscape.org/namespaces/inkscape\' width=\'53\' height=\'55\' version=\'1.1\' id=\'svg8\' sodipodi:docname=\'rc-blockquote.svg\' inkscape:version=\'1.0 (4035a4fb49, 2020-05-01)\'%3E%3Cmetadata id=\'metadata14\'%3E%3Crdf:RDF%3E%3Ccc:Work rdf:about=\'\'%3E%3Cdc:format%3Eimage/svg+xml%3C/dc:format%3E%3Cdc:type rdf:resource=\'http://purl.org/dc/dcmitype/StillImage\' /%3E%3Cdc:title /%3E%3C/cc:Work%3E%3C/rdf:RDF%3E%3C/metadata%3E%3Cdefs id=\'defs12\'%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter842\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur844\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3Cfilter height=\'1.0000094\' y=\'-4.7127273e-06\' width=\'1.0000216\' x=\'-1.08e-05\' id=\'filter846\' style=\'color-interpolation-filters:sRGB\' inkscape:collect=\'always\'%3E%3CfeGaussianBlur id=\'feGaussianBlur848\' stdDeviation=\'0.000108\' inkscape:collect=\'always\' /%3E%3C/filter%3E%3C/defs%3E%3Csodipodi:namedview inkscape:document-rotation=\'0\' pagecolor=\'%23ffffff\' bordercolor=\'%23666666\' borderopacity=\'1\' objecttolerance=\'10\' gridtolerance=\'10\' guidetolerance=\'10\' inkscape:pageopacity=\'0\' inkscape:pageshadow=\'2\' inkscape:window-width=\'1366\' inkscape:window-height=\'705\' id=\'namedview10\' showgrid=\'false\' inkscape:zoom=\'8.6\' inkscape:cx=\'29.175176\' inkscape:cy=\'27.5\' inkscape:window-x=\'-8\' inkscape:window-y=\'-8\' inkscape:window-maximized=\'1\' inkscape:current-layer=\'svg8\' /%3E%3Cg id=\'g840\'%3E%3Cpath id=\'‘\' d=\'m 24,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 24 V 55 H 0 V 34.242 C 0,23.7 1.992,15.569 5.976,9.846 9.96,4.123 15.968,0.84 24,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter842)\' /%3E%3Cpath id=\'‘-copy\' d=\'m 53,0 v 7.178 c -3.11,0.905 -5.441,3.185 -6.996,6.839 -1.555,3.654 -2.332,8.681 -2.332,15.084 v 2.037 H 53 V 55 H 29 V 34.242 C 29,23.701 30.992,15.569 34.976,9.846 38.96,4.123 44.968,0.84 53,0 Z\' style=\'display:inline;opacity:'.$blocquote_opacity.';fill:%23'.$blocquote_color.';fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1;filter:url(%23filter846)\' inkscape:highlight-color=\'4294967295\' /%3E%3C/g%3E%3C/svg%3E");';	
			
		echo'}';
		
		// largeur blockquote pour les articles en front end
		
		// si c'est un article(permet d'eviter conflit avec Custom Post Type car la classe single 
		// est présente sur un CPT)
		if (is_single() && get_post_type() == 'post') {
			echo'body.single .block-quote{';
			
				echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_width_blockquote_post_front_end_text_field']).'%;';
			
			echo'}';
		}
		
		
		// largeur blockquote pour les pages en front end
		if (is_page()) {
			echo'body.page .block-quote{';
			
				echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_width_blockquote_page_front_end_text_field']).'%;';
			
			echo'}';
		}
		
		// Régle pour les Custom Post Type
			
		// s'il ya des Custom Post Type
		if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
			
			foreach ($slug_cpt as $key => $value) {
				
				// on récupère pour les CPT un tableau associatif : $slug_cpt
				// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
				// récupère aussi a quelques exception prés des slug de post type 
				// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
				// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
				if  ( !in_array($value, $slug_no_cpt) )  {
					
					// largeur blockquote pour les CPT en front end
					echo'body.single-'.$value.' .block-quote{';
					
						echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_width_blockquote_cpt_front_end_text_field']).'%;';
					
					echo'}';
					
				}
				
				// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
				// ce n'est pas le slug mais le nom du post type qui est pris comme référence
				// par The Events Calendar pour appliquer des régles CSS.
				if ($key == 'tribe_events') {
					
					// largeur blockquote pour les CPT évènements en front end
					echo'body.single-'.$key.' .block-quote{';
					
						echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_width_blockquote_cpt_front_end_text_field']).'%;';
					
					echo'}';
					
				}
			
			}
		
			
		} // Fin s'il ya des Custom Post Type

		/*-------------------BLOC RÉUTILISABLE METTRE EN ÉVIDENCE FRONT END --------------------------*/
		
		/* bordure colorée orange #F37020 avec une transparence */
		echo'.mise-en-evidence {';
		
		echo'border-left: 5px solid '.esc_html($reusable_blocks_settings['eccp_settings_custom_paragraph_border_color']).';';
		
		echo'border-radius:4px;
			 padding:1.1em!important;
		     margin:1.1em;
		     font-size: 20px;';
			  
		echo'}';
		
		
		// largeur bloc Mettre en Évidence pour les articles en front end
		
		// si c'est un article(permet d'eviter conflit avec Custom Post Type car la classe single 
		// est présente sur un CPT)
		if (is_single() && get_post_type() == 'post') {
			
			echo'body.single .mise-en-evidence{';
			
				echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_custom_paragraph_width_post_front_end_text_field']).'%;';
			
			echo'}';
		}
		
		
		// largeur  bloc Mettre en Évidence pour les pages en front end
		if (is_page()) {
			
			echo'body.page .mise-en-evidence{';
			
				echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_custom_paragraph_width_page_front_end_text_field']).'%;';
			
			echo'}';
		}
		
		// Régle pour les Custom Post Type
		
		// s'il ya des Custom Post Type
		if ( !empty($slug_cpt = eccp_get_registered_post_types()) ) {
			
			foreach ($slug_cpt as $key => $value) {
				
				// on récupère pour les CPT un tableau associatif : $slug_cpt
				// dont la clé donne le nom de nos CPT et la valeur le slug du CPT
				// récupère aussi a quelques exception prés des slug de post type 
				// qui ne sont pas des CPT, ex: e-landing-page que l'on écarte en les définissant dans $slug_no_cpt
				// si le slug est bien un slug de CPT alors on peut appliquer les régles CSS
				if  ( !in_array($value, $slug_no_cpt) )  {
					
					// largeur  bloc Mettre en Évidence pour les CPT en front end
					echo'body.single-'.$value.' .mise-en-evidence{';
					
						echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_front_end_text_field']).'%;';
					
					echo'}';
					
				}
				
				// Régles pour le plugin The Events Calendar(Mise à jour version 2.0)
				// ce n'est pas le slug mais le nom du post type qui est pris comme référence
				// par The Events Calendar pour appliquer des régles CSS.
				if ($key == 'tribe_events') {
					
					// largeur bloc Mettre en évidence pour les CPT évènements en Front end
					echo'body.single-'.$key.' .mise-en-evidence{';
					
						echo'width:'.esc_html($reusable_blocks_settings['eccp_settings_custom_paragraph_width_cpt_front_end_text_field']).'%;';
					
					echo'}';
					
				}
			
			}
		
			
		}
		
		/*----------------------------STYLE BOX SHADOW FRONT END ------------------------------*/
		
		
		/*-------------------- Style box shadow(page d'options du plugin) front end ---------------------*/
		  
		// a partir de la version 2.8 le réglage Box Shadow estdans les paramètres du bloc  
		  
		/*
		// on fait la conversion en RGBA, la fonction retourne une chaine
		// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
		$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_box_shadow_color_text_field'], 
				intval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_opacity_text_field'])/100 );
				
		
		// on corrige le bug avant d'appliquer l'effet Box Shadow : 
		// une valeur de 0 enregistré en base de données donne une chaine vide
		if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field']) ){
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'] = '0';
		}
		
		if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field']) ){
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'] = '0';
		}
		
		if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field']) ){
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'] = '0';
		}
		
		if ( empty($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field']) ){
			$custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'] = '0';
		}
		
		
		
		
		// si on à activé l'effet ombre de boite
		// ombre de boite par défaut: box-shadow: 8px 8px 12px -8px rgba(0,0,0,0.5); 
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_box_shadow_paragraph_block_radio_field'] == 'yes' ) {
			
			echo'.wp-block-group.is-style-eccp-box-shadow,
				 p.is-style-eccp-box-shadow {';
		
			echo'box-shadow: '.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'])).'px '
							  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'])).'px '
							  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'])).'px '
							  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'])).'px '
							  .esc_html($rgba).';';
							  
			echo'background: #F0F2F6;';
			echo'padding: 1.25em 2.375em;';
			echo'margin-bottom:1.1em!important;';
				  
			echo'}';
			
			
			// Pour Le Bloc Colonne
			echo'.wp-block-column.is-style-eccp-box-shadow{';
		
			echo'box-shadow: '.esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_x_text_field'])).'px '
							  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_y_text_field'])).'px '
							  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_blur_text_field'])).'px '
							  .esc_html(strval($custom_gutenberg_blocks_settings['eccp_settings_box_shadow_spread_text_field'])).'px '
							  .esc_html($rgba).';';
			echo'}';
			
		}
		*/
		
		/*-------------------- Style box shadow(React JS) front end ---------------------*/
		
		
		// bloc Paragraphe
		// le style box shadow est appliqué directement 
		// en react Js a partir de la version 2.8
		echo'p.eccp-box-shadow {';
	
			echo'padding: 1.25em 2.375em;';
			echo'margin-bottom:1.1em!important;';
			  
		echo'}';
		
		
		
		// Pour Le Bloc image
		// on cible l'image du bloc,qu'on ne peut faire en react Js 
		// pour apliquer le style box shadow avec les variables
		// css déclarées et affectées par le script en ReacT JS
		echo'.wp-block-image .eccp-box-shadow img,
			 .wp-block-image.eccp-box-shadow img{';
	
		echo'box-shadow: var(--eccp-horizontalBoxShadow, 0) '.
						 'var(--eccp-verticalBoxShadow, 0) '.
						 'var(--eccp-blurBoxShadow, 4) '.
						 'var(--eccp-spreadBoxShadow, 1) '.
						 'var(--eccp-colorBoxShadow, rgba(0,0,0,0.2));';
		 
		echo'}';
		
		
		// Pour Le Bloc Média Texte
		// on cible l'image du bloc,qu'on ne peut faire en React JS 
		// pour apliquer le style box shadow avec les variables
		// css déclarées et affectées par le script en React JS
		echo'.wp-block-media-text.eccp-box-shadow .wp-block-media-text__media img {';
	
			echo'box-shadow: var(--eccp-horizontalBoxShadow, 20) '.
							 'var(--eccp-verticalBoxShadow, 20) '.
							 'var(--eccp-blurBoxShadow, 0) '.
							 'var(--eccp-spreadBoxShadow, 0) '.
							 'var(--eccp-colorBoxShadow,#0E6487);';
		 
		echo'}';
		
		
		
		/*-------------------BLOC PARAGRAPHE FRONT END --------------------------*/
		
		
		$my_theme = wp_get_theme();
			
		// correction theme divi ajout d'une marge basse pour le bloc paragraphe
		if(stristr($my_theme, 'divi')) {
		
			echo'p {';
				echo'margin-bottom: 1.5em!important;';
			echo'}';
		
		}
	
	    //BLOC UN SEUL PARAGRAPHE AVEC UN FOND 
	
		/* Pour les mobiles en mode portrait */
		echo'@media only screen and (max-width:480px){
			
			p.has-background{padding: 1.25em 1.25em;}
		
		}';
		
		
		/*----------------------------Style Card front end------------------------------*/
				
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_card_paragraph_radio_field'] == 'yes' ) {
			
			echo'p.is-style-eccp-card{';
							
				echo'box-shadow: 0 2px 1px -1px rgba(0,0,0,.2), 0 1px 1px 0 rgba(0,0,0,.14), 0 1px 3px 0 rgba(0,0,0,.12);';
				echo'border-radius: 4px;';
				echo'background: #F0F2F6;';
				echo'padding: 16px 16px 16px 16px;';

			echo'}';
					
			echo'p.is-style-eccp-card.has-background{';
			
				echo'padding: 16px 16px 16px 16px!important;';
			
			echo'}';
		
		}
		
		/*----------------------------Style Notice: question front end------------------------------*/
		
		// substr retourne une sous chaine de la position:1 jusqu'a la fin				
		$icone_color_notice_question = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_question_text_field'],1);
				
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_question_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'p.is-style-eccp-notice-question,
					     .wp-block-group.is-style-eccp-notice-question{';
					
							echo'background: #e6e0f7 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_question).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M11 18h2v-2h-2v2zm1-16C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm0-14c-2.21 0-4 1.79-4 4h2c0-1.1.9-2 2-2s2 .9 2 2c0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4z\'/%3E%3C/svg%3E") no-repeat!important;';
							echo'background-size: 50px!important;';
							echo'min-height: 60px;';
							echo'background-position: 10px center!important;';
							echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
							echo'border-radius: 5px;';
							echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'.wp-block-group.is-style-eccp-notice-question p,
					     .wp-block-group.is-style-eccp-notice-question h3,
						 .wp-block-group.is-style-eccp-notice-question h4{';
					
						echo'margin:0;';
					
					echo'}';
					
					echo'p.is-style-eccp-notice-question.has-background{';
					
					
						echo'padding: 16px 16px 16px 75px!important;';

					
					echo'}';
					
		}
		
		/*----------------------------Style Notice: info front end------------------------------*/
		
		// substr retourne une sous chaine de la position:1 jusqu'a la fin				
		$icone_color_notice_info = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_info_text_field'],1);
				
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_info_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'p.is-style-eccp-notice-info,
					     .wp-block-group.is-style-eccp-notice-info{';
					
							echo'background: #48ADD8 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_info).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M11 7h2v2h-2zm0 4h2v6h-2zm1-9C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z\'/%3E%3C/svg%3E") no-repeat!important;';
							echo'color: #FFFFFF;';
							echo'background-size: 50px!important;';
							echo'min-height: 60px;';
							echo'background-position: 10px center!important;';
							echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
							echo'border-radius: 5px;';
							echo'padding: 16px 16px 16px 75px!important;';//Modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'.wp-block-group.is-style-eccp-notice-info p,
					     .wp-block-group.is-style-eccp-notice-info h3,
						 .wp-block-group.is-style-eccp-notice-info h4{';
					
						echo'margin:0;';
					
					echo'}';
					
					echo'p.is-style-eccp-notice-info.has-background{';
					
					
						echo'padding: 16px 16px 16px 75px!important;';

					
					echo'}';
					
		}
		
		/*----------------------------Style Notice: Advice front end------------------------------*/
		
		// substr retourne une sous chaine de la position:1 jusqu'a la fin				
		$icone_color_notice_advice = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_advice_text_field'],1);
				
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_advice_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'p.is-style-eccp-notice-advice,
					     .wp-block-group.is-style-eccp-notice-advice{';
					
							echo'background: #83BD71 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_advice).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\' opacity=\'.87\'/%3E%3Cpath d=\'M21 8h-6.31l.95-4.57.03-.32c0-.41-.17-.79-.44-1.06L14.17 1 7.59 7.59C7.22 7.95 7 8.45 7 9v10c0 1.1.9 2 2 2h9c.83 0 1.54-.5 1.84-1.22l3.02-7.05c.09-.23.14-.47.14-.73v-2c0-1.1-.9-2-2-2zm0 4l-3 7H9V9l4.34-4.34L12.23 10H21v2zM1 9h4v12H1z\'/%3E%3C/svg%3E") no-repeat!important;';
							echo'color: #FFFFFF;';
							echo'background-size: 50px!important;';
							echo'min-height: 60px;';
							echo'background-position: 10px center!important;';
							echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
							echo'border-radius: 5px;';
							echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'.wp-block-group.is-style-eccp-notice-advice p,
					     .wp-block-group.is-style-eccp-notice-advice h3,
						 .wp-block-group.is-style-eccp-notice-advice h4{';
					
						echo'margin:0;';
					
					echo'}';
					
					echo'p.is-style-eccp-notice-advice.has-background{';
					
					
						echo'padding: 16px 16px 16px 75px!important;';

					
					echo'}';
					
		}
		
		/*----------------------------Style Notice: Warning front end------------------------------*/
		
		// substr retourne une sous chaine de la position:1 jusqu'a la fin				
		$icone_color_notice_warning = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_warning_text_field'],1);
				
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_warning_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'p.is-style-eccp-notice-warning,
					     .wp-block-group.is-style-eccp-notice-warning{';
					
							echo'background: #FFC334 url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_warning).'\'%3E%3Cpath d=\'M12 5.99L19.53 19H4.47L12 5.99M12 2L1 21h22L12 2zm1 14h-2v2h2v-2zm0-6h-2v4h2v-4z\'/%3E%3C/svg%3E") no-repeat!important;';
							echo'color: #FFFFFF;';
							echo'background-size: 50px!important;';
							echo'min-height: 60px;';
							echo'background-position: 10px center!important;';
							echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
							echo'border-radius: 5px;';
							echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'.wp-block-group.is-style-eccp-notice-warning p,
					     .wp-block-group.is-style-eccp-notice-warning h3,
						 .wp-block-group.is-style-eccp-notice-warning h4{';
						 
						echo'margin:0;';
					
					echo'}';
					
					echo'p.is-style-eccp-notice-warning.has-background{';
					
					
						echo'padding: 16px 16px 16px 75px!important;';

					
					echo'}';
					
		}
		
		/*----------------------------Style Notice: Alert front end------------------------------*/
		
		// substr retourne une sous chaine de la position:1 jusqu'a la fin				
		$icone_color_notice_alert = substr($custom_gutenberg_blocks_settings['eccp_settings_icon_color_style_notice_alert_text_field'],1);
				
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_notice_alert_radio_field'] == 'yes' ) {
				
					// Version 2.7 modif pour le block Group
					echo'p.is-style-eccp-notice-alert,
					     .wp-block-group.is-style-eccp-notice-alert{';
					
							echo'background: #B54D4D url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color_notice_alert).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M15.73 3H8.27L3 8.27v7.46L8.27 21h7.46L21 15.73V8.27L15.73 3zM19 14.9L14.9 19H9.1L5 14.9V9.1L9.1 5h5.8L19 9.1v5.8z\'/%3E%3Ccircle cx=\'12\' cy=\'16\' r=\'1\'/%3E%3Cpath d=\'M11 7h2v7h-2z\'/%3E%3C/svg%3E") no-repeat!important;';
							echo'color: #FFFFFF;';
							echo'background-size: 50px!important;';
							echo'min-height: 60px;';
							echo'background-position: 10px center!important;';
							echo'border-left: 4px solid rgba(0, 0, 0, 0.1);';
							echo'border-radius: 5px;';
							echo'padding: 16px 16px 16px 75px!important;';// Version 2.7 modif pour le block Group

					echo'}';
					
					// Version 2.7 modif pour le block Group
					echo'.wp-block-group.is-style-eccp-notice-alert p,
					     .wp-block-group.is-style-eccp-notice-alert h3,
						 .wp-block-group.is-style-eccp-notice-alert h4{';
						 
						echo'margin:0;';
					
					echo'}';
					
					echo'p.is-style-eccp-notice-alert.has-background{';
					
					
						echo'padding: 16px 16px 16px 75px!important;';

					
					echo'}';
					
		}
		
		
		/*--------------------- Style Click to Tweet Front End ---------------------------*/

		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_click_to_tweet_radio_field'] == 'yes' ) {

			// Bloc paragraphe de style ECCP Tweet
			echo'p.is-style-eccp-tweet {';
			
				echo'font-size: 25px;';
				echo'line-height:1.5em;';
				echo'border: 1px solid #f2f0f2;';
				echo'box-shadow: 0 2px 4px 2px rgb(0 0 0 / 10%);';
				echo'margin-bottom: 1.5em;';
				echo'margin-top: 1.5em;';
				echo'border-radius: 4px;';
				
			echo'}';


			// on récupère le thème actif
			$my_theme = wp_get_theme();
	
			// Modif pour le thème oceanWP 
			if(stristr($my_theme, 'oceanwp')) {
				
				// Bloc paragraphe de style ECCP Tweet
				echo'p.is-style-eccp-tweet {';
				
					echo'padding: 3rem 3rem;';
					
				echo'}';
				
			}else{
				
				// Bloc paragraphe de style ECCP Tweet
				echo'p.is-style-eccp-tweet {';
				
					echo'padding: 2rem 2rem;';
					
				echo'}';
				
			}


			// Bouton Click To Tweet
			echo'.eccp-tweet-button {';
				
				echo'display: block;';
				echo'float: right;';
				echo'font-size: 0.8em;';
				echo'font-weight: 600;';
				echo'padding: 8px 12px;';
				echo'text-decoration: unset!important;';
				echo'color: #fff!important;';
				echo'background-color: #1da1f2!important;';
				echo'border-color: #1a91da!important;';
				echo'border: 1px solid;';
				echo'border-radius: 4px;';
				echo'padding: 8px 12px;';
				
			echo'}';
			
			// Bouton Click To Tweet au survol
			echo'.eccp-tweet-button:hover {';
				
				echo'color: #fff;';
				echo'background-color: #1da1f2;';
				echo'border-color: #1a91da;';
				echo'border: 1px solid;';
				echo'border-radius: 4px;';
				echo'padding: 8px 12px;';
				
			echo'}';
			
			
			// alignement vertical de l'icône du bouton
			echo'.eccp-tweet-button span.dashicons {';
				
				echo'line-height:unset;';
				
			echo'}';
			
		
		
		}
		
		/*---------------------------- Largeur Paragraphe Front End ------------------------------*/
		
		echo'@media (min-width:768px) {';
		
			echo'p.is-style-eccp-size-small{';
									
				echo'width: 60%!important;';
		
			echo'}';
			
			echo'p.is-style-eccp-size-regular{';
							
				echo'width: 70%!important;';
		
			echo'}';
			
			echo'p.is-style-eccp-size-large{';
							
				echo'width: 80%!important;';
		
			echo'}';
			
			echo'p.is-style-eccp-size-larger{';
							
				echo'width: 90%!important;';
		
			echo'}';
		
		echo'}';
		
		
		/*------------------- BLOC GROUP FRONT END --------------------------*/
		
		
		// version 2.4 correction pour thème astra
		// Padding & Margin réglages natif à partir de WordPress 6.0
		echo'.wp-block-group {';
			echo'padding: 1.25em 2.375em;';
			echo'margin:1.1em;';
		echo'}';
		
		
		// BLOC GROUPER AVEC UN FOND 
		// padding: 20px 30px valeur par défaut de padding en interface publique 
		// correspondant a celles de l'éditeur Gutenberg 
		/* Margin réglages natif à partir de WordPress 6.0
		echo'.wp-block-group.has-background{
		  
		  margin: 20px 0;
			 
		}';
		*/
		
		// correction thème Generate Press pour un bloc de paragraphe groupés
		echo'.wp-block-group__inner-container{';
		
			echo'padding:0px!important;';
		
		echo'}';
		
		
		/*---------------------------- Largeur Bloc Group Front End ------------------------------*/
				
		// version 2.4 correction pour thème Astra
		// sélecteur body.page & body.single
		echo'@media (min-width:1025px) {';
		
			echo'body.page .is-style-eccp-size-small.wp-block-group,
			     body.single .is-style-eccp-size-small.wp-block-group{';
												
				echo'width: 60%!important;';
		
			echo'}';
			
			echo'body.page .is-style-eccp-size-regular.wp-block-group,
			     body.single .is-style-eccp-size-regular.wp-block-group{';
				 		
				echo'width: 70%!important;';
		
			echo'}';
			
			echo'body.page .is-style-eccp-size-large.wp-block-group,
			     body.single .is-style-eccp-size-large.wp-block-group{';
									
				echo'width: 80%!important;';
		
			echo'}';
			
			echo'body.page .is-style-eccp-size-larger.wp-block-group,
			     body.single .is-style-eccp-size-larger.wp-block-group{';
							
				echo'width: 90%!important;';
		
			echo'}';
		
		echo'}';
		
		
		/*---------------------------- Border Radius ------------------------------*/
			
		/* appliqué directement par une régle style
		   enregistré dans le HTML du bloc a partir de la version 2.5 
		echo'.is-style-eccp-border-radius{';
			echo'border-radius: 8px;';
		echo'}';
		*/
		
		
		/*---------------------------- Style Variation InfoBox ------------------------------*/
		
		
		echo'.is-style-eccp-infobox.wp-block-group {';
			echo'padding: 1.25em!important;';
			echo'background: #F0F2F6;';
			echo'margin-bottom: 1.3em!important;;';
		echo'}';


		echo'.is-style-eccp-infobox .wp-block-columns {';
			echo'margin-bottom: 0em!important;';
		echo'}';


		echo'.is-style-eccp-infobox .wp-block-button__link {';
		   echo'margin-bottom: 0em!important;';
		echo'}';


		// On centre le texte et le bouton sur mobile
		echo'@media screen and (max-width: 599px) {';
		
			echo'.is-style-eccp-infobox p {';
				echo'text-align: center!important;';
			echo'}';
			
			echo'body.page .is-style-eccp-infobox .wp-block-button,
				 body.single .is-style-eccp-infobox .wp-block-button {';
				echo'margin: 0!important;';
				echo'float:none!important;';
			echo'}';
			
			echo'body.page .is-style-eccp-infobox .wp-block-button__link,
				 body.single .is-style-eccp-infobox .wp-block-button__link{';
				echo'display: block!important;';
				echo'margin: auto!important;';
			echo'}';
			
		echo'}';
		
		// on supprime les marges apportées par WordPress
		echo'@media screen and (max-width: 781px) {';
			
			echo'.is-style-eccp-infobox .wp-block-column {';
				echo'margin-bottom: 0em!important;';
			echo'}';
			
			echo'.is-style-eccp-infobox h2,.is-style-eccp-infobox h3,
				 .is-style-eccp-infobox h4,.is-style-eccp-infobox h5 {';
				echo'margin: 0em!important;';
			echo'}';
			
		echo'}';
		
		
		/*-------------------BLOC LISTE FRONT END -----------------------------------------*/
		
		/* Excepté Pour les mobiles en mode portrait*/ 
		echo'@media only screen and (min-width:480px){';
			
			echo'body.single .site-content ul,
				 body.page .site-content ul {';
			
				echo'margin: 15px 0 20px 20px!important;';
			
			echo'}';
			
		echo'}';
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_styles_bullet_list_radio_field'] == 'yes' ) {
					
			// substr retourne une sous chaine de la position:1 jusqu'a la fin				
			//$icone_color = substr($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_color_text_field'],1);
			
			// on récupère le nom du thème actif
			$my_theme = wp_get_theme();
			
			/*-------------------style Disc front end(style par défaut)----------------*/
		
			echo'body.single .is-style-default li::marker,
				 body.page .is-style-default li::marker,
				 body.blog .is-style-default li::marker,
				 body.single-tribe_events .is-style-default li::marker,
				 .is-style-default li::marker{';
			
				echo'color: var(--eccp-bulletColor,#333333);';
				// comme la variable CSS --eccp-bulletSize est de type integer
				// il faut passer par la fonction calc pour affecter une taille en px
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				
			echo'}';
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'body.single .is-style-default li::marker,
				 body.page .is-style-default li::marker,
				 body.blog .is-style-default li::marker,
				 body.single-tribe_events .is-style-default li::marker,
				 .is-style-default li::marker{';
				
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			/*-------------------Style Square front end --------------------------*/ 
			
			echo'.is-style-eccp-square-bullet-list {';
			
				echo'list-style:square;';
			
			echo'}';
			
			echo'.is-style-eccp-square-bullet-list li::marker{';
					
				echo'color: var(--eccp-bulletColor,#333333);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				
			echo'}';
			
			
			// correction theme divi pour la position des puces +
			if(stristr($my_theme, 'divi')) {
				
				echo'body.page #left-area ul.is-style-eccp-square-bullet-list, body.page .entry-content ul.is-style-eccp-square-bullet-list,
					 body.single #left-area ul.is-style-eccp-square-bullet-list, body.single .entry-content ul.is-style-eccp-square-bullet-list{';
					
					echo'list-style-type: square;';
				
				echo'}';
			
			}
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-square-bullet-list li::marker{';
				
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			/*------------------- Style Check front end --------------------------*/
			
			/* icone Google
			echo'.is-style-eccp-check-bullet-list {';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'list-style-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' viewBox=\'0 0 24 24\' width=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41L9 16.17z\'/%3E%3C/svg%3E")';
			
			echo'}';*/
			
			
			echo'.is-style-eccp-check-bullet-list li{';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'padding-left: 8px;';
				echo'position: relative;';
			
			echo'}';
			
			// la taille initiale du SVG est donné par width & height
			// pour le background-size
			// la variation de la taille se fera par la régle transform
			echo'.is-style-eccp-check-bullet-list li::before{';
						
				echo' background-size: cover!important;
					  display: inline-block; 
					  height:25px;
					  width:25px;
					  left: -25px;
					  position: absolute;
					  top: 1em;                  
					  margin-top: -1em;                  	                  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;';
				
				// on applique une taille au svg en fonction de la variable
				// css --eccp-bulletSize donné par le script reactjs et 
				// enregistré dans le html du bloc par la régle style		  
				echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
			
			echo'}';
			
			// modification position icône 
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-check-bullet-list li::before{';
						echo'top: 1.2em;';
					echo'}';
			
				break;
				
			}
			
			echo'ul.is-style-eccp-check-bullet-list li::before{';
				
				// lorsqu'on affiche un icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-bulletColor définit par le script ReactJS et enregistré dans le
				// html du bloc par la régle style
				echo' content: "";
					  background-color: var(--eccp-bulletColor,#333333)!important;';
					  
			echo'}';
			
			
			echo'.is-style-eccp-check-bullet-list li::before{';
				
				// icone Google
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\'  viewBox=\'0 0 24 24\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41L9 16.17z\'/%3E%3C/svg%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\'  viewBox=\'0 0 24 24\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41L9 16.17z\'/%3E%3C/svg%3E");';
				
			echo'}';
			
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-check-bullet-list li::before{';
				
					echo'transform: scale(calc(20 / 25));';
					echo'top: 1.2em;';
				
				echo'}';
			
			echo'}';
			
					
			/*------------------- Style Check circle fill front end --------------------------*/
			
			/* icone Iconify
			echo'.is-style-eccp-check-circle-fill-bullet-list {';
			
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'list-style-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' aria-hidden=\'true\' role=\'img\' width=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' height=\''.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px\' preserveAspectRatio=\'xMidYMid meet\' viewBox=\'0 0 24 24\'%3E%3Cg fill=\'none\'%3E%3Cpath d=\'M12 22c-5.52-.006-9.994-4.48-10-10v-.2C2.11 6.305 6.635 1.928 12.13 2c5.497.074 9.904 4.569 9.868 10.065C21.962 17.562 17.497 22 12 22zM7.41 11.59L6 13l4 4l8-8l-1.41-1.42L10 14.17l-2.59-2.58z\' fill=\'%23'.esc_html($icone_color).'\'/%3E%3C/g%3E%3C/svg%3E")';
			
			echo'}';*/
			
			
			echo'.is-style-eccp-check-circle-fill-bullet-list li{';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'padding-left: 8px;';
				echo'position: relative;';
			
			echo'}';
			
			
			echo'.is-style-eccp-check-circle-fill-bullet-list li::before{';
						
				echo' background-size: cover!important;
					  display: inline-block; 
					  height:25px;
					  width:25px;
					  left: -25px;
					  position: absolute;
					  top: 1em;                  
					  margin-top: -1em;                  	                  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;';
				
				// on applique une taille au svg	  
				echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
			
			echo'}';
			
			// modification position icône 
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-check-circle-fill-bullet-list li::before{';
						echo'top: 1.2em;';
					echo'}';
			
				break;

				
			}
			
			
			echo'ul.is-style-eccp-check-circle-fill-bullet-list li::before{';
				
				// lorsqu'on affiche un icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
				// html du bloc par la régle style
				echo' content: "";
					  background-color: var(--eccp-bulletColor,#333333)!important;';
					  
			echo'}';
			
			
			echo'.is-style-eccp-check-circle-fill-bullet-list li::before{';
				
				// icone Google
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z\'/%3E%3C/svg%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z\'/%3E%3C/svg%3E");';
				
			echo'}';
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-check-circle-fill-bullet-list li::before{';
				
					echo'transform: scale(calc(20 / 25));';
					echo'top: 1.2em;';
				
				echo'}';
			
			echo'}';
			
			/*------------------- Style Add front end --------------------------*/
			
			/* icone Google
			echo'.is-style-eccp-add-bullet-list li {';
			
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'background:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z\'/%3E%3C/svg%3E")no-repeat;';
				echo'background-size: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px;';
				echo'background-position: 7px 6px;';
				echo'padding: 0px 0px 0px 35px;';
				echo'margin-left:-35px;';
			
			echo'}';
			
			$my_theme = wp_get_theme();
			
			// correction theme divi pour la position des puces +
			if(stristr($my_theme, 'divi')) {
				
				echo'.is-style-eccp-add-bullet-list li {';
					echo'background-position: 7px 3px!important;';
				echo'}';
			
			}*/
			
			echo'.is-style-eccp-add-bullet-list li{';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'padding-left: 8px;';
				echo'position: relative;';
			
			echo'}';
			
			
			echo'.is-style-eccp-add-bullet-list li::before{';
						
				echo' background-size: cover!important;
					  display: inline-block; 
					  height:25px;
					  width:25px;
					  left: -25px;
					  position: absolute;
					  top: 1.2em;                  
					  margin-top: -1em;                  	                  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;';
				
				// on applique une taille au svg	  
				echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
			
			echo'}';
			
			
			// modification position icône 
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-add-bullet-list li::before{';
						echo'top: 1.3em;';
					echo'}';
			
				break;
				
			}
			
			
			echo'ul.is-style-eccp-add-bullet-list li::before{';
				
				// lorsqu'on affiche un icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
				// html du bloc par la régle style
				echo' content: "";
					  background-color: var(--eccp-bulletColor,#333333)!important;';
					  
			echo'}';
			
			
			echo'.is-style-eccp-add-bullet-list li::before{';
				
				// icône Google
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z\'/%3E%3C/svg%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z\'/%3E%3C/svg%3E");';
				
			echo'}';
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-add-bullet-list li::before{';
				
					echo'transform: scale(calc(20 / 25));';
					echo'top: 1.3em;';
				
				echo'}';
			
			echo'}';
		
			
			/*------------------- Style Add circle fill front end --------------------------*/
			
			/* icone Google
			echo'.is-style-eccp-add-circle-fill-bullet-list li {';
			
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'background:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z\'/%3E%3C/svg%3E")no-repeat;';
				echo'background-size: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px;';
				echo'background-position: 7px 6px;';
				echo'padding: 0px 0px 0px 35px;';
				echo'margin-left:-35px;';
			
			echo'}';
			
			
			// correction theme divi pour la position des puces +
			if(stristr($my_theme, 'divi')) {
				
				echo'.is-style-eccp-add-circle-fill-bullet-list li {';
					echo'background-position: 7px 3px!important;';
				echo'}';
			
			}*/
			
			
			echo'.is-style-eccp-add-circle-fill-bullet-list li{';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'padding-left: 8px;';
				echo'position: relative;';
			
			echo'}';
			
			
			echo'.is-style-eccp-add-circle-fill-bullet-list li::before{';
						
				echo' background-size: cover!important;
					  display: inline-block; 
					  height:25px;
					  width:25px;
					  left: -25px;
					  position: absolute;
					  top: 1.2em;                  
					  margin-top: -1em;                  	                  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;';
				
				// on applique une taille au svg	  
				echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
			
			echo'}';
			
			
			// modification position icône 
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-add-circle-fill-bullet-list li::before{';
						echo'top: 1.3em;';
					echo'}';
			
				break;
	
			}
			
			
			echo'ul.is-style-eccp-add-circle-fill-bullet-list li::before{';
				
				// lorsqu'on affiche un icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
				// html du bloc par la régle style
				echo' content: "";
                      background-color: var(--eccp-bulletColor,#333333)!important;';
					  
			echo'}';
			
			
			echo'.is-style-eccp-add-circle-fill-bullet-list li::before{';
				
				// icône Google
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z\'/%3E%3C/svg%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'20px\' viewBox=\'0 0 24 24\' width=\'20px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z\'/%3E%3C/svg%3E");';
				
			echo'}';
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-add-circle-fill-bullet-list li::before{';
				
					echo'transform: scale(calc(22 / 25));';
					echo'top: 1.3em;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style Push Spin front end --------------------------*/			
					
			// icone Dashicons
			echo'.is-style-eccp-push-spin-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f109";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-push-spin-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			switch ($my_theme) {
				
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-push-spin-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-push-spin-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
			}

			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-push-spin-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.3em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';


			/*------------------- Style Circle Duotone front end --------------------------*/
			
			// pour un même rendu que les autres puces on ne prend que 70% de la taille définit
			// dans les paramètres de réglage du plugin
			// pour ce cercle bicolore une couleur est fixé: #108bc5, l'autre couleur est réglable
			echo'.is-style-eccp-circle-duotone-bullet-list li::before {';
			
				echo'content: "";';
				echo'display: inline-block;';
				echo'margin-left: -20px;';
				echo'margin-right: 10px;';
				echo'border: 3px solid var(--eccp-bulletColor,#333333);';
				echo'border-left: 3px solid #108bc5;';
				echo'border-radius: 50%;';
				echo'height: calc(var(--eccp-bulletSize,20) * 1px * 0.7);';
				echo'width: calc(var(--eccp-bulletSize,20) * 1px * 0.7);';
				
			echo'}';
			
			echo'.is-style-eccp-circle-duotone-bullet-list li::marker{';
						
				// on supprime la puce disk par défaut
				echo'content:\'\';';
			
			echo'}';
			
			
			// correction theme divi pour la taille des puces circulaire bicolore
			if(stristr($my_theme, 'divi')) {
				
				echo'.is-style-eccp-circle-duotone-bullet-list li::before {';
			
					echo'height: calc(var(--eccp-bulletSize,20) * 1px * 0.4)!important;';
					echo'width: calc(var(--eccp-bulletSize,20) * 1px * 0.4)!important;';
			
				echo'}';
				
			}
			
			
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				if(stristr($my_theme, 'divi')) {
			
					echo'.is-style-eccp-circle-duotone-bullet-list li::before{';
					
						echo'height: calc(20 * 1px * 0.4)!important;';
						echo'width: calc(20 * 1px * 0.4)!important;';
					
					echo'}';
				
				}else{
					
					echo'.is-style-eccp-circle-duotone-bullet-list li::before{';
					
						echo'height: calc(20 * 1px * 0.7)!important;';
						echo'width: calc(20 * 1px * 0.7)!important;';
					
					echo'}';
					
				}
			
			echo'}';
			
			/*------------------- Style Clear front end --------------------------*/			
					
			
			/* icone Google
			echo'.is-style-eccp-clear-bullet-list li{';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'background:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23'.esc_html($icone_color).'\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z\'/%3E%3C/svg%3E")no-repeat;';
				echo'background-size: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_bulleted_list_size_text_field']).'px;';
				echo'background-position: 7px 6px;';
				echo'padding: 0px 0px 0px 35px;';
				echo'margin-left:-35px;';
			
			echo'}';
			
			
			$my_theme = wp_get_theme();
	
			// correction theme divi pour la position des puces +
			if(stristr($my_theme, 'divi')) {
				
				echo'.is-style-eccp-clear-bullet-list li {';
					echo'background-position: 7px 3px!important;';
				echo'}';
			
			}*/
			
			echo'.is-style-eccp-clear-bullet-list li{';
				
				// on supprime la puce disk par défaut
				echo'list-style-type: none;';
				
				echo'padding-left: 8px;';
				echo'position: relative;';
			
			echo'}';
			
			
			echo'.is-style-eccp-clear-bullet-list li::before{';
						
				echo' background-size: cover!important;
					  display: inline-block; 
					  height:25px;
					  width:25px;
					  left: -25px;
					  position: absolute;
					  top: 1em;                  
					  margin-top: -1em;                  	                  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;';
				
				// on applique une taille au svg	  
				echo'transform: scale(calc(var(--eccp-bulletSize,20) / 25));';
			
			echo'}';
			
			
			// modification position icône 
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-clear-bullet-list li::before{';
						echo'top: 1.3em;';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-clear-bullet-list li::before{';
						echo'top: 1.1em;';
					echo'}';
			
				break;
				
				// correction theme generatepress
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-clear-bullet-list li::before{';
						echo'top: 1.1em;';
					echo'}';
			
				break;
				
			}
			
			echo'.is-style-eccp-clear-bullet-list li::before{';
				
				// lorsqu'on affiche un icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-bulletColor définit par le script ReactJS et enreigistré dans le
				// html du bloc par la régle style
				echo' content: "";
                      background-color: var(--eccp-bulletColor,#333333)!important;';
					  
			echo'}';
			
			
			echo'.is-style-eccp-clear-bullet-list li::before{';
				
				// icône Google
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z\'/%3E%3C/svg%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' height=\'24px\' viewBox=\'0 0 24 24\' width=\'24px\' fill=\'%23000000\'%3E%3Cpath d=\'M0 0h24v24H0V0z\' fill=\'none\'/%3E%3Cpath d=\'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z\'/%3E%3C/svg%3E");';
				
			echo'}';
			
	    
			/* Régles Pour les mobiles en mode portrait*/ 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-clear-bullet-list li::before{';
				
					echo'transform: scale(calc(20 / 25));';
					echo'top: 1.2em;';
				
				echo'}';
			
			echo'}';
			
  
			/*------------------- Style Site front end --------------------------*/			
					
			
			// icone Dashicons
			echo'.is-style-eccp-site-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f11f";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-site-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-site-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.5em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-site-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-site-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
			}


			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-site-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.4em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';

		
			/*------------------- Style E-Mail front end  --------------------------*/			
							
			echo'.is-style-eccp-mail-bullet-list li:before {';
			
				echo'font-family: dashicons;';
				echo'content: "\f465";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-mail-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-mail-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.5em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-mail-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
			}
			
			
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-mail-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.4em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style Phone front end  --------------------------*/
			
			// icone Dashicons
			echo'.is-style-eccp-phone-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f525";';
				echo'font-weight: 600;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-phone-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			// modification position icône selon les thèmes
			switch ($my_theme) {
				
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-phone-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-phone-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
			}
			
			
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-phone-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.4em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			
			
			/*------------------- Style Facebook front end  --------------------------*/			
					
			
			// icone Dashicons
			echo'.is-style-eccp-facebook-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f305";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-facebook-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-facebook-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.4em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-facebook-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-facebook-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
			}
	
	
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-facebook-bullet-list li:before{';
				
					echo'line-height: calc(25 / 22 * 1.4em);';
					echo'font-size:22px;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style YouTube front end  --------------------------*/			
					
			// icone Dashicons
			echo'.is-style-eccp-youtube-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f19b";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-youtube-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-youtube-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.4em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-youtube-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-youtube-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
			}
			
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-youtube-bullet-list li:before{';
				
					echo'line-height: calc(25 / 22 * 1.4em);';
					echo'font-size:22px;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style Twiter front end  --------------------------*/			
							
			echo'.is-style-eccp-twiter-bullet-list li:before {';
			
				echo'font-family: dashicons;';
				echo'content: "\f301";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-twiter-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-twiter-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.4em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-twiter-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-twiter-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
			}
			
			
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-twiter-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.3em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style Calendar front end  --------------------------*/
			
			// icone Dashicons
			echo'.is-style-eccp-calendar-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f508";';
				echo'font-weight: 400;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-calendar-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			
			// modification position icône selon thème
			switch ($my_theme) {
			
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-calendar-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-calendar-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
			}
			
			
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-calendar-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.3em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			
			
			/*------------------- Style Clock front end  --------------------------*/			
					
			
			// icone Dashicons
			echo'.is-style-eccp-clock-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f469";';
				echo'font-weight: 600;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-clock-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-clock-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.4em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-clock-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.1em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-clock-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
			}
	
	
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-clock-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.3em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style Location front end  --------------------------*/			
					
			// icone Dashicons
			echo'.is-style-eccp-location-bullet-list li:before {';
	
				echo'font-family: dashicons;';
				echo'content: "\f230";';
				echo'font-weight: 600;';
				echo'vertical-align: top;';	
				echo'margin-left:-25px;';
				echo'margin-right:10px;';				
				echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.3em);';
				echo'font-size:calc(var(--eccp-bulletSize,20)*1px);';
				echo'color:var(--eccp-bulletColor,#333333);';
				
			echo'}';
			
			// on supprime la liste à puces par défaut
			echo'.is-style-eccp-location-bullet-list{';
			
				echo'list-style-type: none!important;';
			
			echo'}';
			
			
			// modification position icône selon thème
			switch ($my_theme) {
				
				// correction theme astra
				case stristr($my_theme, 'astra'):
			
					echo'.is-style-eccp-location-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.4em);';
					echo'}';
			
				break;
	
				// correction theme divi
				case stristr($my_theme, 'divi'):
			
					echo'.is-style-eccp-location-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
				// correction theme Generate Press
				case stristr($my_theme, 'generatepress'):
			
					echo'.is-style-eccp-location-bullet-list li::before{';
						echo'line-height: calc(25 / var(--eccp-bulletSize,20) * 1.2em);';
					echo'}';
			
				break;
				
			}
	
			//Régles Pour les mobiles en mode portrait 
			echo'@media only screen and (max-width:480px){';
			
				echo'.is-style-eccp-location-bullet-list li:before{';
				
					echo'line-height: calc(25 / 20 * 1.4em);';
					echo'font-size:20px;';
				
				echo'}';
			
			echo'}';
			
			
			/*------------------- Style Diagram front end  --------------------------*/
			
			/*

			On ajoute au bloc liste la classe: is-style-eccp-tree-bullet-list
			Ajoutez des éléments de liste pour représenter la structure de votre diagramme. 
			Indentez les éléments de la liste qui doivent être les éléments de la sous-arborescence 
			dans le diagramme
			Vous devez impérativement mettre en gras tous les éléments de la liste.

			*/


			echo'.is-style-eccp-tree-bullet-list, 
				 .is-style-eccp-tree-bullet-list ul,
				 .is-style-eccp-tree-bullet-list li,
				  body.single .site-content .is-style-eccp-tree-bullet-list ul, 
			      body.page .site-content .is-style-eccp-tree-bullet-list ul {';
					echo'list-style: none!important;';
					echo'margin: 0!important;';
					echo'padding: 0;';
					echo'position: relative;';
			echo'}';

			echo'.is-style-eccp-tree-bullet-list {';
				echo'margin: 0 0 1em;';
				echo'text-align: center;';
			echo'}';

			echo'.is-style-eccp-tree-bullet-list, .is-style-eccp-tree-bullet-list ul {';
				echo'display: table;';
			echo'}';

			echo'.is-style-eccp-tree-bullet-list ul {';
			  echo'width: 100%;';
			echo'}';

				/* encadrement des niveaux d'arborescence*/
				echo'.is-style-eccp-tree-bullet-list li {';
					echo'display: table-cell;';
					echo'padding: .5em 0;';
					echo'vertical-align: top;';
				echo'}';
				
			    echo'.is-style-eccp-tree-bullet-list li:before {';
					echo'outline: solid 1px #666;';
					echo'content: "";';
					echo'left: 0;';
					echo'position: absolute;';
					echo'right: 0;';
					echo'top: 0;';
				echo'}';
				
				echo'.is-style-eccp-tree-bullet-list li:first-child:before {';
					echo'left: 50%;';
				echo'}';
				
				echo'.is-style-eccp-tree-bullet-list li:last-child:before {';
					echo'right: 50%;';
				echo'}';

					
				echo'.is-style-eccp-tree-bullet-list strong {';
					echo'border: solid .1em #666;';
					echo'border-radius: .2em;';
					echo'display: inline-block;';
					echo'margin: 0 .2em .5em;';
					echo'padding: .2em .5em;';
					echo'position: relative;';
				echo'}';
				
				
				
			/* laison verticale du diagramme  | */
			echo'.is-style-eccp-tree-bullet-list ul:before,       
				 .is-style-eccp-tree-bullet-list strong:before {';
					echo'outline: solid 1px #666;';
					echo'content: "";';
					echo'height: .5em;';
					echo'left: 50%;';
					echo'top: -.55em;';
					echo'position: absolute;';
			echo'}';

			echo'.is-style-eccp-tree-bullet-list ul:before {';
				echo'top: -.5em;';
			echo'}';
			
			
			
				
		}//fin si on a activé les styles liste à puces
		
				
		/*-------------------BLOC IMAGE FRONT END --------------------------*/
		
		echo'.wp-block-image {
			margin-top: 1.5em!important;
			margin-bottom: 1.5em!important;
		}';
		
		/* surbrillance légende image en orange foncé */
		echo'.wp-block-image mark{';
		
			echo'background:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_background_color_text_field']).';';
			echo'padding:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_padding_text_field']).'px;';
			echo'color:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_color_text_field']).';';
		
		echo'}';
		
		/* Légende de l'image */
		echo'body.single .wp-block-image figcaption,
			 body.page .wp-block-image figcaption,
			 body.blog .wp-block-image figcaption {';
		
			echo'font-size:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_caption_font_size_text_field']).'px!important;';
			echo'margin-top:1.5em;';
			
		echo'}';
		
		
		/* On supprime la légende pour la lightbox */
		echo'.fbx-modal .fbx-caption-title{
			display:none;
		}';
		
		/*----------------------------Style Circle front end------------------------------*/
		// utilise la régle CSS clip-path pour apliquer un masque de détourage
		// Credits: https://github.com/bennettfeely/Clippy
		
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_circle_radio_field'] == 'yes' ) {
					
					// image 4/3
					echo'.is-style-eccp-image-circle-4-3 img {';
					
						echo'clip-path: circle(42.5% at 50% 50%)!important;';
					
					echo'}';
					
					// image 16/9
					echo'.is-style-eccp-image-circle-16-9 img {';
					
						echo'clip-path: circle(33.4% at 50% 50%)!important;';
					
					echo'}';
					
		}
		
		/*----------------------------Style Filter Grayscale front end------------------------------*/

		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_filter_grayscale_radio_field'] == 'yes' ) {
			
			echo'.is-style-eccp-filter-grayscale img {';
					
				echo'filter: grayscale(100%);';
					
			echo'}';
			
		}
		
		
		/*----------------------------Style Card Image front end------------------------------*/

		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_style_image_card_radio_field'] == 'yes' ) {
			
			// régles pour l'image
			// --eccp-cardStyleImageWidth est une variable javasscript définit
			// en React JS et enregistré dans le HTML du bloc image
			echo'.wp-block-image.is-style-eccp-card-image img{';
				
				//echo'box-shadow: 0 0px 4px 2px rgba(0,0,0,.2);';
				echo'background: #ffffff;';
				echo'width: var(--eccp-cardStyleImageWidth, 300px)!important;';
				
			echo'}';

			// régles pour la légende
			echo'body.single .wp-block-image.is-style-eccp-card-image figcaption, 
				 body.page .wp-block-image.is-style-eccp-card-image figcaption, 
				 body.blog .wp-block-image.is-style-eccp-card-image figcaption{';
			
				//echo'display: block;';
				//echo'margin:auto;';
				echo'width: var(--eccp-cardStyleImageWidth, 300px)!important;';
				echo'background: #ffffff;';
				echo'box-shadow: 0 2px 1px -1px rgba(0,0,0,.2), 0 1px 1px 0 rgba(0,0,0,.14), 0 1px 3px 0 rgba(0,0,0,.12);';
				echo'margin-top:0em;';
				echo'padding:0.5em 0;';
				echo'text-align:center;';
			
			echo'}';
			
			// régles responsive pour les mobiles
			echo'@media(max-width:480px) {';
			
				// régles pour l'image
				echo'.wp-block-image.is-style-eccp-card-image img{';
				
					echo'width:90vw!important;';
				
				echo'}';
				
				// régles pour la légende
				echo'body.single .wp-block-image.is-style-eccp-card-image figcaption, 
				 body.page .wp-block-image.is-style-eccp-card-image figcaption, 
				 body.blog .wp-block-image.is-style-eccp-card-image figcaption{';
			
					echo'width:90vw!important;';
				
				echo'}';
			
			echo'}';
			
			
			$my_theme = wp_get_theme();
			
			// suite régles légende
			if(stristr($my_theme, 'oceanwp')) {
				
				echo'body.single .wp-block-image.is-style-eccp-card-image figcaption, 
				 body.page .wp-block-image.is-style-eccp-card-image figcaption, 
				 body.blog .wp-block-image.is-style-eccp-card-image figcaption{';
			
					echo'display: block;';
					echo'margin:auto;';
			
				echo'}';
				
			}else{
				
				// display:block ne fonctionne pas pour un alignement centré
				// pour les thèmes différent de OceanWP
				echo'.wp-block-image.is-style-eccp-card-image .alignleft figcaption,
				     .wp-block-image.is-style-eccp-card-image .alignright figcaption{';
			
					echo'display: block;';
					echo'margin:auto;';
			
				echo'}';
				
			}
			
			
			// on centre le bloc image pour un align:center
			echo'.wp-block-image.is-style-eccp-card-image .aligncenter{';
					 
					echo'margin-left:auto!important;';
					echo'margin-right:auto!important;';
				
			echo'}';
			
			// on centre le bloc image pour un align:center
			// suite réglespour un thème différent de GeneratePress
			if(!stristr($my_theme, 'generatepress')) {
				
				echo'.wp-block-image.is-style-eccp-card-image .aligncenter{';
					 
					echo'display:unset!important;';
				
				echo'}';
			
			}
			
			
			echo'.wp-block-image.is-style-eccp-card-image .alignleft,
				 .wp-block-image.is-style-eccp-card-image .aligncenter,
				 .wp-block-image.is-style-eccp-card-image .alignright{';
    
				echo'margin-top: 1.5em!important;';
				echo'margin-bottom: 1.5em!important;';
				
			echo'}';
			
			// régles pour un alignement left 
			// afin d'éviter une remontée du bloc suivant
			echo'.wp-block-image.is-style-eccp-card-image .alignleft{';
    
				echo'margin-right: 1000px;';
				
			echo'}';
			
			// régles pour un alignement right
			// afin d'éviter une remontée du bloc suivant
			echo'.wp-block-image.is-style-eccp-card-image .alignright{';
    
				echo'margin-left: 1000px;';
				
			echo'}';
			
		}
		
		/*-------------------BLOC BOUTON FRONT END --------------------------*/
		
		echo'.wp-block-button__link{';
				
			echo'font-weight:600;';
			echo'margin-bottom:1.1em;';
					
		echo'}';

		/*----------------------------Style Plein front end ------------------------------*/
		
		// on fait la conversion en RGBA, la fonction retourne une chaine
		// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
		/*$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_background_color_text_field'], 
				intval($custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_backgound_color_opacity_text_field'])/100 );*/
		
		/* A partir de la version 2.6 le style au survol est configuré
		   dans l'editeur Gutenberg
		echo'body.single .is-style-fill .wp-block-button__link:hover,
			 body.page .is-style-fill .wp-block-button__link:hover{';
		   
			echo'background: '.esc_html($rgba).'!important;';
			echo'border: 2px solid'.$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_border_color_text_field'].'!important;';
			echo'color: '.$custom_gutenberg_blocks_settings['eccp_settings_hover_fill_style_text_color_text_field'].'!important;';
			
		echo'}';
		*/
	
		echo'body.single .is-style-fill .wp-block-button__link:hover,
			 body.page .is-style-fill .wp-block-button__link:hover{';
		   
			echo'background: var(--eccp-buttonFillBgColorHover, rgba(0,0,0,0))!important;';
			echo'border: 2px solid var(--eccp-buttonFillBorderColorHover, #0E6487)!important;';
			echo'color: var(--eccp-buttonFillColorHover, #0E6487)!important;';
			
		echo'}';
		
		
		// modification pour thème OceanWP
		echo'body.single .is-style-fill .wp-block-button__link,
			 body.page .is-style-fill .wp-block-button__link{';
		   
			echo'color: var(--eccp-textColor,#FFFFFF)!important;';
			
		echo'}';

		
		
		//version 2.4 modif pour CPT The Events Calendar
		echo'#tribe-events-content .is-style-fill .wp-block-button__link{';
		
			echo'color: var(--eccp-textColor)!important;';  
			echo'box-shadow:none!important;';
			echo'border-style:none;';
		  
		echo'}';
		
		
		echo'#tribe-events-content  .is-style-fill .wp-block-button__link:hover{';
		  
			echo'color: var(--eccp-buttonFillColorHover, #0E6487)!important;';
			echo'border-style:solid;';
			
		echo'}';
	
					
		/*----------------------------Style Contour front end ------------------------------*/	

		// on fait la conversion en RGBA, la fonction retourne une chaine
		// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
		/*$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_background_color_text_field'], 
				intval($custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_backgound_color_opacity_text_field'])/100 );*/
		
		/* A partir de la version 2.6 le style contour au survol du bouton
		   est configuré dans l'editeur Gutenberg
		echo'body.page .wp-block-button.is-style-outline .wp-block-button__link:hover,
			 body.single .wp-block-button.is-style-outline .wp-block-button__link:hover{';
		   
			echo'background: '.esc_html($rgba).'!important;';
			echo'border: 2px solid'.$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_border_color_text_field'].'!important;';
			echo'color: '.$custom_gutenberg_blocks_settings['eccp_settings_hover_outline_style_text_color_text_field'].'!important;';
			
		echo'}';
		*/
		
			
		echo'.wp-block-button.is-style-outline .wp-block-button__link {';
		
		  echo'color: var(--eccp-textColor, #0E6487)!important;';
		  echo'border:2px solid var(--eccp-textColor, #0E6487)!important;';
		  
		echo'}';
	
		
		echo'body.page .wp-block-button.is-style-outline .wp-block-button__link:hover,
			 body.single .wp-block-button.is-style-outline .wp-block-button__link:hover{';
		   
			echo'background: var(--eccp-buttonOutlineBgColorHover, #0E6487)!important;';
			echo'border: 2px solid var(--eccp-buttonOutlineBorderColorHover, #0E6487)!important;';
			echo'color: var(--eccp-buttonOutlineColorHover, #FFFFFF)!important;';
			
			
		echo'}';
		
		
		
		//version 2.4 & 2.6 modif pour CPT The Events Calendar
		echo'#tribe-events-content .wp-block-button.is-style-outline .wp-block-button__link{';
		
			echo'color: var(--eccp-textColor)!important;';
			echo'border-color: var(--eccp-textColor)!important;';
			echo'box-shadow:none!important;';
		  
		echo'}';
		
		echo'#tribe-events-content .wp-block-button.is-style-outline .wp-block-button__link:hover{';
		   
			echo'color: var(--eccp-buttonOutlineColorHover, #FFFFFF)!important;';
			
		echo'}';
		
		
		// si on a activé le style outline hover arrow
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_button_styles_hover_radio_field'] == 'yes' ) {
		
			/*------------------Style Contour avec icône flêche droite au survol front end-----------------------*/
			
			echo'.wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link {';
			
			  echo'background-color: var(--eccp-bgColor, #0E6487);
			  border-radius: 6px;
			  padding: 0.5em 1em!important;
			  letter-spacing: 1px;
			  border-color: var(--eccp-bgColor, #0E6487);
			  color: var(--eccp-textColor, #FFFFFF);';
			  
			echo'}';

			echo'.wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link:hover {';
			
			  echo'background-color: transparent!important;
			  border: 2px solid var(--eccp-bgColor, #0E6487);
			  border-radius: 6px;
			  padding:  0.3em 1em 0.3em 1em!important;
			  letter-spacing: 1px;
			  color: var(--eccp-bgColor, #0E6487)!important;';
			  
			echo'}';

			// icône flêche orienté vers la droite au survol
			echo'.wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link:hover::after {';
			
			  echo'font-family:dashicons;
			  content: "\f345";
			  font-weight:400;
			  color: var(--eccp-bgColor, #0E6487);
			  display:inline-block;
			  vertical-align:middle;
			  font-size:22px;
			  margin-left:7px;
			  transition: all 0.2s;';
			  
			echo'}';
			
			
			//version 2.4 modif pour CPT The Events Calendar
			echo'#tribe-events-content .wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link{';
			
				echo'color: var(--eccp-textColor)!important;';  
				echo'box-shadow:none!important;';
				echo'border:unset;';
			  
			echo'}';
			
			echo'#tribe-events-content .wp-block-button.is-style-eccp-outline-hover-arrow .wp-block-button__link:hover {';
			
			  echo'border: 2px solid var(--eccp-bgColor, #0E6487)!important;
			       color: var(--eccp-bgColor, #0E6487)!important;';
			  
			echo'}';
			
		 
		}
		
		/*-------------------BLOC PARENT COLONNES FRONT END --------------------------*/
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_columns_block_styles_radio_field'] == 'yes' ) {
			
			/* ------------------------------ Régles générales Bloc Parent & bloc colonne front end ---------------*/
			
			// Marge basse pour le bloc parent container des colonnes
			/* réglage initié par WordPress 6.0
			echo'.wp-block-columns {';
			  echo'margin-bottom: 1.1em!important;';
			echo'}';
			*/

			/* marge interne pour chaque colonne
			   réglage initié par WordPress 6.0
			echo'.wp-block-column{';
				echo'padding:0.6em;';
			echo'}';
			*/

			/* marge gauche de 20px pour les colonnes
			   réglage initié par WordPress 6.0
			echo'@media screen and (min-width: 782px) {';
				
				echo'.wp-block-column:not(:first-child) {';
					echo'margin-left: 20px!important;';
				echo'}';
				
			echo'}';
			*/

			/* marge basse pour les colonnes sur mobile*/
			echo'@media screen and (max-width: 781px) {';
			  
			  echo'.wp-block-column {';
				echo'margin-bottom: 0.5em!important;';
			  echo'}';
			  
			echo'}';
			
			
			/*----------------------------Style responsive three columns front end  ------------------------------*/
			
			/* pour un block à trois colonnes */
			echo'@media screen and (max-width: 768px) {';
			  
			  /* la 1ére colonne est mise a une largeur de 100% de son container
				  qui est le bloc colonnes*/
			  echo'.is-style-eccp-responsive-three-columns .wp-block-column:first-child {';
				echo'flex-basis: 100%!important;'; 
			  echo'}';
			  
			  /* la direction d'empilement pour bloc colonnes container des colonnes est la ligne (row) 
				 et on autorise avec la régle wrap un retour à la ligne si on dépasse le container 
				 ce qui est le cas pusique la 1ère colonne est mise a une largeur de 100% du container */
			  echo'.is-style-eccp-responsive-three-columns{';
				echo'flex-flow: row wrap!important;'; 
			  echo'}';
			  
			  /* marge gauche de 15px seulement pour les colonnes impaires excepté la 1ère colonne */
			  echo'.is-style-eccp-responsive-three-columns .wp-block-column:not(:first-child),
				   .is-style-eccp-responsive-three-columns .wp-block-column:nth-child(odd){';
				   
				echo'margin-left: 10px!important;';
			 
			 echo'}';
			  
			  
			echo'}';

			/*----------------------------Style Column reverse front end ------------------------------*/
			
			echo'@media only screen and (max-width : 599px) {';

				echo'.is-style-eccp-column-reverse{';
					
					echo'display: -webkit-flex!important;
						 display: -ms-flex!important;
						 display: flex!important;';
					
					echo'-webkit-flex-direction: column-reverse;
						 -ms-flex-direction: column-reverse;
						 flex-direction: column-reverse!important;';
					
				echo'}';

			echo'}';
	
			
			/* ------------------------------ Suite Régles générales Bloc Parent & bloc colonne front end ---------------*/
					
			/* régles pour les colonnes sur mobile en mode portrait 
			echo'@media (max-width: 480px) {';
			   
				echo'.wp-block-column {';
					echo'display:block;';
					echo'margin-left:0px!important;';
				echo'}';
			  
			echo'}';*/ 
		
		}
		
		/*---------------------------- Style Variation Pricing Table front end ------------------------------*/
		
		echo'.is-style-eccp-pricing-table .wp-block-column{';
			echo'padding: 0em;';
		echo'}';


		echo'.is-style-eccp-pricing-table .wp-block-column h3{';
			echo'border-bottom-right-radius: 0px!important;';
			echo'border-bottom-left-radius: 0px!important;';
			echo'margin: 0 0 20px;';// modif pour thème DIVI
		echo'}';

		echo'.is-style-eccp-pricing-table .wp-block-column ul{';
			echo'padding:20px;';
			echo'margin:15px 0px 15px 20px!important;';
		echo'}';
		
		
		$my_theme = wp_get_theme();
			
		// correction theme divi pour la marge basse du paragraphe pour le prix
		if(stristr($my_theme, 'divi')) {
			
			echo'.is-style-eccp-pricing-table .wp-block-column p{';
				
				echo'margin-bottom: 1em!important;';
			
			echo'}';
		
		}
		
		
		//modif pour les boutons de style par défaut pour le CPT The Events Calendar
		echo'#tribe-events-content .wp-block-columns.is-style-eccp-pricing-table .wp-block-button__link{';
		
			echo'color: var(--eccp-textColor)!important;  
				 box-shadow:none!important;';
			
			echo'border: 2px solid var(--eccp-bgColor)!important;';
		  
		echo'}';
		
		
		echo'#tribe-events-content .wp-block-columns.is-style-eccp-pricing-table .wp-block-button__link{';
		
			echo'color: var(--eccp-textColor)!important;  
				 box-shadow:none!important;';
			
			echo'background: var(--eccp-bgColor)!important;';
		  
		echo'}';
		
		
		/*-------------------BLOC MEDIA/TEXTE FRONT END --------------------------*/
		
		// fin si on a activé les styles du bloc média text
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_media_text_block_styles_radio_field'] == 'yes' ) {
						
			/*----------------------------Style Half Background front end  ------------------------------*/
			
			/* pour le containeur du bloc media/text */
			echo'.wp-block-media-text.is-style-eccp-half-background {
			  position: relative;
			  background-color: transparent !important;
			  padding-top: 2rem;
			  padding-bottom: 2rem;
			  column-gap: 2rem;';/* espacement entre les colonnes */
			echo'}';

			/* pas de marge interne pour le bloc texte, et on met l'image au 1er plan par rapport au fond */
			echo'.wp-block-media-text.is-style-eccp-half-background .wp-block-media-text__media,
			.wp-block-media-text.is-style-eccp-half-background .wp-block-media-text__content {
			  position: relative;
			  z-index: 2;
			  padding: 0;
			}';
			
			// pour les tablettes & PC
			echo'@media (min-width: 768px) {';
							  

				/* régles pour l'image à droite */
				echo'.wp-block-media-text.is-style-eccp-half-background.has-media-on-the-right {';
					/* On utilise une unité flexible a l'intérieur du containeur en grille
					L'unité fr représente une fraction de l'espace restant dans le conteneur en grille 
					3fr pour la colonne texte, 4fr pour la colonne image */
					echo'grid-template-columns: 3fr 4fr;';
				
				echo'}';
			  
			  
				/* régles pour le fond de l'image a droite */
				// on applique le style box shadow avec les variables
				// css déclarées et affectées par le script en React JS
				echo'.wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow.has-media-on-the-right .wp-block-media-text__media img {';

					echo'box-shadow: var(--eccp-horizontalBoxShadow, 20) '.
									 'var(--eccp-verticalBoxShadow, 20) '.
									 'var(--eccp-blurBoxShadow, 0) '.
									 'var(--eccp-spreadBoxShadow, 0) '.
									 'var(--eccp-colorBoxShadow,#0E6487);';

				echo'}';
			  
			  
			  
				/* régles pour l'image a gauche */
				echo'.wp-block-media-text.is-style-eccp-half-background {
					grid-template-columns: 4fr 3fr;
				}';
			  
			  
				/* régles pour  le fond de l'image a gauche */
				// on décale le fond a gauche par une valeur négative de X
				// on applique le style box shadow avec les variables
				// css déclarées et affectées par le script en React JS
				echo'.wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow .wp-block-media-text__media img {';

					echo'box-shadow: calc(var(--eccp-horizontalBoxShadow, 20) * -1) '.
									 'var(--eccp-verticalBoxShadow, 20) '.
									 'var(--eccp-blurBoxShadow, 0) '.
									 'var(--eccp-spreadBoxShadow, 0) '.
									 'var(--eccp-colorBoxShadow,#0E6487);';

				echo'}';
				 
			  
			echo'}';
			
			
			/* régles pour mobile: 
			   pour une résolution <= 600 px on a  déja une disposition en colonne
			   mais on force quand même la disposition en colonne lorsque la
			   résolution sera supérieure à 600px*/
			echo'@media (max-width: 767px) {';
			
				/* on force la disposition en colonne */
				echo'.wp-block-media-text.is-style-eccp-half-background{ 
					 display:block!important;
					 margin:auto;
				}';
				
			    /* régle pour le bloc colonne image qui est toujours au dessus 
				   de la colonne texte quelque soit la position de l'image sur PC */
				echo'.wp-block-media-text .wp-block-media-text__media{
					  margin-bottom:3rem!important;
				}';
			  
			echo'}';
			
			
			// Pour Le Bloc Média Texte avec le style Half Background
			// on limite X & Y à 15px sur mobile
			// on applique le reste du style box shadow avec les variables
			// css déclarées et affectées par le script en React JS
			echo'@media (max-width:480px) {';
				
				/* régles pour  le fond de l'image a droite*/ 
				   // on limite le décalage a 15px
				echo'.wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow.has-media-on-the-right .wp-block-media-text__media img {';
			
					echo'box-shadow: 15px '.
									 '15px '.
									 'var(--eccp-blurBoxShadow, 0) '.
									 'var(--eccp-spreadBoxShadow,0) '.
									 'var(--eccp-colorBoxShadow, #0E6487);';
				 
				echo'}';
				
				// on met une marge interne a droite pour le container de l'image 
				// lorsque l'image est a droite
				echo'.wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow.has-media-on-the-right .wp-block-media-text__media  {';
				
					echo'padding-right: 10px;';
					
				echo'}';
				
				
				/* régles pour  le fond de l'image a gauche */
				// on décale le fond a gauche par une valeur négative de X
				// on limite le décalage a 15px
				echo'.wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow .wp-block-media-text__media img {';

					echo'box-shadow: -15px '.
									 '15px '.
									 'var(--eccp-blurBoxShadow, 0) '.
									 'var(--eccp-spreadBoxShadow, 0) '.
									 'var(--eccp-colorBoxShadow,#0E6487);';

				echo'}';
				
				
				// on met une marge interne à gauche pour le container de l'image 
				// lorsque l'image est a gauche
				echo'.wp-block-media-text.is-style-eccp-half-background.eccp-box-shadow .wp-block-media-text__media  {';
				
					echo'padding-left: 10px;';
					
				echo'}';
				
			
			echo'}';

			
		}// fin si on a activé les styles du bloc média text
		
		
		
		/*------------------- BLOC SEPARATOR FRONT END --------------------------*/
		
		/*---------------------------- Largeur Bloc Separator Front End ------------------------------*/
				
				
			echo'body.page .is-style-eccp-size-small.wp-block-separator,
			     body.single .is-style-eccp-size-small.wp-block-separator{';
												
				echo'width: 60%!important;';
		
			echo'}';
			
			echo'body.page .is-style-eccp-size-regular.wp-block-separator,
			     body.single .is-style-eccp-size-regular.wp-block-separator{';
				 		
				echo'width: 70%!important;';
		
			echo'}';
			
			echo'body.page .is-style-eccp-size-large.wp-block-separator,
			     body.single .is-style-eccp-size-large.wp-block-separator{';
									
				echo'width: 80%!important;';
		
			echo'}';
			
			echo'body.page .is-style-eccp-size-larger.wp-block-separator,
			     body.single .is-style-eccp-size-larger.wp-block-separator{';
							
				echo'width: 90%!important;';
		
			echo'}';
		
		/*------------------- BLOC TABLEAU FRONT END --------------------------*/
		
		/*--------------------- style ECCP Stripes front end ---------------------------*/
			
			//------------- EN-TÊTE---------------------------
				
			/* couleur arrière plan en-tête */
			echo'.wp-block-table.is-style-eccp-stripes thead {';
				echo'background:var(--eccp-tableHeaderBgColor,#2B5DF2);';
				echo'border-bottom:none;';
			echo'}';

			/* Style cellule en-tête */
			echo'.wp-block-table.is-style-eccp-stripes thead tr th {';
				echo'border: 1px solid  #FFFFFF;';
				echo'font-weight:bold;';
				echo'color:var(--eccp-tableHeaderColor,#FFFFFF);';
			echo'}';

			/* Style 1ère cellule en-tête */
			echo'.wp-block-table.is-style-eccp-stripes thead tr th:first-child {';
				echo'border-radius: 10px 0px 0px 0px;';
			echo'}';

			/* Style dernière cellule en-tête */
			echo'.wp-block-table.is-style-eccp-stripes thead tr th:last-child {';
				echo'border-radius: 0px 10px 0px 0px;';
			echo'}';
			
			
			//------------- CORPS DE LA TABLE ---------------------------
			
			/* style des cellules de la table */
			echo'.wp-block-table.is-style-eccp-stripes tbody tr td {';
				echo'vertical-align:middle;';
				echo'padding: 8px;';
				echo'border: 1px solid;';
				echo'border-color: #EAF1F8;';
				echo'line-height:1.4em;';
			echo'}';

			/* couleur  d'arrière plan et du texte des lignes paires parentes de tbody  
			   afin d'éviter de changer la couleur d'arrière plan & du texte 
			   de la ligne d'en-tête */
			echo'.wp-block-table.is-style-eccp-stripes tbody > tr:nth-child(2n){';
				echo'background-color:var(--eccp-tableRowOddBgColor,#EFF8FE);';
				echo'color:var(--eccp-tableRowOddColor);';
			echo'}';			


		/*---------------------------- Largeur Tableau Front End ------------------------------*/
		
		echo'@media (min-width:768px) {';
		
			echo'.is-style-eccp-size-small.wp-block-table{';
									
				echo'width: 60%!important;';
		
			echo'}';
			
			echo'.is-style-eccp-size-regular.wp-block-table{';
							
				echo'width: 70%!important;';
		
			echo'}';
			
			echo'.is-style-eccp-size-large.wp-block-table{';
							
				echo'width: 80%!important;';
		
			echo'}';
			
			echo'.is-style-eccp-size-larger.wp-block-table{';
							
				echo'width: 90%!important;';
		
			echo'}';
		
		echo'}';
	
		
		/*------------------- BLOC TITRE FRONT END --------------------------*/
		
			echo'h2::before,h3::before,h4::before,h5::before{';
				echo'font-family:dashicons;';
				echo'position: relative;';
				echo'top: 0.15em;';
				echo'margin-right:0.5em;';
				echo'font-size:inherit;';
			echo'}';
		
		/*--------------------- Style Admin Menu front end ---------------------------*/
			
			//------------- Home---------------------------
			echo'.is-style-eccp-icon-heading-home::before {';
				echo'content: "\f102";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Site---------------------------
			echo'.is-style-eccp-icon-heading-site::before {';
				echo'content: "\f11f";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Post ---------------------------
			echo'.is-style-eccp-icon-heading-post::before {';
				echo'content: "\f109";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Links---------------------------
			echo'.is-style-eccp-icon-heading-links::before {';
				echo'content: "\f103";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Users---------------------------
			echo'.is-style-eccp-icon-heading-users::before {';
				echo'content: "\f110";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Tools---------------------------
			echo'.is-style-eccp-icon-heading-tools::before {';
				echo'content: "\f107";';
				echo'font-weight:600;';
			echo'}';

				
		/*--------------------- Style Post Formats front end ---------------------------*/
		
			//------------- Audio ---------------------------
			echo'.is-style-eccp-icon-heading-audio::before {';
				echo'content: "\f127";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Camera ---------------------------
			echo'.is-style-eccp-icon-heading-camera::before {';
				echo'content: "\f129";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Video ---------------------------
			echo'.is-style-eccp-icon-heading-video::before {';
				echo'content: "\f235";';
				echo'font-weight:600;';
			echo'}';
		
		
		/*--------------------- Style Block Editor front end ---------------------------*/
			
			//------------- Info Outline ---------------------------
			echo'.is-style-eccp-icon-heading-info-outline::before {';
				echo'content: "\f14c";';
				echo'font-weight:600;';
			echo'}';
	
		
		/*--------------------- Style TinyMCE front end ---------------------------*/
		
			//------------- Site---------------------------
			echo'.is-style-eccp-icon-heading-list::before {';
				echo'content: "\f203";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Quote ---------------------------
			echo'.is-style-eccp-icon-heading-quote::before {';
				echo'content: "\f205";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Film ---------------------------
			echo'.is-style-eccp-icon-heading-film::before {';
				echo'content: "\f219";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Help ---------------------------
			echo'.is-style-eccp-icon-heading-help::before {';
				echo'content: "\f223";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Code ---------------------------
			echo'.is-style-eccp-icon-heading-code::before {';
				echo'content: "\f475";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Table ---------------------------
			echo'.is-style-eccp-icon-heading-table::before {';
				echo'content: "\f535";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Hashtag ---------------------------
				
			echo'.is-style-eccp-icon-heading-hashtag::before{';
					
				// la taille initiale du SVG est donné par width & height
				// pour le background-size
				// lorsqu'on affiche une icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-textColor définit par la sélection de couleur pour le titre
				// dans les paramètres du bloc, sinon on applique une couleur par défaut #333333
				echo' background-size: cover!important;
					  display: inline-block; 
					  position: relative; 
					  top:0;					  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;
					  content: "";
					  background-color: var(--eccp-textColor,#333333);';
			
			echo'}';
			
			// taille icone pour un titre h2
			echo'h2.is-style-eccp-icon-heading-hashtag::before{';
				echo'height:30px;';
				echo'width:30px;';
			echo'}';
			
			// taille icone pour un titre h2 sur mobile
			echo '@media (max-width:767px){';
			
				echo'h2.is-style-eccp-icon-heading-hashtag::before{';
				echo'height:20px;';
				echo'width:20px;';
				echo'}';
				
			echo'}';
				
			// taille icone pour un titre h3
			echo'h3.is-style-eccp-icon-heading-hashtag::before{';
				echo'height:20px;';
				echo'width:20px;';
			echo'}';
			
			// taille icone pour un titre h4
			echo'h4.is-style-eccp-icon-heading-hashtag::before{';
				echo'height:17px;';
				echo'width:17px;';
			echo'}';
			
			// taille icone pour un titre h5
			echo'h5.is-style-eccp-icon-heading-hashtag::before{';
				echo'height:14px;';
				echo'width:14px;';
			echo'}';
			
			echo'.is-style-eccp-icon-heading-hashtag::before{';
				
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'utf-8\'?%3E%3Csvg version=\'1.1\' id=\'Layer_1\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' x=\'0px\' y=\'0px\' viewBox=\'0 0 103.41 122.88\' style=\'enable-background:new 0 0 103.41 122.88\' xml:space=\'preserve\'%3E%3Cg%3E%3Cpath d=\'M23.12,51.51L18.3,74.86H0v18.31h14.87L8.7,122.88H27.5l6.08-29.71h23.48l-5.91,29.71h18.98l5.99-29.71h27.28V74.86H79.76 l5.3-26.34h18.35V30.23H88.79L94.7,0H75.79l-6.08,30.23H46.15L52.32,0H33.36l-5.99,30.23H0v18.29h23.74L23.12,51.51L23.12,51.51z M58.74,74.86H37.17l5.55-26.34h23.46l-5.4,26.34H58.74L58.74,74.86z\'/%3E%3C/g%3E%3C/svg%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3C?xml version=\'1.0\' encoding=\'utf-8\'?%3E%3Csvg version=\'1.1\' id=\'Layer_1\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' x=\'0px\' y=\'0px\' viewBox=\'0 0 103.41 122.88\' style=\'enable-background:new 0 0 103.41 122.88\' xml:space=\'preserve\'%3E%3Cg%3E%3Cpath d=\'M23.12,51.51L18.3,74.86H0v18.31h14.87L8.7,122.88H27.5l6.08-29.71h23.48l-5.91,29.71h18.98l5.99-29.71h27.28V74.86H79.76 l5.3-26.34h18.35V30.23H88.79L94.7,0H75.79l-6.08,30.23H46.15L52.32,0H33.36l-5.99,30.23H0v18.29h23.74L23.12,51.51L23.12,51.51z M58.74,74.86H37.17l5.55-26.34h23.46l-5.4,26.34H58.74L58.74,74.86z\'/%3E%3C/g%3E%3C/svg%3E");';
				
			echo'}';
			
		
		/*--------------------- Style Posts Screen front end ---------------------------*/
		
			//------------- Calendar---------------------------
			echo'.is-style-eccp-icon-heading-calendar::before {';
				echo'content: "\f508";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Edit---------------------------
			echo'.is-style-eccp-icon-heading-edit::before {';
				echo'content: "\f464";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Trash---------------------------
			echo'.is-style-eccp-icon-heading-trash::before {';
				echo'content: "\f182";';
				echo'font-weight:400;';
				echo'top:0.1em;';
			echo'}';
		
		
		/*--------------------- Style Sorting front end ---------------------------*/
			
			//------------- List View ---------------------------
			echo'.is-style-eccp-icon-heading-list-view::before {';
				echo'content: "\f163";';
				echo'font-weight:600;';
			echo'}';
	
	
			//------------- List View Alt(Icone Font Awesome) ---------------------------
				
			echo'.is-style-eccp-icon-heading-list-view-alt::before{';
					
				// la taille initiale du SVG est donné par width & height
				// pour le background-size
				// lorsqu'on affiche une icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-textColor définit par la sélection de couleur pour le titre
				// dans les paramètres du bloc, sinon on applique une couleur par défaut #333333
				echo' background-size: cover!important;
					  display: inline-block; 
					  position: relative; 
					  top:0.1em;					  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;
					  content: "";
					  background-color: var(--eccp-textColor,#333333);';
			
			echo'}';
			
			// taille icone pour un titre h2
			echo'h2.is-style-eccp-icon-heading-list-view-alt::before{';
				echo'height:30px;';
				echo'width:30px;';
			echo'}';
			
			// taille icone pour un titre h2 sur mobile
			echo '@media (max-width:767px){';
			
				echo'h2.is-style-eccp-icon-heading-list-view-alt::before{';
				echo'height:24px;';
				echo'width:24px;';
				echo'}';
				
			echo'}';
				
			// taille icone pour un titre h3
			echo'h3.is-style-eccp-icon-heading-list-view-alt::before{';
				echo'height:24px;';
				echo'width:24px;';
			echo'}';
			
			// taille icone pour un titre h4
			echo'h4.is-style-eccp-icon-heading-list-view-alt::before{';
				echo'height:20px;';
				echo'width:20px;';
			echo'}';
			
			// taille icone pour un titre h5
			echo'h5.is-style-eccp-icon-heading-list-view-alt::before{';
				echo'height:17px;';
				echo'width:17px;';
			echo'}';
			
			echo'.is-style-eccp-icon-heading-list-view-alt::before{';
				
				// Icone Font Awesome Regular List
				// https://commons.wikimedia.org/wiki/File:Font_Awesome_5_regular_list-alt.svg
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V86a6 6 0 0 1 6-6h404a6 6 0 0 1 6 6v340a6 6 0 0 1-6 6zm-42-92v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm-252 12c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V86a6 6 0 0 1 6-6h404a6 6 0 0 1 6 6v340a6 6 0 0 1-6 6zm-42-92v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm-252 12c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
				
			echo'}';
		
		/*--------------------- Style Social front end ---------------------------*/
		
			//------------- Facebook ---------------------------
			echo'.is-style-eccp-icon-heading-facebook::before {';
				echo'content: "\f305";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Instagram ---------------------------
			echo'.is-style-eccp-icon-heading-instagram::before {';
				echo'content: "\f12d";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- LinkedIn ---------------------------
			echo'.is-style-eccp-icon-heading-linkedin::before {';
				echo'content: "\f18d";';
				echo'font-weight:600;';
				echo'top: 0.1em;';
			echo'}';
			
			//------------- Pinterest ---------------------------
			echo'.is-style-eccp-icon-heading-pinterest::before {';
				echo'content: "\f192";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Twiter ---------------------------
			echo'.is-style-eccp-icon-heading-twiter::before {';
				echo'content: "\f301";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- YouTube ---------------------------
			echo'.is-style-eccp-icon-heading-youtube::before {';
				echo'content: "\f19b";';
				echo'font-weight:600;';
			echo'}';
		
		
		/*--------------------- Style WordPress front end ---------------------------*/
		
			//------------- Heart ---------------------------
			echo'.is-style-eccp-icon-heading-heart::before {';
				echo'content: "\f487";';
				echo'font-weight:600;';
			echo'}';
		
		
		/*--------------------- Style Buddicons front end ---------------------------*/
			
			//------------- Community ---------------------------
			echo'.is-style-eccp-icon-heading-community::before {';
				echo'content: "\f453";';
				echo'font-weight:400;';
			echo'}';
				
		
		/*--------------------- Style Products front end ---------------------------*/
		
			//------------- Info  ---------------------------
			echo'.is-style-eccp-icon-heading-info::before {';
				echo'content: "\f348";';
				echo'font-weight:400;';
			echo'}';
			
			
			//------------- Info Circle( icone Font Awesome) ---------------------------
				
			echo'.is-style-eccp-icon-heading-info-circle::before{';
					
				// la taille initiale du SVG est donné par width & height
				// pour le background-size
				// lorsqu'on affiche une icone avec la régle pseudo :before
				// il faut appliquer la régle content: "" pour que cela fonctionne
				// on applique une couleur de fond au svg avec la variable CSS
				// --eccp-textColor définit par la sélection de couleur pour le titre
				// dans les paramètres du bloc, sinon on applique une couleur par défaut #333333
				echo' background-size: cover!important;
					  display: inline-block; 
					  position: relative; 
					  top:0.1em;					  
					  mask-repeat: no-repeat;	                 
					  -webkit-mask-repeat: no-repeat;
					  content: "";
					  background-color: var(--eccp-textColor,#333333);';
			
			echo'}';
			
			// taille icone pour un titre h2
			echo'h2.is-style-eccp-icon-heading-info-circle::before{';
				echo'height:30px;';
				echo'width:30px;';
			echo'}';
			
			// taille icone pour un titre h2 sur mobile
			echo '@media (max-width:767px){';
			
				echo'h2.is-style-eccp-icon-heading-info-circle::before{';
				echo'height:24px;';
				echo'width:24px;';
				echo'}';
				
			echo'}';
				
			// taille icone pour un titre h3
			echo'h3.is-style-eccp-icon-heading-info-circle::before{';
				echo'height:24px;';
				echo'width:24px;';
			echo'}';
			
			// taille icone pour un titre h4
			echo'h4.is-style-eccp-icon-heading-info-circle::before{';
				echo'height:20px;';
				echo'width:20px;';
			echo'}';
			
			// taille icone pour un titre h5
			echo'h5.is-style-eccp-icon-heading-info-circle::before{';
				echo'height:17px;';
				echo'width:17px;';
			echo'}';
			
			echo'.is-style-eccp-icon-heading-info-circle::before{';
				
				// Icone Font Awesome 5 Solid
				// https://commons.wikimedia.org/wiki/File:Font_Awesome_5_solid_info-circle.svg
				// la régle mask-image permettra d'appliquer une couleur au SVG
				echo'-webkit-mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
				echo'mask-image:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 512 512\'%3E%3Cpath d=\'M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z\'/%3E%3C/svg%3E%3C!-- Font Awesome Free 5.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) --%3E");';
				
			echo'}';
			
			
			//------------- Cart ---------------------------
			echo'.is-style-eccp-icon-heading-cart::before {';
				echo'content: "\f174";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- WordPress ---------------------------
			echo'.is-style-eccp-icon-heading-wordpress::before {';
				echo'content: "\f120";';
				echo'font-weight:400;';
			echo'}';
			
			
		/*--------------------- Style Widgets front end ---------------------------*/
			
			//------------- Archive ---------------------------
			echo'.is-style-eccp-icon-heading-archive::before {';
				echo'content: "\f480";';
				echo'font-weight:400;';
			echo'}';
		
		
		/*--------------------- Style Notifications front end ---------------------------*/
			
			//------------- Bell ---------------------------
			echo'.is-style-eccp-icon-heading-bell::before {';
				echo'content: "\f16d";';
				echo'font-weight:600;';
			echo'}';
		
			
			//------------- Star Filled ---------------------------
			echo'.is-style-eccp-icon-heading-star-filled::before {';
				echo'content: "\f155";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- warning ---------------------------
			echo'.is-style-eccp-icon-heading-warning::before {';
				echo'content: "\f534";';
				echo'font-weight:400;';
			echo'}';
			
		
		/*--------------------- Style Miscellaneous front end ---------------------------*/
		
			//------------- Book ---------------------------
			echo'.is-style-eccp-icon-heading-book::before {';
				echo'content: "\f330";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Products ---------------------------
			echo'.is-style-eccp-icon-heading-products::before {';
				echo'content: "\f312";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Awards ---------------------------
			echo'.is-style-eccp-icon-heading-awards::before {';
				echo'content: "\f313";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Testimonial ---------------------------
			echo'.is-style-eccp-icon-heading-testimonial::before {';
				echo'content: "\f473";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Download ---------------------------
			echo'.is-style-eccp-icon-heading-download::before {';
				echo'content: "\f316";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Carrot ---------------------------
			echo'.is-style-eccp-icon-heading-carrot::before {';
				echo'content: "\f511";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Beer ---------------------------
			echo'.is-style-eccp-icon-heading-beer::before {';
				echo'content: "\f16c";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Chart Bar ---------------------------
			echo'.is-style-eccp-icon-heading-chartbar::before {';
				echo'content: "\f185";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Clock ---------------------------
			echo'.is-style-eccp-icon-heading-clock::before {';
				echo'content: "\f469";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- Coffee ---------------------------
			echo'.is-style-eccp-icon-heading-coffee::before {';
				echo'content: "\f16f";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Food ---------------------------
			echo'.is-style-eccp-icon-heading-food::before {';
				echo'content: "\f187";';
				echo'font-weight:400;';
			echo'}';
			//------------- Hourglass ---------------------------
			echo'.is-style-eccp-icon-heading-hourglass::before {';
				echo'content: "\f18c";';
				echo'font-weight:400;';
			echo'}';
			
			//------------- Location ---------------------------
			echo'.is-style-eccp-icon-heading-location::before {';
				echo'content: "\f230";';
				echo'font-weight:600;';
			echo'}';
			
			//------------- PDF ---------------------------
			echo'.is-style-eccp-icon-heading-pdf::before {';
				echo'content: "\f190";';
				echo'font-weight:400;';
			echo'}';
		
		
		/*---------------- BLOC DERNIERS ARTICLES FRONT END -------------------*/
		
		// Si on a activé le style Card pour le bloc Derniers articles
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_latest_posts_block_radio_field'] == 'yes' ) {
			
			/*-------- Style Card Derniers Articles en mode grille front end -----------*/
			// Remarque le bloc Derniers Articles est construit a base 
			// d'une liste non ordonnée positionnée dans une grille
		
			/* article en mode grille */
			echo'ul.wp-block-latest-posts__list.is-grid li{';
				echo'box-shadow: 0 2px 4px 2px rgb(0 0 0 / 10%);';
				echo'padding-bottom: 1.2em;';
				// modif pour le thème Divi(on supprime la puce disque par défaut)
				echo'list-style-type: none;';
			echo'}';

			/* Lien image */
			echo'ul.wp-block-latest-posts__list.is-grid li div.wp-block-latest-posts__featured-image a{';
				echo'padding:0;';
				echo'display: block;';
			echo'}';

			/* Image article */
			echo'ul.wp-block-latest-posts__list.is-grid li img{';
				echo'margin-bottom:1.2em;';
				echo'width:100%;';
			echo'}';

			/* Image article au survol */
			echo'ul.wp-block-latest-posts__list.is-grid li img:hover{';
				echo'background-color: #000000;';
				echo'opacity: 0.4;';
			echo'}';

			/* Auteur & Date */
			echo'ul.wp-block-latest-posts__list.is-grid li  div.wp-block-latest-posts__post-author,
				 ul.wp-block-latest-posts__list.is-grid li time.wp-block-latest-posts__post-date{';
				echo'display:block;';
				echo'padding:0 1.5em 0 1.5em;';
			echo'}';

			/* titre & extrait */
			echo'ul.wp-block-latest-posts__list.is-grid li a,
				 ul.wp-block-latest-posts__list.is-grid li div.wp-block-latest-posts__post-excerpt{';
				echo'display:block;';
				echo'padding:0 1.2em 0 1.2em;';
			echo'}';

			/* Titre de l'article */
			echo'ul.wp-block-latest-posts__list.is-grid li a{';
				echo'font-weight:bold;';
				echo'text-decoration:none!important;';
			echo'}';
			
			// si on a activé les styles du bloc lire la suite
			// on applique le même style a la balise read more du bloc Derniers Articles
			if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] == 'yes' ) {
			
				// on fait la conversion en RGBA pourla couleur de fond du bloc Lire La Suite, 
				// la fonction retourne une chaine
				// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
				$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'], 
						intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'])/100 );
					
			
				//  pour la balise read more du bloc Derniers Articles 
				// régle pour Astra : ul.wp-block-latest-posts__list.is-grid  p.read-more a
				echo'ul.wp-block-latest-posts__list.is-grid a.read-more,
				     ul.wp-block-latest-posts__list.is-grid  p.read-more a{';					
					
					echo'background: '.esc_html($rgba).'!important;';
					echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field']).';';
					echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field']).';';
					echo'padding: 0.5em 1em!important;';
					echo'font-size: 18px;';
					echo'font-weight:600;';
					echo'line-height: 1.3333333;';
					echo'border-radius: 6px;';
					
					echo'display:block;';
					echo'margin:auto;';
					echo'width:150px;';
					echo'margin-top:15px;';
					echo'text-align:center;';
					
				echo'}';
				
				// on supprime les marges introduites avec la personnalisation 
				// du bloc liste
				echo'body.page ul.wp-block-latest-posts__list.is-grid,
					 body.single ul.wp-block-latest-posts__list.is-grid{';					
					echo'margin-left:0!important;';
					// corerection pour le thème Divi
					echo'padding-left:0!important;';
				echo'}';
				
				// sur mobile on supprime le gap qui sépare les listes
				// dans la grille
				echo'@media (max-width:480px) {';
					echo'ul.wp-block-latest-posts.is-grid li {';	
						echo'margin-right:0;';
					echo'}';
				echo'}';
				
				// on fait la conversion en RGBA pour la couleur de fond au survol du bloc Lire La Suite, 
				// la fonction retourne une chaine
				// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
				$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'], 
						intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'])/100 );
					
				// régles au survol pour la balise read more
				// régles pou Astra: ul.wp-block-latest-posts__list.is-grid  p.read-more a:hover
				echo'ul.wp-block-latest-posts__list.is-grid a.read-more:hover,
					 ul.wp-block-latest-posts__list.is-grid  p.read-more a:hover{';
					echo'background: '.esc_html($rgba).'!important;';
					echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field']).';';
					echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field']).';';
				echo'}';
			
			

			}// fin si on a activé les styles du bloc lire la suite
			
		
		}// fin si on a activé le style Card pour le bloc Derniers articles
		
		
		/*---------------- BLOC BOUCLE DE REQUÊTE FRONT END -------------------*/
		
		// Si on a activé le style Card pour le bloc Boucle de Requête
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_card_style_query_loop_block_radio_field'] == 'yes' ) {
			
			/*-------- Style Card Boucle De Requête en mode grille front end -----------*/
			// Remarque le bloc Derniers Articles est construit a base 
			// d'une liste non ordonnée positionnée dans une grille
		
			/* article en mode grille */
			echo'ul.wp-block-post-template li{';
				echo'box-shadow: 0 2px 4px 2px rgb(0 0 0 / 10%);';
				echo'padding-bottom: 1.2em;';
				// Pour la vue liste
				echo'margin-bottom: 1.2em;';
				// modif pour le thème Divi(on supprime la puce disque par défaut)
				echo'list-style-type: none;';
			echo'}';

			/* Image article au survol */
			echo'ul.wp-block-post-template li figure:hover{';
				echo'background-color: #000000;';
				echo'opacity: 0.4;';
			echo'}';

			/* Auteur & Date */
			echo'ul.wp-block-post-template li  div.wp-block-post-author,
				 ul.wp-block-post-template li div.wp-block-post-date{';
				echo'display:block;';
				echo'padding:0 1.2em 0 1.2em;';
			echo'}';
			
			/* Auteur complément pour Divi & Astra */
			echo'ul.wp-block-post-template li  div.wp-block-post-author__content p.wp-block-post-author__name{';
				echo'margin-bottom:0!important;';
			echo'}';
			
			/* Avatar */
			echo'ul.wp-block-post-template li  div.wp-block-post-author__avatar{';
				echo'float:left;';
			echo'}';
		
			/* Catégories Articles */
			echo'ul.wp-block-post-template li div.taxonomy-category a{';
				echo'display:block;';
				echo'padding:0 1.2em 0 1.2em;';
			echo'}';
			
			/* Extrait */
			echo'ul.wp-block-post-template li div.wp-block-post-excerpt p{';
				echo'display:block;';
				echo'padding:0 1.2em 0 1.2em;';
			echo'}';

			/* Titre de l'article */
			echo'ul.wp-block-post-template li .wp-block-post-title a,
				 ul.wp-block-post-template li div.wp-block-post-excerpt p{';
				echo'display:block;';
				echo'padding:0 1em 0 1em;';
				echo'text-decoration:none!important;';
			echo'}';

			// si on a activé les styles du bloc lire la suite
			// on applique le même style a la balise read more du bloc Derniers Articles
			if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] == 'yes' ) {
			
				// on fait la conversion en RGBA pourla couleur de fond du bloc Lire La Suite, 
				// la fonction retourne une chaine
				// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
				$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'], 
						intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'])/100 );
					
			
				//  pour la balise read more du bloc Derniers Articles 
				// régle pour Astra : ul.wp-block-latest-posts__list.is-grid  p.read-more a
				echo'ul.wp-block-post-template a.wp-block-post-excerpt__more-link{';					
					
					echo'background: '.esc_html($rgba).'!important;';
					echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field']).';';
					echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field']).';';
					echo'padding: 0.5em 1em!important;';
					echo'font-size: 18px;';
					echo'font-weight:600;';
					echo'line-height: 1.3333333;';
					echo'border-radius: 6px;';
					
					echo'display:block;';
					echo'margin:auto;';
					echo'width:150px;';
					echo'margin-top:15px;';
					echo'text-align:center;';
					echo'text-decoration:none!important;';
					
				echo'}';
				
				//  pour la balise read more du Thème Generate Press & Astra 
				echo'ul.wp-block-post-template li div.wp-block-post-excerpt a.read-more,
					 ul.wp-block-post-template li div.wp-block-post-excerpt p.read-more a{';		
				
					echo'display:none;';
				
				echo'}';
				
				// on supprime les marges introduites avec la personnalisation 
				// du bloc liste
				echo'body.page ul.wp-block-post-template ,
					 body.single ul.wp-block-post-template {';					
					echo'margin-left:0!important;';
					// correction pour le thème Divi
					echo'padding-left:0!important;';
				echo'}';
				
				// sur mobile on supprime le gap qui sépare les listes
				// dans la grille
				echo'@media (max-width:480px) {';
					echo'ul.wp-block-post-template  li {';	
						echo'margin-right:0;';
					echo'}';
				echo'}';
				
				// on fait la conversion en RGBA pour la couleur de fond au survol du bloc Lire La Suite, 
				// la fonction retourne une chaine
				// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
				$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'], 
						intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'])/100 );
					
				// régles au survol pour la balise read more
				echo'ul.wp-block-post-template a.wp-block-post-excerpt__more-link:hover{';
					echo'background: '.esc_html($rgba).'!important;';
					echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field']).';';
					echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field']).';';
					echo'text-decoration:none!important;';
				echo'}';
			

			}// fin si on a activé les styles du bloc lire la suite
			
		
		}// fin si on a activé le style Card pour le bloc Boucle de Requête
		
		
		
		
		/*-------- Style d'un avatar personnalisé en front end -----------*/
				
		// Si on a activé l'utilisation d'un avatar personnalisé
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_custom_avatar_radio_field'] == 'yes' ) {
		
			/* Image Avatar */
			echo'ul.wp-block-post-template li  div.wp-block-post-author__avatar img{';
				echo'width:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field']).'px;';
				echo'height:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_custom_avatar_size_text_field']).'px;';
			echo'}';
		
		}// fin si on a activé un avatar personnalisé
		
		
		/*---------------- BLOC ESPACEMENT FRONT END -------------------*/
		
		// régles pour tablette
		echo'@media (max-width:1024px) { ';
		
			echo'.wp-block-spacer.eccp-is-style-spacer-block{';
			
				echo'height: var(--eccp-blockHeightSpacingTablet, 50px)!important;';

			echo'}';
			
		echo'}';	
		
		// régles pour mobile
		echo'@media (max-width:600px) { ';
		
			echo'.wp-block-spacer.eccp-is-style-spacer-block{';
			
				echo'height: var(--eccp-blockHeightSpacingMobile, 30px)!important;';

			echo'}';
			
		echo'}';
		
		
		// pour les pages Démo du plugin
		echo'.wp-block-spacer.demo-spacer-block { ';
		
			echo'background:#F0F2F0F2;';
		
		echo'}';
		
			
		/*-------------------BLOC READ MORE(balise lire la suite) --------------------------*/
		
				   
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_activate_block_styles_read_more_radio_field'] == 'yes' ) {
			
			// on fait la conversion en RGBA pourla couleur de fond du bloc Lire La Suite, 
			// la fonction retourne une chaine
			// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
			$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_background_color_text_field'], 
					intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_backgound_color_opacity_text_field'])/100 );
				
		
			/* régles pour le bloc lire la suite & pour le bloc Derniers Articles */
			echo'.eccp-read-more{';
				echo'background: '.esc_html($rgba).'!important;';
				echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_border_color_text_field']).';';
				echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_text_color_text_field']).';';
				echo'padding: 0.5em 1em!important;
				font-size: 18px;
				font-weight:600;
				line-height: 1.3333333;
				border-radius: 6px;';
				
			echo'}';
			
			/* Régles pour l'icône dashicons */
			echo'.eccp-read-more span{';
				echo'vertical-align:middle;';
			echo'}';
			
			echo'.eccp-read-more span::before{';
				echo'margin-left:7px;';
			echo'}';
			
			
			// on fait la conversion en RGBA pourla couleur de fond au survol du bloc Lire La Suite, 
			// la fonction retourne une chaine
			// soit pour une couleur #000000 avec opacité 0.5 ==> rgba(0,0,0,0.5)
			$rgba = eccp_hex2rgba( $custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_background_color_text_field'], 
					intval($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_backgound_color_opacity_text_field'])/100 );
				
			
			echo'.eccp-read-more:hover {';
				echo'background: '.esc_html($rgba).'!important;';
				echo'border: 2px solid '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_border_color_text_field']).';';
				echo'color: '.esc_html($custom_gutenberg_blocks_settings['eccp_settings_block_read_more_hover_text_color_text_field']).';';
			echo'}';
			
			

		}// fin si on a activé les styles du bloc lire la suite
		
		
		/*-------------------------------------------------------------
                 BLOC FAQ YOAST SEO TRANSFORMÉ EN ACCORDEON
		--------------------------------------------------------------*/
		/*
		On utilise conjointement les régles CSS ci-dessous et un 
		Script Jquery: eccp-yoast-faq-block.js
		Ce script attribut au container du bloc la classe .eccp-yoast-faq-accordion
		et masque toute les réponses.
		A l'événement click sur le container de la question sélectionnée 
		Alors si la réponse sélectionnée est masquée:
		- si une réponse d'une autre question est visible on la masque par un glisser
		  vers le haut et on supprime la classe eccp-faq-question-open au container 
		  de la question.
		- on attribue la classe:eccp-faq-question-open au container de la 
		  question sélectionnée.
		- on rend visible la réponse sélectionée par un glisser vers le bas.
		Sinon la réponse sélectionée est visible:
		- on supprime la classe:eccp-faq-question-open au container 
		  de la question sélectionnée.
		- on masque la réponse par un glisser vers le haut.
		*/

		/*-----------  Balisage du bloc FAQ Yoast SEO -------------------*/ 
		/*

		<div class="schema-faq wp-block-yoast-faq-block">
			<div class="schema-faq-section" id="faq-question-1617342662545">
				<strong class="schema-faq-question"> La Question </strong>
				<p class="schema-faq-answer"> La Réponse </p>
			</div>
		</div>

		*/
		
		if( $custom_gutenberg_blocks_settings['eccp_settings_turn_yoast_faq_block_an_accordion_radio_field'] == 'yes' ) {
			
			/* régles responsive pour la largeur du bloc FAQ YOAST SEO */
			echo'@media(min-width:1024px) {';
			
				if ($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']<> 100) {
			
					echo'.eccp-yoast-faq-accordion {';
					
						echo'width:'.esc_html($custom_gutenberg_blocks_settings['eccp_settings_width_block_faq_yoast_text_field']).'%;';
					
					echo'}';
				
				}
			
			echo'}';
			

			/* régles pour le container section ( question + réponse ) */
			echo'.eccp-yoast-faq-accordion .schema-faq-section {';
				echo'border:1px solid #D4D4D4;';
				echo'border-radius: 4px;';
				echo'margin-bottom: 20px;';
				echo'background-color: #FDFEFF;';
			echo'}';

			/* Régles pour la question */
			echo'.eccp-yoast-faq-accordion .schema-faq-question {';
				echo'margin: 0;';
				echo'padding: 20px 50px 20px 15px;';
				echo'cursor: pointer;';
				echo'position: relative;';
				echo'display: block;';
			echo'}';

			/* Mise en gras de la question */
			echo'.eccp-yoast-faq-accordion .schema-faq-question,
			     .eccp-yoast-faq-accordion .schema-faq-question strong {';
				echo'font-weight: 700;';
			echo'}';

			/* Icone + pour un panneau fermé */
			echo'.eccp-yoast-faq-accordion .schema-faq-question:after {';
				echo'content: "+";';
				echo'position: absolute;';
				echo'right: 0;';
				echo'width: 56px;';
				echo'text-align: center;';
				/* régles conjointes(top & transform) pour garder l'icône au milieu  
				   de la hauteur du container de la question que le panneau 
				   soit ouvert ou fermé */
				echo' top: 50%;';
				echo'-webkit-transform: translateY(-50%);';
				echo'-moz-transform: translateY(-50%);';
				echo'-ms-transform: translateY(-50%);';
				echo'transform: translateY(-50%);';
				echo'font-weight: bold;';
				echo'color: #333333;';
				echo'font-size: 22px;';
			echo'}';

			/* Icone - pour un panneau ouvert */ 
			echo'.eccp-yoast-faq-accordion .schema-faq-question.eccp-faq-question-open:after {';
				echo'content: "-";'; 
			echo'}';

			/* Pour un panneau ouvert on ajoute une bordure basse
			   au container de la question */ 
			echo'.eccp-yoast-faq-accordion .schema-faq-question.eccp-faq-question-open {';
				echo'border-bottom:1px solid #D4D4D4;'; 
			echo'}';

			/* Régles pour la réponse */
			echo'.eccp-yoast-faq-accordion p.schema-faq-answer {';
				echo'margin: 0;';
				echo'padding: 15px;';
				echo'background-color:#FFFFFF;';
			echo'}';
		
		}
		
		/*------------------------------ SURLIGNEMENT TEXTE FRONT END ------------------------------------*/

				// style pour le surlignement du texte
				echo'span.is-style-eccp-highlight {';
					echo'padding: 0.12em 0.24em;';
					echo'border-radius: 2px;';
				echo'}';
		
		
		/*------------------------------ RESPONSIVE BLOC GUTENBERG FRONT END------------------------------------*/
		
			/*-----------------Afficher/Masquer un bloc sur Mobile,Tablette ou PC-----------------------*/
			 
			// régle pour PC
			echo'@media (min-width: 1025px){';
				
				echo'.eccp-hide-desktop,
					 .eccp-hide-desktop img,
					 .eccp-hide-desktop figcaption {';
					echo'display:none!important;';
				echo'}';
				 
			echo'}';
			 
			// régle pour Tablette
			echo'@media (min-width: 768px) and (max-width: 1024px){';
				
				echo'.eccp-hide-tablet,
				     .eccp-hide-tablet img,
					 .eccp-hide-tablet figcaption{';
					echo'display:none!important;';
				echo'}';
				 
			echo'}';
			 
			// régle pour mobile
			echo'@media (max-width: 767px){';
				
				echo'.eccp-hide-mobile,
				     .eccp-hide-mobile img,
					 .eccp-hide-mobile figcaption{';
					echo'display:none!important;';
				echo'}';
				 
			echo'}';
			 
			 
			/*-----------------Alignement du texte sur mobile-----------------------*/
			
			// régle pour mobile
			echo'@media (max-width: 480px){';
				
				echo'.eccp-has-mobile-text-align-left{';
					echo'text-align:left!important;';
				echo'}';
				
				echo'.eccp-has-mobile-text-align-center{';
					echo'text-align:center!important;';
				echo'}';
				
				echo'.eccp-has-mobile-text-align-right{';
					echo'text-align:right!important;';
				echo'}';
				 
			echo'}';
			
			
			/*----------------- Hauteur du bloc couverture sur mobile en Front End -----------------------*/
			
			// régle pour mobile
			// la variable Java Script --eccp-mobileCoverHeight a été définit en React JS
			echo'@media (max-width: 480px){';
				
				echo'.is-style-eccp-cover{';
					echo'min-height: var( --eccp-mobileCoverHeight,300)!important;';
				echo'}';
				 
			echo'}';
		
		

	echo '</style>';

}



/*----------------------------------------------------------------------------------------
		                FONCTION CONVERSION HEXDEC COLOR TO RGBA
/*---------------------------------------------------------------------------------------*/


/* Convert hexdec color string to rgb(a) string 
   ex: $color = '#ffa226';
       $rgb = eccp_hex2rgba($color);
       $rgba = eccp_hex2rgba($color, 0.7);  */
function eccp_hex2rgba($color, $opacity = false) {
 
	$default = 'rgb(0,0,0)';
 
	//Return default if no color provided
	if(empty($color))
          return $default; 
 
	//Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
        	$color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        /*Check if opacity is set(rgba or rgb)
        if($opacity){
        	if(abs($opacity) > 1)
        		$opacity = 1.0;
        	$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
        	$output = 'rgb('.implode(",",$rgb).')';
        }*/
		
		// adaptation du code propre au plugin car on veut pouvoir traiter une couleur
		// de transparence avec  $opacity = 0 , si l'opacité = 1 on n'utilise pas cette fonction 
		// donc inutile de retourner une couleur RGB
		$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
 
        //Return rgb(a) color string
        return $output;
}

/*----------------------------------------------------------------------------------------
		                FONCTION CONVERSION RGBA TO HEXDEC COLOR 
/*---------------------------------------------------------------------------------------*/

// Effectue la conversion d'une couleur RGBA en hexadécimal si necessaire et retourne un tableau
// $color_hex['hex'] ==> la valeur hexadécimale de la couleur
// $color_hex['opacity'] ==> la valeur de l'opacité 

function eccp_rgba_to_hex($rgba){
        //ex $rgba = 'rgba(30,91,153,0.8)'
		
		// si c'est une couleur hexadécimale on n'a pas besoin de faire la conversion
		if(stristr($rgba, 'rgba') ===  FALSE) {
			$color_hex['hex'] = $rgba ;
			$color_hex['opacity'] = '100';
		    return $color_hex ;
		}
		
		$color_hex['hex'] = '#';
		
		$rgba = substr($rgba,5 ,strlen($rgba)- 6); //donne dans notre ex  $rgba= '30,91,153,0.8' 
		
		$colors = explode(',', $rgba);
		
		// dechex: conversion décimal to hexadécimal
        for($i=0; $i<3; $i++){
			// si le nbr hexa a une taille < 2 il fait partie
			// de l'ensemble {0...F}
			// alors on ajuste le format sur 2 bits 
			if (strlen(dechex($colors[$i]))<2){
				$color_hex['hex'] .= '0'.dechex($colors[$i]);
			}else {
				$color_hex['hex'] .= dechex($colors[$i]);
			}
        }
		
		// valeur de l'opacité * 100 et retourné sous forme de chaine de caractères
		$color_hex['opacity'] = strval(floatval($colors[3])*100);
		
        return $color_hex ;
		
}


/*----------------------------------------------------------------------------------------
		        RÉCUPÉRATION SLUG DES TYPES DE PUBLICATIONS PERSONNALISÉES
/*---------------------------------------------------------------------------------------*/


/**
 * Function eccp_get_registered_post_types
 *
 * return @$slug_cpt array
 */


/*
Les slugs des types de publication par défaut qui sont toujours inclus dans une installation WordPress:
post , page , attachment , revision , nav_menu_item , custom_css , customize_changeset ,
oembed_cache , user_request , wp_block , wp_template
Lorsqu'on appelle register_post_type(), pour enregister un type de publication personnalisée
il ajoute notre nouveau type de publication dans une variable globale appelée $wp_post_types. 
On peut donc obtenir une liste de tous les types de publication à partir de $wp_post_types. 
On va assigner au tableau associatif $slug_cpt le slug du CPT si l'argument _builtin du post-type
est vide, ce qui est le cas pour un type de publication personnalisée contrairement au 
type de publication par défaut page pour lequel [_builtin] => 1  
de même il faut que l'argument publicly_queryable vaut true c'est a dire qu'on autorise 
la publication du CPT en Front End. 
certains CPT comme [tribe_organizer] => organisateur , [tribe_venue] => lieu du plugin The Events Calendar
n'ont pas d'affichage en Front End, et ne sont des CPT crée par l'admin du site, donc cela permet de filtrer*/
function eccp_get_registered_post_types($slug_cpt= array()) {
	
    global $wp_post_types;
	
	$post_type = $wp_post_types;
	
	foreach ( $post_type as $key ) {
     
		/* $key est un tableau pour la clé rewrite  */
		//[slug] => cours-rock4temps
		//[with_front] => 1
        //[pages] => 1
        // [feeds] => 1
        //[ep_mask] => 1
		if ( !empty( $key->rewrite ) && empty($key->_builtin) && ($key->publicly_queryable) ) {
			$i = $key->name;
			if ( isset($key->rewrite['slug']) )  {
				$slug_cpt[$i] = $key->rewrite['slug'];
			}
		}
    }
	
	/*
	echo'<pre>';
	print_r($slug_cpt);
	print_r($post_type);
	echo'</pre>';
	*/
	
	return  $slug_cpt;  
}

/* Autre moyen de récupérer les slug CPT avec la fonction
de WordPress: get_post_types()
$post_types = get_post_types( $args, $output, $operator );
$output = 'names'; // 'names' or 'objects' (default: 'names')
$operator = 'or'; // 'and' ou 'or' (default: 'and')
  
$args = array(
					'_builtin' => false,
					'publicly_queryable' => true
               );
			   
$show_post_types = get_post_types( $args, 'objects' ); 


if ( !empty( $show_post_types ) ) {
		
	foreach ( $show_post_types as $post_type ){
		
		if ( !empty($post_type->rewrite) ) {
			 $i = $post_type->name ; 
			 if ( isset($post_type->rewrite['slug']) )  {
				$slug_cpt[$i] = $post_type->rewrite['slug'];
			 }
		}
		
	}
		
}
*/


// Pour debug , affichage des slugs pour les CPT
function eccp_display_slug_CPT() {
	
	$slug_cpt = eccp_get_registered_post_types();

		echo'<pre>';
		//var_dump($slug_cpt);
		print_r($slug_cpt);
		echo'</pre>';
		
}
//add_action('template_redirect','eccp_display_slug_CPT');



/*----------------------------------------------------------------------------------------
		                      FONCTION IS_BLOG()
/*---------------------------------------------------------------------------------------*/

/** 
* La fonction is_blog() manquante de WordPress. Détermine si la page actuellement consultée est 
* l'une des pages du blog, y compris la page d'accueil du blog, l'archive, la catégorie/balise, l'auteur ou 
* les pages de publication unique. 
* @return bool 
*/ 
function  eccp_is_blog() {
	
     global $post;

    // Le type de publication doit être 'post'. 
    $post_type = get_post_type($post);

    // Vérifiez toutes les balises conditionnelles liées au blog, ainsi que le type de publication actuel, 
    // pour déterminer si nous affichons une page de blog. 
    return ( $post_type === 'post' ) && ( is_home() || is_archive() || is_single() );
	
}


